// Resource file for ECP Redux v1.3 by Whitegold (http://ecpredux.com)
// Modified Widescreen Config by Faguss (ofp-faguss.com) 11.12.19

#include "..\..\Aspect_Ratio.hpp"



 





#define ECP_editor_top "\ECP_Effects\images\editor_grey_bar1.paa"
#define ECP_editor_middle "\ECP_Effects\images\editor_grey_bar2.paa"
#define ECP_editor_bottom "\ECP_Effects\images\editor_grey_bar3.paa"
#define ECP_editor_bar_color {0.7, 0.7, 0.7, 1}
#define ECP_editor_color_text {0.8, 0.8, 0.8, 1}
#define ST_SHADOW 256

#define cmd_watch    0
#define cmd_stay_back      5
#define cmd_fire     26
#define cmd_reply_fail     67
#define cmd_report      71
#define cmd_radio_custom_2    89
#define cmd_expect      12
#define cmd_watch_around      27
#define cmd_watch_auto     28
#define cmd_watch_submenu     29
#define cmd_watch_n     31
#define cmd_team_red    47
#define cmd_assign_blue    54
#define cmd_radio_hotel    63
#define cmd_radio_juliet      65
#define cmd_reply_injured     81
#define cmd_radio_custom_3    90
#define cmd_stop     11
#define cmd_loose_form     22
#define cmd_stealth     39
#define cmd_team_yellow    50
#define cmd_radio_india    64
#define cmd_reply_ammo_low    79
#define cmd_radio_custom_4    91
#define cmd_aware    41
#define cmd_safe     42
#define cmd_support_done      86
#define cmd_radio_custom_5    92
#define cmd_move_submenu      13
#define cmd_form_stagcol      15
#define cmd_engage      21
#define cmd_team_main      46
#define cmd_radio_bravo    57
#define cmd_reply_copy     68
#define cmd_radio_custom_6    93
#define cmd_radio_alpha    56
#define cmd_reply_done     66
#define cmd_reply_killed      78
#define cmd_radio_custom_7    94
#define cmd_getin    1
#define cmd_next_waypoint     8
#define cmd_watch_s     35
#define cmd_pos_auto    45
#define cmd_reply_repeat      69
#define cmd_reply_one_less    75
#define cmd_support_refuel    85
#define cmd_radio_custom      87
#define cmd_radio_custom_8    95
#define cmd_action      3
#define cmd_form_echleft      17
#define cmd_watch_e     33
#define cmd_combat      40
#define cmd_team_green     48
#define cmd_assign_main    51
#define cmd_reply_hit      74
#define cmd_reply_firenotready      77
#define cmd_radio_custom_9    96
#define cmd_form_wedge     16
#define cmd_assign_green      53
#define cmd_join     10
#define cmd_keep_form      23
#define cmd_watch_ne    32
#define cmd_watch_se    34
#define cmd_reply_under_fire     73
#define cmd_support_repair    83
#define cmd_support_rearm     84
#define cmd_getout      2
#define cmd_flank_right    7
#define cmd_form_column    14
#define cmd_watch_first    30
#define cmd_watch_w     37
#define cmd_radio_foxtrot     61
#define cmd_reply_fuel_low    80
#define cmd_form_vee    19
#define cmd_pos_up      43
#define cmd_pos_down    44
#define cmd_radio_echo     60
#define cmd_radio_golf     62
#define cmd_reply_fireready      76
#define cmd_hide     9
#define cmd_form_echright     18
#define cmd_hold_fire      24
#define cmd_watch_sw    36
#define cmd_watch_nw    38
#define cmd_assign_red     52
#define cmd_reply_engaging    72
#define cmd_flank_left     6
#define cmd_open_fire      25
#define cmd_team_blue      49
#define cmd_radio_custom_0    97
#define cmd_advance     4
#define cmd_form_line      20
#define cmd_assign_yellow     55
#define cmd_radio_charlie     58
#define cmd_radio_delta    59
#define cmd_reply_where_are_you     70
#define cmd_support_medic     82
#define cmd_radio_custom_1    88


/* ---------------------- RADIO -----------------------*/

class RadioProtocol
{
   access=3;

   class Default
   {
      priority=0;
      timeout=1000;
   };


   class Report
   {
      priority=100;
      timeout=30;
   };

   class PriorityReport
   {
      priority=200;
      timeout=60;
   };

   class Confirmation
   {
      priority=300;
      timeout=3;
   };

   class Completition
   {
      priority=400;
      timeout=5;
   };

   class JoinCompleted
   {
      priority=400;
      timeout=30;
   };

   class Failure
   {
      priority=500;
      timeout=30;
   };

   class Notify
   {
      priority=600;
      timeout=5;
   };

   class Detected
   {
      priority=700;
      timeout=5;
   };

   class NormalCommand
   {
      priority=800;
      timeout=1000;
   };

   class CriticalReport
   {
      priority=850;
      timeout=60;
   };

   class UrgentCommand
   {
      priority=900;
      timeout=1000;
   };

   class UICommand
   {
      priority=1000;
      timeout=1000;
   };

   class Design
   {
      priority=950;
      timeout=1000;
   };

   class SentUnitKilled : CriticalReport
   {
      versions[]={"Version1",.5,"Version2",.3,"Version3",.2};

      class Version1
      {
         text="$STR_SENT_UNIT_KILLED_1";
         Speech9[]={"%1.1","IsDown"};
         Speech5[]={"%1.1","IsDown"};
      };

      class Version2
      {
         text="$STR_SENT_UNIT_KILLED_2";
         Speech9[]={"Damned","%1.1","IsDown"};
         Speech5[]={"Damned","%1.1","IsDown"};
      };

      class Version3
      {
         text="$STR_SENT_UNIT_KILLED_3";
         Speech9[]={"OhNo","%1.1","IsDown"};
         Speech5[]={"OhNo","%1.1","IsDown"};
      };
   };

   class SentSupportAskHeal : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_SUPPORT_ASK_HEAL_1";
         Speech9[]={"needMedic","Position","%1"};
         Speech5[]={"needMedic","Position","%1"};
      };
   };

   class SentSupportAskRepair : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_SUPPORT_ASK_REPAIR_1";
         Speech9[]={"needRepairs","Position","%1"};
         Speech5[]={"needRepairs","Position","%1"};
      };
   };

   class SentSupportAskRefuel : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_SUPPORT_ASK_REFUEL_1";
         Speech9[]={"needFuel","Position","%1"};
         Speech5[]={"needFuel","Position","%1"};
      };
   };

   class SentSupportAskRearm : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_SUPPORT_ASK_REARM_1";
         Speech9[]={"needAmmo","Position","%1"};
         Speech5[]={"needAmmo","Position","%1"};
      };
   };

   class SentSupportConfirm : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_SUPPORT_CONFIRM_1";
         Speech9[]={"supporting","Position","%2"};
         Speech5[]={"supporting","Position","%2"};
      };
   };

   class SentSupportReady : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_SUPPORT_READY_1";
         Speech9[]={"Position","%2","Supporting","%1"};
         Speech5[]={"Position","%2","Supporting","%1"};
      };
   };

   class SentSupportDone : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_SUPPORT_DONE_1";
         Speech9[]={"Ready"};
         Speech5[]={"Ready"};
      };
   };

   class SentHealthCritical : CriticalReport
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_HEALTH_CRITICAL_1";
         Speech9[]={"%1.1","Injured"};
         Speech5[]={"%1.1","Injured"};
      };
   };

   class SentDammageCritical : CriticalReport
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_dmg_CRITICAL_1";
         Speech9[]={"%1.1","statusRed"};
         Speech5[]={"%1.1","statusRed"};
      };
   };

   class SentFuelCritical : CriticalReport
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_FUEL_CRITICAL_1";
         Speech9[]={"%1.1","outOfFuel"};
         Speech5[]={"%1.1","outOfFuel"};
      };
   };

   class SentFuelLow : Report
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_FUEL_LOW_1";
         Speech9[]={"%1.1","FuelLow"};
         Speech5[]={"%1.1","FuelLow"};
      };
   };

   class SentAmmoCritical : CriticalReport
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_AMMO_CRITICAL_1";
         Speech9[]={"%1.1","outOfAmmo"};
         Speech5[]={"%1.1","outOfAmmo"};
      };
   };

   class SentAmmoLow : Report
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_AMMO_LOW_1";
         Speech9[]={"%1.1","ammoLow"};
         Speech5[]={"%1.1","ammoLow"};
      };
   };

   class SentReportPosition : Report
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_REPORT_POSITION_1";
         Speech9[]={"%1","Position","%2"};
         Speech5[]={"%1","Position","%2"};
      };
   };

   class SentIsLeader : CriticalReport
   {
      versions[]={"Version1",.5,"Version2",.5};

      class Version1
      {
         text="$STR_SENT_IS_LEADER_1";
         Speech9[]={"%1","TakingCommand"};
         Speech5[]={"%1","TakingCommand"};
      };

      class Version2
      {
         text="$STR_SENT_IS_LEADER_2";
         Speech9[]={"ThisIs","%1","TakingCommand","ISayAgain","%1","TakingCommand","Out"};
         Speech5[]={"ThisIs","%1","TakingCommand","ISayAgain","%1","TakingCommand","Out"};
      };
   };

   class SentCommandCompleted : Completition
   {
      versions[]={"Version1",.5,"Version2"};

      class Version1
      {
         text="$STR_SENT_COMMAND_COMPLETED_1";
         Speech9[]={"%1","Ready"};
         Speech5[]={"%1","Ready"};
      };

      class Version2
      {
         text="$STR_SENT_COMMAND_COMPLETED_2";
         Speech9[]={"%1","Waiting"};
         Speech5[]={"%1","Waiting"};
      };
   };

   class SentJoinCompleted : JoinCompleted
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_COMMAND_COMPLETED_1";
         Speech9[]={"%1","Ready"};
         Speech5[]={"%1","Ready"};
      };
   };

   class SentFireReady : Completition
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_FIRE_READY_1";
         Speech9[]={"%1","ReadyToFire"};
         Speech5[]={"%1","ReadyToFire"};
      };
   };

   class SentFireNegative : Completition
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_FIRE_NEGATIVE_1";
         Speech9[]={"%1","CannotFire"};
         Speech5[]={"%1","CannotFire"};
      };
   };

   class SentCommandFailed : Failure
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_COMMAND_FAILED_1";
         Speech9[]={"%1","Negative"};
         Speech5[]={"%1","Negative"};
      };
   };

   class SentDestinationUnreacheable : Failure
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_DESTINATION_UNREACHEABLE_1";
         Speech9[]={"%1","canNotGetThere"};
         Speech5[]={"%1","canNotGetThere"};
      };
   };

   class SentEnemyDetected : Detected
   {
      versions[]={"Version1",.5,"Version2"};

      class Version1
      {
         text="$STR_SENT_ENEMY_DETECTED_1";
         Speech9[]={"%3","%4","%2","%5"};
         Speech5[]={"%3","%4","%2","%5"};
      };

      class Version2
      {
         text="$STR_SENT_ENEMY_DETECTED_2";
         Speech9[]={"%3","%2","%5"};
         Speech5[]={"%3","%2","%5"};
      };
   };

   class SentEnemyDetectedFar : Detected
   {
      versions[]={"Version1",.5,"Version2"};

      class Version1
      {
         text="$STR_SENT_ENEMY_DETECTED_FAR_1";
         Speech9[]={"%1","%3","%4","%2","%5"};
         Speech5[]={"%1","%3","%4","%2","%5"};
      };

      class Version2
      {
         text="$STR_SENT_ENEMY_DETECTED_FAR_2";
         Speech9[]={"%1","%3","%2","%5"};
         Speech5[]={"%1","%3","%2","%5"};
      };
   };

   class SentEnemyDetectedSimple : Detected
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_ENEMY_DETECTED_SIMPLE_1";
         Speech9[]={"%3","%2","%5"};
         Speech5[]={"%3","%2","%5"};
      };
   };

   class SentEnemyDetectedSimpleFar : Detected
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_ENEMY_DETECTED_SIMPLE_FAR_1";
         Speech9[]={"%1","%3","%2"};
         Speech5[]={"%1","%3","%2"};
      };
   };

   class SentObjectDestroyed : Completition
   {
      versions[]={"Version1",.5,"Version2"};

      class Version1
      {
         text="$STR_SENT_OBJECT_DESTROYED_1";
         Speech9[]={"iVeGotHim"};
         Speech5[]={"iVeGotHim"};
      };

      class Version2
      {
         text="$STR_SENT_OBJECT_DESTROYED_2";
         Speech9[]={"%2","isHistory"};
         Speech5[]={"%2","isHistory"};
      };
   };

   class SentObjectDestroyedUnknown : Completition
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_OBJECT_DESTROYED_UNKNOWN_1";
         Speech9[]={"iVeGotHim"};
         Speech5[]={"iVeGotHim"};
      };
   };

   class SentContact : UrgentCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_CONTACT_1";
         Speech9[]={"contact"};
         Speech5[]={"contact"};
      };
   };

   class SentUnderFire : UrgentCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_UNDER_FIRE_1";
         Speech9[]={"underFire"};
         Speech5[]={"underFire"};
      };
   };

   class SentClear : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_CLEAR_1";
         Speech9[]={"clear"};
         Speech5[]={"clear"};
      };
   };

   class SentRepeatCommand : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_REPEAT_COMMAND_1";
         Speech9[]={"repeat"};
         Speech5[]={"repeat"};
      };
   };

   class SentWhereAreYou : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_WHERE_ARE_YOU_1";
         Speech9[]={"whereAreYou"};
         Speech5[]={"whereAreYou"};
      };
   };

   class SentReturnToFormation : NormalCommand
   {
      versions[]={"Version1",.4,"Version2",.6};

      class Version1
      {
         text="$STR_SENT_RETURN_TO_FORMATION_1";
         Speech9[]={"%1","returnToFormation"};
         Speech5[]={"%1","returnToFormation"};
      };

      class Version2
      {
         text="$STR_SENT_RETURN_TO_FORMATION_2";
         Speech9[]={"%1","fallBackIntoFormation"};
         Speech5[]={"%1","fallBackIntoFormation"};
      };
   };

   class SentFormColumn : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_FORM_COLUMN_1";
         Speech9[]={"FormColumn"};
         Speech5[]={"FormColumn"};
      };
   };

   class SentFormStaggeredColumn : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_FORM_STAGGERED_COLUMN_1";
         Speech9[]={"FormStageredColumn"};
         Speech5[]={"FormStageredColumn"};
      };
   };

   class SentFormWedge : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_FORM_WEDGE_1";
         Speech9[]={"FormWedge"};
         Speech5[]={"FormWedge"};
      };
   };

   class SentFormEcholonLeft : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_FORM_ECHOLON_LEFT_1";
         Speech9[]={"FormEchelonLeft"};
         Speech5[]={"FormEchelonLeft"};
      };
   };

   class SentFormEcholonRight : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_FORM_ECHOLON_RIGHT_1";
         Speech9[]={"FormEchelonRight"};
         Speech5[]={"FormEchelonRight"};
      };
   };

   class SentFormVee : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_FORM_VEE_1";
         Speech9[]={"FormVee"};
         Speech5[]={"FormVee"};
      };
   };

   class SentFormLine : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_FORM_LINE_1";
         Speech9[]={"FormLine"};
         Speech5[]={"FormLine"};
      };
   };

   class SentBehaviourCareless : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_BEHAVIOUR_CARELESS_1";
         Speech9[]={"%1.1","Careless"};
         Speech5[]={"%1.1","Careless"};
      };
   };

   class SentBehaviourSafe : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_BEHAVIOUR_SAFE_1";
         Speech9[]={"%1.1","AtEase"};
         Speech5[]={"%1.1","AtEase"};
      };
   };

   class SentBehaviourAware : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_BEHAVIOUR_AWARE_1";
         Speech9[]={"%1.1","StayAlert"};
         Speech5[]={"%1.1","StayAlert"};
      };
   };

   class SentBehaviourCombat : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_BEHAVIOUR_COMBAT_1";
         Speech9[]={"%1.1","Danger"};
         Speech5[]={"%1.1","Danger"};
      };
   };

   class SentBehaviourStealth : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_BEHAVIOUR_STEALTH_1";
         Speech9[]={"%1.1","stealth"};
         Speech5[]={"%1.1","stealth"};
      };
   };

   class SentOpenFire : NormalCommand
   {
      versions[]={"Version1",.5,"Version2"};

      class Version1
      {
         text="$STR_SENT_OPEN_FIRE_1";
         Speech9[]={"%1.1","FireAtWill"};
         Speech5[]={"%1.1","FireAtWill"};
      };

      class Version2
      {
         text="$STR_SENT_OPEN_FIRE_2";
         Speech9[]={"%1.1","WeaponsFree"};
         Speech5[]={"%1.1","WeaponsFree"};
      };
   };

   class SentOpenFireInCombat : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_OPEN_FIRE_IN_COMBAT_1";
         Speech9[]={"%1.1","GoGoGo"};
         Speech5[]={"%1.1","GoGoGo"};
      };
   };

   class SentHoldFire : UrgentCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_HOLD_FIRE_1";
         Speech9[]={"%1.1","HoldFire"};
         Speech5[]={"%1.1","HoldFire"};
      };
   };

   class SentHoldFireInCombat : UrgentCommand
   {
      versions[]={"Version1",.5,"Version2"};

      class Version1
      {
         text="$STR_SENT_HOLD_FIRE_IN_COMBAT_1";
         Speech9[]={"%1.1","CeaseFire"};
         Speech5[]={"%1.1","CeaseFire"};
      };

      class Version2
      {
         text="$STR_SENT_HOLD_FIRE_IN_COMBAT_2";
         Speech9[]={"%1.1","DontFire"};
         Speech5[]={"%1.1","DontFire"};
      };
   };

   class SentCeaseFireInsideGroup : UrgentCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_CEASE_FIRE_INSIDE_GROUP_1";
         Speech9[]={"%1.1","CeaseFire"};
         Speech5[]={"%1.1","CeaseFire"};
      };
   };

   class SentCeaseFire : UrgentCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_CEASE_FIRE_1";
         Speech9[]={"%2.1","CeaseFire"};
         Speech5[]={"%2.1","CeaseFire"};
      };
   };

   class SentLooseFormation : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_LOOSE_FORMATION_1";
         Speech9[]={"%1.1","engageAtWill"};
         Speech5[]={"%1.1","engageAtWill"};
      };
   };

   class SentKeepFormation : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_KEEP_FORMATION_1";
         Speech9[]={"%1.1","disengage"};
         Speech5[]={"%1.1","disengage"};
      };
   };

   class SentUnitPosDown : NormalCommand
   {
      versions[]={"Version1",.3,"Version2",.3,"Version3",.4};

      class Version1
      {
         text="$STR_SENT_UNIT_POS_DOWN_1";
         Speech9[]={"%1.1","goProne"};
         Speech5[]={"%1.1","goProne"};
      };

      class Version2
      {
         text="$STR_SENT_UNIT_POS_DOWN_2";
         Speech9[]={"%1.1","hitTheDirt"};
         Speech5[]={"%1.1","hitTheDirt"};
      };

      class Version3
      {
         text="$STR_SENT_UNIT_POS_DOWN_3";
         Speech9[]={"%1.1","getDown"};
         Speech5[]={"%1.1","getDown"};
      };
   };

   class SentUnitPosUp : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_UNIT_POS_UP_1";
         Speech9[]={"%1.1","StandUp"};
         Speech5[]={"%1.1","StandUp"};
      };
   };

   class SentUnitPosAuto : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_UNIT_POS_AUTO_1";
         Speech9[]={"%1.1","KeepLow"};
         Speech5[]={"%1.1","KeepLow"};
      };
   };

   class SentFormPosAdvance : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_FORM_POS_ADVANCE_1";
         Speech9[]={"%1.1","Advance"};
         Speech5[]={"%1.1","Advance"};
      };
   };

   class SentFormPosStayBack : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_FORM_POS_STAY_BACK_1";
         Speech9[]={"%1.1","StayBack"};
         Speech5[]={"%1.1","StayBack"};
      };
   };

   class SentFormPosFlankLeft : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_FORM_POS_FLANK_LEFT_1";
         Speech9[]={"%1.1","FlankLeft"};
         Speech5[]={"%1.1","FlankLeft"};
      };
   };

   class SentFormPosFlankRight : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_FORM_POS_FLANK_RIGHT_1";
         Speech9[]={"%1.1","FlankRight"};
         Speech5[]={"%1.1","FlankRight"};
      };
   };

   class SentReportStatus : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_REPORT_STATUS_1";
         Speech9[]={"%1.1","ReportStatus"};
         Speech5[]={"%1.1","ReportStatus"};
      };
   };

   class SentTeam : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_TEAM_1";
         Speech9[]={"%1.1","Are","%2"};
         Speech5[]={"%1.1","Are","%2"};
      };
   };

   class SentWatchTgt : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_WATCH_TGT_1";
         Speech9[]={"%1.1","Watch","%2"};
         Speech5[]={"%1.1","Watch","%2"};
      };
   };

   class SentWatchDir : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_WATCH_DIR_1";
         Speech9[]={"%1.1","Watch","%2"};
         Speech5[]={"%1.1","Watch","%2"};
      };
   };

   class SentWatchPos : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_WATCH_POS_1";
         Speech9[]={"%1.1","Watch","%2"};
         Speech5[]={"%1.1","Watch","%2"};
      };
   };

   class SentWatchAround : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_WATCH_AROUND_1";
         Speech9[]={"%1.1","scanHorizon"};
         Speech5[]={"%1.1","scanHorizon"};
      };
   };

   class SentNoTarget : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_NO_TARGET_1";
         Speech9[]={"%1.1","NoTarget"};
         Speech5[]={"%1.1","NoTarget"};
      };
   };

   class SentTarget : UrgentCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_TARGET_1";
         Speech9[]={"%1","Target","%2"};
         Speech5[]={"%1","Target","%2"};
      };
   };

   class SentEngage : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_ENGAGE_1";
         Speech9[]={"%1","Engage","%2"};
         Speech5[]={"%1","Engage","%2"};
      };
   };

   class SentFire : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_FIRE_1";
         Speech9[]={"%1","FireAt","%2"};
         Speech5[]={"%1","FireAt","%2"};
      };
   };

   class SentEngageNoTarget : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_ENGAGE_NO_TARGET_1";
         Speech9[]={"%1","Engage"};
         Speech5[]={"%1","Engage"};
      };
   };

   class SentFireNoTarget : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_FIRE_NO_TARGET_1";
         Speech9[]={"%1","Fire"};
         Speech5[]={"%1","Fire"};
      };
   };

   class SentCmdMove : NormalCommand
   {
      versions[]={"Version1",.5,"Version2",.5};

      class Version1
      {
         text="$STR_SENT_CMD_MOVE_1";
         Speech9[]={"%1.1","MoveTo","%2","XMIT","%3"};
         Speech5[]={"%1.1","MoveTo","%2","XMIT","%3"};
      };

      class Version2
      {
         text="$STR_SENT_CMD_MOVE_2";
         Speech9[]={"%1.1","GoTo","%2","XMIT","%3"};
         Speech5[]={"%1.1","GoTo","%2","XMIT","%3"};
      };
   };

   class SentCmdMoveFar : NormalCommand
   {
      versions[]={"Version1",.5,"Version2",.5};

      class Version1
      {
         text="$STR_SENT_CMD_MOVE_FAR_1";
         Speech9[]={"%1.1","MoveTo","%2"};
         Speech5[]={"%1.1","MoveTo","%2"};
      };

      class Version2
      {
         text="$STR_SENT_CMD_MOVE_FAR_2";
         Speech9[]={"%1.1","GoTo","%2"};
         Speech5[]={"%1.1","GoTo","%2"};
      };
   };

   class SentCmdMoveTo : NormalCommand
   {
      versions[]={"Version1",.5,"Version2",.5};

      class Version1
      {
         text="$STR_SENT_CMD_MOVE_TO_1";
         Speech9[]={"%1.1","MoveTo","%2","%3"};
         Speech5[]={"%1.1","MoveTo","%2","%3"};
      };

      class Version2
      {
         text="$STR_SENT_CMD_MOVE_TO_2";
         Speech9[]={"%1.1","GoTo","%2","%3"};
         Speech5[]={"%1.1","GoTo","%2","%3"};
      };
   };

   class SentCmdMoveNear : NormalCommand
   {
      versions[]={"Version1",1};

      class Version1
      {
         text="$STR_SENT_CMD_MOVE_NEAR_1";
         Speech9[]={"%1.1","moveTo","%2","%3"};
         Speech5[]={"%1.1","moveTo","%2","%3"};
      };
   };

   class SentCmdHeal : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_CMD_HEAL_1";
         Speech9[]={"%1.1","HealAt","%2","%3"};
         Speech5[]={"%1.1","HealAt","%2","%3"};
      };
   };

   class SentCmdHealFar : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_CMD_HEAL_FAR_1";
         Speech9[]={"%1.1","HealAt","%2"};
         Speech5[]={"%1.1","HealAt","%2"};
      };
   };

   class SentCmdHealAt : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_CMD_HEAL_AT_1";
         Speech9[]={"%1.1","GoTo","%2","%3"};
         Speech5[]={"%1.1","GoTo","%2","%3"};
      };
   };

   class SentCmdRepair : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_CMD_REPAIR_1";
         Speech9[]={"%1.1","RepairAt","%2","%3"};
         Speech5[]={"%1.1","RepairAt","%2","%3"};
      };
   };

   class SentCmdRepairFar : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_CMD_REPAIR_FAR_1";
         Speech9[]={"%1.1","RepairAt","%2"};
         Speech5[]={"%1.1","RepairAt","%2"};
      };
   };

   class SentCmdRepairAt : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_CMD_REPAIR_AT_1";
         Speech9[]={"%1.1","RepairAt","%2","%3"};
         Speech5[]={"%1.1","RepairAt","%2","%3"};
      };
   };

   class SentCmdRefuel : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_CMD_REFUEL_1";
         Speech9[]={"%1.1","RefuelAt","%2","%3"};
         Speech5[]={"%1.1","RefuelAt","%2","%3"};
      };
   };

   class SentCmdRefuelFar : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_CMD_REFUEL_FAR_1";
         Speech9[]={"%1.1","RefuelAt","%2"};
         Speech5[]={"%1.1","RefuelAt","%2"};
      };
   };

   class SentCmdRefuelAt : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_CMD_REFUEL_AT_1";
         Speech9[]={"%1.1","RefuelAt","%2","%3"};
         Speech5[]={"%1.1","RefuelAt","%2","%3"};
      };
   };

   class SentCmdRearm : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_CMD_REARM_1";
         Speech9[]={"%1.1","RearmAt","%2","%3"};
         Speech5[]={"%1.1","RearmAt","%2","%3"};
      };
   };

   class SentCmdRearmFar : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_CMD_REARM_FAR_1";
         Speech9[]={"%1.1","RearmAt","%2"};
         Speech5[]={"%1.1","RearmAt","%2"};
      };
   };

   class SentCmdRearmAt : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_CMD_REARM_AT_1";
         Speech9[]={"%1.1","RearmAt","%3"};
         Speech5[]={"%1.1","RearmAt","%3"};
      };
   };

   class SentCmdSupport : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_CMD_SUPPORT_1";
         Speech9[]={"%1.1","supporting","%2","%3"};
         Speech5[]={"%1.1","supporting","%2","%3"};
      };
   };

   class SentCmdSupportFar : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_CMD_SUPPORT_FAR_1";
         Speech9[]={"%1.1","supporting","%2"};
         Speech5[]={"%1.1","supporting","%2"};
      };
   };

   class SentCmdSupportAt : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_CMD_SUPPORT_AT_1";
         Speech9[]={"%1.1","supporting","%2","%3"};
         Speech5[]={"%1.1","supporting","%2","%3"};
      };
   };

   class SentCmdTakeWeapon : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_CMD_TAKE_WEAPON_1";
         Speech9[]={"%1.1","TakeWeaponFrom","%2","%3"};
         Speech5[]={"%1.1","TakeWeaponFrom","%2","%3"};
      };
   };

   class SentCmdTakeWeaponFar : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_CMD_TAKE_WEAPON_FAR_1";
         Speech9[]={"%1.1","TakeWeaponFrom","%2"};
         Speech5[]={"%1.1","TakeWeaponFrom","%2"};
      };
   };

   class SentCmdTakeWeaponAt : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_CMD_TAKE_WEAPON_AT_1";
         Speech9[]={"%1.1","TakeWeaponFrom","%2","%3"};
         Speech5[]={"%1.1","TakeWeaponFrom","%2","%3"};
      };
   };

   class SentCmdTakeMagazine : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_CMD_TAKE_MAGAZINE_1";
         Speech9[]={"%1.1","TakeMagazineFrom","%2","%3"};
         Speech5[]={"%1.1","TakeMagazineFrom","%2","%3"};
      };
   };

   class SentCmdTakeMagazineFar : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_CMD_TAKE_MAGAZINE_FAR_1";
         Speech9[]={"%1.1","TakeMagazineFrom","%2"};
         Speech5[]={"%1.1","TakeMagazineFrom","%2"};
      };
   };

   class SentCmdTakeMagazineAt : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_CMD_TAKE_MAGAZINE_AT_1";
         Speech9[]={"%1.1","TakeMagazineFrom","%2","%3"};
         Speech5[]={"%1.1","TakeMagazineFrom","%2","%3"};
      };
   };

   class SentCmdAction : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_CMD_ACTION_1";
         Speech9[]={};
         Speech5[]={};
      };
   };

   class SentCmdActionFar : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_CMD_ACTION_FAR_1";
         Speech9[]={};
         Speech5[]={};
      };
   };

   class SentCmdActionAt : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_CMD_ACTION_AT_1";
         Speech9[]={};
         Speech5[]={};
      };
   };

   class SentCmdFollowMe : UrgentCommand
   {
      versions[]={"Version1",.4,"Version2",.6};

      class Version1
      {
         text="$STR_SENT_CMD_FOLLOW_ME_1";
         Speech9[]={"%1.1","returnToFormation"};
         Speech5[]={"%1.1","returnToFormation"};
      };

      class Version2
      {
         text="$STR_SENT_CMD_FOLLOW_ME_2";
         Speech9[]={"%1.1","fallBackIntoFormation"};
         Speech5[]={"%1.1","fallBackIntoFormation"};
      };
   };

   class SentCmdFollow : UrgentCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_CMD_FOLLOW_1";
         Speech9[]={"%1.1","Follow","%2.1"};
         Speech5[]={"%1.1","Follow","%2.1"};
      };
   };

   class SentCmdAttack : UrgentCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_CMD_ATTACK_1";
         Speech9[]={"%1.1","Attack","%2"};
         Speech5[]={"%1.1","Attack","%2"};
      };
   };

   class SentAttackNoTarget : UrgentCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_CMD_ATTACK_NO_TARGET_1";
         Speech9[]={"%1.1","Attack"};
         Speech5[]={"%1.1","Attack"};
      };
   };

   class SentCmdFire : UrgentCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_CMD_FIRE_1";
         Speech9[]={"%1.1","FireAt","%2"};
         Speech5[]={"%1.1","FireAt","%2"};
      };
   };

   class SentCmdGetIn : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_CMD_GETIN_1";
         Speech9[]={"%1.1","GetIn","%2"};
         Speech5[]={"%1.1","GetIn","%2"};
      };
   };

   class SentCmdGetInCommander : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_CMD_GETIN_COMMANDER_1";
         Speech9[]={"%1.1","Commander","GetIn","%2"};
         Speech5[]={"%1.1","Commander","GetIn","%2"};
      };
   };

   class SentCmdGetInDriver : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_CMD_GETIN_DRIVER_1";
         Speech9[]={"%1.1","Driver","GetIn","%2"};
         Speech5[]={"%1.1","Driver","GetIn","%2"};
      };
   };

   class SentCmdGetInPilot : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_CMD_GETIN_PILOT_1";
         Speech9[]={"%1.1","Pilot","GetIn","%2"};
         Speech5[]={"%1.1","Pilot","GetIn","%2"};
      };
   };

   class SentCmdGetInGunner : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_CMD_GETIN_GUNNER_1";
         Speech9[]={"%1.1","Gunner","GetIn","%2"};
         Speech5[]={"%1.1","Gunner","GetIn","%2"};
      };
   };

   class SentCmdGetInCargo : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_CMD_GETIN_CARGO_1";
         Speech9[]={"%1.1","Board","%2"};
         Speech5[]={"%1.1","Board","%2"};
      };
   };

   class SentCmdGetOut : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_CMD_GETOUT_1";
         Speech9[]={"%1.1","Disembark"};
         Speech5[]={"%1.1","Disembark"};
      };
   };

   class SentCmdStop : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_CMD_STOP_1";
         Speech9[]={"%1.1","halt"};
         Speech5[]={"%1.1","halt"};
      };
   };

   class SentCmdExpect : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_CMD_EXPECT_1";
         Speech9[]={"%1.1","WaitForMe"};
         Speech5[]={"%1.1","WaitForMe"};
      };
   };

   class SentCmdHide : NormalCommand
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_CMD_HIDE_1";
         Speech9[]={"%1.1","TakeCover"};
         Speech5[]={"%1.1","TakeCover"};
      };
   };

   class SentNotifyAttack : Notify
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_NOTIFY_ATTACK_1";
         Speech9[]={"%1.1","Engaging"};
         Speech5[]={"%1.1","Engaging"};
      };
   };

   class SentNotifySupport : Notify
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_NOTIFY_SUPPORT_1";
         Speech9[]={"%1.1","supporting"};
         Speech5[]={"%1.1","supporting"};
      };
   };

   class SentConfirmPrivate : Confirmation
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_CONFIRM_PRIVATE_1";
         Speech9[]={"Roger"};
         Speech5[]={"Roger"};
      };
   };

   class SentConfirmMove : Confirmation
   {
      versions[]={"Version1",.6,"Version2",.2,"Version3",.2};

      class Version1
      {
         text="$STR_SENT_CONFIRM_MOVE_1";
         Speech9[]={"Roger"};
         Speech5[]={"Roger"};
      };

      class Version2
      {
         text="$STR_SENT_CONFIRM_MOVE_2";
         Speech9[]={"movingOn"};
         Speech5[]={"movingOn"};
      };

      class Version3
      {
         text="$STR_SENT_CONFIRM_MOVE_3";
         Speech9[]={"OnTheWay"};
         Speech5[]={"OnTheWay"};
      };
   };

   class SentConfirmAttack : Confirmation
   {
      versions[]={"Version1",.5,"Version2",.25,"Version3"};

      class Version1
      {
         text="$STR_SENT_CONFIRM_ATTACK_1";
         Speech9[]={"IAmOnHim"};
         Speech5[]={"IAmOnHim"};
      };

      class Version2
      {
         text="$STR_SENT_CONFIRM_ATTACK_2";
         Speech9[]={"Roger"};
         Speech5[]={"Roger"};
      };

      class Version3
      {
         text="$STR_SENT_CONFIRM_ATTACK_3";
         Speech9[]={"OnTheWay"};
         Speech5[]={"OnTheWay"};
      };
   };

   class SentConfirmOther : Confirmation
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_CONFIRM_OTHER_1";
         Speech9[]={"Roger"};
         Speech5[]={"Roger"};
      };
   };

   class VehicleMove
   {
      versions[]={"Version1",.5,"Version2"};

      class Version1
      {
         text="$STR_SENT_VEHICLE_MOVE_1";
         Speech9[]={"MoveTo","%1","XMIT","%2"};
         Speech5[]={"MoveTo","%1","XMIT","%2"};
      };

      class Version2
      {
         text="$STR_SENT_VEHICLE_MOVE_2";
         Speech9[]={"GoTo","%1","XMIT","%2"};
         Speech5[]={"GoTo","%1","XMIT","%2"};
      };
   };

   class VehicleJoin
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_VEHICLE_JOIN_1";
         Speech9[]={"KeepFormation"};
         Speech5[]={"KeepFormation"};
      };
   };

   class VehicleFire
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_VEHICLE_FIRE_1";
         Speech9[]={"FireAt","%1"};
         Speech5[]={"FireAt","%1"};
      };
   };

   class VehicleTarget
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_VEHICLE_TARGET_1";
         Speech9[]={"Target","%1","XMIT","%2"};
         Speech5[]={"Target","%1","XMIT","%2"};
      };
   };

   class VehicleNoTarget
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_VEHICLE_NO_TARGET_1";
         Speech9[]={"NoTarget"};
         Speech5[]={"NoTarget"};
      };
   };

   class VehicleCeaseFire
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_VEHICLE_CEASE_FIRE_1";
         Speech9[]={"CeaseFire"};
         Speech5[]={"CeaseFire"};
      };
   };

   class VehicleForward
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_VEHICLE_FORWARD_1";
         Speech9[]={"XMIT","Forward"};
         Speech5[]={"XMIT","Forward"};
      };
   };

   class VehicleStop
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_VEHICLE_STOP_1";
         Speech9[]={"XMIT","Halt"};
         Speech5[]={"XMIT","Halt"};
      };
   };

   class VehicleBackward
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_VEHICLE_BACKWARD_1";
         Speech9[]={"XMIT","reverse"};
         Speech5[]={"XMIT","reverse"};
      };
   };

   class VehicleFaster
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_VEHICLE_FASTER_1";
         Speech9[]={"XMIT","Fast"};
         Speech5[]={"XMIT","Fast"};
      };
   };

   class VehicleSlower
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_VEHICLE_SLOWER_1";
         Speech9[]={"XMIT","Slow"};
         Speech5[]={"XMIT","Slow"};
      };
   };

   class VehicleLeft
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_VEHICLE_LEFT_1";
         Speech9[]={"XMIT","Left"};
         Speech5[]={"XMIT","Left"};
      };
   };

   class VehicleRight
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_VEHICLE_RIGHT_1";
         Speech9[]={"XMIT","Right"};
         Speech5[]={"XMIT","Right"};
      };
   };

   class VehicleDirectFire
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_VEHICLE_DIRECT_FIRE_1";
         Speech9[]={"Fire"};
         Speech5[]={"Fire"};
      };
   };

   class VehicleLoad
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_VEHICLE_LOAD_1";
         Speech9[]={"%1"};
         Speech5[]={"%1"};
      };
   };

   class VehicleAzimut
   {
      versions[]={"Version1"};

      class Version1
      {
         text="$STR_SENT_VEHICLE_AZIMUT_1";
         Speech9[]={"%1"};
         Speech5[]={"%1"};
      };
   };

   class VehicleFireFailed
   {
      versions[]={"Version1",.5,"Version2",.5};

      class Version1
      {
         text="$STR_SENT_VEHICLE_FIRE_FAILED_1";
         Speech9[]={"Negative"};
         Speech5[]={"Negative"};
      };

      class Version2
      {
         text="$STR_SENT_VEHICLE_FIRE_FAILED_2";
         Speech9[]={"CannotFire"};
         Speech5[]={"CannotFire"};
      };
   };
};


class RscMainMenu
{
   access=3;
   title="$STR_COMMAND";
   atomic=0;
   items[]={"Move","Target","Engage","GetIn","Status","Action","CombatMode","Formations","Team","Reply","HideMenu"};

   class Move
   {
      title="$STR_MOVE";
      key=2;
      character=1;
      command=-2;
      menu="RscMoveHigh";
   };

   class Target
   {
      title="$STR_WATCH_TARGET";
      key=3;
      character=2;
      command=0;
   };

   class Engage
   {
      title="$STR_WATCH";
      key=4;
      character=3;
      command=-2;
      menu="RscWatchDir";
   };

   class GetIn
   {
      title="$STR_GETIN";
      key=5;
      character=4;
      command=1;
   };

   class Status
   {
      title="$STR_STATUS";
      key=6;
      character=5;
      menu="RscStatus";
      Command=-2;
   };

   class Action
   {
      title="$STR_ACTION";
      key=7;
      character=6;
      command=3;
   };

   class CombatMode
   {
      title="$STR_COMBAT_MODE";
      key=8;
      character=7;
      command=-2;
      menu="RscCombatMode";
   };

   class Formations
   {
      title="$STR_FORMATION";
      key=9;
      character=8;
      command=-2;
      menu="RscFormations";
   };

   class Team
   {
      title="$STR_TEAM";
      key=10;
      character=9;
      command=-2;
      menu="RscTeam";
   };

   class Reply
   {
      title="$STR_REPLY";
      key=11;
      character=0;
      command=-2;
      menu="RscReply";
   };

   class HideMenu
   {
      title="";
      key=14;
      character="Backspace";
      command=-3;
   };
};


class RscSubmenu
{
   access=3;
   atomic=0;

   class Back
   {
      title="";
      key=14;
      character="Backspace";
      command=-4;
   };

   class Separator
   {
      title="";
      key=0;
      character=0;
      command=-1;
   };
};


class RscMoveHigh : RscSubmenu
{
   title="$STR_MOVE_DIR";
   items[]={"Join","Advance","StayBack","FlankLeft","FlankRight","Separator","Stop","Expect","Hide","Separator","NextWP","Separator","Other","Back"};

   class Join
   {
      title="$STR_FOLLOW_ME";
      key=2;
      character=1;
      command=10;
   };

   class Advance
   {
      title="$STR_ADVANCE";
      key=3;
      character=2;
      command=4;
   };

   class StayBack
   {
      title="$STR_STAY_BACK";
      key=4;
      character=3;
      command=5;
   };

   class FlankLeft
   {
      title="$STR_FLANK_LEFT";
      key=5;
      character=4;
      command=6;
   };

   class FlankRight
   {
      title="$STR_FLANK_RIGHT";
      key=6;
      character=5;
      command=7;
   };

   class Stop
   {
      title="$STR_STOP";
      key=7;
      character=6;
      command=11;
   };

   class Expect
   {
      title="$STR_EXPECT";
      key=8;
      character=7;
      command=12;
   };

   class Hide
   {
      title="$STR_HIDE";
      key=9;
      character=8;
      command=9;
   };

   class NextWP
   {
      title="$STR_NEXT_WAYPOINT";
      key=10;
      character=9;
      command=8;
   };

   class Other
   {
      title="$STR_MOVE_OTHER";
      key=11;
      character=0;
      command=13;
      menu="RscMoveDir";
   };
};


class RscMoveDir : RscSubmenu
{
   atomic=1;
   title="$STR_MOVE_DIR";
   items[]={"N","NE","E","SE","S","SW","W","NW","Back"};

   class N
   {
      title="$STR_MOVE_N";
      key=2;
      character=1;
      command=-2;
      menu="RscMoveDist";
   };

   class NE
   {
      title="$STR_MOVE_NE";
      key=3;
      character=2;
      command=-2;
      menu="RscMoveDist";
   };

   class E
   {
      title="$STR_MOVE_E";
      key=4;
      character=3;
      command=-2;
      menu="RscMoveDist";
   };

   class SE
   {
      title="$STR_MOVE_SE";
      key=5;
      character=4;
      command=-2;
      menu="RscMoveDist";
   };

   class S
   {
      title="$STR_MOVE_S";
      key=6;
      character=5;
      command=-2;
      menu="RscMoveDist";
   };

   class SW
   {
      title="$STR_MOVE_SW";
      key=7;
      character=6;
      command=-2;
      menu="RscMoveDist";
   };

   class W
   {
      title="$STR_MOVE_W";
      key=8;
      character=7;
      command=-2;
      menu="RscMoveDist";
   };

   class NW
   {
      title="$STR_MOVE_NW";
      key=9;
      character=8;
      command=-2;
      menu="RscMoveDist";
   };
};


class RscReply : RscSubmenu
{
   title="$STR_REPLY_MENU";
   items[]={"Done","Fail","FireReady","FireNotReady","Repeat","Copy","UserRadio","Radio","Back"};

   class Done
   {
      title="$STR_REPLY_DONE";
      key=2;
      character=1;
      command=66;
   };

   class Fail
   {
      title="$STR_REPLY_FAIL";
      key=3;
      character=2;
      command=67;
   };

   class FireReady
   {
      title="$STR_REPLY_FIREREADY";
      key=4;
      character=3;
      command=76;
   };

   class FireNotReady
   {
      title="$STR_REPLY_FIRENOTREADY";
      key=5;
      character=4;
      command=77;
   };

   class Repeat
   {
      title="$STR_REPLY_REPEAT";
      key=8;
      character=7;
      command=69;
   };

   class Copy
   {
      title="$STR_REPLY_COPY";
      key=9;
      character=8;
      command=68;
   };

   class UserRadio
   {
      title="$STR_RADIO_CUSTOM";
      key=10;
      character=9;
      command=87;
      menu="RscUserRadio";
   };

   class Radio
   {
      title="$STR_RADIO";
      key=11;
      character=0;
      command=-2;
      menu="RscRadio";
   };
};


class RscCallSupport : RscSubmenu
{
   title="$STR_SUPPORT_MENU";
   items[]={"Medic","Repair","Rearm","Refuel","Done","Back"};

   class Medic
   {
      title="$STR_SUPPORT_MEDIC";
      key=2;
      character=1;
      command=82;
   };

   class Repair
   {
      title="$STR_SUPPORT_REPAIR";
      key=3;
      character=2;
      command=83;
   };

   class Rearm
   {
      title="$STR_SUPPORT_REARM";
      key=4;
      character=3;
      command=84;
   };

   class Refuel
   {
      title="$STR_SUPPORT_REFUEL";
      key=5;
      character=4;
      command=85;
   };

   class Done
   {
      title="$STR_SUPPORT_DONE";
      key=6;
      character=5;
      command=86;
   };
};


class RscStatus : RscSubmenu
{
   title="$STR_MENU_STATUS";
   items[]={"Support","FuelLow","AmmoLow","Injured","WhereAreYou","Report","UnderFire","OneLess","IsDown","Back"};

   class Support
   {
      title="$STR_CALL_SUPPORT";
      key=2;
      character=1;
      command=-2;
      menu="RscCallSupport";
   };

   class FuelLow
   {
      title="$STR_REPLY_FUEL_LOW";
      key=3;
      character=2;
      command=80;
   };

   class AmmoLow
   {
      title="$STR_REPLY_AMMO_LOW";
      key=4;
      character=3;
      command=79;
   };

   class Injured
   {
      title="$STR_REPLY_INJURED";
      key=5;
      character=4;
      command=81;
   };

   class WhereAreYou
   {
      title="$STR_REPLY_WHERE_ARE_YOU";
      key=6;
      character=5;
      command=70;
   };

   class Report
   {
      title="$STR_REPORT";
      key=6;
      character=5;
      command=71;
   };

   class UnderFire
   {
      title="$STR_REPLY_UNDER_FIRE";
      key=7;
      character=6;
      command=73;
   };

   class OneLess
   {
      title="$STR_REPLY_ONE_LESS";
      key=8;
      character=7;
      command=75;
   };

   class IsDown
   {
      title="$STR_REPLY_KILLED";
      key=9;
      character=8;
      command=78;
   };
};


class RscWatchDir : RscSubmenu
{
   title="$STR_WATCH_DIR";
   items[]={"OpenFire","HoldFire","Fire","Separator","Engage","EngageAtWill","Disengage","Separator","LookAround","WatchDir","Back"};

   class OpenFire
   {
      title="$STR_OPEN_FIRE";
      key=2;
      character=1;
      command=25;
   };

   class HoldFire
   {
      title="$STR_HOLD_FIRE";
      key=3;
      character=2;
      command=24;
   };

   class Fire
   {
      title="$STR_FIRE";
      key=4;
      character=3;
      command=26;
   };

   class Engage
   {
      title="$STR_ENGAGE_NOW";
      key=5;
      character=4;
      command=21;
   };

   class EngageAtWill
   {
      title="$STR_ENGAGE_AT_WILL";
      key=6;
      character=5;
      command=22;
   };

   class Disengage
   {
      title="$STR_DISENGAGE";
      key=7;
      character=6;
      command=23;
   };

   class LookAround
   {
      title="$STR_LOOK_AROUND";
      key=8;
      character=7;
      command=27;
   };

   class WatchDir
   {
      title="$STR_WATCH_DIR";
      key=9;
      character=8;
      command=29;
      menu="RscWatchMoreDir";
   };
};


class RscWatchMoreDir : RscSubmenu
{
   title="$STR_WATCH_DIR";
   atomic=1;
   items[]={"N","NE","E","SE","S","SW","W","NW","Back"};

   class N
   {
      title="$STR_MOVE_N";
      key=2;
      character=1;
      command=31;
   };

   class NE
   {
      title="$STR_MOVE_NE";
      key=3;
      character=2;
      command=32;
   };

   class E
   {
      title="$STR_MOVE_E";
      key=4;
      character=3;
      command=33;
   };

   class SE
   {
      title="$STR_MOVE_SE";
      key=5;
      character=4;
      command=34;
   };

   class S
   {
      title="$STR_MOVE_S";
      key=6;
      character=5;
      command=35;
   };

   class SW
   {
      title="$STR_MOVE_SW";
      key=7;
      character=6;
      command=36;
   };

   class W
   {
      title="$STR_MOVE_W";
      key=8;
      character=7;
      command=37;
   };

   class NW
   {
      title="$STR_MOVE_NW";
      key=9;
      character=8;
      command=38;
   };
};


class RscMoveDist : RscSubmenu
{
   title="$STR_MOVE_DIST";
   items[]={"D50","D100","D200","D500","D1000","D2000","Back"};

   class D50
   {
      title="$STR_MOVE_50";
      key=2;
      character=1;
      command=4096;
   };

   class D100
   {
      title="$STR_MOVE_100";
      key=3;
      character=2;
      command=4096;
   };

   class D200
   {
      title="$STR_MOVE_200";
      key=4;
      character=3;
      command=4096;
   };

   class D500
   {
      title="$STR_MOVE_500";
      key=5;
      character=4;
      command=4096;
   };

   class D1000
   {
      title="$STR_MOVE_1000";
      key=6;
      character=5;
      command=4096;
   };

   class D2000
   {
      title="$STR_MOVE_2000";
      key=7;
      character=6;
      command=4096;
   };
};


class RscFormations : RscSubmenu
{
   title="$STR_FORMATION";
   items[]={"Column","Staggered","Wedge","EchL","EchR","Vee","Line","Back"};

   class Column
   {
      title="$STR_COLUMN";
      key=2;
      character=1;
      command=14;
   };

   class Staggered
   {
      title="$STR_STAGGERED";
      key=3;
      character=2;
      command=15;
   };

   class Wedge
   {
      title="$STR_WEDGE";
      key=4;
      character=3;
      command=16;
   };

   class EchL
   {
      title="$STR_ECHL";
      key=5;
      character=4;
      command=17;
   };

   class EchR
   {
      title="$STR_ECHR";
      key=6;
      character=5;
      command=18;
   };

   class Vee
   {
      title="$STR_VEE";
      key=7;
      character=6;
      command=19;
   };

   class Line
   {
      title="$STR_LINE";
      key=8;
      character=7;
      command=20;
   };
};


class RscCombatMode : RscSubmenu
{
   title="$STR_COMBAT_MODE";
   items[]={"Stealth","Combat","Aware","Safe","Separator","PosUp","PosDown","PosAuto","Separator","Back"};

   class Stealth
   {
      title="$STR_STEALTH";
      key=2;
      character=1;
      command=39;
   };

   class Combat
   {
      title="$STR_COMBAT";
      key=3;
      character=2;
      command=40;
   };

   class Aware
   {
      title="$STR_AWARE";
      key=4;
      character=3;
      command=41;
   };

   class Safe
   {
      title="$STR_SAFE";
      key=5;
      character=4;
      command=42;
   };

   class PosUp
   {
      title="$STR_POS_UP";
      key=6;
      character=5;
      command=43;
   };

   class PosDown
   {
      title="$STR_POS_DOWN";
      key=7;
      character=6;
      command=44;
   };

   class PosAuto
   {
      title="$STR_POS_AUTO";
      key=8;
      character=7;
      command=45;
   };
};


class RscTeam : RscSubmenu
{
   title="$STR_TEAM";
   items[]={"Red","Green","Blue","Yellow","Main","Separator","Assign","Back"};

   class Red
   {
      title="$STR_TEAM_RED";
      key=2;
      character=1;
      command=47;
   };

   class Green
   {
      title="$STR_TEAM_GREEN";
      key=3;
      character=2;
      command=48;
   };

   class Blue
   {
      title="$STR_TEAM_BLUE";
      key=4;
      character=3;
      command=49;
   };

   class Yellow
   {
      title="$STR_TEAM_YELLOW";
      key=5;
      character=4;
      command=50;
   };

   class Main
   {
      title="$STR_TEAM_MAIN";
      key=6;
      character=5;
      command=46;
   };

   class Assign
   {
      title="$STR_ASSIGN";
      key=10;
      character=9;
      command=-2;
      menu="RscAssign";
   };
};


class RscAssign : RscSubmenu
{
   title="$STR_ASSIGN";
   items[]={"AssignRed","AssignGreen","AssignBlue","AssignYellow","AssignMain","Back"};

   class AssignRed
   {
      title="$STR_ASSIGN_RED";
      key=2;
      character=1;
      command=52;
   };

   class AssignGreen
   {
      title="$STR_ASSIGN_GREEN";
      key=3;
      character=2;
      command=53;
   };

   class AssignBlue
   {
      title="$STR_ASSIGN_BLUE";
      key=4;
      character=3;
      command=54;
   };

   class AssignYellow
   {
      title="$STR_ASSIGN_YELLOW";
      key=5;
      character=4;
      command=55;
   };

   class AssignMain
   {
      title="$STR_ASSIGN_MAIN";
      key=6;
      character=5;
      command=51;
   };
};


class RscRadio : RscSubmenu
{
   title="$STR_RADIO";
   items[]={"Alpha","Bravo","Charlie","Delta","Echo","Foxtrot","Golf","Hotel","India","Juliet","Back"};

   class Alpha
   {
      title="$STR_RADIO_ALPHA";
      key=2;
      character=1;
      command=56;
   };

   class Bravo
   {
      title="$STR_RADIO_BRAVO";
      key=3;
      character=2;
      command=57;
   };

   class Charlie
   {
      title="$STR_RADIO_CHARLIE";
      key=4;
      character=3;
      command=58;
   };

   class Delta
   {
      title="$STR_RADIO_DELTA";
      key=5;
      character=4;
      command=59;
   };

   class Echo
   {
      title="$STR_RADIO_ECHO";
      key=6;
      character=5;
      command=60;
   };

   class Foxtrot
   {
      title="$STR_RADIO_FOXTROT";
      key=7;
      character=6;
      command=61;
   };

   class Golf
   {
      title="$STR_RADIO_GOLF";
      key=8;
      character=7;
      command=62;
   };

   class Hotel
   {
      title="$STR_RADIO_HOTEL";
      key=9;
      character=8;
      command=63;
   };

   class India
   {
      title="$STR_RADIO_INDIA";
      key=10;
      character=9;
      command=64;
   };

   class Juliet
   {
      title="$STR_RADIO_JULIET";
      key=11;
      character=0;
      command=65;
   };
};


class RscUserRadio : RscSubmenu
{
   title="$STR_RADIO_CUSTOM";
   atomic=1;
   items[]={"Back"};
};







/* ---------------------- RESOURCE -----------------------*/

class RscBackground
{
   access=3;
   type=0;
   idc=-1;
   style=80;
   x=.15;
   y=.15;
   w=.7;
   h=.7;
   text="";
   colorBackground[]={1,1,1,1};
   colorText[]={0,0,0,0};
   font="tahomaB24";
   sizeEx=0;
};


class RscTitle
{
   access=3;
   type=0;
   idc=-1;
   style="32 +                2";
   x=.15;
   y=.164;
   w=.7;
   h=.06;
   text="";
   colorBackground[]={1,1,1,1};
   colorText[]={.08,.08,.12,1};
   font="tahomaB36";
   sizeEx="1.0714 * 0.03";
};


class RscFrame
{
   access=3;
   type=0;
   idc=-1;
   style=64;
   text="";
   colorBackground[]={0,0,0,0};
   colorText[]={.08,.08,.12,.75};
   font="tahomaB24";
   sizeEx=.02;
};


class RscGroupBox
{
   access=3;
   type=0;
   idc=-1;
   style=96;
   text="";
   colorBackground[]={0,0,0,0};
   colorText[]={0,0,0,0};
   font="tahomaB24";
   sizeEx=.02;
};


class RscGroupBox2
{
   access=3;
   type=0;
   idc=-1;
   style=112;
   text="";
   colorBackground[]={1,1,1,.6};
   colorText[]={0,0,0,0};
   font="tahomaB24";
   sizeEx=.02;
};


class RscText
{
   access=3;
   type=0;
   idc=-1;
   style=0;
   h=.04;
   colorBackground[]={0,0,0,0};
   colorText[]={.08,.08,.12,.75};
   font="tahomaB24";
   sizeEx=.02;
};


class RscPicture
{
   access=3;
   type=0;
   idc=-1;
   style=48;
   colorBackground[]={0,0,0,0};
   colorText[]={1,1,1,1};
   font="tahomaB24";
   sizeEx=0;
};


class RscTilePicture
{
   access=3;
   type=0;
   idc=-1;
   style=144;
   colorBackground[]={0,0,0,0};
   colorText[]={1,1,1,1};
   font="tahomaB24";
   sizeEx=0;
};


class RscHTML
{
   access=3;
   type=9;
   idc=-1;
   style=0;
   colorBackground[]={0,0,0,0};
   colorText[]={0,0,0,1};
   colorBold[]={0,0,.2,1};
   colorLink[]={.4,.4,.8,1};
   colorLinkActive[]={.8,.35,.48,1};
   tooltipColorText[]={0,0,0,1};
   tooltipColorBox[]={0,0,0,.5};
   tooltipColorShade[]={1,1,.7,1};

   class H1
   {
      font="courierNewB64";
      fontBold="courierNewB64";
      sizeEx=.048;
   };

   class H2
   {
      font="courierNewB64";
      fontBold="courierNewB64";
      sizeEx="0.7 * 0.048";
   };

   class H3
   {
      font="courierNewB64";
      fontBold="courierNewB64";
      sizeEx="0.5 * 0.048";
   };

   class H4
   {
      font="courierNewB64";
      fontBold="courierNewB64";
      sizeEx="0.4 * 0.048";
   };

   class H5
   {
      font="garamond64";
      fontBold="garamond64";
      sizeEx="0.6 * 0.048";
   };

   class H6
   {
      font="AudreysHandI48";
      fontBold="AudreysHandI48";
      sizeEx="0.7 * 0.045";
   };

   class P
   {
      font="courierNewB64";
      fontBold="courierNewB64";
      sizeEx="0.47 * 0.048";
   };
};


class RscButton
{
   access=3;
   type=1;
   style=2;
   w=.16;
   h=.06;
   colorText[]={.08,.08,.12,1};
   font="tahomaB24";
   sizeEx=.02;
   default=0;
   soundPush[]={"ui\ui_ok",.2,1};
   soundClick[]={"",.2,1};
   soundEscape[]={"ui\ui_cc",.2,1};
};


class RscButtonMap : RscButton
{
   w=.12;
};


class RscButtonSmall : RscButton
{
   w=.12;
};


class RscEdit
{
   access=3;
   type=2;
   style=0;
   h=.04;
   colorBackground[]={0,0,0,0};
   colorText[]={.08,.08,.12,.75};
   colorSelection[]={1,1,1,.25};
   font="tahomaB24";
   sizeEx=.02;
   autocomplete="";
};


class RscCombo
{
   access=3;
   type=4;
   style=0;
   h=.04;
   wholeHeight=.25;
   colorSelect[]={.35,.38,.36,1};
   colorText[]={.08,.08,.12,.75};
   colorBackground[]={.35,.38,.36,.75};
   font="tahomaB24";
   sizeEx=.02;
};


class RscListBox
{
   access=3;
   type=5;
   style=0;
   h=.25;
   colorSelect[]={.35,.38,.36,1};
   colorText[]={.08,.08,.12,.75};
   font="tahomaB24";
   sizeEx=.02;
   rowHeight=0;
};


class RscTree
{
   access=3;
   type=12;
   style=0;
   colorBackground[]={.35,.38,.36,1};
   colorSelect[]={.08,.08,.12,1};
   colorText[]={.08,.08,.12,.75};
   font="tahomaB24";
   sizeEx=.02;
};


class RscSliderH
{
   access=3;
   type=3;
   style=1;
   h=.028;
   color[]={.08,.08,.12,.75};
};


class RscSliderV
{
   access=3;
   type=3;
   style=0;
   w=.021;
   color[]={.08,.08,.12,.75};
};


class RscActiveText
{
   access=3;
   type=11;
   style=0;
   color[]={0,0,0,1};
   colorActive[]={1,1,1,1};
   font="SteelfishB64";
   sizeEx=.05;
   soundEnter[]={"ui\ui_over",.2,1};
   soundPush[]={"",.2,1};
   soundClick[]={"ui\ui_ok",.2,1};
   soundEscape[]={"ui\ui_cc",.2,1};
   default=0;
};


class Rsc3DSliderH
{
   access=3;
   type=24;
   style=0;
   w=.021;
   color[]={.08,.08,.12,.75};
};

class RscObjNotebookEditECP
{
   access=3;
   type=25;
   style=0;
   colorText[]={0,1,0,1};
   colorSelection[]={0,1,0,.4};
   font="courierNewB64";
   size=.8;
   angle=0;
   selection="display";
   autocomplete="";
   h=.05;
   text="";
};

class RscActiveTextECP
{
   access=3;
   type=11;
   style=0;
   color[]={1,1,1,1};
   colorActive[]={1,0,0,1};
   font="SteelfishB64";
   sizeEx=.05;
   soundEnter[]={"ui\ui_over",.2,1};
   soundPush[]={"",.2,1};
   soundClick[]={"ui\ui_ok",.2,1};
   soundEscape[]={"ui\ui_cc",.2,1};
   default=0;
};



class RscObjNotebookButtonECP
{
   access=3;
   type=21;
   style=0;
   color[]={1,0,0,.5};
   colorActive[]={1,0,0,1};
   font="courierNewB64";
   angle=0;
   selection="display";
   h=.05;
   soundEnter[]={"ui\ui_over",.2,1};
   soundPush[]={"",.2,1};
   soundClick[]={"ui\ui_ok",.2,1};
   soundEscape[]={"ui\ui_cc",.2,1};
   default=0;
};

	// Message box (tweak)
class RscMsgBox
{
   access=3;

   class Background : RscBackground
   {
   };

   class SubBackground : RscGroupBox2
   {
   };

   class Text : RscText
   {
      style=16;
      lineSpacing=1;
	  sizeEx=0.017		// added
   };

   class Button : RscButton
   {
      h=.05;
   };

   class ButtonOK : Button
   {
      idc=1;
      text="$STR_DISP_OK";
      soundClick[]={"ui\ui_ok",.2,1};
      default=1;
   };

   class ButtonCancel : Button
   {
      idc=2;
      soundClick[]={"ui\ui_cc",.2,1};
      text="$STR_DISP_CANCEL";
      default=1;
   };
};


class RscNotebookText : RscText
{
   access=3;
   colorText[]={0,0,0,.8};
};


class RscNotebookText12 : RscNotebookText
{
   access=3;
   font="tahomaB24";
   sizeEx=.02;
};


class RscNotebookText10 : RscNotebookText
{
   access=3;
   font="tahomaB24";
   sizeEx=.02;
};


class RscMapControl
{
   access=3;
   type=0;
   idc=51;
   style=48;
   colorBackground[]={1,1,1,1};
   colorText[]={0,0,0,1};
   font="courierNewB64";
   sizeEx=.048;
   colorSea[]={.56,.8,.98,.5};
   colorForest[]={.6,.8,.2,.5};
   colorCountlines[]={.65,.45,.27,.5};
   colorCountlinesWater[]={0,.53,1,.5};
   colorForestBorder[]={.4,.8,0,1};
   colorNames[]={0,0,0,1};
   colorInactive[]={1,1,1,.5};
   fontLabel="tahomaB24";
   sizeExLabel=.02;
   fontGrid="tahomaB36";
   sizeExGrid="0.7 * 0.03";
   fontUnits="tahomaB24";
   sizeExUnits=.02;
   fontNames="courierNewB64";
   sizeExNames="3.0 * 0.048";
   text="podmapa.pac";

   class Tree
   {
      icon="tree";
      color[]={0,0,0,1};
      size=16;
   };

   class SmallTree
   {
      icon="small_tree";
      color[]={0,0,0,1};
      size=16;
   };

   class Bush
   {
      icon="bush";
      color[]={0,0,0,1};
      size=16;
   };

   class Church
   {
      icon="church";
      color[]={0,0,0,1};
      size=16;
   };

   class Chapel
   {
      icon="chapel";
      color[]={0,0,0,1};
      size=16;
   };

   class Cross
   {
      icon="cross";
      color[]={0,0,0,1};
      size=16;
   };

   class Rock
   {
      icon="rock";
      color[]={0,0,0,1};
      size=16;
   };

   class Bunker
   {
      icon="bunker";
      color[]={0,0,0,1};
      size=16;
   };

   class Fortress
   {
      icon="fortress";
      color[]={0,0,0,1};
      size=16;
   };

   class Fountain
   {
      icon="fountain";
      color[]={0,0,1,1};
      size=16;
   };

   class ViewTower
   {
      icon="view-tower";
      color[]={0,0,0,1};
      size=16;
   };

   class Lighthouse
   {
      icon="lighthouse";
      color[]={0,0,0,1};
      size=16;
   };

   class Quay
   {
      icon="quay";
      color[]={0,0,0,1};
      size=16;
   };

   class Fuelstation
   {
      icon="fuelstation";
      color[]={0,0,0,1};
      size=16;
   };

   class Hospital
   {
      icon="hospital";
      color[]={1,0,0,1};
      size=16;
   };

   class BusStop
   {
      icon="\o\misc\busstop.paa";
      color[]={0,0,1,1};
      size=8;
   };

   class Waypoint
   {
      icon="waypoint";
      color[]={0,0,0,1};
      size=24;
   };

   class WaypointCompleted
   {
      icon="waypoint_2";
      color[]={0,0,0,1};
      size=24;
   };
};


class RscToolbox
{
   access=3;
   type=6;
   style=2;
   colorText[]={0,0,0,.4};
   color[]={0,0,0,.4};
   colorTextSelect[]={0,0,0,.8};
   colorSelect[]={0,0,0,.8};
   colorTextDisable[]={0,0,0,.2};
   colorDisable[]={0,0,0,.2};



   font="tahomaB36";


   sizeEx=.02;
};









/* ---------------------- MISSION EDITOR -----------------------*/	

	// Main screen
class RscNotebook
{
   access=3;
   movingEnable=0;


   class ECPBackground1 : RscPicture		// edited
   {
      text = ECP_editor_top;
      x = __EVAL(0.852 + AR_modifX); y = __EVAL(0.0 - AR_modifY); w = 0.25; h = __EVAL(0.333 + AR_modifY);
      colorText[] = ECP_editor_bar_color;
   };
   class ECPBackground2 : RscPicture		// edited
   {
      text = ECP_editor_middle;
      x = __EVAL(0.852 + AR_modifX); y = 0.333; w = 0.25; h = 0.333;
      colorText[] = ECP_editor_bar_color;
   };
   class ECPBackground3 : RscPicture		// edited
   {
      text = ECP_editor_bottom;
      x = __EVAL(0.852 + AR_modifX); y = 0.666; w = 0.25; h = __EVAL(0.334 + AR_modifY);
      colorText[] = ECP_editor_bar_color;
   };


   class BackgroundA : RscPicture
   {
      text="notasA.pac";
      x=0;
      y=0;
      w=.4;
      h=.5;
      colorText[]={1,1,1,1};
   };

   class BackgroundB : RscPicture
   {
      text="notasB.pac";
      x=.4;
      y=0;
      w=.4;
      h=.5;
      colorText[]={1,1,1,1};
   };

   class BackgroundC : RscPicture
   {
      text="notasC.pac";
      x=0;
      y=.5;
      w=.4;
      h=.5;
      colorText[]={1,1,1,1};
   };

   class BackgroundD : RscPicture
   {
      text="notasD.pac";
      x=.4;
      y=.5;
      w=.4;
      h=.5;
      colorText[]={1,1,1,1};
   };

   class BackgroundE : RscPicture
   {
      text="notasE.pac";
      x=.8;
      y=0;
      w=.2;
      h=.5;
      colorText[]={1,1,1,1};
   };

   class BackgroundF : RscPicture
   {
      text="notasF.pac";
      x=.8;
      y=.5;
      w=.2;
      h=.5;
      colorText[]={1,1,1,1};
   };

   class BackgroundF2 : RscPicture
   {
      text="notasF2.pac";
      x=.8;
      y=.5;
      w=.2;
      h=.5;
      colorText[]={1,1,1,1};
   };

   class BigFrame : RscFrame
   {
      x=.13;
      y=.137;
      w=.6;
      h=.75;
      colorText[]={0,0,0,.8};
   };

   class Weather : RscPicture		// edited
   {
      idc=52;
      text="bourka.paa";


      x = __EVAL(0.88 + AR_modifX);
      y = 0.174;
      w = 0.050;
      h = 0.070;

   };

   class Position : RscNotebookText12		// edited
   {
      idc=53;
      style=2;
      text="";
      x = __EVAL(0.91 + AR_modifX);
      y = 0.174;
      w = 0.074;
      h = 0.060;
   };

   class TimeFrame : RscFrame		// edited
   {
      colorText[]={0,0,0,.8};
      x = __EVAL(0.870 + AR_modifX);
      y = 0.25;
      w = 0.111;
      h = 0.026;
   };

   class Time : RscNotebookText12		// edited
   {
      idc=54;
      style=2;
      x = __EVAL(0.869 + AR_modifX);
      y = 0.25;
      w = 0.111;
      h = 0.026;
      text="";
   };

   class DateFrame : RscFrame		// edited
   {
      colorText[]={0,0,0,.8};
      x = __EVAL(0.870 + AR_modifX);
      y = 0.287;
      w = 0.111;
      h = 0.026;
   };

   class Date : RscNotebookText10		// edited
   {
      idc=55;
      style=2;
      x = __EVAL(0.870 + AR_modifX);
      y = 0.287;
      w = 0.111;
      h = 0.026;
      text="";
   };
};

	// Map
class RscMap : RscNotebook
{
   access=3;

   class Map : RscMapControl		// edited
   {
      moveOnEdges=0;


      x = __EVAL(0 - AR_modifX);
      y = __EVAL(0 - AR_modifY);
      w = __EVAL(0.852 + AR_modifX * 2);
      h = __EVAL(1 + AR_modifY * 2);

   };
   
	// Additional maps on left and right screens - added
	#ifdef AR_TRIPLEHEAD_EXTRAEDITORMAP
		class Map2 : Map
		{
			x = __EVAL(-AR_modifX_2NDMON - AR_modifX);
			y = __EVAL(-AR_modifY);
			w = __EVAL(AR_modifX_2NDMON);
			h = __EVAL(1+AR_modifY*2);
		};
		class Map3 : Map2 {x=__EVAL(AR_modifX_2NDMON - AR_modifX);};
	#endif
};


class RscDisplay
{
   access=3;
};


class RscSkewBackground
{
   access=3;
   type=10;
   idc=-1;
   x=0;
   y=0;
   w=0;
   h=0;
   style=80;
   color[]={1,1,1,1};
};


class RscSkewGroupBox
{
   access=3;
   type=10;
   idc=-1;
   x=0;
   y=0;
   w=0;
   h=0;
   style=96;
   color[]={1,1,1,1};
};


class RscDisplayGame
{
   idd=1;
   movingEnable=1;
   controls[]={"Background","Title","Group","Subtitle","Selector","ButtonOK","ButtonCancel"};

   class Background : RscBackground
   {
      x=.23;
      y=.13;
      w=.54;
      h=.54;
   };

   class Title : RscTitle
   {
      x=.23;
      y=.144;
      w=.54;
      text="Testing load";
   };

   class Group : RscGroupBox2
   {
      x=.27;
      y=.22;
      w=.45;
      h=.32;
   };

   class Subtitle : RscText
   {
      x=.3;
      y=.23;
      w=.3;
      text="$STR_DISP_GAME_SELECT";
      sizeEx=.016;
   };

   class Selector : RscListBox
   {
      idc=301;
      x=.3;
      y=.28;
      w=.4;
   };

   class ButtonOK : RscButton
   {
      idc=1;
      x=.3;
      y=.57;
      text="$STR_DISP_OK";
      soundClick[]={"ui\ui_ok",.2,1};
      default=1;
   };

   class ButtonCancel : RscButton
   {
      idc=2;
      x=.52;
      y=.57;
      soundClick[]={"ui\ui_cc",.2,1};
      text="$STR_DISP_CANCEL";
   };
};


class RscDisplaySave
{
   idd=13;
   movingEnable=1;
   controls[]={"Background","Title","Group","Subtitle","GameName","ButtonOK"};

   class Background : RscBackground
   {
      x=.28;
      y=.2;
      w=.46;
      h=.35;
   };

   class Title : RscTitle
   {
      x=.28;
      y=.214;
      w=.46;
      text="Testing save";
   };

   class Group : RscGroupBox2
   {
      x=.3;
      y=.32;
      w=.4;
      h=.11;
   };

   class Subtitle : RscText
   {
      x=.32;
      y=.35;
      w=.2;
      text="$STR_DISP_GAME_NAME";
   };

   class GameName : RscEdit
   {
      idc=101;
      x=.4;
      y=.35;
      w=.25;
      text="$STR_DISP_SAVE_NAME";
   };

   class ButtonOK : RscButtonSmall
   {
      idc=1;
      x=.4;
      y=.45;
      text="$STR_DISP_OK";
      default=1;
      soundClick[]={"ui\ui_ok",.2,1};
   };
};


class RscDisplayInsertMarker
{
   idd=54;
   movingEnable=0;
   controls[]={"Picture","Text","ButtonOK"};

   class Picture : RscPicture
   {
      idc=102;
      text="";
      x=0;
      y=0;
      w=.05;
      h="0.05 * 4 / 3";
      colorText[]={0,0,0,1};
   };

   class Text : RscEdit
   {
      idc=101;
      x=.04;
      y=0;
      w=.15;
      h=.04;
      text="";
   };

   class ButtonOK : RscActiveText
   {
      idc=1;
      x=0;
      y=0;
      w=0;
      h=0;
      text="";
      default=1;
   };
};


class RscDisplayCustomArcade
{
   idd=25;
   movingEnable=1;
   controls[]={"Background","SubBackground","Title","Game","ButtonEdit","ButtonDelete","ButtonPlay","ButtonCancel"};

   class Background : RscBackground
   {
      x=.2;
      y=.1;
      w=.6;
      h=.8;
   };

   class Title : RscTitle
   {
      x=.2;
      y=.118;
      w=.6;
      h=.06;
      text="$STR_DISP_MAIN_DESIGN";
   };

   class SubBackground : RscGroupBox2
   {
      x=.22;
      y=.2;
      w=.56;
      h=.6;
   };

   class Game : RscTree
   {
      idc=101;
      style=2;
      x=.24;
      y=.22;
      w=.52;
      h=.56;
   };

   class ButtonEdit : RscButtonSmall
   {
      idc=103;
      x=.22;
      y=.82;
      w=.12;
      h=.05;
      text="$STR_DISP_ERROR";
   };

   class ButtonDelete : RscButtonSmall
   {
      idc=104;
      x=.36;
      y=.82;
      w=.12;
      h=.05;
      text="$STR_DISP_DELETE";
   };

   class ButtonPlay : RscButtonSmall
   {
      idc=102;
      x=.52;
      y=.82;
      w=.12;
      h=.05;
      text="$STR_DISP_CUST_PLAY";
      default=1;
   };

   class ButtonCancel : RscButtonSmall
   {
      idc=2;
      x=.66;
      y=.82;
      w=.12;
      h=.05;
      text="$STR_DISP_CANCEL";
   };
};

	// Mission editor controls
class RscDisplayArcadeMap : RscMap
{
   idd=26;
   // added condition for blackbackground (triplehead), extra maps (triplehead)
   controls[]=
   {

	#ifdef AR_TRIPLEHEAD
		BlackBackground,
	#endif
	
      "ECPBackground1",
      "ECPBackground2",
      "ECPBackground3",




      "BigFrame",
      "Weather",
      "Position",
      "TimeFrame",
      "Time",
      "DateFrame",
      "Date",
	  
	#ifdef AR_TRIPLEHEAD_EXTRAEDITORMAP
		Map2, Map3,
	#endif
      "Map",


      "ToolboxMode",
      "Difficulty",
      "ButtonIntel",
      "ButtonLoad",
      "ButtonMerge",
      "ButtonSave",
      "ButtonClear",
      "Section",

      "ButtonIds",
      "ButtonTextures",
      "ButtonPreview",
      "ButtonContinue",



      "ButtonDebug",


      "ButtonCancel"
   };

	class BlackBackground : RscText		// added
	{
		x=__EVAL(0 - AR_modifX - AR_modifX_2NDMON);
		y=__EVAL(0 - AR_modifY);
		w=__EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON * 2);
		h=__EVAL(1 + AR_modifY * 2);
		colorBackground[]={0,0,0,1};
		text = "";
	};
	
   class ToolboxMode : RscToolbox		// edited
   {
      idc=104;
      x = __EVAL(0.86 + AR_modifX);
      y = __EVAL(0.02 - AR_modifY);
      w = 0.13;
      h = __EVAL(0.145 + AR_modifY);
      strings[]=
      {
         "$STR_DISP_ARCMAP_UNITS",
         "$STR_DISP_ARCMAP_GROUPS",
         "$STR_DISP_ARCMAP_SENSORS",
         "$STR_DISP_ARCMAP_WAYPOINTS",
         "$STR_DISP_ARCMAP_SYNCHRONIZE",
         "$STR_DISP_ARCMAP_MARKERS"
      };
      rows=6;
      columns=1;
   };

   class Difficulty : RscActiveText		// edited
   {
      idc=110;
      style=2;
      font="SteelfishB64";
      sizeEx=.05;
      x = __EVAL(0.862 + AR_modifX);
      y = __EVAL(0.73 + AR_modifY / 4);
      w = 0.128;
      h = 0.04;
      text="$STR_DISP_ERROR";
      color[] = ECP_editor_color_text;
      colorActive[] = ECP_editor_color_text;
   };

   class ButtonIntel : RscActiveText		// edited
   {
      idc=105;
      x = __EVAL(0.862 + AR_modifX);
      y = 0.163;
      w = 0.129;
      h = 0.156;
      text="";
      color[]={.08,.08,.12,1};
      colorActive[]={.08,.08,.12,1};
   };

   class ButtonLoad : RscButtonMap		// edited
   {
      idc=101;
      x = __EVAL(0.861 + AR_modifX);
      y = 0.343;
      w = 0.129;
      h = 0.04;
      text="$STR_DISP_ARCMAP_LOAD";
   };

   class ButtonMerge : RscButtonMap		// edited
   {
      idc=106;
      x = __EVAL(0.861 + AR_modifX);
      y = 0.383;
      w = 0.129;
      h = 0.04;
      text="$STR_DISP_ARCMAP_MERGE";
   };

   class ButtonSave : RscButtonMap		// edited
   {
      idc=102;
      x = __EVAL(0.861 + AR_modifX);
      y = 0.423;
      w = 0.129;
      h = 0.04;
      text="$STR_DISP_ARCMAP_SAVE";
   };

   class ButtonClear : RscButtonMap		// edited
   {
      idc=103;
      x = __EVAL(0.861 + AR_modifX);
      y = 0.463;
      w = 0.129;
      h = 0.04;
      text="$STR_DISP_ARCMAP_CLEAR";
   };

   class Section : RscCombo		// edited
   {
      idc=109;
      x = __EVAL(0.862 + AR_modifX);
      y = 0.667;
      w = 0.128;
      h = 0.03;
      colorText[]=ECP_editor_color_text;
        colorSelect[] = {0.012, 0.176, 0.024, 0.75};
        colorSelectBackground[] = {0.012, 0.176, 0.024, 0.75};
        colorBackground[] = {0.012, 0.176, 0.024, 0.75};
      wholeHeight=.12;
   };

   class ButtonIds : RscButtonMap		// edited
   {
      idc=111;
      x = __EVAL(0.861 + AR_modifX);
      y = 0.567;
      w = 0.129;
      h = 0.04;
      text="$STR_DISP_ERROR";
   };

   class ButtonTextures : RscButtonMap		// edited
   {
      idc=112;
      x = __EVAL(0.861 + AR_modifX);
      y = 0.607;
      w = 0.129;
      h = 0.04;
      text="$STR_DISP_ERROR";
   };

   class ButtonPreview : RscButtonMap		// edited
   {
      idc=107;
      x = __EVAL(0.861 + AR_modifX);
      y = __EVAL(0.797 + AR_modifY / 3);
      w = 0.129;
      h = __EVAL(0.04 + AR_modifY / 4);
      text="$STR_DISP_ARCMAP_PREVIEW";
      default=1;
   };

   class ButtonContinue : RscButtonMap		// edited
   {
      idc=108;
	  x = __EVAL(0.861 + AR_modifX);
      y = __EVAL(0.837 + AR_modifY / 3 + AR_modifY / 4);
      w = 0.129;
      h = __EVAL(0.04 + AR_modifY / 4);
      text="$STR_DISP_ARCMAP_CONTINUE";
   };

   class ButtonDebug : RscButtonMap		// edited
   {
      idc = 108;
      x = __EVAL(0.861 + AR_modifX);
      y = 0.527;
      w = 0.129;
      h = 0.04;
      text = "Spectate";
      action = "if (format[{%1},ECP_path] != {scalar bool array string 0xfcffffef}) then {[] exec format[{%1debug\specDialog.sqs},ECP_path]} else {hint {Error: ECP not initialised!\n\nEnsure you have at least one default BIS unit on the map somewhere.\n\nAlso note that non-ECP compatible units must be manually added via a trigger. Create a trigger with the following characteristics:\n\n- Size: 50000 x 50000 (or at least as big as the entire map)\n\n- Activation: Anybody (Once) when 'Present'\n\n- Condition: this\n\n- On Activation: thislist call (ECP_resources select 30)}}";
   };

   class ButtonCancel : RscButtonMap		// edited
   {
      idc=2;
      x = __EVAL(0.861 + AR_modifX);
      y = __EVAL(0.877 + AR_modifY / 3 + AR_modifY / 4 +  AR_modifY / 4 + AR_modifY / 20);
      w = 0.129;
      h = 0.04;
      text="$STR_DISP_ARCMAP_EXIT";
   };
};

	// Unit menu (tweak + fix)
class RscDisplayArcadeUnit
	{
	idd=27;
	movingEnable=1;
	controls[]={"Background","Subbackground","Title","TextSide","ValueSide","TextRank","ValueRank","TextClass","ValueClass","TextVehicle","ValueVehicle","TextControl","ValueControl","TextSpecial","ValueSpecial","TextAge","ValueAge","TextText","ValueText","TextLock","ValueLock","TextSkill","ValueSkill","TextInit","ValueInit","Subbackground1","TextAzimut","ValueAzimut","Azimut","SubtitleVisuals","ValueHealth","SubtitleVisuals1","ValueFuel","SubtitleVisuals2","ValueAmmo","TextPresence","ValuePresence","TextPresenceCondition","ValuePresenceCondition","TextPlacement","ValuePlacement","ButtonOK","ButtonCancel"};

	class Background:RscBackground
		{
		x=0.2;
		y=0.05;
		w=0.56;
		h=0.91;
		};

	class Title:RscTitle
		{
		idc=101;
		x=0.2;
		y=0.068;
		w=0.56;
		h=0.06;
		text="$STR_DISP_ERROR";
		};

	class TextSide:RscText
		{
		idc=-1;
		x=0.23;
		y=0.16;
		w=0.0882;
		text="$STR_DISP_ARCUNIT_SIDE";
		};

	class ValueSide:RscCombo
		{
		idc=102;
		x=0.3182;
		y=0.16;
		w=0.1519;
		};

	class TextRank:RscText
		{
		idc=-1;
		x=0.4799;
		y=0.16;
		w=0.0882;
		text="$STR_DISP_ARCUNIT_RANK";
		};

	class ValueRank:RscCombo
		{
		idc=104;
		x=0.5681;
		y=0.16;
		w=0.1519;
		};

	class TextClass:RscText
		{
		idc=-1;
		x=0.23;
		y=0.21;
		w=0.0882;
		text="$STR_DISP_ARCUNIT_CLASS";
		};

	class ValueClass:RscCombo		// edited (tweak)
		{
		idc=107;
		x=0.3182;
		y=0.21;
		w=0.1519;
		wholeHeight=__EVAL(0.79 + AR_modifY);		// added
		};

	class TextVehicle:RscText
		{
		idc=-1;
		x=0.4799;
		y=0.21;
		w=0.0882;
		text="$STR_DISP_ARCUNIT_VEHICLE";
		};

	class ValueVehicle:RscCombo		// edited (tweak)
		{
		idc=103;
		x=0.5681;
		y=0.21;
		w=0.1519;
		wholeHeight=__EVAL(0.79 + AR_modifY);		// added
		};

	class TextControl:RscText
		{
		idc=-1;
		x=0.23;
		y=0.26;
		w=0.0882;
		text="$STR_DISP_ARCUNIT_CTRL";

		};

	class ValueControl:RscCombo		// edited (tweak)
		{
		idc=105;
		x=0.3182;
		y=0.26;
		w=0.1519;
		wholeHeight=0.5;		// added
		};

	class TextSpecial:RscText
		{
		idc=-1;
		x=0.4799;
		y=0.26;
		w=0.0882;
		text="$STR_DISP_ARCUNIT_SPECIAL";
		};

	class ValueSpecial:RscCombo
		{
		idc=112;
		x=0.5681;
		y=0.26;
		w=0.1519;
		};

	class TextAge:RscText
		{
		idc=-1;
		x=0.23;
		y=0.31;
		w=0.0882;
		text="$STR_DISP_ARCUNIT_AGE";
		};

	class ValueAge:RscCombo
		{
		idc=113;
		x=0.3182;
		y=0.31;
		w=0.1519;
		};

	class TextText:RscText
		{
		idc=-1;
		x=0.4799;
		y=0.31;
		w=0.0882;
		text="$STR_DISP_ARCUNIT_TEXT";
		};

	class ValueText:RscEdit
		{
		idc=118;
		x=0.5681;
		y=0.31;
		w=0.1519;
		text="$STR_DISP_ERROR";
		};

	class TextLock:RscText
		{
		idc=-1;
		x=0.23;
		y=0.36;
		w=0.0882;
		text="$STR_DISP_ARCUNIT_LOCK";
		};

	class ValueLock:RscCombo
		{
		idc=119;
		x=0.3182;
		y=0.36;
		w=0.1519;
		};

	class TextSkill:RscText
		{
		idc=-1;
		x=0.4799;
		y=0.36;
		w=0.0882;
		text="$STR_DISP_ARCUNIT_SKILL";
		};

	class ValueSkill:RscSliderH
		{
		idc=121;
		x=0.5681;
		y=0.37;
		w=0.1519;
		};

	class TextInit:RscText
		{
		idc=-1;
		x=0.23;
		y=0.41;
		w=0.1225;
		text="$STR_DISP_ARCUNIT_INIT";
		};

	class ValueInit:RscEdit
		{
		idc=120;
		x=0.3525;
		y=0.41;
		w=0.3675;
		text="$STR_DISP_ERROR";
		autocomplete="scripting";
		};

	class SubBackground:RscGroupBox2
		{
		x=0.22;
		y=0.15;
		w=0.515;
		h=0.31;
		};

	class Azimut:RscPicture
		{
		idc=114;
		text="azimut.paa";
		x=0.5525;
		y=0.473;
		w=0.2;
		h=0.26;
		colorText[]={0.08,0.08,0.12,1};
		};

	class TextAzimut:RscText
		{
		x=0.595;
		y=0.575;
		w=0.15;
		text="$STR_DISP_ARCUNIT_AZIMUT";
		};

	class ValueAzimut:RscEdit
		{
		idc=111;
		x=0.665;
		y=0.575;
		w=0.04;
		text="$STR_DISP_ERROR";
		};

	class SubtitleVisuals:RscFrame
		{
		x=0.235;
		y=0.485;
		w=0.335;
		h=0.07;
		text="$STR_DISP_ARCUNIT_HEALTH";
		};

	class ValueHealth:RscSliderH
		{
		idc=108;
		x=0.2425;
		y=0.52;
		w=0.32;
		};

	class SubtitleVisuals1:RscFrame
		{
		x=0.235;
		y=0.555;
		w=0.335;
		h=0.07;
		text="$STR_DISP_ARCUNIT_FUEL";
		};

	class ValueFuel:RscSliderH
		{
		idc=109;
		x=0.2425;
		y=0.59;
		w=0.32;
		};

	class SubtitleVisuals2:RscFrame
		{
		x=0.235;
		y=0.625;
		w=0.335;
		h=0.07;
		text="$STR_DISP_ARCUNIT_AMMO";
		};

	class ValueAmmo:RscSliderH		// edited (fix)
		{
		idc=110;
		x=0.2425;		// +0.0075
		y=0.66;
		w=0.32;
		};

	class TextPresence:RscText
		{
		idc=-1;
		x=0.23;
		y=0.71;
		w=0.1862;
		text="$STR_DISP_ARCUNIT_PRESENCE";
		};

	class ValuePresence:RscSliderH
		{
		idc=116;
		x=0.4162;
		y=0.72;
		w=0.3038;
		};

	class TextPresenceCondition:RscText
		{
		idc=-1;
		x=0.23;
		y=0.76;
		w=0.1862;
		text="$STR_DISP_ARCUNIT_PRESENCE_COND";
		};

	class ValuePresenceCondition:RscEdit
		{
		idc=117;
		x=0.4162;
		y=0.76;
		w=0.3038;
		text="$STR_DISP_ERROR";
		autocomplete="scripting";
		};

	class TextPlacement:RscText
		{
		idc=-1;
		x=0.23;
		y=0.81;
		w=0.1862;
		text="$STR_DISP_ARCUNIT_PLACE";
		};

	class ValuePlacement:RscEdit
		{
		idc=115;
		x=0.4162;
		y=0.81;
		w=0.3038;
		text="$STR_DISP_ERROR";
		};

	class SubBackground1:RscGroupBox2
		{
		x=0.22;
		y=0.48;
		w=0.515;
		h=0.38;
		};

	class ButtonOK:RscButton
		{
		idc=1;
		x=0.462;
		y=0.885;
		w=0.13;
		h=0.05;
		text="$STR_DISP_OK";
		default=1;
		soundClick[]={"ui\ui_ok",0.2,1};
		};

	class ButtonCancel:RscButton
		{
		idc=2;
		x=0.607;
		y=0.885;
		w=0.13;
		h=0.05;
		text="$STR_DISP_CANCEL";
		default=0;
		soundClick[]={"ui\ui_cc",0.2,1};
		};
	};

class RscDisplayArcadeUnitSimple
{
   idd=27;
   movingEnable=1;
   controls[]={"Background","Subbackground","Title","TextSide","ValueSide","TextClass","ValueClass","TextVehicle","ValueVehicle","TextSkill","ValueSkill","TextControl","ValueControl","Subbackground1","TextAzimut","ValueAzimut","Azimut","SubtitleVisuals","ValueHealth","SubtitleVisuals1","ValueFuel","SubtitleVisuals2","ValueAmmo","ButtonOK","ButtonCancel"};

   class Background : RscBackground
   {
      x=.2;
      y=.19;
      w=.56;
      h=.61;
   };

   class Title : RscTitle
   {
      idc=101;
      x=.2;
      y=.208;
      w=.56;
      h=.06;
      text="$STR_DISP_ERROR";
   };

   class TextSide : RscText
   {
      idc=-1;
      x=.23;
      y=.3;
      w=.0882;
      text="$STR_DISP_ARCUNIT_SIDE";
   };

   class ValueSide : RscCombo
   {
      idc=102;
      x=.3182;
      y=.3;
      w=.1519;
   };

   class TextSkill : RscText
   {
      idc=-1;
      x=.4799;
      y=.3;
      w=.0882;
      text="$STR_DISP_ARCUNIT_SKILL";
   };

   class ValueSkill : RscSliderH
   {
      idc=121;
      x=.5681;
      y=.31;
      w=.1519;
   };

   class TextClass : RscText
   {
      idc=-1;
      x=.23;
      y=.35;
      w=.0882;
      text="$STR_DISP_ARCUNIT_CLASS";
   };

   class ValueClass : RscCombo
   {
      idc=107;
      x=.3182;
      y=.35;
      w=.1519;
   };

   class TextControl : RscText
   {
      idc=-1;
      x=.4799;
      y=.35;
      w=.0882;
      text="$STR_DISP_ARCUNIT_CTRL";
   };

   class ValueControl : RscCombo
   {
      idc=105;
      x=.5681;
      y=.35;
      w=.1519;
   };

   class TextVehicle : RscText
   {
      idc=-1;
      x=.23;
      y=.4;
      w=.0882;
      text="$STR_DISP_ARCUNIT_VEHICLE";
   };

   class ValueVehicle : RscCombo
   {
      idc=103;
      x=.3182;
      y=.4;
      w=.1519;
   };

   class SubBackground : RscGroupBox2
   {
      x=.22;
      y=.29;
      w=.515;
      h=.16;
   };

   class Azimut : RscPicture
   {
      idc=114;
      text="azimut.paa";
      x=.5525;
      y=.463;
      w=.2;
      h=.26;
      colorText[]={.08,.08,.12,1};
   };

   class TextAzimut : RscText
   {
      x=.595;
      y=.565;
      w=.15;
      text="$STR_DISP_ARCUNIT_AZIMUT";
   };

   class ValueAzimut : RscEdit
   {
      idc=111;
      x=.665;
      y=.565;
      w=.04;
      text="$STR_DISP_ERROR";
   };

   class SubtitleVisuals : RscFrame
   {
      x=.235;
      y=.475;
      w=.335;
      h=.07;
      text="$STR_DISP_ARCUNIT_HEALTH";
   };

   class ValueHealth : RscSliderH
   {
      idc=108;
      x=.2425;
      y=.51;
      w=.32;
   };

   class SubtitleVisuals1 : RscFrame
   {
      x=.235;
      y=.545;
      w=.335;
      h=.07;
      text="$STR_DISP_ARCUNIT_FUEL";
   };

   class ValueFuel : RscSliderH
   {
      idc=109;
      x=.2425;
      y=.58;
      w=.32;
   };

   class SubtitleVisuals2 : RscFrame
   {
      x=.235;
      y=.615;
      w=.335;
      h=.07;
      text="$STR_DISP_ARCUNIT_AMMO";
   };

   class ValueAmmo : RscSliderH
   {
      idc=110;
      x=.235;
      y=.65;
      w=.32;
   };

   class SubBackground1 : RscGroupBox2
   {
      x=.22;
      y=.47;
      w=.515;
      h=.23;
   };

   class ButtonOK : RscButton
   {
      idc=1;
      x=.462;
      y=.725;
      w=.13;
      h=.05;
      text="$STR_DISP_OK";
      default=1;
      soundClick[]={"ui\ui_ok",.2,1};
   };

   class ButtonCancel : RscButton
   {
      idc=2;
      x=.607;
      y=.725;
      w=.13;
      h=.05;
      text="$STR_DISP_CANCEL";
      default=0;
      soundClick[]={"ui\ui_cc",.2,1};
   };
};

	// Group menu (tweak)
class RscDisplayArcadeGroup
	{
	idd=40;
	movingEnable=1;
	controls[]={"Background","Title","Subbackground","TextSide","ValueSide","TextType","ValueType","TextName","ValueName","Azimut","TextAzimut","ValueAzimut","ButtonOK","ButtonCancel"};

	class Background:RscBackground
		{
		x=0.2;
		y=0.3;
		w=0.6;
		h=0.41;
		};

	class Title:RscTitle
		{
		idc=-1;
		x=0.2;
		y=0.318;
		w=0.6;
		h=0.06;
		text="$STR_DISP_ARCGRP_TITLE";
		};

	class Azimut:RscPicture
		{
		idc=105;
		text="azimut.paa";
		x=0.59;
		y=0.382;
		w=0.2;
		h=0.26;
		colorText[]={0.08,0.08,0.12,1};
		};

	class TextAzimut:RscText
		{
		x=0.6325;
		y=0.484;
		w=0.15;
		text="$STR_DISP_ARCUNIT_AZIMUT";
		};

	class ValueAzimut:RscEdit
		{
		idc=104;
		x=0.7025;
		y=0.484;
		w=0.04;
		text="$STR_DISP_ERROR";
		};

	class TextSide:RscText
		{
		idc=-1;
		x=0.23;
		y=0.41;
		w=0.1325;
		text="$STR_DISP_ARCGRP_SIDE";
		};

	class ValueSide:RscCombo		// edited (tweak)
		{
		idc=101;
		x=0.3625;
		y=0.41;
		w=0.2385;
		wholeHeight=__EVAL(0.59 + AR_modifY);		// added
		};

	class TextType:RscText
		{
		idc=-1;
		x=0.23;
		y=0.46;
		w=0.1325;
		text="$STR_DISP_ARCGRP_TYPE";
		};

	class ValueType:RscCombo		// edited (tweak)
		{
		idc=102;
		x=0.3625;
		y=0.46;
		w=0.2385;
		wholeHeight=__EVAL(0.54 + AR_modifY);		// added
		};

	class TextName:RscText
		{
		idc=-1;
		x=0.23;
		y=0.51;
		w=0.1325;
		text="$STR_DISP_ARCGRP_NAME";
		};

	class ValueName:RscCombo		// edited (tweak)
		{
		idc=103;
		x=0.3625;
		y=0.51;
		w=0.2385;
		wholeHeight=__EVAL(0.49 + AR_modifY);		// added
		};

	class SubBackground:RscGroupBox2
		{
		x=0.22;
		y=0.4;
		w=0.555;
		h=0.21;
		};

	class ButtonOK:RscButton
		{
		idc=1;
		x=0.502;
		y=0.635;
		w=0.13;
		h=0.05;
		text="$STR_DISP_OK";
		default=1;
		soundClick[]={"ui\ui_ok",0.2,1};
		};

	class ButtonCancel:RscButton
		{
		idc=2;
		x=0.647;
		y=0.635;
		w=0.13;
		h=0.05;
		text="$STR_DISP_CANCEL";
		default=0;
		soundClick[]={"ui\ui_cc",0.2,1};
		};
	};

	// Marker menu (tweak)
class RscDisplayArcadeMarker
	{
	idd=45;
	movingEnable=1;
	controls[]={"Background","SubBackground","Title","TextName","ValueName","Marker","TextColorName","ValueColorName","TextType","ValueIcon","ValueFill","TextA","ValueA","TextB","ValueB","TextAngle","ValueAngle","TextText","ValueText","ButtonOK","ButtonCancel"};

	class Background:RscBackground
		{
		x=0.2;
		y=0.2;
		w=0.6;
		h=0.46;
		};

	class SubBackground:RscGroupBox2
		{
		x=0.22;
		y=0.3;
		w=0.56;
		h=0.26;
		};

	class Title:RscTitle
		{
		idc=101;
		x=0.2;
		y=0.218;
		w=0.6;
		h=0.06;
		text="$STR_DISP_ERROR";
		};

	class TextName:RscText
		{
		x=0.23;
		y=0.32;
		w=0.07;
		text="$STR_DISP_ARCMARK_NAME";
		};

	class ValueName:RscEdit
		{
		idc=102;
		x=0.3;
		y=0.32;
		w=0.19;
		text="$STR_DISP_ERROR";
		};

	class Marker:RscToolbox
		{
		idc=103;
		x=0.51;
		y=0.32;
		w=0.26;
		h=0.038;
		strings[]={"$STR_DISP_ARCMARK_ICON","$STR_DISP_ARCMARK_RECT","$STR_DISP_ARCMARK_ELLIPSE"};
		rows=1;
		columns=3;
		};

	class TextColorName:RscText
		{
		x=0.23;
		y=0.38;
		w=0.07;
		text="$STR_DISP_ARCMARK_COLOR";
		};

	class ValueColorName:RscCombo		// edited (tweak)
		{
		idc=105;
		x=0.3;
		y=0.38;
		w=0.19;
		wholeHeight=__EVAL(0.62 + AR_modifY);		// added
		};

	class TextType:RscText
		{
		idc=109;
		x=0.51;
		y=0.38;
		w=0.07;
		text="$STR_DISP_ERROR";
		};

	class ValueIcon:RscCombo		// edited (tweak)
		{
		idc=104;
		x=0.58;
		y=0.38;
		w=0.19;
		wholeHeight=__EVAL(0.62 + AR_modifY);		// added
		};

	class ValueFill:RscCombo		// edited (tweak)
		{
		idc=110;
		x=0.58;
		y=0.38;
		w=0.19;
		wholeHeight=__EVAL(0.62 + AR_modifY);		// added
		};

	class TextA:RscText
		{
		x=0.23;
		y=0.44;
		w=0.07;
		text="$STR_DISP_ARCMARK_A";
		};

	class ValueA:RscEdit
		{
		idc=106;
		x=0.3;
		y=0.44;
		w=0.09;
		text="$STR_DISP_ERROR";
		};

	class TextB:RscText
		{
		x=0.4;
		y=0.44;
		w=0.07;
		text="$STR_DISP_ARCMARK_B";
		};

	class ValueB:RscEdit
		{
		idc=107;
		x=0.47;
		y=0.44;
		w=0.09;
		text="$STR_DISP_ERROR";
		};

	class TextAngle:RscText
		{
		x=0.57;
		y=0.44;
		w=0.07;
		text="$STR_DISP_ARCMARK_ANGLE";
		};

	class ValueAngle:RscEdit
		{
		idc=108;
		x=0.64;
		y=0.44;
		w=0.09;
		text="$STR_DISP_ERROR";
		};

	class TextText:RscText
		{
		x=0.23;
		y=0.5;
		w=0.07;
		text="$STR_DISP_ARCMARK_TEXT";
		};

	class ValueText:RscEdit
		{
		idc=111;
		x=0.3;
		y=0.5;
		w=0.43;
		text="$STR_DISP_ERROR";
		};

	class ButtonOK:RscButtonSmall
		{
		idc=1;
		x=0.5;
		y=0.585;
		w=0.13;
		h=0.05;
		text="$STR_DISP_OK";
		default=1;
		soundClick[]={"ui\ui_ok",0.2,1};
		};

	class ButtonCancel:RscButtonSmall
		{
		idc=2;
		x=0.647;
		y=0.585;
		w=0.13;
		h=0.05;
		text="$STR_DISP_CANCEL";
		soundClick[]={"ui\ui_cc",0.2,1};
		};
	};

class RscDisplayArcadeMarkerSimple
{
   idd=45;
   movingEnable=1;
   controls[]={"Background","SubBackground","Title","TextName","ValueName","TextColorName","ValueColorName","TextType","ValueIcon","TextText","ValueText","ButtonOK","ButtonCancel"};

   class Background : RscBackground
   {
      x=.2;
      y=.32;
      w=.6;
      h=.36;
   };

   class Title : RscTitle
   {
      idc=101;
      x=.2;
      y=.338;
      w=.6;
      h=.06;
      text="$STR_DISP_ERROR";
   };

   class TextName : RscText
   {
      idc=-1;
      x=.23;
      y=.43;
      w=.0954;
      text="$STR_DISP_ARCMARK_NAME";
   };

   class ValueName : RscEdit
   {
      idc=102;
      x=.3254;
      y=.43;
      w=.4346;
      text="$STR_DISP_ERROR";
   };

   class TextColorName : RscText
   {
      idc=-1;
      x=.23;
      y=.48;
      w=.0954;
      text="$STR_DISP_ARCMARK_COLOR";
   };

   class ValueColorName : RscCombo
   {
      idc=105;
      x=.3254;
      y=.48;
      w=.1643;
   };

   class TextType : RscText
   {
      idc=109;
      x=.5003;
      y=.48;
      w=.0954;
      text="$STR_DISP_ERROR";
   };

   class ValueIcon : RscCombo
   {
      idc=104;
      x=.5957;
      y=.48;
      w=.1643;
   };

   class TextText : RscText
   {
      idc=-1;
      x=.23;
      y=.53;
      w=.0954;
      text="$STR_DISP_ARCMARK_TEXT";
   };

   class ValueText : RscEdit
   {
      idc=111;
      x=.3254;
      y=.53;
      w=.4346;
      text="$STR_DISP_ERROR";
   };

   class SubBackground : RscGroupBox2
   {
      x=.22;
      y=.42;
      w=.555;
      h=.16;
   };

   class ButtonOK : RscButton
   {
      idc=1;
      x=.502;
      y=.605;
      w=.13;
      h=.05;
      text="$STR_DISP_OK";
      default=1;
      soundClick[]={"ui\ui_ok",.2,1};
   };

   class ButtonCancel : RscButton
   {
      idc=2;
      x=.647;
      y=.605;
      w=.13;
      h=.05;
      text="$STR_DISP_CANCEL";
      default=0;
      soundClick[]={"ui\ui_cc",.2,1};
   };
};

	// Trigger menu (fix + tweak)
class RscDisplayArcadeSensor
	{
	idd=41;
	movingEnable=1;
	controls[]={"Background","Title","SubBackground1","TextA","ValueA","TextB","ValueB","TextAngle","ValueAngle","Rectangular","SubBackground2","TextActivation","ValueActivation","Presence","Repeating","Interruptable","TextTimeoutMin","ValueTimeoutMin","TextTimeoutMax","ValueTimeoutMax","TextTimeoutMid","ValueTimeoutMid","SubBackground3","TextType","ValueType","TextText","ValueText","TextName","ValueName","SubBackground4","TextExpCond","ValueExpCond","TextExpActiv","ValueExpActiv","TextExpDesactiv","ValueExpDesactiv","ButtonEffects","ButtonOK","ButtonCancel"};

	class Background:RscBackground
		{
		x=0.2;
		y=0.1;
		w=0.56;
		h=0.86;
		};

	class Title:RscTitle
		{
		idc=101;
		x=0.2;
		y=0.118;
		w=0.56;
		h=0.06;
		text="$STR_DISP_ARCSENS_TITLE";
		};

	class SubBackground1:RscGroupBox2
		{
		x=0.22;
		y=0.2;
		w=0.515;
		h=0.11;
		};

	class TextA:RscText
		{
		x=0.23;
		y=0.21;
		w=0.15;
		text="$STR_DISP_ARCSENS_A";
		};

	class ValueA:RscEdit
		{
		idc=102;
		x=0.32;
		y=0.21;
		w=0.15;
		text="$STR_DISP_ERROR";
		};

	class TextB:RscText
		{
		x=0.48;
		y=0.21;
		w=0.15;
		text="$STR_DISP_ARCSENS_B";
		};

	class ValueB:RscEdit
		{
		idc=103;
		x=0.57;
		y=0.21;
		w=0.15;
		text="$STR_DISP_ERROR";
		};

	class TextAngle:RscText
		{
		x=0.23;
		y=0.26;
		w=0.15;
		text="$STR_DISP_ARCSENS_ANGLE";
		};

	class ValueAngle:RscEdit
		{
		idc=104;
		x=0.32;
		y=0.26;
		w=0.15;
		text="$STR_DISP_ERROR";
		};

	class Rectangular:RscToolbox
		{
		idc=120;
		x=0.48;
		y=0.26;
		w=0.24;
		h=0.038;
		strings[]={"$STR_DISP_ARCSENS_ELLIPSE","$STR_DISP_ARCSENS_RECT"};
		rows=1;
		columns=2;
		};

	class SubBackground2:RscGroupBox2
		{
		x=0.22;
		y=0.33;
		w=0.515;
		h=0.16;
		};

	class TextActivation:RscText
		{
		x=0.23;
		y=0.34;
		w=0.15;
		text="$STR_DISP_ARCSENS_ACTIV";
		};

	class ValueActivation:RscCombo		// edited (tweak)
		{
		idc=105;
		x=0.32;
		y=0.34;
		w=0.15;
		wholeHeight=0.5;		// added
		};

	class Repeating:RscToolbox
		{
		idc=107;
		x=0.48;
		y=0.34;
		w=0.24;
		h=0.038;
		strings[]={"$STR_DISP_ARCSENS_ONCE","$STR_DISP_ARCSENS_REPEAT"};
		rows=1;
		columns=2;
		};

	class Presence:RscToolbox
		{
		idc=106;
		x=0.23;
		y=0.39;
		w=0.5;
		h=0.038;
		strings[]={"$STR_DISP_ARCSENS_PRESYES","$STR_DISP_ARCSENS_PRESNO","$STR_DISP_ARCSENS_DETWEST","$STR_DISP_ARCSENS_DETEAST","$STR_DISP_ARCSENS_DETGUERRILA","$STR_DISP_ARCSENS_DETCIVILIAN"};
		rows=2;
		columns=3;
		};

	class Interruptable:RscToolbox		// edited (fix)
		{
		idc=108;
		x=0.23;
		y=0.43; // +0.01
		w=0.15;
		h=0.06;	// -0.02
		strings[]={"$STR_DISP_ARCSENS_COUNTDOWN","$STR_DISP_ARCSENS_TIMEOUT"};
		rows=2;
		columns=1;
		};

	class TextTimeoutMin:RscText		// edited (fix + tweak)
		{
		x=0.40;		// +0.05
		y=0.44;
		w=0.05;
		text="$STR_DISP_ARCSENS_TIMEOUT_MIN";
		};

	class ValueTimeoutMin:RscEdit		// edited (fix + tweak)
		{
		idc=109;
		x=0.45;		// +0.05
		y=0.44;
		w=0.05;
		text="$STR_DISP_ERROR";
		};

	class TextTimeoutMax:RscText		// edited (fix + tweak)
		{
		x=0.6;		// + 0.15
		y=0.44;
		w=0.05;
		text="$STR_DISP_ARCSENS_TIMEOUT_MAX";
		};

	class ValueTimeoutMax:RscEdit		// edited (fix + tweak)
		{
		idc=110;
		x=0.65;		// + 0.15
		y=0.44;
		w=0.05;
		text="$STR_DISP_ERROR";
		};

	class TextTimeoutMid:RscText		// edited (fix + tweak)
		{
		x=0.5;		// -0.05
		y=0.44;
		w=0.05;
		text="$STR_DISP_ARCSENS_TIMEOUT_MID";
		};

	class ValueTimeoutMid:RscEdit		// edited (fix + tweak)
		{
		idc=111;
		x=0.55;		// -0.05
		y=0.44;
		w=0.05;
		text="$STR_DISP_ERROR";
		};

	class SubBackground3:RscGroupBox2
		{
		x=0.22;
		y=0.51;
		w=0.515;
		h=0.16;
		};

	class TextType:RscText
		{
		x=0.23;
		y=0.52;
		w=0.15;
		text="$STR_DISP_ARCSENS_TYPE";
		};

	class ValueType:RscCombo		// edited (tweak)
		{
		idc=112;
		x=0.32;
		y=0.52;
		w=0.15;
		wholeHeight=0.5;		// added
		};

	class TextText:RscText
		{
		x=0.23;
		y=0.57;
		w=0.15;
		text="$STR_DISP_ARCSENS_TEXT";
		};

	class ValueText:RscEdit
		{
		idc=114;
		x=0.32;
		y=0.57;
		w=0.15;
		text="$STR_DISP_ERROR";
		};

	class TextName:RscText
		{
		x=0.48;
		y=0.57;
		w=0.15;
		text="$STR_DISP_ARCSENS_NAME";
		};

	class ValueName:RscEdit
		{
		idc=121;
		x=0.57;
		y=0.57;
		w=0.15;
		text="$STR_DISP_ERROR";
		};

	class SubBackground4:RscGroupBox2
		{
		x=0.22;
		y=0.69;
		w=0.515;
		h=0.16;
		};

	class TextExpCond:RscText
		{
		x=0.23;
		y=0.7;
		w=0.2;
		text="$STR_DISP_ARCSENS_EXPCOND";
		};

	class ValueExpCond:RscEdit
		{
		idc=117;
		x=0.37;
		y=0.7;
		w=0.35;
		text="$STR_DISP_ERROR";
		autocomplete="scripting";
		};

	class TextExpActiv:RscText
		{
		x=0.23;
		y=0.75;
		w=0.2;
		text="$STR_DISP_ARCSENS_EXPACTIV";
		};

	class ValueExpActiv:RscEdit
		{
		idc=118;
		x=0.37;
		y=0.75;
		w=0.35;
		text="$STR_DISP_ERROR";
		autocomplete="scripting";
		};

	class TextExpDesactiv:RscText
		{
		x=0.23;
		y=0.8;
		w=0.2;
		text="$STR_DISP_ARCSENS_EXPDESACTIV";
		};

	class ValueExpDesactiv:RscEdit
		{
		idc=119;
		x=0.37;
		y=0.8;
		w=0.35;
		text="$STR_DISP_ERROR";
		autocomplete="scripting";
		};

	class ButtonEffects:RscButtonSmall
		{
		idc=116;
		x=0.22;
		y=0.885;
		w=0.13;
		h=0.05;
		text="$STR_DISP_ARCSENS_EFFECTS";
		};

	class ButtonOK:RscButtonSmall
		{
		idc=1;
		x=0.46;
		y=0.885;
		w=0.13;
		h=0.05;
		text="$STR_DISP_OK";
		default=1;
		soundClick[]={"ui\ui_ok",0.2,1};
		};

	class ButtonCancel:RscButtonSmall
		{
		idc=2;
		x=0.607;
		y=0.885;
		w=0.13;
		h=0.05;
		text="$STR_DISP_CANCEL";
		soundClick[]={"ui\ui_cc",0.2,1};
		};
	};

class RscDisplayArcadeSensorSimple
{
   idd=41;
   movingEnable=1;
   controls[]={"Background","Title","SubBackground1","TextA","ValueA","TextB","ValueB","SubBackground2","TextActivation","ValueActivation","Presence","SubBackground3","TextType","ValueType","TextText","ValueText","ButtonEffects","ButtonOK","ButtonCancel"};

   class Background : RscBackground
   {
      x=.2;
      y=.25;
      w=.56;
      h=.5;
   };

   class Title : RscTitle
   {
      idc=101;
      x=.2;
      y=.268;
      w=.56;
      h=.06;
      text="$STR_DISP_ARCSENS_TITLE";
   };

   class TextA : RscText
   {
      idc=-1;
      x=.23;
      y=.36;
      w=.0882;
      text="$STR_DISP_ARCSENS_A";
   };

   class ValueA : RscEdit
   {
      idc=102;
      x=.3182;
      y=.36;
      w=.1519;
      text="$STR_DISP_ERROR";
   };

   class TextB : RscText
   {
      idc=-1;
      x=.4799;
      y=.36;
      w=.0882;
      text="$STR_DISP_ARCSENS_B";
   };

   class ValueB : RscEdit
   {
      idc=103;
      x=.5681;
      y=.36;
      w=.1519;
      text="$STR_DISP_ERROR";
   };

   class SubBackground1 : RscGroupBox2
   {
      x=.22;
      y=.35;
      w=.515;
      h=.06;
   };

   class TextActivation : RscText
   {
      idc=-1;
      x=.23;
      y=.44;
      w=.0882;
      text="$STR_DISP_ARCSENS_ACTIV";
   };

   class ValueActivation : RscCombo
   {
      idc=105;
      x=.3182;
      y=.44;
      w=.1519;
   };

   class Presence : RscToolbox
   {
      idc=106;
      x=.23;
      y=.49;
      w=.49;
      h=.076;
      strings[]={"$STR_DISP_ARCSENS_PRESYES","$STR_DISP_ARCSENS_PRESNO","$STR_DISP_ARCSENS_DETWEST","$STR_DISP_ARCSENS_DETEAST","$STR_DISP_ARCSENS_DETGUERRILA","$STR_DISP_ARCSENS_DETCIVILIAN"};
      rows=2;
      columns=3;
   };

   class SubBackground2 : RscGroupBox2
   {
      x=.22;
      y=.43;
      w=.515;
      h=.135;
   };

   class TextType : RscText
   {
      idc=-1;
      x=.23;
      y=.595;
      w=.0882;
      text="$STR_DISP_ARCSENS_TYPE";
   };

   class ValueType : RscCombo
   {
      idc=112;
      x=.3182;
      y=.595;
      w=.1519;
   };

   class TextText : RscText
   {
      idc=-1;
      x=.4799;
      y=.595;
      w=.0882;
      text="$STR_DISP_ARCSENS_TEXT";
   };

   class ValueText : RscEdit
   {
      idc=114;
      x=.5681;
      y=.595;
      w=.1519;
      text="$STR_DISP_ERROR";
   };

   class SubBackground3 : RscGroupBox2
   {
      x=.22;
      y=.585;
      w=.515;
      h=.06;
   };

   class ButtonEffects : RscButton
   {
      idc=116;
      x=.22;
      y=.675;
      w=.13;
      h=.05;
      text="$STR_DISP_ARCSENS_EFFECTS";
      default=0;
      soundClick[]={"",.2,1};
   };

   class ButtonOK : RscButton
   {
      idc=1;
      x=.462;
      y=.675;
      w=.13;
      h=.05;
      text="$STR_DISP_OK";
      default=1;
      soundClick[]={"ui\ui_ok",.2,1};
   };

   class ButtonCancel : RscButton
   {
      idc=2;
      x=.607;
      y=.675;
      w=.13;
      h=.05;
      text="$STR_DISP_CANCEL";
      default=0;
      soundClick[]={"ui\ui_cc",.2,1};
   };
};

	// Effects menu (tweak)
class RscDisplayArcadeEffects
	{
	idd=44;
	movingEnable=1;
	controls[]={"Background","SubBackground","Title","GroupActivation","Condition","GroupCamera","TextCamEffect","ValueCamEffect","TextCamEffectPos","ValueCamEffectPos","GroupSound","TextSound","ValueSound","TextVoice","ValueVoice","TextSoundEnv","ValueSoundEnv","TextSoundDet","ValueSoundDet","GroupMusic","TextMusic","ValueMusic","GroupTitles","TextTitleType","ValueTitleType","TextTitleEffect","ValueTitleEffect","TextTitle","ValueTitleText","ValueTitleRes","ValueTitleObj","ButtonOK","ButtonCancel"};

	class Background:RscBackground		// edited (tweak)
		{
		x=0.2;
		y=0.1;		// -0.1
		w=0.6;
		h=0.72;
		};

	class Title:RscTitle		// edited (tweak)
		{
		idc=-1;
		x=0.2;
		y=0.118;		// -0.1
		w=0.6;
		h=0.06;
		text="$STR_DISP_ARCEFF_TITLE";
		};

	class SubBackground:RscGroupBox2		// edited (tweak)
		{
		x=0.22;
		y=0.2;		// -0.1
		w=0.56;
		h=0.52;
		};

	class GroupActivation:RscFrame		// edited (tweak)
		{
		x=0.235;
		y=0.22;		// -0.1
		w=0.53;
		h=0.07;
		text="$STR_DISP_ARCEFF_ACTIVATION";
		};

	class Condition:RscEdit		// edited (tweak)
		{
		idc=113;
		x=0.24;
		y=0.245;		// -0.1
		w=0.52;
		text="$STR_DISP_ERROR";
		autocomplete="scripting";
		};

	class GroupCamera:RscFrame		// edited (tweak)
		{
		x=0.235;
		y=0.3;		// -0.1
		w=0.53;
		h=0.07;
		text="$STR_DISP_ARCEFF_CAMERA";
		};

	class TextCamEffect:RscText		// edited (tweak)
		{
		x=0.24;
		y=0.32;		// -0.1
		w=0.09;
		text="$STR_DISP_ARCEFF_CAMTYPE";
		};

	class ValueCamEffect:RscCombo		// edited (tweak)
		{
		idc=101;
		x=0.33;
		y=0.32;		// -0.1
		w=0.15;
		wholeHeight=0.5;		// added
		};

	class TextCamEffectPos:RscText		// edited (tweak)
		{
		x=0.5;
		y=0.32;		// -0.1
		w=0.09;
		text="$STR_DISP_ARCEFF_CAMPOS";
		};

	class ValueCamEffectPos:RscCombo		// edited (tweak)
		{
		idc=102;
		x=0.59;
		y=0.32;		// -0.1
		w=0.15;
		wholeHeight=0.5;		// added
		};

	class GroupSound:RscFrame		// edited (tweak)
		{
		x=0.235;
		y=0.38;		// -0.1
		w=0.53;
		h=0.12;
		text="$STR_DISP_ARCEFF_SOUNDS";
		};

	class TextSound:RscText		// edited (tweak)
		{
		x=0.24;
		y=0.4;		// -0.1
		w=0.09;
		text="$STR_DISP_ARCEFF_SOUND_ANON";
		};

	class ValueSound:RscCombo		// edited (tweak) *
		{
		idc=103;
		x=0.33;
		y=0.4;		// -0.1
		w=0.15;
		wholeHeight=__EVAL(0.6 + AR_modifY);		// added
		};

	class TextVoice:RscText		// edited (tweak)
		{
		x=0.5;
		y=0.4;		// -0.1
		w=0.09;
		text="$STR_DISP_ARCEFF_VOICE";
		};

	class ValueVoice:RscCombo		// edited (tweak) *
		{
		idc=104;
		x=0.59;
		y=0.4;		// -0.1
		w=0.15;
		wholeHeight=__EVAL(0.6 + AR_modifY);		// added
		};

	class TextSoundEnv:RscText		// edited (tweak)
		{
		x=0.24;
		y=0.45;		// -0.1
		w=0.09;
		text="$STR_DISP_ARCEFF_SOUND_ENV";
		};

	class ValueSoundEnv:RscCombo		// edited (tweak) *
		{
		idc=105;
		x=0.33;
		y=0.45;		// -0.1
		w=0.15;
		wholeHeight=__EVAL(0.55 + AR_modifY);		// added
		};

	class TextSoundDet:RscText		// edited (tweak)
		{
		x=0.5;
		y=0.45;		// -0.1
		w=0.09;
		text="$STR_DISP_ARCEFF_SOUND_DET";
		};

	class ValueSoundDet:RscCombo		// edited (tweak) *
		{
		idc=106;
		x=0.59;
		y=0.45;		// -0.1
		w=0.15;
		wholeHeight=__EVAL(0.55 + AR_modifY);		// added
		};

	class GroupMusic:RscFrame		// edited (tweak)
		{
		x=0.235;
		y=0.51;		// -0.1
		w=0.53;
		h=0.07;
		text="$STR_DISP_ARCEFF_MUSIC";
		};

	class TextMusic:RscText		// edited (tweak)
		{
		x=0.24;
		y=0.53;		// -0.1
		w=0.09;
		text="$STR_DISP_ARCEFF_TRACK";
		};

	class ValueMusic:RscCombo		// edited (tweak) *
		{
		idc=107;
		x=0.33;
		y=0.53;		// -0.1
		w=0.15;
		wholeHeight=__EVAL(0.47 + AR_modifY);		// added
		};

	class GroupTitles:RscFrame		// edited (tweak)
		{
		x=0.235;
		y=0.59;		// -0.1
		w=0.53;
		h=0.12;
		text="$STR_DISP_ARCEFF_TITLES";
		};

	class TextTitleType:RscText		// edited (tweak)
		{
		x=0.24;
		y=0.61;		// -0.1
		w=0.09;
		text="$STR_DISP_ARCEFF_TITTYPE";
		};

	class ValueTitleType:RscCombo		// edited (tweak)
		{
		idc=108;
		x=0.33;
		y=0.61;		// -0.1
		w=0.15;
		};

	class TextTitleEffect:RscText		// edited (tweak)
		{
		x=0.5;
		y=0.61;		// -0.1
		w=0.09;
		text="$STR_DISP_ARCEFF_TITEFF";
		};

	class ValueTitleEffect:RscCombo		// edited (tweak)
		{
		idc=109;
		x=0.59;
		y=0.61;		// -0.1
		w=0.15;
		};

	class TextTitle:RscText		// edited (tweak)
		{
		idc=114;
		x=0.24;
		y=0.66;		// -0.1
		w=0.09;
		text="$STR_DISP_ARCEFF_TITTEXT";
		};

	class ValueTitleText:RscEdit		// edited (tweak)
		{
		idc=110;
		x=0.33;
		y=0.66;		// -0.1
		w=0.4;
		text="$STR_DISP_ERROR";
		};

	class ValueTitleRes:RscCombo		// edited (tweak) *
		{
		idc=111;
		x=0.33;
		y=0.66;		// -0.1
		w=0.15;
		wholeHeight=__EVAL(0.34 + AR_modifY);		// added
		};

	class ValueTitleObj:RscCombo		// edited (tweak) *
		{
		idc=112;
		x=0.33;
		y=0.66;		// -0.1
		w=0.15;
		wholeHeight=__EVAL(0.34 + AR_modifY);		// added
		};

	class ButtonOK:RscButtonSmall		// edited (tweak)
		{
		idc=1;
		x=0.5;
		y=0.745;		// -0.1
		w=0.13;
		h=0.05;
		text="$STR_DISP_OK";
		default=1;
		soundClick[]={"ui\ui_ok",0.2,1};
		};

	class ButtonCancel:RscButtonSmall		// edited (tweak)
		{
		idc=2;
		x=0.647;
		y=0.745;		// -0.1
		w=0.13;
		h=0.05;
		text="$STR_DISP_CANCEL";
		soundClick[]={"ui\ui_cc",0.2,1};
		};
	};

class RscDisplayArcadeEffectsSimple
{
   idd=44;
   movingEnable=1;
   controls[]={"Background","Title","SubBackground","GroupSound","TextSound","ValueSound","TextSoundDet","ValueSoundDet","GroupMusic","TextMusic","ValueMusic","GroupTitles","TextTitle","ValueTitleText","ButtonOK","ButtonCancel"};

   class Background : RscBackground
   {
      x=.2;
      y=.27;
      w=.6;
      h=.46;
   };

   class Title : RscTitle
   {
      idc=-1;
      x=.2;
      y=.288;
      w=.6;
      h=.06;
      text="$STR_DISP_ARCEFF_TITLE";
   };

   class TextSound : RscText
   {
      idc=-1;
      x=.24;
      y=.4;
      w=.0936;
      text="$STR_DISP_ARCEFF_SOUND_ANON";
   };

   class ValueSound : RscCombo
   {
      idc=103;
      x=.3336;
      y=.4;
      w=.1612;
   };

   class TextSoundDet : RscText
   {
      idc=-1;
      x=.5052;
      y=.4;
      w=.0936;
      text="$STR_DISP_ARCEFF_SOUND_DET";
   };

   class ValueSoundDet : RscCombo
   {
      idc=106;
      x=.5988;
      y=.4;
      w=.1612;
   };

   class GroupSound : RscFrame
   {
      x=.235;
      y=.38;
      w=.53;
      h=.07;
      text="$STR_DISP_ARCEFF_SOUNDS";
   };

   class TextMusic : RscText
   {
      idc=-1;
      x=.24;
      y=.48;
      w=.0936;
      text="$STR_DISP_ARCEFF_TRACK";
   };

   class ValueMusic : RscCombo
   {
      idc=107;
      x=.3336;
      y=.48;
      w=.1612;
   };

   class GroupMusic : RscFrame
   {
      x=.235;
      y=.46;
      w=.53;
      h=.07;
      text="$STR_DISP_ARCEFF_MUSIC";
   };

   class TextTitle : RscText
   {
      idc=114;
      x=.24;
      y=.56;
      w=.0936;
      text="$STR_DISP_ARCEFF_TITTEXT";
   };

   class ValueTitleText : RscEdit
   {
      idc=110;
      x=.3336;
      y=.56;
      w=.4264;
      text="$STR_DISP_ERROR";
   };

   class GroupTitles : RscFrame
   {
      x=.235;
      y=.54;
      w=.53;
      h=.07;
      text="$STR_DISP_ARCEFF_TITLES";
   };

   class SubBackground : RscGroupBox2
   {
      x=.22;
      y=.37;
      w=.555;
      h=.25;
   };

   class ButtonOK : RscButton
   {
      idc=1;
      x=.502;
      y=.655;
      w=.13;
      h=.05;
      text="$STR_DISP_OK";
      default=1;
      soundClick[]={"ui\ui_ok",.2,1};
   };

   class ButtonCancel : RscButton
   {
      idc=2;
      x=.647;
      y=.655;
      w=.13;
      h=.05;
      text="$STR_DISP_CANCEL";
      default=0;
      soundClick[]={"ui\ui_cc",.2,1};
   };
};

	// Waypoint menu (fix + tweak)
class RscDisplayArcadeWaypoint
	{
	idd=28;
	movingEnable=1;
	controls[]={"Background","SubBackground","Title","TextType","ValueType","TextSequence","ValueSequence","TextDescription","ValueDescription","TextCombatMode","ValueCombatMode","TextFormation","ValueFormation","TextSpeed","ValueSpeed","TextCombat","ValueCombat","TextPlacement","ValuePlacement","TextHousePos","ValueHousePos","TextTimeout","TextTimeoutMin","ValueTimeoutMin","TextTimeoutMax","ValueTimeoutMax","TextTimeoutMid","ValueTimeoutMid","TextExpCond","ValueExpCond","TextExpActiv","ValueExpActiv","Show","TextExpScript","ValueExpScript","ButtonEffects","ButtonOK","ButtonCancel"};

	class Background:RscBackground
		{
		x=0.2;
		y=0.1;
		w=0.6;
		h=0.8;
		};

	class SubBackground:RscGroupBox2		// edited (fix)
		{
		x=0.22;
		y=0.21;		// -0.01
		w=0.56;
		h=0.58;		// -0.02
		};

	class Title:RscTitle		// edited (fix)
		{
		idc=101;
		x=0.2;
		y=0.118;		// +0.004
		w=0.6;
		text="$STR_DISP_ERROR";
		};

	class TextType:RscText
		{
		x=0.25;
		y=0.23;
		w=0.15;
		text="$STR_DISP_ARCWP_TYPE";
		};

	class ValueType:RscCombo		// edited (tweak)
		{
		idc=102;
		x=0.4;
		y=0.23;
		w=0.35;
		wholeHeight=0.5;	// added
		};

	class TextSequence:RscText
		{
		x=0.25;
		y=0.28;
		w=0.15;
		text="$STR_DISP_ARCWP_SEQ";
		};

	class ValueSequence:RscCombo
		{
		idc=103;
		x=0.4;
		y=0.28;
		w=0.35;
		};

	class TextDescription:RscText
		{
		x=0.25;
		y=0.33;
		w=0.15;
		text="$STR_DISP_ARCWP_DESC";
		};

	class ValueDescription:RscEdit
		{
		idc=104;
		x=0.4;
		y=0.33;
		w=0.35;
		text="$STR_DISP_ERROR";
		};

	class TextCombatMode:RscText
		{
		x=0.25;
		y=0.38;
		w=0.1;
		text="$STR_DISP_ARCWP_SEMAPHORE";
		};

	class ValueCombatMode:RscCombo
		{
		idc=105;
		x=0.35;
		y=0.38;
		w=0.15;
		};

	class TextFormation:RscText
		{
		x=0.5;
		y=0.38;
		w=0.1;
		text="$STR_DISP_ARCWP_FORM";
		};

	class ValueFormation:RscCombo
		{
		idc=106;
		x=0.6;
		y=0.38;
		w=0.15;
		};

	class TextSpeed:RscText
		{
		x=0.25;
		y=0.43;
		w=0.1;
		text="$STR_DISP_ARCWP_SPEED";
		};

	class ValueSpeed:RscCombo
		{
		idc=107;
		x=0.35;
		y=0.43;
		w=0.15;
		};

	class TextCombat:RscText
		{
		x=0.5;
		y=0.43;
		w=0.1;
		text="$STR_DISP_ARCWP_COMBAT";
		};

	class ValueCombat:RscCombo
		{
		idc=108;
		x=0.6;
		y=0.43;
		w=0.15;
		};

	class TextPlacement:RscText
		{
		x=0.25;
		y=0.48;
		w=0.15;
		text="$STR_DISP_ARCWP_PLACE";
		};

	class ValuePlacement:RscEdit
		{
		idc=109;
		x=0.4;
		y=0.48;
		w=0.1;
		text="$STR_DISP_ERROR";
		};

	class TextHousePos:RscText
		{
		idc=115;
		x=0.5;
		y=0.48;
		w=0.15;
		text="$STR_DISP_ARCWP_HOUSEPOS";
		};

	class ValueHousePos:RscCombo
		{
		idc=114;
		x=0.65;
		y=0.48;
		w=0.1;
		};

	class TextTimeout:RscText
		{
		x=0.25;
		y=0.53;
		w=0.1;
		text="$STR_DISP_ARCWP_TIMEOUT";
		};

	class TextTimeoutMin:RscText
		{
		x=0.32;
		y=0.53;
		w=0.05;
		text="$STR_DISP_ARCWP_TIMEOUT_MIN";
		};

	class ValueTimeoutMin:RscEdit
		{
		idc=111;
		x=0.37;
		y=0.53;
		w=0.08;
		text="$STR_DISP_ERROR";
		};

	class TextTimeoutMax:RscText		// edited (tweak)
		{
		x=0.62;		// +0.15
		y=0.53;
		w=0.05;
		text="$STR_DISP_ARCWP_TIMEOUT_MAX";
		};

	class ValueTimeoutMax:RscEdit		// edited (tweak)
		{
		idc=112;
		x=0.67;		// +0.15
		y=0.53;
		w=0.08;
		text="$STR_DISP_ERROR";
		};

	class TextTimeoutMid:RscText		// edited (tweak)
		{
		x=0.47;		// -0.15
		y=0.53;
		w=0.05;
		text="$STR_DISP_ARCWP_TIMEOUT_MID";
		};

	class ValueTimeoutMid:RscEdit		// edited (tweak)
		{
		idc=113;
		x=0.52;		// -0.15
		y=0.53;
		w=0.08;
		text="$STR_DISP_ERROR";
		};

	class TextExpCond:RscText
		{
		x=0.25;
		y=0.58;
		w=0.15;
		text="$STR_DISP_ARCWP_EXPCOND";
		};

	class ValueExpCond:RscEdit
		{
		idc=118;
		x=0.4;
		y=0.58;
		w=0.35;
		text="$STR_DISP_ERROR";
		};

	class TextExpActiv:RscText
		{
		x=0.25;
		y=0.63;
		w=0.15;
		text="$STR_DISP_ARCWP_EXPACTIV";
		};

	class ValueExpActiv:RscEdit
		{
		idc=116;
		x=0.4;
		y=0.63;
		w=0.35;
		text="$STR_DISP_ERROR";
		autocomplete="scripting";
		};

	class Show:RscToolbox
		{
		idc=117;
		x=0.25;
		y=0.68;
		w=0.5;
		h=0.038;
		strings[]={"$STR_DISP_ARCWP_SHOW_NEVER","$STR_DISP_ARCWP_SHOW_EASY","$STR_DISP_ARCWP_SHOW_ALWAYS"};
		rows=1;
		columns=3;
		};

	class TextExpScript:RscText
		{
		x=0.25;
		y=0.73;
		w=0.15;
		text="$STR_DISP_ARCWP_SCRIPT";
		};

	class ValueExpScript:RscEdit
		{
		idc=119;
		x=0.4;
		y=0.73;
		w=0.35;
		text="$STR_DISP_ERROR";
		};

	class ButtonEffects:RscButtonSmall
		{
		idc=110;
		x=0.22;
		y=0.81;
		text="$STR_DISP_ARCWP_EFFECTS";
		};

	class ButtonOK:RscButtonSmall		// edited (fix)
		{
		idc=1;
		x=0.51;		// +0.03
		y=0.81;
		text="$STR_DISP_OK";
		default=1;
		soundClick[]={"ui\ui_ok",0.2,1};
		};

	class ButtonCancel:RscButtonSmall		// edited (fix)
		{
		idc=2;
		x=0.66;		// +0.03
		y=0.81;
		text="$STR_DISP_CANCEL";
		soundClick[]={"ui\ui_cc",0.2,1};
		};
	};

class RscDisplayArcadeWaypointSimple
{
   idd=28;
   movingEnable=1;
   controls[]={"Background","Title","SubBackground","TextType","ValueType","TextDescription","ValueDescription","TextCombatMode","ValueCombatMode","TextFormation","ValueFormation","TextCombat","ValueCombat","TextHousePos","ButtonEffects","ButtonOK","ButtonCancel"};

   class Background : RscBackground
   {
      x=.2;
      y=.3;
      w=.6;
      h=.41;
   };

   class Title : RscTitle
   {
      idc=101;
      x=.2;
      y=.318;
      w=.6;
      h=.06;
      text="$STR_DISP_ARCSENS_TITLE";
   };

   class TextType : RscText
   {
      idc=-1;
      x=.23;
      y=.41;
      w=.159;
      text="$STR_DISP_ARCWP_TYPE";
   };

   class ValueType : RscCombo
   {
      idc=102;
      x=.389;
      y=.41;
      w=.371;
   };

   class TextDescription : RscText
   {
      idc=-1;
      x=.23;
      y=.46;
      w=.159;
      text="$STR_DISP_ARCWP_DESC";
   };

   class ValueDescription : RscEdit
   {
      idc=104;
      x=.389;
      y=.46;
      w=.371;
      text="$STR_DISP_ERROR";
   };

   class TextCombatMode : RscText
   {
      idc=-1;
      x=.23;
      y=.51;
      w=.106;
      text="$STR_DISP_ARCWP_SEMAPHORE";
   };

   class ValueCombatMode : RscCombo
   {
      idc=105;
      x=.336;
      y=.51;
      w=.1537;
   };

   class TextFormation : RscText
   {
      idc=-1;
      x=.5003;
      y=.51;
      w=.106;
      text="$STR_DISP_ARCWP_FORM";
   };

   class ValueFormation : RscCombo
   {
      idc=106;
      x=.6063;
      y=.51;
      w=.1537;
   };

   class TextCombat : RscText
   {
      idc=-1;
      x=.23;
      y=.56;
      w=.106;
      text="$STR_DISP_ARCWP_COMBAT";
   };

   class ValueCombat : RscCombo
   {
      idc=108;
      x=.336;
      y=.56;
      w=.1537;
   };

   class TextHousePos : RscText
   {
      idc=115;
      x=.5003;
      y=.61;
      w=.106;
      text="$STR_DISP_ARCWP_HOUSEPOS";
   };

   class SubBackground : RscGroupBox2
   {
      x=.22;
      y=.4;
      w=.555;
      h=.21;
   };

   class ButtonEffects : RscButton
   {
      idc=110;
      x=.22;
      y=.635;
      w=.13;
      h=.05;
      text="$STR_DISP_ARCWP_EFFECTS";
      default=0;
      soundClick[]={"",.2,1};
   };

   class ButtonOK : RscButton
   {
      idc=1;
      x=.502;
      y=.635;
      w=.13;
      h=.05;
      text="$STR_DISP_OK";
      default=1;
      soundClick[]={"ui\ui_ok",.2,1};
   };

   class ButtonCancel : RscButton
   {
      idc=2;
      x=.647;
      y=.635;
      w=.13;
      h=.05;
      text="$STR_DISP_CANCEL";
      default=0;
      soundClick[]={"ui\ui_cc",.2,1};
   };
};







/* ---------------------- CHAT -----------------------*/

	// Current channel
class RscDisplayChannel
{
   idd=63;
   movingEnable=1;
   controls[]={"Channel"};

   class Channel : RscText
   {
      idc=101;
		#ifndef AR_CENTERHUD
			x=__EVAL(0.06 - AR_modifX);
			y=__EVAL(0.81 + AR_modifY);
		#else
			x=0.06;
			y=0.81;
		#endif
      w=.12;
      h=.04;
      style=2;
      text="$STR_DISP_ERROR";
      colorBackground[]={0,0,0,.75};
   };
};

	// Chat input
class RscDisplayChat
{
   idd=24;
   movingEnable=1;
   controls[]={"Background","Line"};

   class Background : RscText
   {
		#ifndef AR_CENTERHUD
			x=__EVAL(0.18 - AR_modifX);
			y=__EVAL(0.81 + AR_modifY);
		#else
			x=0.18;
			y=0.81;
		#endif
      w=.5;
      colorBackground[]={0,0,0,.75};
      colorText[]={0,0,0,1};
      text="";
   };

   class Line : RscEdit
   {
      idc=101;
		#ifndef AR_CENTERHUD
			x=__EVAL(0.18 - AR_modifX);
			y=__EVAL(0.81 + AR_modifY);
		#else
			x=0.18;
			y=0.81;
		#endif
      w=.5;
      text="";
      colorBackground[]={0,0,0,.5};
      colorText[]={1,1,1,1};
      autocomplete="general";
   };
};

	// Talking icon
class RscDisplayVoiceChat
{
   idd=55;
   movingEnable=1;
   controls[]={"Background","Picture"};

   class Background : RscText
   {
		#ifndef AR_CENTERHUD
			x=__EVAL(0.03 - AR_modifX);
			y=__EVAL(0.81 + AR_modifY);
		#else
			x=0.03;
			y=0.81;
		#endif
      w=.03;
      h=.04;
      colorBackground[]={0,0,0,.75};
      colorText[]={0,0,0,1};
      text="";
   };

   class Picture : RscPicture
   {
      idc=101;
      text="voice3.paa";
		#ifndef AR_CENTERHUD
			x=__EVAL(0.03 - AR_modifX);
			y=__EVAL(0.81 + AR_modifY);
		#else
			x=0.03;
			y=0.81;
		#endif
      w=.03;
      h=.04;
      colorText[]={1,1,1,1};
   };
};






/* ---------------------- MISSION EDITOR -----------------------*/

class RscDisplayTemplateSave
{
   idd=29;
   movingEnable=1;
   controls[]={"Background","SubBackground","Title","TextName","ValueName","TextMode","ValueMode","ButtonOK","ButtonCancel"};

   class Background : RscBackground
   {
      x=.28;
      y=.2;
      w=.46;
      h=.33;
   };

   class SubBackground : RscGroupBox2
   {
      x=.3;
      y=.3;
      w=.42;
      h=.13;
   };

   class Title : RscTitle
   {
      x=.28;
      y=.218;
      w=.46;
      h=.06;
      text="$STR_DISP_TEMPL_SAVE";
   };

   class TextName : RscText
   {
      x=.31;
      y=.31;
      w=.31;
      text="$STR_DISP_TEMPL_NAME";
   };

   class ValueName : RscEdit
   {
      idc=101;
      x=.48;
      y=.31;
      w=.225;
      text="$STR_DISP_ERROR";
   };

   class TextMode : RscText
   {
      x=.31;
      y=.36;
      w=.31;
      text="$STR_DISP_TEMPL_MODE";
   };

   class ValueMode : RscCombo
   {
      idc=103;
      x=.48;
      y=.36;
      w=.225;
   };

   class ButtonOK : RscButtonSmall
   {
      idc=1;
      x=.445;
      y=.45;
      w=.13;
      h=.05;
      text="$STR_DISP_OK";
      default=1;
      soundClick[]={"ui\ui_ok",.2,1};
   };

   class ButtonCancel : RscButton
   {
      idc=2;
      x=.591;
      y=.45;
      w=.13;
      h=.05;
      text="$STR_DISP_CANCEL";
      soundClick[]={"ui\ui_cc",.2,1};
   };
};

	// Load mission (tweak)
class RscDisplayTemplateLoad
	{
	idd=30;
	movingEnable=1;
	controls[]={"Background","Title","SubBackground","TextIsland","ValueIsland","TextName","ValueName","ButtonOK","ButtonCancel"};

	class Background:RscBackground
		{
		x=0.28;
		y=0.2;
		w=0.46;
		h=0.31;
		};

	class Title:RscTitle
		{
		idc=102;
		x=0.28;
		y=0.218;
		w=0.46;
		h=0.06;
		text="$STR_DISP_TEMPL_LOAD";
		};

	class TextIsland:RscText
		{
		idc=-1;
		x=0.31;
		y=0.31;
		w=0.117;
		text="$STR_DISP_TEMPL_ISLAND";
		};

	class ValueIsland:RscCombo		// edited (tweak)
		{
		idc=104;
		x=0.427;
		y=0.31;
		w=0.273;
		wholeHeight=__EVAL(0.69 + AR_modifY);		// added
		};

	class TextName:RscText
		{
		idc=-1;
		x=0.31;
		y=0.36;
		w=0.117;
		text="$STR_DISP_TEMPL_NAME";
		};

	class ValueName:RscCombo		// edited (tweak)
		{
		idc=101;
		x=0.427;
		y=0.36;
		w=0.273;
		wholeHeight=__EVAL(0.64 + AR_modifY);		// added
		};

	class SubBackground:RscGroupBox2
		{
		x=0.3;
		y=0.3;
		w=0.415;
		h=0.11;
		};

	class ButtonOK:RscButton
		{
		idc=1;
		x=0.442;
		y=0.435;
		w=0.13;
		h=0.05;
		text="$STR_DISP_OK";
		default=1;
		soundClick[]={"ui\ui_ok",0.2,1};
		};

	class ButtonCancel:RscButton
		{
		idc=2;
		x=0.587;
		y=0.435;
		w=0.13;
		h=0.05;
		text="$STR_DISP_CANCEL";
		default=0;
		soundClick[]={"ui\ui_cc",0.2,1};
		};
	};

	// Intel options in mission editor (fix + tweak)
class RscDisplayIntel
	{
	idd=32;
	movingEnable=1;
	controls[]={"Background","Title","SubBackground","SubtitleVisuals","TextBriefingName","ValueBriefingName","TextBriefingDescription","ValueBriefingDescription","SubBackground1","TextDate","ValueMonth","ValueDay","TextTime","ValueHour","ValueMinute","SubtitleVisuals1","ValueWeather","Bourka","Jasno","ValueFog","SubtitleVisuals2","ValueWeatherForecast","Bourka2","Jasno2","ValueFogForecast","SubtitleVisuals3","ValueResistance","East","West","ButtonOK","ButtonCancel"};

	class Background:RscBackground
		{
		x=0.2;
		y=0.02;
		w=0.64;
		h=0.96;
		};

	class Title:RscTitle
		{
		x=0.2;
		y=0.038;
		w=0.64;
		h=0.06;
		text="$STR_DISP_INTEL_TITLE";
		};

	class SubBackground:RscGroupBox2
		{
		x=0.22;
		y=0.12;
		w=0.6;
		h=0.2;
		};

	class SubtitleVisuals:RscFrame
		{
		x=0.235;
		y=0.125;
		w=0.57;
		h=0.18;
		text="$STR_DISP_INTEL_BRIEFING";
		};

	class TextBriefingName:RscText
		{
		x=0.24;
		y=0.15;
		w=0.1;
		h=0.028;
		text="$STR_DISP_INTEL_NAME";
		};

	class ValueBriefingName:RscEdit
		{
		idc=106;
		x=0.35;
		y=0.15;
		w=0.445;
		h=0.028;
		text="$STR_DISP_ERROR";
		};

	class TextBriefingDescription:RscText
		{
		x=0.24;
		y=0.19;
		w=0.11;
		h=0.028;
		text="$STR_DISP_INTEL_DESC";
		};

	class ValueBriefingDescription:RscEdit
		{
		idc=107;
		style=16;
		lineSpacing=1;
		x=0.35;
		y=0.19;
		w=0.445;
		h=0.102;
		text="$STR_DISP_ERROR";
		};

	class SubBackground1:RscGroupBox2
		{
		x=0.22;
		y=0.345;
		w=0.6;
		h=0.5325;
		};

	class TextDate:RscText
		{
		x=0.23;
		y=0.355;
		w=0.05;
		h=0.028;
		text="$STR_DISP_INTEL_DATE";
		};

	class ValueMonth:RscCombo		// edited (tweak)
		{
		idc=102;
		x=0.285;
		y=0.355;
		w=0.08;
		h=0.028;
		wholeHeight=0.5;	// added
		};

	class ValueDay:RscCombo		// edited (tweak) *
		{
		idc=103;
		x=0.375;
		y=0.355;
		w=0.08;
		h=0.028;
		wholeHeight=__EVAL(0.645 + AR_modifY * 2);	// added
		};

	class TextTime:RscText
		{
		x=0.575;
		y=0.355;
		w=0.05;
		h=0.028;
		text="$STR_DISP_INTEL_TIME";
		};

	class ValueHour:RscCombo		// edited (tweak)
		{
		idc=104;
		x=0.635;
		y=0.355;
		w=0.08;
		h=0.028;
		wholeHeight=0.55;	// added
		};

	class ValueMinute:RscCombo		// edited (tweak)
		{
		idc=105;
		x=0.725;
		y=0.355;
		w=0.08;
		h=0.028;
		wholeHeight=0.5;	// added
		};

	class SubtitleVisuals1:RscFrame
		{
		x=0.235;
		y=0.385;
		w=0.57;
		h=0.18;
		text="$STR_DISP_INTEL_WEATHER";
		};

	class ValueWeather:RscSliderH
		{
		idc=108;
		x=0.3025;
		y=0.43;
		w=0.44;
		};

	class Bourka:RscPicture
		{
		text="bourkasym.paa";
		x=0.245;
		y=0.41;
		w=0.06;
		h=0.08;
		colorText[]={0.08,0.08,0.12,1};
		};

	class Jasno:RscPicture
		{
		text="jasnosym.paa";
		x=0.7425;
		y=0.4075;
		w=0.06;
		h=0.08;
		colorText[]={0.08,0.08,0.12,1};
		};

	class ValueFog:RscSliderH
		{
		idc=109;
		x=0.3025;
		y=0.51;
		w=0.44;
		};

	class SubtitleVisuals2:RscFrame
		{
		x=0.235;
		y=0.565;
		w=0.57;
		h=0.18;
		text="$STR_DISP_INTEL_FORECAST";
		};

	class ValueWeatherForecast:RscSliderH
		{
		idc=110;
		x=0.3025;
		y=0.61;
		w=0.44;
		};

	class Bourka2:RscPicture
		{
		text="bourkasym.paa";
		x=0.245;
		y=0.59;
		w=0.06;
		h=0.08;
		colorText[]={0.08,0.08,0.12,1};
		};

	class Jasno2:RscPicture
		{
		text="jasnosym.paa";
		x=0.7425;
		y=0.5875;
		w=0.06;
		h=0.08;
		colorText[]={0.08,0.08,0.12,1};
		};

	class ValueFogForecast:RscSliderH
		{
		idc=111;
		x=0.3025;
		y=0.69;
		w=0.44;
		};

	class SubtitleVisuals3:RscFrame
		{
		x=0.235;
		y=0.745;
		w=0.57;
		h=0.1;
		text="$STR_DISP_INTEL_RESISTANCE";
		};

	class ValueResistance:RscToolbox
		{
		idc=101;
		x=0.3025;
		y=0.785;
		w=0.44;
		h=0.038;
		strings[]={"$STR_DISP_INTEL_NONE_FRIENDLY","$STR_DISP_INTEL_WEST_FRIENDLY","$STR_DISP_INTEL_EAST_FRIENDLY","$STR_DISP_INTEL_BOTH_FRIENDLY"};
		rows=1;
		columns=4;
		};

	class East:RscPicture
		{
		text="eastsym.paa";
		x=0.245;
		y=0.77;
		w=0.05;
		h=0.068;
		colorText[]={0.08,0.08,0.12,0.7};
		};

	class West:RscPicture
		{
		text="westsym.paa";
		x=0.7475;
		y=0.77;
		w=0.05;
		h=0.068;
		colorText[]={0.08,0.08,0.12,0.7};
		};

	class ButtonOK:RscButtonSmall		// edited (fix)
		{
		idc=1;
		x=0.535;
		y=0.9;						// +0.02
		w=0.13;
		h=0.05;
		text="$STR_DISP_OK";
		default=1;
		soundClick[]={"ui\ui_ok",0.2,1};
		};

	class ButtonCancel:RscButtonSmall		// edited (fix)
		{
		idc=2;
		x=0.69;
		y=0.9;						// +0.02
		w=0.13;
		h=0.05;
		text="$STR_DISP_CANCEL";
		soundClick[]={"ui\ui_cc",0.2,1};
		};
	};

class RscDisplayIntelSimple
{
   idd=32;
   movingEnable=1;
   controls[]={"Background","Title","SubBackground","SubtitleVisuals","TextBriefingName","ValueBriefingName","TextBriefingDescription","ValueBriefingDescription","SubBackground1","TextDate","ValueMonth","ValueDay","TextTime","ValueHour","ValueMinute","SubtitleVisuals1","ValueWeather","Bourka","Jasno","SubtitleVisuals2","ValueWeatherForecast","Bourka2","Jasno2","SubtitleVisuals3","ValueResistance","East","West","ButtonOK","ButtonCancel"};

   class Background : RscBackground
   {
      x=.2;
      y=.02;
      w=.64;
      h=.8;
   };

   class Title : RscTitle
   {
      x=.2;
      y=.038;
      w=.64;
      h=.06;
      text="$STR_DISP_INTEL_TITLE";
   };

   class SubBackground : RscGroupBox2
   {
      x=.22;
      y=.12;
      w=.6;
      h=.2;
   };

   class SubtitleVisuals : RscFrame
   {
      x=.235;
      y=.125;
      w=.57;
      h=.18;
      text="$STR_DISP_INTEL_BRIEFING";
   };

   class TextBriefingName : RscText
   {
      x=.24;
      y=.15;
      w=.1;
      h=.028;
      text="$STR_DISP_INTEL_NAME";
   };

   class ValueBriefingName : RscEdit
   {
      idc=106;
      x=.35;
      y=.15;
      w=.445;
      h=.028;
      text="$STR_DISP_ERROR";
   };

   class TextBriefingDescription : RscText
   {
      x=.24;
      y=.19;
      w=.11;
      h=.028;
      text="$STR_DISP_INTEL_DESC";
   };

   class ValueBriefingDescription : RscEdit
   {
      idc=107;
      style=16;
      lineSpacing=1;
      x=.35;
      y=.19;
      w=.445;
      h=.102;
      text="$STR_DISP_ERROR";
   };

   class SubBackground1 : RscGroupBox2
   {
      x=.22;
      y=.345;
      w=.6;
      h=.3725;
   };

   class TextDate : RscText
   {
      x=.23;
      y=.355;
      w=.05;
      h=.028;
      text="$STR_DISP_INTEL_DATE";
   };

   class ValueMonth : RscCombo
   {
      idc=102;
      x=.285;
      y=.355;
      w=.08;
      h=.028;
   };

   class ValueDay : RscCombo
   {
      idc=103;
      x=.375;
      y=.355;
      w=.08;
      h=.028;
   };

   class TextTime : RscText
   {
      x=.575;
      y=.355;
      w=.05;
      h=.028;
      text="$STR_DISP_INTEL_TIME";
   };

   class ValueHour : RscCombo
   {
      idc=104;
      x=.635;
      y=.355;
      w=.08;
      h=.028;
   };

   class ValueMinute : RscCombo
   {
      idc=105;
      x=.725;
      y=.355;
      w=.08;
      h=.028;
   };

   class SubtitleVisuals1 : RscFrame
   {
      x=.235;
      y=.385;
      w=.57;
      h=.1;
      text="$STR_DISP_INTEL_WEATHER";
   };

   class ValueWeather : RscSliderH
   {
      idc=108;
      x=.3025;
      y=.43;
      w=.44;
   };

   class Bourka : RscPicture
   {
      text="bourkasym.paa";
      x=.245;
      y=.41;
      w=.06;
      h=.08;
      colorText[]={.08,.08,.12,1};
   };

   class Jasno : RscPicture
   {
      text="jasnosym.paa";
      x=.7425;
      y=.4075;
      w=.06;
      h=.08;
      colorText[]={.08,.08,.12,1};
   };

   class SubtitleVisuals2 : RscFrame
   {
      x=.235;
      y=.485;
      w=.57;
      h=.1;
      text="$STR_DISP_INTEL_FORECAST";
   };

   class ValueWeatherForecast : RscSliderH
   {
      idc=110;
      x=.3025;
      y=.53;
      w=.44;
   };

   class Bourka2 : RscPicture
   {
      text="bourkasym.paa";
      x=.245;
      y=.51;
      w=.06;
      h=.08;
      colorText[]={.08,.08,.12,1};
   };

   class Jasno2 : RscPicture
   {
      text="jasnosym.paa";
      x=.7425;
      y=.5075;
      w=.06;
      h=.08;
      colorText[]={.08,.08,.12,1};
   };

   class SubtitleVisuals3 : RscFrame
   {
      x=.235;
      y=.585;
      w=.57;
      h=.1;
      text="$STR_DISP_INTEL_RESISTANCE";
   };

   class ValueResistance : RscToolbox
   {
      idc=101;
      x=.3025;
      y=.625;
      w=.44;
      h=.038;
      strings[]={"$STR_DISP_INTEL_NONE_FRIENDLY","$STR_DISP_INTEL_WEST_FRIENDLY","$STR_DISP_INTEL_EAST_FRIENDLY","$STR_DISP_INTEL_BOTH_FRIENDLY"};
      rows=1;
      columns=4;
   };

   class East : RscPicture
   {
      text="eastsym.paa";
      x=.245;
      y=.61;
      w=.05;
      h=.068;
      colorText[]={.08,.08,.12,.7};
   };

   class West : RscPicture
   {
      text="westsym.paa";
      x=.7475;
      y=.61;
      w=.05;
      h=.068;
      colorText[]={.08,.08,.12,.7};
   };

   class ButtonOK : RscButtonSmall
   {
      idc=1;
      x=.535;
      y=.74;
      w=.13;
      h=.05;
      text="$STR_DISP_OK";
      default=1;
      soundClick[]={"ui\ui_ok",.2,1};
   };

   class ButtonCancel : RscButtonSmall
   {
      idc=2;
      x=.69;
      y=.74;
      w=.13;
      h=.05;
      text="$STR_DISP_CANCEL";
      soundClick[]={"ui\ui_cc",.2,1};
   };
};


class RscDisplayDebug
{
   idd=56;
   movingEnable=1;

   class Controls
   {

      class Background : RscBackground
      {
         x=.2;
         y=0;
         w=.6;
         h=1;
      };

      class SubBackground : RscGroupBox2
      {
         x=.22;
         y=.1;
         w=.56;
         h=.8;
      };

      class Title : RscTitle
      {
         idc=-1;
         x=.2;
         y=.018;
         w=.6;
         h=.06;
         text="Debug console";
      };

      class TextExpression : RscText
      {
         x=.23;
         y=.12;
         w=.1;
         text="Expression:";
      };

      class ValueExpression : RscEdit
      {
         idc=101;
         x=.33;
         y=.12;
         w=.44;
         text="";
         autocomplete="scripting";
      };

      class HeaderVar : RscText
      {
         x=.23;
         y=.2;
         w=.09;
         text="Variable";
      };

      class HeaderExp : RscText
      {
         x=.32;
         y=.2;
         w=.15;
         text="Expression";
      };

      class HeaderRes : RscText
      {
         x=.47;
         y=.2;
         w=.3;
         text="Result";
      };

      class TextVar1 : RscText
      {
         x=.23;
         y=.25;
         w=.09;
         text="debug1";
      };

      class ValueExp1 : RscEdit
      {
         idc=121;
         x=.32;
         y=.25;
         w=.15;
         text="";
         autocomplete="scripting";
      };

      class ValueRes1 : RscEdit
      {
         idc=141;
         x=.47;
         y=.25;
         w=.3;
         text="";
         autocomplete="scripting";
      };

      class TextVar2 : RscText
      {
         x=.23;
         y=.3;
         w=.09;
         text="debug2";
      };

      class ValueExp2 : RscEdit
      {
         idc=122;
         x=.32;
         y=.3;
         w=.15;
         text="";
         autocomplete="scripting";
      };

      class ValueRes2 : RscEdit
      {
         idc=142;
         x=.47;
         y=.3;
         w=.3;
         text="";
         autocomplete="scripting";
      };

      class TextVar3 : RscText
      {
         x=.23;
         y=.35;
         w=.09;
         text="debug3";
      };

      class ValueExp3 : RscEdit
      {
         idc=123;
         x=.32;
         y=.35;
         w=.15;
         text="";
      };

      class ValueRes3 : RscEdit
      {
         idc=143;
         x=.47;
         y=.35;
         w=.3;
         text="";
         autocomplete="scripting";
      };

      class TextVar4 : RscText
      {
         x=.23;
         y=.4;
         w=.09;
         text="debug4";
      };

      class ValueExp4 : RscEdit
      {
         idc=124;
         x=.32;
         y=.4;
         w=.15;
         text="";
         autocomplete="scripting";
      };

      class ValueRes4 : RscEdit
      {
         idc=144;
         x=.47;
         y=.4;
         w=.3;
         text="";
         autocomplete="scripting";
      };

      class TextLog : RscText
      {
         x=.23;
         y=.72;
         w=.1;
         text="Log:";
      };

      class ValueLog : RscListBox
      {
         idc=103;
         x=.33;
         y=.72;
         w=.44;
         h=.15;
      };

      class ButtonA1 : RscButtonSmall
      {
         idc="IDC_STATIC";
         x=.25;
         y=.5;
         w=.065;
         h=.05;
         text="All";
         action="""all"" diag_enable true";
      };

      class ButtonA2 : RscButtonSmall
      {
         idc="IDC_STATIC";
         x=.32;
         y=.5;
         w=.065;
         h=.05;
         text="No";
         action="""all"" diag_enable false";
      };

      class ButtonA3 : RscButtonSmall
      {
         idc="IDC_STATIC";
         x=.39;
         y=.5;
         w=.065;
         h=.05;
         text="Combat";
         action="diag_toggle ""combat""";
      };

      class ButtonA4 : RscButtonSmall
      {
         idc="IDC_STATIC";
         x=.46;
         y=.5;
         w=.065;
         h=.05;
         text="Cost";
         action="diag_toggle ""costmap""";
      };

      class ButtonA5 : RscButtonSmall
      {
         idc="IDC_STATIC";
         x=.53;
         y=.5;
         w=.065;
         h=.05;
         text="Transp";
         action="diag_toggle ""transparent""";
      };

      class ButtonA6 : RscButtonSmall
      {
         idc="IDC_STATIC";
         x=.6;
         y=.5;
         w=.065;
         h=.05;
         text="Collis";
         action="diag_toggle ""collision""";
      };

      class ButtonA7 : RscButtonSmall
      {
         idc="IDC_STATIC";
         x=.67;
         y=.5;
         w=.065;
         h=.05;
         text="Path";
         action="diag_toggle ""path""";
      };

      class ButtonA8 : RscButtonSmall
      {
         idc="IDC_STATIC";
         x=.25;
         y=.55;
         w=.065;
         h=.05;
         text="Force";
         action="diag_toggle ""force""";
      };

      class ButtonA9 : RscButtonSmall
      {
         idc="IDC_STATIC";
         x=.32;
         y=.55;
         w=.065;
         h=.05;
         text="Anim";
         action="diag_toggle ""animation""";
      };

      class ButtonB1 : RscButtonSmall
      {
         idc="IDC_STATIC";
         x=.25;
         y=.6;
         w=.065;
         h=.05;
         text="Normal";
         action="diag_drawmode ""Normal""";
      };

      class ButtonB2 : RscButtonSmall
      {
         idc="IDC_STATIC";
         x=.32;
         y=.6;
         w=.065;
         h=.05;
         text="Fire";
         action="diag_drawmode ""FireGeometry""";
      };

      class ButtonB3 : RscButtonSmall
      {
         idc="IDC_STATIC";
         x=.39;
         y=.6;
         w=.065;
         h=.05;
         text="View";
         action="diag_drawmode ""ViewGeometry""";
      };

      class ButtonB4 : RscButtonSmall
      {
         idc="IDC_STATIC";
         x=.46;
         y=.6;
         w=.065;
         h=.05;
         text="Geom.";
         action="diag_drawmode ""Geometry""";
      };

      class ButtonApply : RscButtonSmall
      {
         idc=102;
         x=.35;
         y=.925;
         w=.13;
         h=.05;
         text="Apply";
         soundClick[]={"ui\ui_ok",.2,1};
      };

      class ButtonOK : RscButtonSmall
      {
         idc=1;
         x=.5;
         y=.925;
         w=.13;
         h=.05;
         text="$STR_DISP_OK";
         default=1;
         soundClick[]={"ui\ui_ok",.2,1};
      };

      class ButtonCancel : RscButtonSmall
      {
         idc=2;
         x=.65;
         y=.925;
         w=.13;
         h=.05;
         text="$STR_DISP_CANCEL";
         soundClick[]={"ui\ui_cc",.2,1};
      };
   };
};









/* ---------------------- RESOURCE -----------------------*/	

class RscActiveMenu : RscActiveText
{
   access=3;
   color[]={1,1,1,1};
   colorActive[]={1,0,0,1};
   font="SteelfishB64";
   sizeEx=.05;
   default=0;
   soundClick[]={"ui\ui_ok",.2,1};
};


class RscTextMenu : RscText
{
   access=3;
   colorText[]={1,1,1,.8};
   font="courierNewB64";
   sizeEx="0.7 * 0.048";
   h=.13;
};


class Rsc3DActiveMenu
{
   access=3;
   type=21;
   style=0;
   color[]={1,1,1,1};
   colorActive[]={1,0,0,1};
   font="SteelfishB64";
   angle=0;
   default=0;
   soundEnter[]={"ui\ui_over",.2,1};
   soundPush[]={"",.2,1};
   soundClick[]={"ui\ui_ok",.2,1};
   soundEscape[]={"ui\ui_cc",.2,1};
};


class Rsc3DTextMenu
{
   access=3;
   type=20;
   style=0;
   color[]={1,1,1,.8};
   font="courierNewB64";
   angle=0;
};


class RscObject
{
   access=3;
   type=80;
   scale=1;
   direction[]={0,0,1};
   up[]={0,1,0};
};


class RscObjNotebookText
{
   access=3;
   type=20;
   style=0;
   idc=-1;
   color[]={0,1,0,1};
   font="courierNewB64";
   angle=0;
   selection="display";
   h=.05;
};


class RscObjNotebookEdit
{
   access=3;
   type=25;
   style=0;
   colorText[]={0,1,0,1};
   colorSelection[]={0,1,0,.4};
   font="courierNewB64";
   size=.8;
   angle=0;
   selection="display";
   autocomplete="";
   h=.05;
   text="$STR_DISP_ERROR";
};


class RscObjNotebookButton
{
   access=3;
   type=21;
   style=0;
   color[]={0,1,0,.5};
   colorActive[]={0,1,0,1};
   font="courierNewB64";
   angle=0;
   selection="display";
   h=.05;
   soundEnter[]={"ui\ui_over",.2,1};
   soundPush[]={"",.2,1};
   soundClick[]={"ui\ui_ok",.2,1};
   soundEscape[]={"ui\ui_cc",.2,1};
   default=0;
};


class RscObjNotebookListBox
{
   access=3;
   type=22;
   style=0;
   selection="display";
   angle=0;
   size=.8;
   colorSelect[]={0,1,0,1};
   colorSelectBackground[]={0,1,0,.2};
   colorText[]={0,1,0,.5};
   font="courierNewB64";
};

	// Top black border
class RscBackgroundStripeTop : RscText
{
   access=3;
   x=-10;
   y=__EVAL(-10.0 - AR_modifY);
   w=21;
   h=10.125;
   text="";
   colorBackground[]={0,0,0,1};
};

	// Bottom black border
class RscBackgroundStripeBottom : RscText
{
   access=3;
   x=-10;
   y=__EVAL(0.875 + AR_modifY);
   w=21;
   h=10.125;
   text="";
   colorBackground[]={0,0,0,1};
};


class RscBackgroundStripeTopAlpha : RscBackgroundStripeTop
{
   access=3;
   colorBackground[]={0,0,0,.5};
};


class RscBackgroundStripeBottomAlpha : RscBackgroundStripeBottom
{
   access=3;
   colorBackground[]={0,0,0,.5};
};

	//  Darker main menu
class RscBackgroundStripeDark : RscText
{
   x=-10;
   y=__EVAL(0.125 - AR_modifY);
   w=21;
   h=__EVAL(0.75 + AR_modifY * 2);
   text="";
   colorBackground[]={0,0,0,.5};
};


class RscDisplayBackgroundStripes
{
   access=3;

   class Background1 : RscBackgroundStripeTop
   {
   };

   class Background2 : RscBackgroundStripeBottom
   {
   };
};

	// Main menu background
class RscDisplayBackgroundStripesDark : RscDisplayBackgroundStripes
{
   access=3;

   class Background3 : RscBackgroundStripeDark
   {
   };
   class ECP_Background3 : RscBackgroundStripeDark	// edited
   {
   x=__EVAL(0 - AR_modifX);		// +20.73 for triplehead
   y=__EVAL(0.125 - AR_modifY);
   w=0.27;								// -20.73 for triplehead
   h=__EVAL(0.75 + AR_modifY * 2);
   };
   class ECP_flags_bg : RscPicture		// edited
   {
      text="\ECP_Effects\images\ECP_flags_bg.paa";
      colorText[]={1,1,1,0.75};
      x=__EVAL(0 - AR_modifX);
      y=__EVAL(0.125 - AR_modifY);
      w=0.285;
      h=__EVAL(0.75 + AR_modifY * 2);
   };
};

	// Menus background
class RscDisplayStripesLayeredBackground
{
   access=3;

   class Background1 : RscBackgroundStripeTopAlpha
   {
   };

   class Background2 : RscBackgroundStripeBottomAlpha
   {
   };

   class Background3 : RscBackgroundStripeDark
   {
   };

   class Background4 : RscBackgroundStripeTop
   {
   };

   class Background5 : RscBackgroundStripeBottom
   {
   };
   class ECP_flags_bg : RscPicture		// edited
   {
      text="\ECP_Effects\images\ECP_flags_bg.paa";
      colorText[]={1,1,1,0.75};
      x=__EVAL(0 - AR_modifX);
      y=__EVAL(0.125 - AR_modifY);
      w=0.285;
      h=__EVAL(0.75 + AR_modifY * 2);
   };
   class ECP_logo_small_bg : RscPicture		// edited
   {
      text="\ECP_Effects\images\ECPlogo_small.paa";
      colorText[]={1,1,1,1};
      x=__EVAL(0.88 + AR_modifX);
      y=__EVAL(0.75 + AR_modifY);
      w=.09;
      h=.115;
   };
   controlsBackground[]={"Background3","Background4","Background5","ECP_flags_bg","ECP_logo_small_bg"};
};


class RscDisplayStripesBrightLayeredBackground
{
   access=3;

   class Background1 : RscBackgroundStripeTopAlpha
   {
   };

   class Background2 : RscBackgroundStripeBottomAlpha
   {
   };

   class Background4 : RscBackgroundStripeTop
   {
   };

   class Background5 : RscBackgroundStripeBottom
   {
   };
   controlsBackground[]={"Background4","Background5"};
};

// added
#define ECPBackground ECP_flags_bg,ECP_logo_small_bg
#define AddECPBackground \
	class ECP_flags_bg : RscPicture \
	{ \
      text="\ECP_Effects\images\ECP_flags_bg.paa"; \
      colorText[]={1,1,1,0.75}; \
      x=__EVAL(0 - AR_modifX); \
      y=__EVAL(0.125 - AR_modifY); \
      w=0.285; \
      h=__EVAL(0.75 + AR_modifY * 2); \
	}; \
   class ECP_logo_small_bg : RscPicture \
   { \
      text="\ECP_Effects\images\ECPlogo_small.paa"; \
      colorText[]={1,1,1,1}; \
      x=__EVAL(0.88 + AR_modifX); \
      y=__EVAL(0.75 + AR_modifY); \
      w=.09; \
      h=.115; \
   }; \










/* ---------------------- MENUS -----------------------*/

	// Extra main menu functionality - mods, download, master server (added)
class MAINMENU_MODSLIST
{
	idd = 0;
	movingEnable = 1;
	controlsBackground[]={};
	controls[]=
	{
			Background, ListBox, Schedule, Master, Version,
			
			ScheduleBackground, Logo, ServerTitle, InstallationProgress, TimeDisplay,
			Text_left1, Text_right1, Text_red1,
			Text_left2, Text_right2, Text_red2,
			Text_left3, Text_right3, Text_red3,
			Text_left4, Text_right4, Text_red4,
			Text_left5, Text_right5,
			Text_left6, Text_right6,
			Text_left7, Text_right7,
			Text_left8, Text_right8,
			Text_left9, Text_right9
	};
	
	#define AR_MODS_Y 0.18 - AR_modifY
	#define AR_MODS_W 0.4
	#define AR_MODS_H 0.55 + AR_modifY*2
	#define AR_MODS_X 1 + AR_modifX - AR_MODS_W
		
	class Background : RscBackground
	{
		style = 0
		idc = 6449
		x = __EVAL(AR_MODS_X)
		y = __EVAL(AR_MODS_Y)
		w = __EVAL(AR_MODS_W)
		h = __EVAL(AR_MODS_H)
		colorBackground[]={0,0,0,0.6};		
	};
	
	class Listbox : RscListBox
	{
		idc = 6657
		x = __EVAL(AR_MODS_X)
		y = __EVAL(AR_MODS_Y)
		w = __EVAL(AR_MODS_W)
		h = __EVAL(AR_MODS_H)
		colorText[] = {1,1,1, 0.65};	
		colorSelect[] = {0,0,0, 0.5};
		font = "tahomaB48";
		rowHeight = 0.028
		sizeEx = 0.028
	};
	
	class Schedule : RscActiveMenu
	{
		idc = 6450
		style = 1
		x = __EVAL(1 + AR_modifX - 0.3);
		y = __EVAL(0.125 - AR_modifY - 0.05);
		w = 0.3;
		h = 0.045;
		sizeEx = 0.04;
		font="SteelfishB128";
		text="Schedule";
		color[]={0.75,0.75,0.75, 1};
	};
	
	class Master : Schedule
	{
		idc = 6451
		y = __EVAL(0.125 - AR_modifY - 0.05*2);
		text="Master Server";
		color[]={0.5,0.5,0.5, 1};
	};
	
	class baseTXT
	{
		idc = -1
		type = 0
		style = 0
		text = ;
		colorBackground[] = {0,0,0, 0};
		colorText[] = {1,1,1, 1};
		font = "tahomaB48";
		sizeEx = 0.02
		lineSpacing = 1
		x=0; y=0; w=0; h=0;
	};

	// Background size
	__EXEC(AR_FRAME_W = 0.4304)
	__EXEC(AR_FRAME_X = AR_MODS_X - AR_FRAME_W - 0.02)
	__EXEC(AR_FRAME_Y = AR_MODS_Y)
	
	
	// Position of the text inside the background
	__EXEC(AR_FRAME_LOGOW        	= 0.07);
	__EXEC(AR_FRAME_LOGOH        	= AR_FRAME_LOGOW * 1.333333);
	__EXEC(AR_FRAME_TEXT_MARGINX 	= 0.01)
	__EXEC(AR_FRAME_TEXT_MARGINY 	= 0.015)
	__EXEC(AR_FRAME_TEXT_YVAR       = AR_FRAME_Y + AR_FRAME_TEXT_MARGINY)
	__EXEC(AR_FRAME_TEXT_TITLE_SIZE = 0.035)
	__EXEC(AR_FRAME_TEXT_SIZE 		= 0.025)
	__EXEC(AR_FRAME_TEXT_IDC 		= 6470)
	__EXEC(AR_FRAME_TEXT_YSPACE 	= 0.005);
	__EXEC(AR_FRAME_TEXT_WIDTH	 	= 0.085);


	class Logo : baseTXT
	{
		idc = 6461;
		style = 48;
		x = __EVAL(AR_FRAME_X + AR_FRAME_TEXT_MARGINX)
		y = __EVAL(AR_FRAME_TEXT_YVAR)
		w = __EVAL(AR_FRAME_LOGOW)
		h = __EVAL(AR_FRAME_LOGOH);
		color[]={1,1,1,1};
		//text = "\data\marker_smiley1.paa";
	};
	
	class ServerTitle : baseTXT
	{
		idc = 6462
		style = 16
		x = __EVAL(AR_FRAME_X + AR_FRAME_TEXT_MARGINX + AR_FRAME_LOGOW)
		y = __EVAL(AR_FRAME_TEXT_YVAR)
		w = __EVAL(AR_FRAME_W - AR_FRAME_TEXT_MARGINX*2 - AR_FRAME_LOGOW)
		h = __EVAL(AR_FRAME_LOGOH)
		sizeEx = __EVAL(AR_FRAME_TEXT_TITLE_SIZE - 0.005)
		//text = "WWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWW";
	};

	__EXEC(AR_FRAME_TEXT_YVAR = AR_FRAME_Y + AR_FRAME_LOGOH + AR_FRAME_TEXT_MARGINY)


	// Macro for text elements
	class Text_left1 : baseTXT { style= 1+256; idc= __EVAL(AR_FRAME_TEXT_IDC); x  = __EVAL(AR_FRAME_X + AR_FRAME_TEXT_MARGINX); y  = __EVAL(AR_FRAME_TEXT_YVAR); w  = __EVAL(AR_FRAME_TEXT_WIDTH); h  = __EVAL(AR_FRAME_TEXT_SIZE); sizeEx      = __EVAL(AR_FRAME_TEXT_SIZE - 0.005); colorText[] = {0.9804,0.9725,0.8000, 1}; font= "TahomaB36"; text=  "Version:"; }; class Text_right1 : Text_left1 { style= 16; idc= __EVAL(AR_FRAME_TEXT_IDC + 1); x  = __EVAL(AR_FRAME_X + AR_FRAME_TEXT_MARGINX   + AR_FRAME_TEXT_WIDTH); y  = __EVAL(AR_FRAME_TEXT_YVAR + 0.002); w  = __EVAL(AR_FRAME_W - AR_FRAME_TEXT_MARGINX*2 - AR_FRAME_TEXT_WIDTH - 0.01); h  = __EVAL(AR_FRAME_TEXT_SIZE *  1); colorText[] = {1,1,1, 1}; text= ; }; __EXEC(AR_FRAME_TEXT_IDC  = AR_FRAME_TEXT_IDC + 10); __EXEC(AR_FRAME_TEXT_YVAR = AR_FRAME_TEXT_YVAR + AR_FRAME_TEXT_SIZE *  1 + AR_FRAME_TEXT_YSPACE);
	class Text_left2 : baseTXT { style= 1+256; idc= __EVAL(AR_FRAME_TEXT_IDC); x  = __EVAL(AR_FRAME_X + AR_FRAME_TEXT_MARGINX); y  = __EVAL(AR_FRAME_TEXT_YVAR); w  = __EVAL(AR_FRAME_TEXT_WIDTH); h  = __EVAL(AR_FRAME_TEXT_SIZE); sizeEx      = __EVAL(AR_FRAME_TEXT_SIZE - 0.005); colorText[] = {0.9804,0.9725,0.8000, 1}; font= "TahomaB36"; text=  "Modfolders:"; }; class Text_right2 : Text_left2 { style= 16; idc= __EVAL(AR_FRAME_TEXT_IDC + 1); x  = __EVAL(AR_FRAME_X + AR_FRAME_TEXT_MARGINX   + AR_FRAME_TEXT_WIDTH); y  = __EVAL(AR_FRAME_TEXT_YVAR + 0.002); w  = __EVAL(AR_FRAME_W - AR_FRAME_TEXT_MARGINX*2 - AR_FRAME_TEXT_WIDTH - 0.01); h  = __EVAL(AR_FRAME_TEXT_SIZE *  4); colorText[] = {1,1,1, 1}; text= ; }; __EXEC(AR_FRAME_TEXT_IDC  = AR_FRAME_TEXT_IDC + 10); __EXEC(AR_FRAME_TEXT_YVAR = AR_FRAME_TEXT_YVAR + AR_FRAME_TEXT_SIZE *  4 + AR_FRAME_TEXT_YSPACE);
	class Text_left3 : baseTXT { style= 1+256; idc= __EVAL(AR_FRAME_TEXT_IDC); x  = __EVAL(AR_FRAME_X + AR_FRAME_TEXT_MARGINX); y  = __EVAL(AR_FRAME_TEXT_YVAR); w  = __EVAL(AR_FRAME_TEXT_WIDTH); h  = __EVAL(AR_FRAME_TEXT_SIZE); sizeEx      = __EVAL(AR_FRAME_TEXT_SIZE - 0.005); colorText[] = {0.9804,0.9725,0.8000, 1}; font= "TahomaB36"; text=  "Custom File:"; }; class Text_right3 : Text_left3 { style= 16; idc= __EVAL(AR_FRAME_TEXT_IDC + 1); x  = __EVAL(AR_FRAME_X + AR_FRAME_TEXT_MARGINX   + AR_FRAME_TEXT_WIDTH); y  = __EVAL(AR_FRAME_TEXT_YVAR + 0.002); w  = __EVAL(AR_FRAME_W - AR_FRAME_TEXT_MARGINX*2 - AR_FRAME_TEXT_WIDTH - 0.01); h  = __EVAL(AR_FRAME_TEXT_SIZE *  1); colorText[] = {1,1,1, 1}; text= ; }; __EXEC(AR_FRAME_TEXT_IDC  = AR_FRAME_TEXT_IDC + 10); __EXEC(AR_FRAME_TEXT_YVAR = AR_FRAME_TEXT_YVAR + AR_FRAME_TEXT_SIZE *  1 + AR_FRAME_TEXT_YSPACE);
	class Text_left4 : baseTXT { style= 1+256; idc= __EVAL(AR_FRAME_TEXT_IDC); x  = __EVAL(AR_FRAME_X + AR_FRAME_TEXT_MARGINX); y  = __EVAL(AR_FRAME_TEXT_YVAR); w  = __EVAL(AR_FRAME_TEXT_WIDTH); h  = __EVAL(AR_FRAME_TEXT_SIZE); sizeEx      = __EVAL(AR_FRAME_TEXT_SIZE - 0.005); colorText[] = {0.9804,0.9725,0.8000, 1}; font= "TahomaB36"; text=  "Game:"; }; class Text_right4 : Text_left4 { style= 16; idc= __EVAL(AR_FRAME_TEXT_IDC + 1); x  = __EVAL(AR_FRAME_X + AR_FRAME_TEXT_MARGINX   + AR_FRAME_TEXT_WIDTH); y  = __EVAL(AR_FRAME_TEXT_YVAR + 0.002); w  = __EVAL(AR_FRAME_W - AR_FRAME_TEXT_MARGINX*2 - AR_FRAME_TEXT_WIDTH - 0.01); h  = __EVAL(AR_FRAME_TEXT_SIZE *  4); colorText[] = {1,1,1, 1}; text= ; }; __EXEC(AR_FRAME_TEXT_IDC  = AR_FRAME_TEXT_IDC + 10); __EXEC(AR_FRAME_TEXT_YVAR = AR_FRAME_TEXT_YVAR + AR_FRAME_TEXT_SIZE *  4 + AR_FRAME_TEXT_YSPACE);
	class Text_left5 : baseTXT { style= 1+256; idc= __EVAL(AR_FRAME_TEXT_IDC); x  = __EVAL(AR_FRAME_X + AR_FRAME_TEXT_MARGINX); y  = __EVAL(AR_FRAME_TEXT_YVAR); w  = __EVAL(AR_FRAME_TEXT_WIDTH); h  = __EVAL(AR_FRAME_TEXT_SIZE); sizeEx      = __EVAL(AR_FRAME_TEXT_SIZE - 0.005); colorText[] = {0.9804,0.9725,0.8000, 1}; font= "TahomaB36"; text=  "Voice:"; }; class Text_right5 : Text_left5 { style= 16; idc= __EVAL(AR_FRAME_TEXT_IDC + 1); x  = __EVAL(AR_FRAME_X + AR_FRAME_TEXT_MARGINX   + AR_FRAME_TEXT_WIDTH); y  = __EVAL(AR_FRAME_TEXT_YVAR + 0.002); w  = __EVAL(AR_FRAME_W - AR_FRAME_TEXT_MARGINX*2 - AR_FRAME_TEXT_WIDTH - 0.01); h  = __EVAL(AR_FRAME_TEXT_SIZE *  1); colorText[] = {1,1,1, 1}; text= ; }; __EXEC(AR_FRAME_TEXT_IDC  = AR_FRAME_TEXT_IDC + 10); __EXEC(AR_FRAME_TEXT_YVAR = AR_FRAME_TEXT_YVAR + AR_FRAME_TEXT_SIZE *  1 + AR_FRAME_TEXT_YSPACE);
	class Text_left6 : baseTXT { style= 1+256; idc= __EVAL(AR_FRAME_TEXT_IDC); x  = __EVAL(AR_FRAME_X + AR_FRAME_TEXT_MARGINX); y  = __EVAL(AR_FRAME_TEXT_YVAR); w  = __EVAL(AR_FRAME_TEXT_WIDTH); h  = __EVAL(AR_FRAME_TEXT_SIZE); sizeEx      = __EVAL(AR_FRAME_TEXT_SIZE - 0.005); colorText[] = {0.9804,0.9725,0.8000, 1}; font= "TahomaB36"; text=  "Languages:"; }; class Text_right6 : Text_left6 { style= 16; idc= __EVAL(AR_FRAME_TEXT_IDC + 1); x  = __EVAL(AR_FRAME_X + AR_FRAME_TEXT_MARGINX   + AR_FRAME_TEXT_WIDTH); y  = __EVAL(AR_FRAME_TEXT_YVAR + 0.002); w  = __EVAL(AR_FRAME_W - AR_FRAME_TEXT_MARGINX*2 - AR_FRAME_TEXT_WIDTH - 0.01); h  = __EVAL(AR_FRAME_TEXT_SIZE *  1); colorText[] = {1,1,1, 1}; text= ; }; __EXEC(AR_FRAME_TEXT_IDC  = AR_FRAME_TEXT_IDC + 10); __EXEC(AR_FRAME_TEXT_YVAR = AR_FRAME_TEXT_YVAR + AR_FRAME_TEXT_SIZE *  1 + AR_FRAME_TEXT_YSPACE);
	class Text_left7 : baseTXT { style= 1+256; idc= __EVAL(AR_FRAME_TEXT_IDC); x  = __EVAL(AR_FRAME_X + AR_FRAME_TEXT_MARGINX); y  = __EVAL(AR_FRAME_TEXT_YVAR); w  = __EVAL(AR_FRAME_TEXT_WIDTH); h  = __EVAL(AR_FRAME_TEXT_SIZE); sizeEx      = __EVAL(AR_FRAME_TEXT_SIZE - 0.005); colorText[] = {0.9804,0.9725,0.8000, 1}; font= "TahomaB36"; text=  "Location:"; }; class Text_right7 : Text_left7 { style= 16; idc= __EVAL(AR_FRAME_TEXT_IDC + 1); x  = __EVAL(AR_FRAME_X + AR_FRAME_TEXT_MARGINX   + AR_FRAME_TEXT_WIDTH); y  = __EVAL(AR_FRAME_TEXT_YVAR + 0.002); w  = __EVAL(AR_FRAME_W - AR_FRAME_TEXT_MARGINX*2 - AR_FRAME_TEXT_WIDTH - 0.01); h  = __EVAL(AR_FRAME_TEXT_SIZE *  1); colorText[] = {1,1,1, 1}; text= ; }; __EXEC(AR_FRAME_TEXT_IDC  = AR_FRAME_TEXT_IDC + 10); __EXEC(AR_FRAME_TEXT_YVAR = AR_FRAME_TEXT_YVAR + AR_FRAME_TEXT_SIZE *  1 + AR_FRAME_TEXT_YSPACE);
	class Text_left8 : baseTXT { style= 1+256; idc= __EVAL(AR_FRAME_TEXT_IDC); x  = __EVAL(AR_FRAME_X + AR_FRAME_TEXT_MARGINX); y  = __EVAL(AR_FRAME_TEXT_YVAR); w  = __EVAL(AR_FRAME_TEXT_WIDTH); h  = __EVAL(AR_FRAME_TEXT_SIZE); sizeEx      = __EVAL(AR_FRAME_TEXT_SIZE - 0.005); colorText[] = {0.9804,0.9725,0.8000, 1}; font= "TahomaB36"; text=  "Website:"; }; class Text_right8 : Text_left8 { style= 16; idc= __EVAL(AR_FRAME_TEXT_IDC + 1); x  = __EVAL(AR_FRAME_X + AR_FRAME_TEXT_MARGINX   + AR_FRAME_TEXT_WIDTH); y  = __EVAL(AR_FRAME_TEXT_YVAR + 0.002); w  = __EVAL(AR_FRAME_W - AR_FRAME_TEXT_MARGINX*2 - AR_FRAME_TEXT_WIDTH - 0.01); h  = __EVAL(AR_FRAME_TEXT_SIZE *  1); colorText[] = {1,1,1, 1}; text= ; }; __EXEC(AR_FRAME_TEXT_IDC  = AR_FRAME_TEXT_IDC + 10); __EXEC(AR_FRAME_TEXT_YVAR = AR_FRAME_TEXT_YVAR + AR_FRAME_TEXT_SIZE *  1 + AR_FRAME_TEXT_YSPACE);
	class Text_left9 : baseTXT { style= 1+256; idc= __EVAL(AR_FRAME_TEXT_IDC); x  = __EVAL(AR_FRAME_X + AR_FRAME_TEXT_MARGINX); y  = __EVAL(AR_FRAME_TEXT_YVAR); w  = __EVAL(AR_FRAME_TEXT_WIDTH); h  = __EVAL(AR_FRAME_TEXT_SIZE); sizeEx      = __EVAL(AR_FRAME_TEXT_SIZE - 0.005); colorText[] = {0.9804,0.9725,0.8000, 1}; font= "TahomaB36"; text=  "Message:"; }; class Text_right9 : Text_left9 { style= 16; idc= __EVAL(AR_FRAME_TEXT_IDC + 1); x  = __EVAL(AR_FRAME_X + AR_FRAME_TEXT_MARGINX   + AR_FRAME_TEXT_WIDTH); y  = __EVAL(AR_FRAME_TEXT_YVAR + 0.002); w  = __EVAL(AR_FRAME_W - AR_FRAME_TEXT_MARGINX*2 - AR_FRAME_TEXT_WIDTH - 0.01); h  = __EVAL(AR_FRAME_TEXT_SIZE *  5); colorText[] = {1,1,1, 1}; text= ; }; __EXEC(AR_FRAME_TEXT_IDC  = AR_FRAME_TEXT_IDC + 10); __EXEC(AR_FRAME_TEXT_YVAR = AR_FRAME_TEXT_YVAR + AR_FRAME_TEXT_SIZE *  5 + AR_FRAME_TEXT_YSPACE);

	// Macro for red font text
	class Text_red1 :  Text_left1 { idc =  6472; colorText[] = {1,0,0,1}; };
	class Text_red2 :  Text_left2 { idc =  6482; colorText[] = {1,0,0,1}; };
	class Text_red3 :  Text_left3 { idc =  6492; colorText[] = {1,0,0,1}; };
	class Text_red4 :  Text_left4 { idc =  6502; colorText[] = {1,0,0,1}; };
	
	__EXEC(AR_FRAME_TEXT_YVAR = AR_FRAME_TEXT_YVAR + AR_FRAME_TEXT_MARGINY);

		
	class ScheduleBackground : baseTXT
	{
		idc = 6460
		style = 80
		x = __EVAL(AR_FRAME_X)
		y = __EVAL(AR_FRAME_Y)
		w = __EVAL(AR_FRAME_W)
		h = __EVAL(AR_FRAME_TEXT_YVAR - AR_FRAME_Y)
		colorBackground[] = {0, 0.423, 0.662, 1};
		//text = __EVAL(AR_FRAME_TEXT_YVAR - AR_FRAME_Y)
	};
	
	class InstallationProgress : baseTXT
	{
		idc = 6463
		style = 16
		x = __EVAL(AR_FRAME_X + AR_FRAME_TEXT_MARGINX)
		y = __EVAL(AR_FRAME_Y + AR_FRAME_TEXT_MARGINY)
		w = __EVAL(AR_FRAME_W - AR_FRAME_TEXT_MARGINX*2)
		h = __EVAL(AR_FRAME_TEXT_YVAR - AR_FRAME_Y - AR_FRAME_TEXT_MARGINY*2)
		colorBackground[] = {0,0,0,0};
		//colorText[] = {153/255, 198/255, 142/255, 1};
		colorText[] = {0.9804,0.9725,0.8000, 1};
		sizeEx = 0.025
	}
	
	class TimeDisplay : baseTXT
	{
		idc = 6464
		style = 1 + 256
		x = __EVAL(AR_FRAME_X)
		y = __EVAL(AR_FRAME_Y + AR_FRAME_TEXT_YVAR - AR_FRAME_Y)
		w = __EVAL(AR_FRAME_W)
		h = 0.02
	};
	
	class Version : baseTXT {
		idc = 6465
		text = "0.5";
	}
};

	// Extra main menu functionality - input box (added)
class MAINMENU_INPUT
{
	idd = 0;
	movingEnable = 1;
	controlsBackground[]={};
	controls[]={Title, Input, Note};
	
	class Title : RscText
	{
		idc = 6900
		x = __EVAL(AR_MODS_X)
		y = __EVAL(AR_MODS_Y)
		w = __EVAL(AR_MODS_W)
		h = 0.052
		colorText[]={1,1,1,1};
		text = "Enter Text:"
		font="tahomaB48";
		sizeEx=0.03;
	};
	
	class Input : RscEdit
	{
		idc = 6901
		x = __EVAL(AR_MODS_X)
		y = __EVAL(AR_MODS_Y + 0.045)
		w = __EVAL(AR_MODS_W - 0.02)
		h = 0.04
		sizeEx = 0.03;
		autocomplete = "general";
		colorText[]={0.75,0.75,0.75,1};
		colorSelection[] = {1, 0, 0, 0.5};
		font="tahomaB48";
		text = ""
	};
	
	class Note : Title
	{
		idc = 6902
		style = 16 + 256;
		y = __EVAL(AR_MODS_Y + 0.045 + 0.04 + 0.01)
		sizeEx = 0.025;
		h = 0.075
		colorText[] = {0.9804,0.9725,0.8000, 1};
		text = "";
		lineSpacing = 1;
	};
};

	// Main Menu (aspect + tweak)
class RscDisplayMain : RscDisplayBackgroundStripesDark
{
   access=3;
   idd=0;
   movingEnable=1;
   controlsBackground[]={"Background1","Background2","ECP_Background3","ECP_flags_bg"};

   controls[]={"Line1","Line1a","Line1b","Line2","Line2a","Line2b","FP1","FP2","FP3","Continue","Player","Game","SingleMission","Multiplayer","Custom","Options","Quit","AllMissions","Copy","Version","ECP_Version","ECP_ofpr_title","ECP_REDUX"
   
	#ifdef AR_MODS_SHOW
	,Mods
	#endif
	};


   class Line1 : RscText		// edited
   {
      style=176;
      x=__EVAL(0.27 - AR_modifX);
      y=__EVAL(0.125 - AR_modifY);
      w=0;
      h=__EVAL(0.75 + AR_modifLine1);
      text="";
      colorBackground[]={0.917,0.658,0.313,1};
      color[]={0.917,0.658,0.313,1};
      colorText[]={0.917,0.658,0.313,1};
   };
   class Line1a : RscText		// edited
   {
      style=176;
      x=__EVAL(0.271 - AR_modifX);
      y=__EVAL(0.125 - AR_modifY);
      w=0;
      h=__EVAL(0.75 + AR_modifLine1);
      text="";
      colorBackground[]={0.486,0.141,0,1};
      color[]={0.486,0.141,0,1};
      colorText[]={0.486,0.141,0,1};
   };
   class Line1b : Line1a		// edited
   {
      x=__EVAL(0.272 - AR_modifX);
      colorBackground[]={0,0,0,1};
      color[]={0,0,0,1};
      colorText[]={0,0,0,1};
   };
   class Line2 : RscText		// edited
   {
      style=176;
      x=__EVAL(0 - AR_modifX);
      y=__EVAL(0.22 - AR_modifY);
      w=0.27;
      h=0;
      text="";
      colorBackground[]={0.917,0.658,0.313,1};
      color[]={0.917,0.658,0.313,1};
      colorText[]={0.917,0.658,0.313,1};
   };
   class Line2a : Line2		// edited
   {
      style=176;
      x=__EVAL(0 - AR_modifX);
      y=__EVAL(0.223 - AR_modifY);
      w=0.27;
      h=0;
      text="";
      colorBackground[]={0.486,0.141,0,1};
      color[]={0.486,0.141,0,1};
      colorText[]={0.486,0.141,0,1};
   };
   class Line2b : Line2a		// edited
   {
      y=__EVAL(0.224 - AR_modifY);
      colorBackground[]={0,0,0,1};
      color[]={0,0,0,1};
      colorText[]={0,0,0,1};
   };
   class FP1 : RscPicture		// edited
   {
      text="\ECP_Effects\images\ECPlogo1.paa";
      colorText[]={1,1,1,1};
      x=__EVAL(0.7 + AR_modifX);
      y=__EVAL(0.75 + AR_modifY);
      w=.09;
      h=.115;
   };
   class copy : RscText		// edited
   {
      style="16 +                2 +         512";
      lineSpacing=1;
      text="$STR_ECPCREDITS23";
      x=__EVAL(-0.315 - AR_modifX);
      y=__EVAL(0.75 + AR_modifY);
      w=.9;
      h=.7;
      colorText[]={1,1,1,.5};
      font="tahomaB24";
      sizeEx=.016;
   };

   class FP2 : RscPicture		// edited
   {
      text="\ECP_Effects\images\ECPlogo2.paa";
      colorText[]={1,1,1,1};
      x=__EVAL(0.79 + AR_modifX);
      y=__EVAL(0.75 + AR_modifY);
      w=.09;
      h=.115;
   };

   class FP3 : RscPicture		// edited
   {
      text="\ECP_Effects\images\ECPlogo3.paa";
      colorText[]={1,1,1,1};
      x=__EVAL(0.88 + AR_modifX);
      y=__EVAL(0.75 + AR_modifY);
      w=.09;
      h=.115;
   };


   class Continue : RscActiveMenu
   {
      idc=114;
      x=.05;
      y=.155;
      w=0;
      h=0;
      font="SteelfishB128";
      sizeEx="0.6 * 0.098";
      text="$STR_DISP_MAIN_CONTINUE";
   };

   class Player : RscActiveMenu		// edited
   {
      style = 1;
      idc=109;
      x=__EVAL(-0.24 - AR_modifX);
      y=__EVAL(0.145 - AR_modifY);
      w=.5;
      h=.05;
      font="SteelfishB128";
      sizeEx="0.6 * 0.098";
      text="$STR_DISP_ERROR";
   };

   class Game : RscActiveMenu		// edited
   {
      style = 1;
      font="SteelfishB128";
      sizeEx="0.6 * 0.098";
      idc=101;
      x=__EVAL(0.01 - AR_modifX);
      y=__EVAL(0.25 - AR_modifY);
      w=.25;
      h=.05;
      text="$STR_DISP_MAIN_GAME";
   };

   class SingleMission : RscActiveMenu		// edited
   {
      style = 1;
      font="SteelfishB128";
      sizeEx="0.6 * 0.098";
      idc=117;
      x=__EVAL(-0.26 - AR_modifX);
      y=__EVAL(0.33 - AR_modifY);
      w=.52;
      h=.05;
      text="$STR_DISP_MAIN_SINGLE";
      default=1;
   };

   class Multiplayer : RscActiveMenu		// edited
   {
      style = 1;
      font="SteelfishB128";
      sizeEx="0.6 * 0.098";
      idc=105;
      x=__EVAL(-0.26 - AR_modifX);
      y=__EVAL(0.41 - AR_modifY);
      w=.52;
      h=.05;
      text="$STR_DISP_MAIN_MULTI";
   };

   class Custom : RscActiveMenu		// edited
   {
      font="SteelfishB128";
      sizeEx="0.6 * 0.098";
      style=1;
      idc=115;
      x=__EVAL(-0.04 - AR_modifX);
      y=__EVAL(0.49 - AR_modifY);
      w=.3;
      h=.05;
      text="$STR_DISP_MAIN_CUSTOM";
   };

   class Options : RscActiveMenu		// edited
   {
      font="SteelfishB128";
      sizeEx="0.6 * 0.098";
      idc=102;
      style=1;
      x=__EVAL(0.06 - AR_modifX);
      y=__EVAL(0.57 - AR_modifY);
      w=.2;
      h=.05;
      text="$STR_DISP_MAIN_OPTIONS";
   };

   class Quit : RscActiveMenu		// edited
   {
      style=1;
      font="SteelfishB128";
      idc=106;
      x=__EVAL(0.06 - AR_modifX);
      y=__EVAL(0.65 - AR_modifY);
      w=.2;
      h=.05;
      sizeEx="0.6 * 0.098";
      text="$STR_DISP_MAIN_QUIT";
   };

   class Date : RscText
   {
      idc=112;
      x=.4;
      y=.17;
      w=.2;
      h=.05;
      style=2;
      font="tahomaB24";
      sizeEx=.02;
      text="$STR_DISP_ERROR";
      colorText[]={1,1,1,.5};
   };

   class Version : RscText		// edited
   {
      idc=118;
      x=__EVAL(0.035 - AR_modifX);
      y=__EVAL(.831 + AR_modifY);
      w=.2;
      h=.05;
      style=2;
      font="tahomaB24";
      sizeEx=.016;
      text="$STR_DISP_ERROR";
      colorText[]={1,1,1,.5};
   };
   class ECP_ofpr_title : RscText		// edited
   {
      x=__EVAL(0.035 - AR_modifX);
      y=__EVAL(0.815 + AR_modifY);
      w=.2;
      h=.05;
      style=2;
      font="tahomaB24";
      sizeEx=.016;
      text="Operation Flashpoint Resistance";
      colorText[]={1,1,1,0.5};
   };


   class ECP_Version : ECP_ofpr_title		// edited
   {
      y=__EVAL(0.799 + AR_modifY);
      text="WhiteGold's ECP REDUX v1.3";
   };
   
	class ECP_REDUX:RscText
		{
		x=0
		y=__EVAL(0.881 + AR_modifY);
		w=1
		h=0.05;
		style=2;
		font="SteelfishB128";
		sizeEx="0.5 * 0.098";
		text = "WhiteGold's ECP REDUX v1.3";
		colorText[]={1,1,1,0.5};
		};

   class AllMissions : RscActiveMenu
   {
      idc=104;
      x=.4;
      y=.935;
      w=.52;
      h=.03;
      font="SteelfishB64";
      sizeEx="0.5 * 0.05";
      colorText[]={1,1,1,.25};
      text="$STR_DISP_MAIN_DESIGN";
   };
   
	class Mods : Player	// added (tweak)
	{
		idc = -1;
		style = 1
		x = __EVAL(1 + AR_modifX - 0.3);
		y = __EVAL(0.125 - AR_modifY);
		w = 0.3
		sizeEx = 0.04;
		h = 0.045;
		text = "MODS";
		colorBackground[] = {1,0,0,0.5};
		colorText[] = {0,0,0,1};
		#define AR_MODS_CHECK if(localize {STR_USRACT_CHEAT_1}!={FWATCH})then{titleText[{Requires Fwatch 1.16},{PLAIN DOWN},0.1]}else{AR_MODS_EXELINE}
		#define AR_MODS_EXELINE [##AR_MODS_X##,##AR_MODS_Y##,##AR_MODS_W##,##AR_MODS_H##,[{extendy},-0.1]] exec {..\fwatch\data\MainMenu.sqs}
		action = AR_MODS_CHECK
	};
};

class RscDisplayMainVBS1 : RscDisplayBackgroundStripesDark
{
   access=3;
   idd=0;
   movingEnable=1;
   controlsBackground[]={"Background1","Background2","Background3"};
   controls[]={"VBS1","Line1","Line2","Continue","Player","Game","SingleMission","Multiplayer","Custom","Options","Quit","Version","AllMissions","Copy"};

   class copy : RscText
   {
      style="16 +                2 +            512";
      lineSpacing=1;
      text="$STR_CREDITS23";
      x=.03;
      y=.93;
      w=.9;
      h=.7;
      colorText[]={1,1,1,.5};
      font="tahomaB24";
      sizeEx=.016;
   };

   class VBS1 : RscText
   {
      style=2;
      x=0;
      y=0;
      w=1;
      h=.125;
      text="VBS1";
      font="SteelfishB128";
      colorText[]={1,1,1,.5};
      sizeEx="0.6 * 0.098";
   };

   class Line1 : RscText
   {
      style=176;
      x=.7;
      y=.125;
      w=0;
      h=.75;
      text="";
      colorBackground[]={1,1,1,1};
      color[]={1,1,1,1};
      colorText[]={1,1,1,1};
   };

   class Line2 : RscText
   {
      style=176;
      x=0;
      y=.46;
      w=1;
      h=0;
      text="";
      colorBackground[]={1,1,1,1};
      color[]={1,1,1,1};
      colorText[]={1,1,1,1};
   };

   class Continue : RscActiveMenu
   {
      idc=114;
      x=.05;
      y=.155;
      w=0;
      h=0;
      font="SteelfishB128";
      sizeEx="0.6 * 0.098";
      text="$STR_DISP_MAIN_CONTINUE";
   };

   class Player : RscActiveMenu
   {
      idc=109;
      x=.02;
      y=.145;
      w=.5;
      h=.05;
      font="SteelfishB128";
      sizeEx="0.6 * 0.098";
      text="$STR_DISP_ERROR";
   };

   class Game : RscActiveMenu
   {
      font="SteelfishB128";
      sizeEx="0.6 * 0.098";
      idc=101;
      x=.72;
      y=.145;
      w=.25;
      h=.05;
      text="$STR_DISP_MAIN_GAME";
   };

   class SingleMission : RscActiveMenu
   {
      font="SteelfishB128";
      sizeEx="0.6 * 0.098";
      idc=117;
      x=.72;
      y=.33;
      w=.52;
      h=.05;
      text="$STR_DISP_MAIN_SINGLE";
      default=1;
   };

   class Multiplayer : RscActiveMenu
   {
      font="SteelfishB128";
      sizeEx="0.6 * 0.098";
      idc=105;
      x=.72;
      y=.39;
      w=.52;
      h=.05;
      text="$STR_DISP_MAIN_MULTI";
   };

   class Custom : RscActiveMenu
   {
      font="SteelfishB128";
      sizeEx="0.6 * 0.098";
      style=1;
      idc=115;
      x=.48;
      y=.48;
      w=.2;
      h=.05;
      text="$STR_DISP_MAIN_CUSTOM";
   };

   class Options : RscActiveMenu
   {
      font="SteelfishB128";
      sizeEx="0.6 * 0.098";
      idc=102;
      style=1;
      x=.48;
      y=.54;
      w=.2;
      h=.05;
      text="$STR_DISP_MAIN_OPTIONS";
   };

   class Quit : RscActiveMenu
   {
      font="SteelfishB128";
      idc=106;
      x=.72;
      y=.8;
      w=.2;
      h=.05;
      sizeEx="0.6 * 0.098";
      text="$STR_DISP_MAIN_QUIT";
   };

   class Date : RscText
   {
      idc=112;
      x=.4;
      y=.17;
      w=.2;
      h=.05;
      style=2;
      font="tahomaB24";
      sizeEx=.02;
      text="$STR_DISP_ERROR";
      colorText[]={1,1,1,.5};
   };

   class Version : RscText
   {
      idc=118;
      x=.4;
      y=.09;
      w=.2;
      h=.05;
      style=2;
      font="tahomaB24";
      sizeEx=.016;
      text="$STR_DISP_ERROR";
      colorText[]={1,1,1,.5};
   };

   class AllMissions : RscActiveMenu
   {
      idc=104;
      x=.4;
      y=.935;
      w=.52;
      h=.03;
      font="SteelfishB64";
      sizeEx="0.5 * 0.05";
      colorText[]={1,1,1,.25};
      text="$STR_DISP_MAIN_DESIGN";
   };
};

	// Single mission selection screen (aspect + tweak)
class RscDisplaySingleMission:RscDisplayStripesLayeredBackground
	{
	access=3;
	idd=2;
	movingEnable=1;
	objects[]={"Notepad"};
	controls[]={"Background1","Background2","Title","ButtonDifficulty","ButtonLoad","ButtonOK","ButtonCancel"};

	class Notepad:RscObject		// edited subclass
		{
		model="blok_selmis2.p3d";
		idc=103;
		type=83;
		autoOpen=1;
		autoZoom=0;
		animSpeed=1;
		animation="blok_mis.rtm";
		position[]={0.2,0.02,1.2};
		direction[]={0,"-sin 15","cos 15"};
		up[]={0,"cos 15","sin 15"};
		positionBack[]={0.3,0.1,1.4};
		inBack=0;
		enableZoom=1;
		zoomDuration=0.5;
		scale=2;
		controls[]={"Missions","Overview"};

		class Missions		// edited (tweak)
			{
			idc=101;
			type=22;
			style=0;
			selection="papir";
			x=0;
			y=0;
			w=1;
			h=1;
			angle=0;
			rows=13;	// + 4 rows
			size=0.6;
			colorSelect[]={0,0,0,1};
			colorSelectBackground[]={0,0,0,0.2};
			colorText[]={0.2,0.2,0.2,1};
			font="courierNewB64";
			};

		class Overview:RscHTML
			{
			idc=102;
			type=23;
			selection="papir2";
			x=0;
			y=0;
			w=1;
			h=1;
			angle=0;
			size=0.3;
			filename="";
			};
		};

	class Title:RscText		// edited
		{
		idc=-1;
		style=2;
		x=0.2;
		y=__EVAL(0.02 - AR_modifY);
		w=0.6;
		h=0.1;
		font="SteelfishB128";
		colorText[]={1,1,1,1};
		sizeEx=0.098;
		text="$STR_DISP_SINGLE_TITLE";
		};

	class ButtonDifficulty:RscActiveMenu		// edited
		{
		idc=104;
		x=0.05;
		y=__EVAL(0.9 + AR_modifY);
		w=0.25;
		h=0.05;
		text="$STR_DISP_ERROR";
		soundClick[]={"",0,1};
		};

	class ButtonLoad:RscActiveMenu		// edited
		{
		idc=105;
		x=0.4;
		y=__EVAL(0.9 + AR_modifY);
		w=0.3;
		h=0.05;
		text="$STR_DISP_ERROR";
		soundClick[]={"",0,1};
		};

	class ButtonOK:RscActiveMenu		// edited
		{
		idc=1;
		x=0.85;
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		text="$STR_DISP_ERROR";
		default=1;
		soundClick[]={"ui\ui_ok",0.2,1};
		};

	class ButtonCancel:RscActiveMenu		// edited
		{
		idc=2;
		text="$STR_DISP_CANCEL";
		x=0.7;
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		soundClick[]={"ui\ui_cc",0.2,1};
		};
	};

	// Options (aspect + tweak)
class RscDisplayOptions:RscDisplayStripesBrightLayeredBackground
	{
	access=3;
	idd=3;
	movingEnable=1;
	objects[]={"Notebook"};
	controlsBackground[]={ECPBackground,Background4,Background5};		// added
	controls[]={"Background1","Background2","Title","ButtonCredits","ButtonClose"};

	AddECPBackground		// added (tweak)
	
	class Notebook:RscObject
		{
		model="notebook.p3d";
		idc=105;
		type=83;
		autoOpen=1;
		autoZoom=1;
		animSpeed=1;
		animation="notebook.rtm";
		position[]={0,-0.15,0.3};
		direction[]={"sin 5","sin 20 * cos 5","cos 20 * cos 5"};
		up[]={0,"cos 20","-sin 20"};
		positionBack[]={0,-0.04,0.6};
		inBack=1;
		enableZoom=0;
		zoomDuration=1;
		scale=1;
		controls[]={"Video","Audio","Configure","Difficulty"};

		class Video:RscObjNotebookButton
			{
			idc=101;
			style=2;
			x=0;
			y=0.05;
			w=1;
			h=0.15;
			text="$STR_DISP_OPTIONS_VIDEO";
			};

		class Audio:RscObjNotebookButton
			{
			idc=102;
			style=2;
			x=0;
			y=0.3;
			w=1;
			h=0.15;
			text="$STR_DISP_OPTIONS_AUDIO";
			};

		class Configure:RscObjNotebookButton
			{
			idc=103;
			style=2;
			x=0;
			y=0.55;
			w=1;
			h=0.15;
			text="$STR_DISP_OPTIONS_CONFIGURE";
			};

		class Difficulty:RscObjNotebookButton
			{
			idc=104;
			style=2;
			x=0;
			y=0.8;
			w=1;
			h=0.15;
			text="$STR_DISP_OPTIONS_DIFFICULTY";
			};
		};

	class Title:RscText		// edited
		{
		idc=-1;
		style=2;
		x=0.2;
		y=__EVAL(0.02 - AR_modifY);
		w=0.6;
		h=0.1;
		font="SteelfishB128";
		colorText[]={1,1,1,1};
		sizeEx=0.098;
		text="$STR_DISP_OPTIONS_TITLE";
		};

	class ButtonCredits:RscActiveMenu		// edited
		{
		idc=106;
		x=0.05;
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		text="$STR_DISP_MAIN_CREDITS";
		};

	class ButtonClose:RscActiveMenu		// edited
		{
		idc=2;
		x=0.85;
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		text="$STR_DISP_CLOSE";
		default=1;
		soundClick[]={"ui\ui_ok",0.2,1};
		};
	};








/* ---------------------- RESOURCE -----------------------*/	

class RscOptionText : RscObjNotebookText
{
   access=3;
   style=1;
   x=.5;
   w=.3;
};


class RscOptionValue : RscObjNotebookText
{
   access=3;
   style=1;
   x=.8;
   w=.1;
   text="$STR_DISP_ERROR";
};


class RscOptionSlider
{
   access=3;
   type=24;
   style=1;
   x=.1;
   w=.8;
   h=.05;
   color[]={0,1,0,1};
   angle=0;
   selection="display";
};







/* ---------------------- GAME OPTIONS -----------------------*/

	// Graphics (aspect)
class RscDisplayOptionsVideo:RscDisplayStripesBrightLayeredBackground
	{
	access=3;
	idd=5;
	movingEnable=1;
	objects[]={"Notebook"};
	controls[]={"Background1","Background2","Title","ButtonCancel","ButtonOK"};

	class Notebook:RscObject
		{
		model="notebook.p3d";
		idc=-1;
		type=83;
		autoOpen=0;
		autoZoom=0;
		animSpeed=1;
		animPhase=1;
		animation="notebook.rtm";
		position[]={0,-0.15,0.3};
		direction[]={"sin 5","sin 20 * cos 5","cos 20 * cos 5"};
		up[]={0,"cos 20","-sin 20"};
		positionBack[]={0,-0.04,0.6};
		inBack=0;
		enableZoom=0;
		zoomDuration=1;
		scale=1;
		controls[]={"TextResolution","ValueResolution","TextRefresh","ValueRefresh","TextHWTL","ValueHWTL","TextMultitexturing","ValueMultitexturing","TextWBuffer","ValueWBuffer","TextObjectShadows","ValueObjectShadows","TextVehicleShadows","ValueVehicleShadows","TextCloudlets","ValueCloudlets","TextBlood","ValueBlood","TextBrightness","ValueBrightness","SliderBrightness","TextGamma","ValueGamma","SliderGamma","TextFrameRate","ValueFrameRate","SliderFrameRate","TextVisualQuality","ValueVisualQuality","SliderVisualQuality","TextVisibility","ValueVisibility","SliderVisibility","TextTerrain","ValueTerrain"};

		class TextResolution:RscObjNotebookText
			{
			x=0.025;
			y=0.033;
			w=0.45;
			text="$STR_DISP_OPT_RESOLUTION";
			};

		class ValueResolution:RscObjNotebookListBox
			{
			idc=113;
			x=0.025;
			y=0.083;
			w=0.45;
			h=0.2;
			rows=4;
			size=0.9;
			};

		class TextRefresh:RscObjNotebookText
			{
			x=0.025;
			y=0.283;
			w=0.45;
			text="$STR_DISP_OPT_REFRESH";
			};

		class ValueRefresh:RscObjNotebookListBox
			{
			idc=114;
			x=0.025;
			y=0.333;
			w=0.45;
			h=0.2;
			rows=4.5;
			size=0.9;
			};

		class TextHWTL:RscObjNotebookText
			{
			x=0.025;
			y=0.567;
			w=0.3;
			text="$STR_DISP_OPT_HWTL";
			};

		class ValueHWTL:RscObjNotebookButton
			{
			idc=118;
			x=0.325;
			y=0.567;
			w=0.15;
			text="$STR_DISP_ERROR";
			};

		class TextMultitexturing:RscObjNotebookText
			{
			x=0.025;
			y=0.617;
			w=0.3;
			text="$STR_DISP_OPT_MULTITEXTURING";
			};

		class ValueMultitexturing:RscObjNotebookButton
			{
			idc=120;
			x=0.325;
			y=0.617;
			w=0.15;
			text="$STR_DISP_ERROR";
			};

		class TextWBuffer:RscObjNotebookText
			{
			x=0.025;
			y=0.667;
			w=0.3;
			text="$STR_DISP_OPT_WBUFFER";
			};

		class ValueWBuffer:RscObjNotebookButton
			{
			idc=121;
			x=0.325;
			y=0.667;
			w=0.15;
			text="$STR_DISP_ERROR";
			};

		class TextObjectShadows:RscObjNotebookText
			{
			x=0.025;
			y=0.733;
			w=0.3;
			text="$STR_DISP_OPT_OBJSHADOWS";
			};

		class ValueObjectShadows:RscObjNotebookButton
			{
			idc=115;
			x=0.325;
			y=0.733;
			w=0.15;
			text="$STR_DISP_ERROR";
			};

		class TextVehicleShadows:RscObjNotebookText
			{
			x=0.025;
			y=0.783;
			w=0.3;
			text="$STR_DISP_OPT_VEHSHADOWS";
			};

		class ValueVehicleShadows:RscObjNotebookButton
			{
			idc=116;
			x=0.325;
			y=0.783;
			w=0.15;
			text="$STR_DISP_ERROR";
			};

		class TextCloudlets:RscObjNotebookText
			{
			x=0.025;
			y=0.833;
			w=0.3;
			text="$STR_DISP_OPT_CLOUDLETS";
			};

		class ValueCloudlets:RscObjNotebookButton
			{
			idc=117;
			x=0.325;
			y=0.833;
			w=0.15;
			text="$STR_DISP_ERROR";
			};

		class TextBlood:RscObjNotebookText
			{
			idc=122;
			x=0.025;
			y=0.917;
			w=0.3;
			text="$STR_DISP_OPT_BLOOD";
			};

		class ValueBlood:RscObjNotebookButton
			{
			idc=119;
			x=0.325;
			y=0.917;
			w=0.15;
			text="$STR_DISP_ERROR";
			};

		class TextBrightness:RscOptionText
			{
			x=0.525;
			w=0.3;
			y=0.033;
			text="$STR_DISP_OPT_BRIGHT";
			};

		class ValueBrightness:RscOptionValue
			{
			idc=111;
			x=0.825;
			w=0.1;
			y=0.033;
			};

		class SliderBrightness:RscOptionSlider
			{
			idc=112;
			x=0.525;
			w=0.45;
			y=0.083;
			};

		class TextGamma:RscOptionText
			{
			x=0.525;
			w=0.3;
			y=0.173;
			text="$STR_DISP_OPT_GAMMA";
			};

		class ValueGamma:RscOptionValue
			{
			idc=109;
			x=0.825;
			w=0.1;
			y=0.173;
			};

		class SliderGamma:RscOptionSlider
			{
			idc=110;
			x=0.525;
			w=0.45;
			y=0.223;
			};

		class TextFrameRate:RscOptionText
			{
			x=0.525;
			w=0.3;
			y=0.313;
			text="$STR_DISP_OPT_FRAMERATE";
			};

		class ValueFrameRate:RscOptionValue
			{
			idc=105;
			x=0.825;
			w=0.1;
			y=0.313;
			};

		class SliderFrameRate:RscOptionSlider
			{
			idc=106;
			x=0.525;
			w=0.45;
			y=0.363;
			};

		class TextVisualQuality:RscOptionText
			{
			x=0.525;
			w=0.3;
			y=0.453;
			text="$STR_DISP_OPT_QUALITY";
			};

		class ValueVisualQuality:RscOptionValue
			{
			idc=101;
			x=0.825;
			w=0.1;
			y=0.453;
			};

		class SliderVisualQuality:RscOptionSlider
			{
			idc=102;
			x=0.525;
			w=0.45;
			y=0.503;
			};

		class TextVisibility:RscOptionText
			{
			x=0.525;
			w=0.3;
			y=0.593;
			text="$STR_DISP_OPT_VISIBILITY";
			};

		class ValueVisibility:RscOptionValue
			{
			idc=103;
			x=0.825;
			w=0.1;
			y=0.593;
			};

		class SliderVisibility:RscOptionSlider
			{
			idc=104;
			x=0.525;
			w=0.45;
			y=0.643;
			};

		class TextTerrain:RscObjNotebookText
			{
			x=0.525;
			y=0.717;
			w=0.45;
			text="$STR_DISP_OPT_TERRAIN";
			};

		class ValueTerrain:RscObjNotebookListBox
			{
			idc=123;
			x=0.525;
			y=0.767;
			w=0.45;
			h=0.2;
			rows=4;
			size=0.9;
			};
		};

	class Title:RscText		// edited
		{
		idc=-1;
		style=2;
		x=0.2;
		y=__EVAL(0.02 - AR_modifY);
		w=0.6;
		h=0.1;
		font="SteelfishB128";
		colorText[]={1,1,1,1};
		sizeEx=0.098;
		text="$STR_DISP_OPTIONS_VIDEO";
		};

	class ButtonOK:RscActiveMenu		// edited
		{
		idc=1;
		text="$STR_DISP_OK";
		x=0.85;
		y=__EVAL(0.9 + AR_modifY);
		w=0.09;
		h=0.05;
		default=1;
		soundClick[]={"ui\ui_ok",0.2,1};
		};

	class ButtonCancel:RscActiveMenu		// edited
		{
		idc=2;
		x=0.6;
		y=__EVAL(0.9 + AR_modifY);
		w=0.13;
		h=0.05;
		text="$STR_DISP_CANCEL";
		soundClick[]={"ui\ui_cc",0.2,1};
		};
	};

	// Audio (aspect + tweak)
class RscDisplayOptionsAudio:RscDisplayStripesBrightLayeredBackground
	{
	access=3;
	idd=6;
	movingEnable=1;
	objects[]={"Notebook"};
	controls[]={"Background1","Background2","Title","ButtonCancel","ButtonOK"};
	controlsBackground[]={ECPBackground,Background4,Background5};	// added
	
	AddECPBackground		// edited (tweak)
	
	class Notebook:RscObject
		{
		model="notebook.p3d";
		idc=-1;
		type=83;
		autoOpen=0;
		autoZoom=0;
		animSpeed=1;
		animPhase=1;
		animation="notebook.rtm";
		position[]={0,-0.15,0.3};
		direction[]={"sin 5","sin 20 * cos 5","cos 20 * cos 5"};
		up[]={0,"cos 20","-sin 20"};
		positionBack[]={0,-0.04,0.6};
		inBack=0;
		enableZoom=0;
		zoomDuration=1;
		scale=1;
		controls[]={"TextMusic","ValueMusic","SliderMusic","TextEffects","ValueEffects","SliderEffects","TextVoices","ValueVoices","SliderVoices","TextHWAcc","ValueHWAcc","TextEAX","ValueEAX","TextSingleVoice","ValueSingleVoice"};

		class TextEffects:RscOptionText
			{
			y=0.1;
			text="$STR_DISP_OPT_EFFECTS";
			};

		class ValueEffects:RscOptionValue
			{
			idc=103;
			y=0.1;
			};

		class SliderEffects:RscOptionSlider
			{
			idc=104;
			y=0.15;
			};

		class TextVoices:RscOptionText
			{
			y=0.22;
			text="$STR_DISP_OPT_VOICES";
			};

		class ValueVoices:RscOptionValue
			{
			idc=105;
			y=0.22;
			};

		class SliderVoices:RscOptionSlider
			{
			idc=106;
			y=0.27;
			};

		class TextMusic:RscOptionText
			{
			y=0.34;
			text="$STR_DISP_OPT_MUSIC";
			};

		class ValueMusic:RscOptionValue
			{
			idc=101;
			y=0.34;
			};

		class SliderMusic:RscOptionSlider
			{
			idc=102;
			y=0.39;
			};

		class TextHWAcc:RscObjNotebookText
			{
			x=0.22;
			y=0.55;
			w=0.4;
			text="$STR_DISP_OPT_HWACC";
			};

		class ValueHWAcc:RscObjNotebookButton
			{
			idc=108;
			x=0.62;
			y=0.55;
			w=0.15;
			text="$STR_DISP_ERROR";
			};

		class TextEAX:RscObjNotebookText
			{
			x=0.22;
			y=0.6;
			w=0.4;
			text="$STR_DISP_OPT_EAX";
			};

		class ValueEAX:RscObjNotebookButton
			{
			idc=109;
			x=0.62;
			y=0.6;
			w=0.15;
			text="$STR_DISP_ERROR";
			};

		class TextSingleVoice:RscObjNotebookText
			{
			x=0.22;
			y=0.65;
			w=0.4;
			text="$STR_DISP_OPT_SINGLE_VOICE";
			};

		class ValueSingleVoice:RscObjNotebookButton
			{
			idc=110;
			x=0.62;
			y=0.65;
			w=0.15;
			text="$STR_DISP_ERROR";
			};
		};

	class Title:RscText		// edited
		{
		idc=-1;
		style=2;
		x=0.2;
		y=__EVAL(0.02 - AR_modifY);
		w=0.6;
		h=0.1;
		font="SteelfishB128";
		colorText[]={1,1,1,1};
		sizeEx=0.098;
		text="$STR_DISP_OPTIONS_AUDIO";
		};

	class ButtonOK:RscActiveMenu		// edited
		{
		idc=1;
		text="$STR_DISP_OK";
		x=0.85;
		y=__EVAL(0.9 + AR_modifY);
		w=0.09;
		h=0.05;
		default=1;
		soundClick[]={"ui\ui_ok",0.2,1};
		};

	class ButtonCancel:RscActiveMenu		// edited
		{
		idc=2;
		x=0.6;
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		text="$STR_DISP_CANCEL";
		soundClick[]={"ui\ui_cc",0.2,1};
		};
	};

	// Difficulty (aspect + tweak)
class RscDisplayDifficulty:RscDisplayStripesBrightLayeredBackground
	{
	access=3;
	idd=7;
	movingEnable=1;
	objects[]={"Notebook"};
	controls[]={"Background1","Background2","Title","ButtonDefault","ButtonCancel","ButtonOK"};
	controlsBackground[]={ECPBackground,Background4,Background5};	// added

	AddECPBackground		// edited (tweak)
	
	class Notebook:RscObject
		{
		model="notebook.p3d";
		idc=-1;
		type=83;
		autoOpen=0;
		autoZoom=0;
		animSpeed=1;
		animPhase=1;
		animation="notebook.rtm";
		position[]={0,-0.15,0.3};
		direction[]={"sin 5","sin 20 * cos 5","cos 20 * cos 5"};
		up[]={0,"cos 20","-sin 20"};
		positionBack[]={0,-0.04,0.6};
		inBack=0;
		enableZoom=0;
		zoomDuration=1;
		scale=1;
		controls[]={"TextName","TextCadet","TextVeteran","ValueDifficulties","EnableSubtitles","EnableRadio"};

		class TextName:RscObjNotebookText
			{
			x=0.025;
			y=0.033;
			w="0.95 * 0.6";
			text="$STR_DISP_DIFF_NAME";
			};

		class TextCadet:RscObjNotebookText
			{
			x="0.025 +  0.95 * 0.6";
			y=0.033;
			w="0.95 * 0.2";
			text="$STR_DISP_DIFF_CADET";
			};

		class TextVeteran:RscObjNotebookText
			{
			x="0.025 +  0.95 * 0.8";
			y=0.033;
			w="0.95 * 0.2";
			text="$STR_DISP_DIFF_VETERAN";
			};

		class ValueDifficulties:RscObjNotebookListBox
			{
			idc=101;
			x=0.025;
			y=0.1;
			w=0.95;
			h=0.767;
			rows="0.767 / 0.05";
			size=0.9;
			};

		class EnableSubtitles:RscObjNotebookButton
			{
			idc=102;
			style=2;
			x=0.1;
			y=0.917;
			w=0.4;
			text="$STR_DISP_ERROR";
			};

		class EnableRadio:RscObjNotebookButton
			{
			idc=103;
			style=2;
			x=0.5;
			y=0.917;
			w=0.4;
			text="$STR_DISP_ERROR";
			};
		};

	class Title:RscText		// edited
		{
		idc=-1;
		style=2;
		x=0.2;
		y=__EVAL(0.02 - AR_modifY);
		w=0.6;
		h=0.1;
		font="SteelfishB128";
		colorText[]={1,1,1,1};
		sizeEx=0.098;
		text="$STR_DISP_OPTIONS_DIFFICULTY";
		};

	class ButtonDefault:RscActiveMenu		// edited
		{
		idc=104;
		x=0.05;
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		text="$STR_DISP_DEFAULT";
		};

	class ButtonOK:RscActiveMenu		// edited
		{
		idc=1;
		text="$STR_DISP_OK";
		x=0.85;
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		default=1;
		soundClick[]={"ui\ui_ok",0.2,1};
		};

	class ButtonCancel:RscActiveMenu		// edited
		{
		idc=2;
		x=0.6;
		y=__EVAL(0.9 + AR_modifY);
		w=0.09;
		h=0.05;
		text="$STR_DISP_CANCEL";
		soundClick[]={"ui\ui_cc",0.2,1};
		};
	};

	// Controls (aspect + tweak)
class RscDisplayConfigure:RscDisplayStripesBrightLayeredBackground
	{
	access=3;
	idd=4;
	movingEnable=1;
	objects[]={"Notebook"};
	controls[]={"Background1","Background2","Title","ButtonDefault","ButtonCancel","ButtonOK"};
	controlsBackground[]={ECPBackground,Background4,Background5};	// added
	
	AddECPBackground		// edited (tweak)
	
	class Notebook:RscObject
		{
		model="notebook.p3d";
		idc=-1;
		type=83;
		autoOpen=0;
		autoZoom=0;
		animSpeed=1;
		animPhase=1;
		animation="notebook.rtm";
		position[]={0,-0.15,0.3};
		direction[]={"sin 5","sin 20 * cos 5","cos 20 * cos 5"};
		up[]={0,"cos 20","-sin 20"};
		positionBack[]={0,-0.04,0.6};
		inBack=0;
		enableZoom=0;
		zoomDuration=1;
		scale=1;
		controls[]={"TextName","TextKeys","ValueKeys","TextReserved","TextMouseSens","TextXAxis","ValueXAxis","TextYAxis","ValueYAxis","ValueYReversed","TextButtons","ValueButtons","ValueJoystick"};

		class TextName:RscObjNotebookText
			{
			x=0.025;
			y=0.033;
			w="0.95 * 0.95 * 0.4";
			text="$STR_DISP_CONF_NAME";
			};

		class TextKeys:RscObjNotebookText
			{
			x="0.025 + 0.95 * 0.95 * 0.4";
			y=0.033;
			w="0.95 * 0.95 * 0.6";
			text="$STR_DISP_CONF_KEYS";
			};

		class ValueKeys:RscObjNotebookListBox
			{
			idc=102;
			x=0.025;
			y=0.1;
			w=0.95;
			h=0.567;
			rows=10.8000002;
			size=0.9;
			};

		class TextReserved:RscObjNotebookText
			{
			x=0.025;
			y=0.667;
			w=0.95;
			text="$STR_DISP_CONF_RES";
			};

		class TextMouseSens
			{
			type=20;
			style=64;
			idc=-1;
			color[]={0,1,0,1};
			font="courierNewB64";
			angle=0;
			selection="display";
			x=0.0;
			y=0.767;
			w=0.6;
			h=0.2;
			h2=0.05;
			text="$STR_DISP_CONF_SENS";
			};

		class TextXAxis:RscObjNotebookText
			{
			x=0.05;
			y=0.817;
			w=0.15;
			text="$STR_DISP_CONF_XAXIS";
			};

		class ValueXAxis
			{
			type=24;
			idc=103;
			style=1;
			x=0.2;
			y=0.827;
			w=0.35;
			h=0.03;
			color[]={0,1,0,1};
			angle=0;
			selection="display";
			};

		class TextYAxis:RscObjNotebookText
			{
			x=0.05;
			y=0.867;
			w=0.15;
			text="$STR_DISP_CONF_YAXIS";
			};

		class ValueYAxis
			{
			type=24;
			idc=104;
			style=1;
			x=0.2;
			y=0.877;
			w=0.35;
			h=0.03;
			color[]={0,1,0,1};
			angle=0;
			selection="display";
			};

		class ValueYReversed:RscObjNotebookButton
			{
			idc=105;
			style=2;
			x=0.6;
			y=0.767;
			w=0.35;
			text="$STR_DISP_ERROR";
			};

		class TextButtons:RscObjNotebookText
			{
			x=0.6;
			y=0.817;
			w=0.3;
			text="$STR_DISP_CONF_MOUSE_BUTTON";
			};

		class ValueButtons:RscObjNotebookButton
			{
			idc=107;
			style=2;
			x=0.9;
			y=0.817;
			w=0.075;
			text="$STR_DISP_ERROR";
			};

		class ValueJoystick:RscObjNotebookButton
			{
			idc=106;
			style=2;
			x=0.6;
			y=0.867;
			w=0.35;
			text="$STR_DISP_ERROR";
			};
		};

	class Title:RscText		// edited
		{
		idc=-1;
		style=2;
		x=0.2;
		y=__EVAL(0.02 - AR_modifY);
		w=0.6;
		h=0.1;
		font="SteelfishB128";
		colorText[]={1,1,1,1};
		sizeEx=0.098;
		text="$STR_DISP_OPTIONS_CONFIGURE";
		};

	class ButtonDefault:RscActiveMenu		// edited
		{
		idc=101;
		x=0.05;
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		text="$STR_DISP_DEFAULT";
		};

	class ButtonOK:RscActiveMenu		// edited
		{
		idc=1;
		text="$STR_DISP_OK";
		x=0.85;
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		default=1;
		soundClick[]={"ui\ui_ok",0.2,1};
		};

	class ButtonCancel:RscActiveMenu		// edited
		{
		idc=2;
		x=0.6;
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		text="$STR_DISP_CANCEL";
		soundClick[]={"ui\ui_cc",0.2,1};
		};
	};







/* ---------------------- MULTIPLAYER -----------------------*/

	// Server browser (aspect + tweak)
class RscDisplayMultiplayer:RscDisplayStripesLayeredBackground
	{
	access=3;
	idd=8;
	movingEnable=1;
	objects[]={"Notebook"};
	controls[]={"Background1","Background2","Title","GameSpy",GameSpyBackground,Smiley,PoweredBy,Power,Server,"Progress","ButtonCancel","ButtonJoin","ButtonNew"};

	class Notebook:RscObject		// edited
		{
		model="notebook.p3d";
		idc=106;
		type=83;
		autoOpen=1;
		autoZoom=1;
		animSpeed=1;
		animation="notebook.rtm";
		position[]={0, __EVAL(-0.175 + AR_notebookY) ,0.25};	// edited
		direction[]={0,"sin 30","cos 30"};
		up[]={0,"cos 30","-sin 30"};
		positionBack[]={0,-0.04,0.6};
		inBack=1;
		enableZoom=0;
		zoomDuration=1;
		scale=1;
		controls[]={"IconServer","ColumnServer","IconMission","ColumnMission","IconState","ColumnState","IconPlayers","ColumnPlayers","IconPing","ColumnPing","FilterServer","FilterMission","FilterPlayers","FilterPing","ValueSessions","ButtonDPlay","ButtonInternet","ButtonRemote","ButtonPassword","ButtonRefresh","ButtonFilter","ButtonPort"};

		class TitleIcon:RscObjNotebookText
			{
			y=0.043;
			w=0.015;
			h=0.02;
			style=48;
			text="\misc\sipkad.paa";
			};

		class TitleColumn:RscObjNotebookButton
			{
			y=0.033;
			h=0.04;
			};

		class FilterColumn:RscObjNotebookText
			{
			y=0.073;
			h=0.04;
			text="STR_DISP_ERROR";
			};

		class IconServer:TitleIcon
			{
			idc=111;
			x=0.025;
			};

		class ColumnServer:TitleColumn
			{
			idc=112;
			text="$STR_MP_SERVER";
			x="0.025 + 		0.015";
			w="0.38 * 	0.9025 - 		0.015";
			};

		class FilterServer:FilterColumn
			{
			idc=125;
			x=0.025;
			w="0.38 * 	0.9025";
			};

		class IconMission:TitleIcon
			{
			idc=113;
			x="0.025 + 0.38 * 	0.9025";
			};

		class ColumnMission:TitleColumn
			{
			idc=114;
			text="$STR_SECTION_MISSION";
			x="0.025 + 0.38 * 	0.9025 + 		0.015";
			w="0.3 * 	0.9025 - 		0.015";
			};

		class FilterMission:FilterColumn
			{
			idc=126;
			x="0.025 + 0.38 * 	0.9025";
			w="0.3 * 	0.9025";
			};

		class IconState:TitleIcon
			{
			idc=115;
			x="0.025 + 0.68 * 	0.9025";
			};

		class ColumnState:TitleColumn
			{
			idc=116;
			text="$STR_MENU_STATUS";
			x="0.025 + 0.68 * 	0.9025 + 		0.015";
			w="0.12 * 	0.9025 - 		0.015";
			};

		class IconPlayers:TitleIcon
			{
			idc=117;
			x="0.025 + 0.8 * 	0.9025";
			};

		class ColumnPlayers:TitleColumn
			{
			idc=118;
			text="$STR_MPTABLE_PLAYERS";
			x="0.025 + 0.8 * 	0.9025 + 		0.015";
			w="0.12 * 	0.9025 - 		0.015";
			};

		class FilterPlayers:FilterColumn
			{
			idc=127;
			x="0.025 + 0.8 * 	0.9025";
			w="0.12 * 	0.9025";
			};

		class IconPing:TitleIcon
			{
			idc=119;
			x="0.025 + 0.92 * 	0.9025";
			};

		class ColumnPing:TitleColumn
			{
			idc=120;
			text="$STR_DISP_MULTI_PING";
			x="0.025 + 0.92 * 	0.9025 + 		0.015";
			w="0.08 * 	0.9025 - 		0.015";
			};

		class FilterPing:FilterColumn
			{
			idc=128;
			x="0.025 + 0.92 * 	0.9025";
			w="0.08 * 	0.9025";
			};

		class ValueSessions:RscObjNotebookListBox
			{
			idc=102;
			x=0.025;
			y=0.113;
			w=0.95;
			h=0.75;
			rows=9;
			};

		class ButtonDPlay:RscObjNotebookButton
			{
			idc=109;
			text="$STR_DISP_ERROR";
			x=0.025;
			y=0.867;
			w=0.4;
			};

		class ButtonInternet:RscObjNotebookButton
			{
			idc=122;
			x=0.425;
			y=0.867;
			w=0.3;
			text="$STR_DISP_ERROR";
			};

		class ButtonRemote:RscObjNotebookButton
			{
			idc=103;
			x=0.725;
			y=0.867;
			w=0.15;
			text="$STR_MULTI_REMOTE";
			};

		class ButtonPassword:RscObjNotebookButton
			{
			idc=107;
			text="$STR_DISP_ERROR";
			x=0.025;
			y=0.917;
			w=0.4;
			};

		class ButtonRefresh:RscObjNotebookButton
			{
			idc=123;
			text="$STR_DISP_MULTI_REFRESH";
			x=0.425;
			y=0.917;
			w=0.15;
			};

		class ButtonFilter:RscObjNotebookButton
			{
			idc=124;
			text="$STR_DISP_MULTI_FILTER";
			x=0.575;
			y=0.917;
			w=0.15;
			};

		class ButtonPort:RscObjNotebookButton
			{
			idc=108;
			text="$STR_DISP_PORT_TITLE";
			x=0.725;
			y=0.917;
			w=0.25;
			};
		};

	class Title:RscText		// edited
		{
		idc=101;
		style=2;
		x=0.0;
		y=__EVAL(0.02 - AR_modifY);
		w=1.0;
		h=0.1;
		font="SteelfishB128";
		colorText[]={1,1,1,1};
		sizeEx=0.098;
		text="$STR_DISP_ERROR";
		};

	class GameSpy:RscPicture		// edited
		{
		idc=110;
		text="\misc\GameSpy.pac";
		colorText[]={1,1,1,1};
		x=0.05;
		y=__EVAL(0.9 + AR_modifY);
		w=0.16;
		h=0.053;
		};


	class GameSpyBackground : GameSpy	// added (tweak)
	{
		idc = -1;
		style = 0;
		colorBackground[]={0,0,0,1};
		text = "";
	};
	class Smiley : GameSpy	// added (tweak)
	{
		idc = -1
		text = "\data\marker_smiley1.paa";
		w = 0.04;
	};
	class PoweredBy : RscText	// added (tweak)
	{
		style = 0;
		text = "P O W E R E D  B Y ";
		font = "tahomaB48";
		colorText[] = {1,1,1,1};
		colorBackground[] = {0,0,0,0};
		x = 0.086;
		y = __EVAL(0.9 + AR_modifY);
		w = 0.13;
		h = 0.02;	
		sizeEx = 0.015;
	};
	class Power : PoweredBy		// added (tweak)
	{
		text = "Power";
		colorText[] = {0.3216,0.8431,0.3294,1};
		y = __EVAL(0.92 + AR_modifY);
		w = 0.07;
		h = 0.033;	
		sizeEx = 0.029;
	};
	class Server : Power		// added (tweak)
	{
		x = 0.145;
		w = 0.0645;
		colorText[]={1,1,1,1};
		text = "Server"
	};
		
		
	class Progress		// edited
		{
		type=8;
		style=0;
		idc=121;
		x=0.05;
		y=__EVAL(0.96 + AR_modifY);
		w=0.16;
		h=0.02;
		colorFrame[]={1,1,1,1};
		colorBar[]={1,1,1,0.5};
		};

	class ButtonCancel:RscActiveMenu		// edited
		{
		idc=2;
		text="$STR_DISP_CANCEL";
		style=2;
		x=0.55;
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		soundClick[]={"ui\ui_cc",0.2,1};
		};

	class ButtonJoin:RscActiveMenu		// edited
		{
		idc=105;
		text="$STR_DISP_MULTI_JOIN";
		style=2;
		x=0.7;
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		soundClick[]={"ui\ui_ok",0.2,1};
		};

	class ButtonNew:RscActiveMenu		// edited
		{
		idc=104;
		text="$STR_DISP_MULTI_NEW";
		style=2;
		x=0.85;
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		default=1;
		soundClick[]={"ui\ui_ok",0.2,1};
		};
	};

	// Change port
class RscDisplayPort:RscDisplayStripesLayeredBackground
	{
	access=3;
	idd=69;
	movingEnable=1;
	objects[]={"Notebook"};
	controls[]={"Background1","Background2","Title","ButtonOK","ButtonCancel"};

	class Notebook:RscObject		// edited
		{
		model="notebook.p3d";
		idc=-1;
		type=83;
		autoOpen=0;
		autoZoom=0;
		animSpeed=1;
		animation="notebook.rtm";
		animPhase=1;
		position[]={0, __EVAL(-0.175 + AR_notebookY) ,0.25};	// edited
		positionBack[]={0,-0.175,0.25};
		direction[]={0,"sin 30","cos 30"};
		up[]={0,"cos 30","-sin 30"};
		inBack=0;
		enableZoom=0;
		zoomDuration=1;
		scale=1;
		controls[]={"TextPort","ValuePort"};

		class TextPort:RscObjNotebookText
			{
			x=0.3;
			y=0.45;
			w=0.4;
			text="$STR_DISP_IP_PORT";
			};

		class ValuePort:RscObjNotebookEdit
			{
			idc=101;
			x=0.3;
			y=0.5;
			w=0.4;
			};
		};

	class Title:RscText		// edited
		{
		style=2;
		x=0.2;
		y=__EVAL(0.02 - AR_modifY);
		w=0.6;
		h=0.1;
		font="SteelfishB128";
		colorText[]={1,1,1,1};
		sizeEx=0.098;
		text="$STR_DISP_PORT_TITLE";
		};

	class ButtonOK:RscActiveMenu		// edited
		{
		idc=1;
		text="$STR_DISP_OK";
		x=0.85;
		y=__EVAL(0.9 + AR_modifY);
		w=0.25;
		h=0.05;
		default=1;
		soundClick[]={"ui\ui_ok",0.2,1};
		};

	class ButtonCancel:RscActiveMenu		// edited
		{
		idc=2;
		text="$STR_DISP_CANCEL";
		x=0.65;
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		soundClick[]={"ui\ui_cc",0.2,1};
		};
	};

	// Change password
class RscDisplayPassword:RscDisplayStripesLayeredBackground
	{
	access=3;
	idd=64;
	movingEnable=1;
	objects[]={"Notebook"};
	controls[]={"Background1","Background2","Title","ButtonOK","ButtonCancel"};

	class Notebook:RscObject		// edited
		{
		model="notebook.p3d";
		idc=-1;
		type=83;
		autoOpen=0;
		autoZoom=0;
		animSpeed=1;
		animation="notebook.rtm";
		animPhase=1;
		position[]={0, __EVAL(-0.175 + AR_notebookY) ,0.25};	// edited
		positionBack[]={0,-0.175,0.25};
		direction[]={0,"sin 30","cos 30"};
		up[]={0,"cos 30","-sin 30"};
		inBack=0;
		enableZoom=0;
		zoomDuration=1;
		scale=1;
		controls[]={"TextPassword","ValuePassword"};

		class TextPassword:RscObjNotebookText
			{
			x=0.3;
			y=0.45;
			w=0.4;
			text="$STR_DISP_PASSWORD";
			};

		class ValuePassword:RscObjNotebookEdit
			{
			idc=101;
			x=0.3;
			y=0.5;
			w=0.4;
			};
		};

	class Title:RscText		// edited
		{
		style=2;
		x=0.2;
		y=__EVAL(0.02 - AR_modifY);
		w=0.6;
		h=0.1;
		font="SteelfishB128";
		colorText[]={1,1,1,1};
		sizeEx=0.098;
		text="$STR_DISP_PASSWORD_TITLE";
		};

	class ButtonOK:RscActiveMenu		// edited
		{
		idc=1;
		text="$STR_DISP_OK";
		x=0.85;
		y=__EVAL(0.9 + AR_modifY);
		w=0.25;
		h=0.05;
		default=1;
		soundClick[]={"ui\ui_ok",0.2,1};
		};

	class ButtonCancel:RscActiveMenu		// edited
		{
		idc=2;
		text="$STR_DISP_CANCEL";
		x=0.65;
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		soundClick[]={"ui\ui_cc",0.2,1};
		};
	};

	// Change IP address
class RscDisplayIPAddress:RscDisplayStripesLayeredBackground
	{
	access=3;
	idd=19;
	movingEnable=1;
	objects[]={"Notebook"};
	controls[]={"Background1","Background2","Title","ButtonOK","ButtonCancel"};

	class Notebook:RscObject		// edited
		{
		model="notebook.p3d";
		idc=-1;
		type=83;
		autoOpen=0;
		autoZoom=0;
		animSpeed=1;
		animation="notebook.rtm";
		animPhase=1;
		position[]={0, __EVAL(-0.175 + AR_notebookY) ,0.25};	// edited
		positionBack[]={0,-0.175,0.25};
		direction[]={0,"sin 30","cos 30"};
		up[]={0,"cos 30","-sin 30"};
		inBack=0;
		enableZoom=0;
		zoomDuration=1;
		scale=1;
		controls[]={"TextAddress","ValueAddress","TextPort","ValuePort"};

		class TextAddress:RscObjNotebookText
			{
			x=0.3;
			y=0.4;
			w=0.4;
			text="$STR_DISP_IP_ADDRESS";
			};

		class ValueAddress:RscObjNotebookEdit
			{
			idc=101;
			x=0.3;
			y=0.45;
			w=0.4;
			};

		class TextPort:RscObjNotebookText
			{
			x=0.3;
			y=0.5;
			w=0.4;
			text="$STR_DISP_IP_PORT";
			};

		class ValuePort:RscObjNotebookEdit
			{
			idc=102;
			x=0.3;
			y=0.55;
			w=0.4;
			};
		};

	class Title:RscText		// edited
		{
		style=2;
		x=0.2;
		y=__EVAL(0.02 - AR_modifY);
		w=0.6;
		h=0.1;
		font="SteelfishB128";
		colorText[]={1,1,1,1};
		sizeEx=0.098;
		text="$STR_DISP_IP_TITLE";
		};

	class ButtonOK:RscActiveMenu		// edited
		{
		idc=1;
		text="$STR_DISP_OK";
		x=0.85;
		y=__EVAL(0.9 + AR_modifY);
		w=0.25;
		h=0.05;
		default=1;
		soundClick[]={"ui\ui_ok",0.2,1};
		};

	class ButtonCancel:RscActiveMenu		// edited
		{
		idc=2;
		text="$STR_DISP_CANCEL";
		x=0.65;
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		soundClick[]={"ui\ui_cc",0.2,1};
		};
	};

	// Change filter
class RscDisplayFilter:RscDisplayStripesLayeredBackground
	{
	access=3;
	idd=71;
	movingEnable=1;
	objects[]={"Notebook"};
	controls[]={"Background1","Background2","Title","ButtonDefault","ButtonOK","ButtonCancel"};

	class Notebook:RscObject		// edited
		{
		model="notebook.p3d";
		idc=-1;
		type=83;
		autoOpen=0;
		autoZoom=0;
		animSpeed=1;
		animation="notebook.rtm";
		animPhase=1;
		position[]={0, __EVAL(-0.175 + AR_notebookY) ,0.25};	// edited
		positionBack[]={0,-0.175,0.25};
		direction[]={0,"sin 30","cos 30"};
		up[]={0,"cos 30","-sin 30"};
		inBack=0;
		enableZoom=0;
		zoomDuration=1;
		scale=1;
		controls[]={"TextServer","ValueServer","TextMission","ValueMission","TextMaxPing","ValueMaxPing","TextMinPlayers","ValueMinPlayers","TextMaxPlayers","ValueMaxPlayers","FullServers","PasswordedServers"};

		class TextServer:RscObjNotebookText
			{
			x=0.025;
			y=0.1;
			w=0.275;
			text="$STR_DISP_FILTER_SERVER";
			};

		class ValueServer:RscObjNotebookEdit
			{
			idc=101;
			x=0.3;
			y=0.1;
			w=0.4;
			};

		class TextMission:RscObjNotebookText
			{
			x=0.025;
			y=0.17;
			w=0.275;
			text="$STR_DISP_FILTER_MISSION";
			};

		class ValueMission:RscObjNotebookEdit
			{
			idc=102;
			x=0.3;
			y=0.17;
			w=0.4;
			};

		class TextMaxPing:RscObjNotebookText
			{
			x=0.025;
			y=0.24;
			w=0.275;
			text="$STR_DISP_FILTER_MAXPING";
			};

		class ValueMaxPing:RscObjNotebookEdit
			{
			idc=103;
			x=0.3;
			y=0.24;
			w=0.4;
			};

		class TextMinPlayers:RscObjNotebookText
			{
			x=0.025;
			y=0.31;
			w=0.275;
			text="$STR_DISP_FILTER_MINPLAYERS";
			};

		class ValueMinPlayers:RscObjNotebookEdit
			{
			idc=104;
			x=0.3;
			y=0.31;
			w=0.4;
			};

		class TextMaxPlayers:RscObjNotebookText
			{
			x=0.025;
			y=0.38;
			w=0.275;
			text="$STR_DISP_FILTER_MAXPLAYERS";
			};

		class ValueMaxPlayers:RscObjNotebookEdit
			{
			idc=105;
			x=0.3;
			y=0.38;
			w=0.4;
			};

		class FullServers:RscObjNotebookButton
			{
			idc=106;
			text="$STR_DISP_ERROR";
			x=0.025;
			y=0.5;
			w=0.5;
			};

		class PasswordedServers:RscObjNotebookButton
			{
			idc=107;
			text="$STR_DISP_ERROR";
			x=0.025;
			y=0.57;
			w=0.5;
			};
		};

	class Title:RscText		// edited
		{
		style=2;
		x=0.2;
		y=__EVAL(0.02 - AR_modifY);
		w=0.6;
		h=0.1;
		font="SteelfishB128";
		colorText[]={1,1,1,1};
		sizeEx=0.098;
		text="$STR_DISP_FILTER_TITLE";
		};

	class ButtonDefault:RscActiveMenu		// edited
		{
		idc=108;
		text="$STR_DISP_DEFAULT";
		x=0.1;
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		};

	class ButtonOK:RscActiveMenu		// edited
		{
		idc=1;
		text="$STR_DISP_OK";
		x=0.85;
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		default=1;
		soundClick[]={"ui\ui_ok",0.2,1};
		};

	class ButtonCancel:RscActiveMenu		// edited
		{
		idc=2;
		text="$STR_DISP_CANCEL";
		x=0.7;
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		soundClick[]={"ui\ui_cc",0.2,1};
		};
	};

	// Mission selection (aspect + tweak)
class RscDisplayServer:RscDisplayStripesLayeredBackground
	{
	access=3;
	idd=17;
	movingEnable=1;
	objects[]={"Notebook"};
	controls[]={"Background1","Background2","Title","ButtonDifficulty","ButtonEditor","ButtonCancel","ButtonOK"};

	class Notebook:RscObject		// edited
		{
		model="notebook.p3d";
		idc=-1;
		type=83;
		autoOpen=0;
		autoZoom=0;
		animSpeed=1;
		animation="notebook.rtm";
		animPhase=1;
		position[]={0, __EVAL(-0.175 + AR_notebookY) ,0.25};	// edited
		positionBack[]={0,-0.175,0.25};
		direction[]={0,"sin 30","cos 30"};
		up[]={0,"cos 30","-sin 30"};
		inBack=0;
		enableZoom=0;
		zoomDuration=1;
		scale=1;
		controls[]={"TextIslands","ValueIslands","TextMissions","ValueMissions"};

		class TextIslands:RscObjNotebookText
			{
			x=0.025;
			y=0.033;
			w=0.3;
			text="$STR_DISP_SERVER_ISLAND";
			};

		class ValueIslands:RscObjNotebookListBox		// edited (tweak)
			{
			idc=101;
			x=0.025;
			y=0.1;
			w=0.45;
			h=0.867;
			rows=8;		// +3 rows
			size=0.4;
			};

		class TextMissions:RscObjNotebookText
			{
			x=0.525;
			y=0.033;
			w=0.225;
			text="$STR_DISP_SERVER_MISSION";
			};

		class ValueMissions:RscObjNotebookListBox		// edited (tweak)
			{
			idc=102;
			x=0.525;
			y=0.1;
			w=0.45;
			h=0.867;
			rows=20;	// +10 rows
			};
		};

	class Title:RscText		// edited
		{
		style=2;
		x=0.2;
		y=__EVAL(0.02 - AR_modifY);
		w=0.6;
		h=0.1;
		font="SteelfishB128";
		colorText[]={1,1,1,1};
		sizeEx=0.098;
		text="$STR_DISP_SERVER_TITLE";
		};

	class ButtonDifficulty:RscActiveMenu		// edited
		{
		idc=104;
		x=0.05;
		y=__EVAL(0.9 + AR_modifY);
		w=0.25;
		h=0.05;
		text="$STR_DISP_ERROR";
		soundClick[]={"",0,1};
		};

	class ButtonEditor:RscActiveMenu		// edited
		{
		idc=103;
		x=0.45;
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		text="$STR_DISP_EDIT";
		soundClick[]={"",0,1};
		};

	class ButtonCancel:RscActiveMenu		// edited (aspect + tweak)
		{
		idc=2;
		text="$STR_DISP_CANCEL";
		x=0.65;
		y=__EVAL(0.9 + AR_modifY);
		w=0.09;		// -0.06
		h=0.05;
		soundClick[]={"ui\ui_cc",0.2,1};
		};

	class ButtonOK:RscActiveMenu		// edited
		{
		idc=1;
		text="$STR_DISP_OK";
		x=0.85;
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		default=1;
		soundClick[]={"ui\ui_ok",0.2,1};
		};
	};

	// Mission selection with list of players (aspect + tweak)
class RscDisplayRemoteMissions:RscDisplayServer
	{
	access=3;
	controls[]={"Background1","Background2","Title","PlayersTitleBackground","PlayersTitle","PlayersBackground","Players","ButtonDifficulty","ButtonEditor","ButtonCancel","ButtonOK"};

	class PlayersTitleBackground:RscText		// edited (tweak)
		{
		#ifndef AR_TRIPLEHEAD
			x=__EVAL(0.73 + AR_PlayerListX);	// +0.03
			y=0.7;
			w=__EVAL(0.25 + AR_PlayerListX);
			h=0.025;
		#else
			x = __EVAL(AR_modifX_2NDMON - AR_modifX + 0.02);
			y = __EVAL(0.3);
			w = 0.4;
			h = __EVAL(0.025);
		#endif
		colorBackground[]={1,1,1,0.75};
		colorText[]={0,0,0,1};
		text="";
		};

	class PlayersTitle:RscText		// edited (tweak)
		{
		#ifndef AR_TRIPLEHEAD
			x=__EVAL(0.73 + AR_PlayerListX);	// +0.03
			y=0.7;
			w=__EVAL(0.25 + AR_PlayerListX);
			h=0.025;
		#else
			x = __EVAL(AR_modifX_2NDMON - AR_modifX + 0.02);
			y = __EVAL(0.3);
			w = 0.4;
			h = __EVAL(0.025);
		#endif
		colorBackground[]={1,1,1,0.75};
		colorText[]={0,0,0,1};
		text="$STR_DISP_SRVSETUP_PLAYERS";
		style="0 + 			160";
		};

	class PlayersBackground:RscText		// edited (tweak)
		{
		#ifndef AR_TRIPLEHEAD
			x=__EVAL(0.73 + AR_PlayerListX);	// +0.03
			y=0.725;
			w=__EVAL(0.25 + AR_PlayerListX);
			h=__EVAL(0.125 + AR_PlayerListY);
		#else
			x = __EVAL(AR_modifX_2NDMON - AR_modifX + 0.02);
			y = __EVAL(0.3 + 0.025);
			w = 0.4;
			h = __EVAL(0.025 + 0.5);
		#endif
		colorBackground[]={0,0,0,0.75};
		colorText[]={0,0,0,1};
		text="";
		};

	class Players:RscListBox		// edited (tweak)
		{
		idc=105;
		#ifndef AR_TRIPLEHEAD
			x=__EVAL(0.73 + AR_PlayerListX);		// +0.03
			y=0.725;
			w=__EVAL(0.25 + AR_PlayerListX);
			h=__EVAL(0.125 + AR_PlayerListY);
		#else
			x = __EVAL(AR_modifX_2NDMON - AR_modifX + 0.02);
			y = __EVAL(0.3 + 0.025);
			w = 0.4;
			h = __EVAL(0.025 + 0.5);
		#endif
		colorSelect[]={1,1,1,1};
		colorText[]={1,1,1,0.75};
		rowHeight=0.025;
		};

	class ButtonCancel:RscActiveMenu		// edited (aspect + tweak)
		{
		idc=2;
		text="$STR_DISP_DISCONNECT";
		x=0.65;
		y=__EVAL(0.9 + AR_modifY);
		w=0.096;	// -0.054
		h=0.05;
		soundClick[]={"ui\ui_cc",0.2,1};
		};
	};

	// Mission Wizard template selection (aspect + tweak)
class RscDisplayWizardTemplate:RscDisplayStripesLayeredBackground
	{
	access=3;
	idd=67;
	movingEnable=1;
	controlsBackground[]={ECPBackground, "Background3","Background4","Background5"};
	objects[]={"Notebook"};
	controls[]={"Background1","Background2","Title","ButtonCancel","ButtonOK"};

	AddECPBackground		// added (tweak)
	
	class Background4:RscBackgroundStripeTop
		{
		};

	class Background5:RscBackgroundStripeBottom
		{
		};

	class Notebook:RscObject		// edited
		{
		model="notebook.p3d";
		idc=-1;
		type=83;
		autoOpen=0;
		autoZoom=0;
		animSpeed=1;
		animation="notebook.rtm";
		animPhase=1;
		position[]={0, __EVAL(-0.175 + AR_notebookY) ,0.25};	// edited
		positionBack[]={0,-0.175,0.25};
		direction[]={0,"sin 30","cos 30"};
		up[]={0,"cos 30","-sin 30"};
		inBack=0;
		enableZoom=0;
		zoomDuration=1;
		scale=1;
		controls[]={"TextTemplates","ValueTemplates","TextOverview","ValueOverview","TextName","ValueName"};

		class TextTemplates:RscObjNotebookText
			{
			x=0.025;
			y=0.033;
			w=0.3;
			text="$STR_DISP_MPW_TEMPLATE";
			};

		class ValueTemplates:RscObjNotebookListBox		// edited (tweak)
			{
			idc=101;
			x=0.025;
			y=0.1;
			w=0.45;
			h=0.78;
			rows=11;		// +2 rows
			};

		class TextOverview:RscObjNotebookText
			{
			x=0.525;
			y=0.033;
			w=0.225;
			text="$STR_DISP_MPW_DESCRIPTION";
			};

		class ValueOverview:RscHTML
			{
			idc=102;
			type=23;
			selection="display";
			x=0.525;
			y=0.1;
			w=0.45;
			h=0.78;
			angle=0;
			size=0.35;
			filename="";
			colorBackground[]={0,0,0,0};
			colorText[]={0,1,0,1};
			colorBold[]={0,1,0,0.5};
			colorLink[]={0,1,0,1};
			colorLinkActive[]={0,1,0,1};
			};

		class TextName:RscObjNotebookText
			{
			x=0.025;
			y=0.917;
			w=0.25;
			text="$STR_DISP_MPW_NAME";
			};

		class ValueName:RscObjNotebookEdit
			{
			idc=103;
			x=0.275;
			y=0.917;
			w=0.7;
			text="Mission1";
			};
		};

	class Title:RscText		// edited
		{
		style=2;
		x=0.2;
		y=__EVAL(0.02 - AR_modifY);
		w=0.6;
		h=0.1;
		font="SteelfishB128";
		colorText[]={1,1,1,1};
		sizeEx=0.098;
		text="$STR_DISP_MPW_TITLE";
		};

	class ButtonCancel:RscActiveMenu		// edited (aspect + tweak)
		{
		idc=2;
		text="$STR_DISP_CANCEL";
		x=0.65;
		y=__EVAL(0.9 + AR_modifY);
		w=0.09;		// -0.06
		h=0.05;
		soundClick[]={"ui\ui_cc",0.2,1};
		};

	class ButtonOK:RscActiveMenu		// edited
		{
		idc=1;
		text="$STR_DISP_OK";
		x=0.85;
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		default=1;
		soundClick[]={"ui\ui_ok",0.2,1};
		};
	};

	// Mission Wizard map screen (aspect + tweak + fix)
class RscDisplayWizardMap:RscDisplayStripesLayeredBackground
	{
	access=3;
	idd=68;
	movingEnable=0;
	controlsBackground[]={"Background","Map"};
	controls[]={"Background3","Background4","TitleTop","ButtonCancel","ButtonFinish"};

	class Background:RscText		// edited
		{
		x=__EVAL(0 - AR_modifX - AR_modifX_2NDMON);
		y=__EVAL(0 - AR_modifY);
		w=__EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON * 2);
		h=__EVAL(1 + AR_modifY * 2);
		text="";
		colorBackground[]={0,0,0,1};
		};

	class Map:RscMapControl		// edited
		{
		moveOnEdges=1;
		x=__EVAL(0 - AR_modifX_map - AR_modifX_2NDMON_map);
		y=__EVAL(0.125 - AR_modifY_map);
		w=__EVAL(1 + AR_modifX_map * 2 + AR_modifX_2NDMON_map * 2);
		h=__EVAL(0.75 + AR_modifY_map * 2);
		};

	class Background3:RscBackgroundStripeTopAlpha
		{
		};

	class TitleTop:RscText		// edited
		{
		x=0.0;
		y=__EVAL(0.0 - AR_modifY);
		w=1;
		h=0.125;
		style=2;
		text="$STR_DISP_MPW_TITLE";
		font="SteelfishB128";
		sizeEx=0.098;
		colorText[]={1,1,1,1};
		};

	class Background4:RscBackgroundStripeBottomAlpha
		{
		};

	class ButtonCancel:RscActiveMenu		// edited (aspect + tweak + fix)
		{
		idc=2;
		x=0.65;		// -0.05 (fix)
		y=__EVAL(0.9 + AR_modifY);
		w=0.09;		// -0.06
		h=0.05;
		color[]={1,1,1,1};
		colorBackground="{0, 0, 0, 0.5}";
		colorActive[]={1,0,0,1};
		text="$STR_DISP_CANCEL";
		};

	class ButtonFinish:RscActiveMenu		// edited
		{
		idc=1;
		x=0.85;
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		color[]={1,1,1,1};
		colorBackground="{0, 0, 0, 0.5}";
		colorActive[]={1,0,0,1};
		text="$STR_DISP_MPW_FINISH";
		default=1;
		};
	};

	// Client screen (aspect + tweak)
class RscDisplayClient
	{
	access=3;
	idd=18;
	movingEnable=1;
	controls[]={"Background",ECPBackground,"PlayersTitleBackground","PlayersTitle","PlayersBackground","Players"};

	class ECP_flags_bg : RscPicture		// added (tweak)
	{
      text="\ECP_Effects\images\ECP_flags_bg.paa";
      colorText[]={1,1,1,0.75};
      x=__EVAL(0 - AR_modifX);
      y=__EVAL(0 - AR_modifY);
      w=0.285;
      h=__EVAL(1 + AR_modifY * 2);
	};
   class ECP_logo_small_bg : RscPicture 		// added (tweak)
   { 
      text="\ECP_Effects\images\ECPlogo_small.paa"; 
      colorText[]={1,1,1,0.25}; 
      x=__EVAL(0.88 + AR_modifX); 
      y=__EVAL(0.75 + AR_modifY); 
      w=.09; 
      h=.115; 
   }; 
	
	class Background:RscText		// edited
		{
		idc=101;
		style=2;
		x=__EVAL(0 - AR_modifX - AR_modifX_2NDMON);
		y=__EVAL(0 - AR_modifY);
		w=__EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON * 2);
		h=__EVAL(1 + AR_modifY * 2);
		text="$STR_DISP_CLIENT_TEXT";
		font="SteelfishB128";
		sizeEx=0.098;
		colorText[]={1,1,1,1};
		colorBackground[]={0,0,0,1};
		};

	class PlayersTitleBackground:RscText		// edited (tweak)
		{
		#ifndef AR_TRIPLEHEAD
			x=__EVAL(0.73 + AR_PlayerListX);	// +0.03
			y=0.3;	// -0.4
			w=__EVAL(0.25 + AR_PlayerListX);
			h=0.025;
		#else
			x = __EVAL(AR_modifX_2NDMON - AR_modifX + 0.02);
			y = __EVAL(0.3);
			w = 0.4;
			h = __EVAL(0.025);
		#endif
		colorBackground[]={1,1,1,0.75};
		colorText[]={0,0,0,1};
		text="";
		};

	class PlayersTitle:RscText		// edited (tweak)
		{
		#ifndef AR_TRIPLEHEAD
			x=__EVAL(0.73 + AR_PlayerListX);	// +0.03
			y=0.3;	// -0.4
			w=__EVAL(0.25 + AR_PlayerListX);
			h=0.025;
		#else
			x = __EVAL(AR_modifX_2NDMON - AR_modifX + 0.02);
			y = __EVAL(0.3);
			w = 0.4;
			h = __EVAL(0.025);
		#endif
		colorBackground[]={1,1,1,0.75};
		colorText[]={0,0,0,1};
		text="$STR_DISP_SRVSETUP_PLAYERS";
		style="0 + 			160";
		};

	class PlayersBackground:RscText		// edited (tweak)
		{
		#ifndef AR_TRIPLEHEAD
			x=__EVAL(0.73 + AR_PlayerListX);	// +0.03
			y=0.325;	// -0.4
			w=__EVAL(0.25 + AR_PlayerListX);
			h=__EVAL(0.525 + AR_PlayerListY);	// +0.4
		#else
			x = __EVAL(AR_modifX_2NDMON - AR_modifX + 0.02);
			y = __EVAL(0.3 + 0.025);
			w = 0.4;
			h = __EVAL(0.025 + 0.5);
		#endif
		colorBackground[]={0,0,0,0.75};
		colorText[]={0,0,0,1};
		text="";
		};

	class Players:RscListBox		// edited (tweak)
		{
		idc=102;
		#ifndef AR_TRIPLEHEAD
			x=__EVAL(0.73 + AR_PlayerListX);	// +0.03
			y=0.3225;		// -0.4
			w=__EVAL(0.25 + AR_PlayerListX);
			h=__EVAL(0.525 + AR_PlayerListY);	// +0.4
		#else
			x = __EVAL(AR_modifX_2NDMON - AR_modifX + 0.02);
			y = __EVAL(0.3 + 0.0225);
			w = 0.4;
			h = __EVAL(0.025 + 0.5);
		#endif
		colorSelect[]={1,1,1,1};
		colorText[]={1,1,1,0.75};
		rowHeight=0.025;
		};
	};

	// Lobby (aspect + tweak)
class RscDisplayMultiplayerSetup:RscDisplayStripesLayeredBackground
	{
	access=3;
	idd=70;
	movingEnable=1;
	controlsBackground[]={ECPBackground, "Background3","Background4","Background5"};
	objects[]={"Notebook"};
	controls[]={"Background1","Background2","Title","ButtonKick","ButtonCancel","ButtonOK"};

	AddECPBackground		// added (tweak)
	
	class Background4:RscBackgroundStripeTop
		{
		};

	class Background5:RscBackgroundStripeBottom
		{
		};

	class Notebook:RscObject		// edited
		{
		model="notebook.p3d";
		idc=-1;
		type=83;
		autoOpen=0;
		autoZoom=0;
		animSpeed=1;
		animation="notebook.rtm";
		animPhase=1;
		position[]={0, __EVAL(-0.175 + AR_notebookY) ,0.25};	// edited
		positionBack[]={0,-0.175,0.25};
		direction[]={0,"sin 30","cos 30"};
		up[]={0,"cos 30","-sin 30"};
		inBack=0;
		enableZoom=0;
		zoomDuration=1;
		scale=1;
		controls[]={"FrameHeader","TextMission","ValueMission","TextIsland","ValueIsland","TextDescription","ValueDescription","TextSide","ButtonWest","ButtonEast","ButtonGuerrila","ButtonCivilian","TextRoles","ValueRoles","TextParam1","ValueParam1","TextParam2","ValueParam2","TextPool","ValuePool","TextMessage","ButtonEnableAll","ButtonLock"};

		class Frame:RscObjNotebookText
			{
			style=80;
			colorBackground[]={0,1,0,0.2};
			text="";
			};

		class FrameHeader:Frame
			{
			x=0.025;
			y=0.033;
			w=0.95;
			h=0.1;
			};

		class TextMission:RscObjNotebookText		// edited (tweak)
			{
			x=0.035;		// - 0.015
			y=0.045;	// + 0.012
			w=0.15;
			h=0.035;	// added
			color[]={0.8,0.8,0.8,1};	// added
			text="$STR_DISP_SRVSETUP_NAME";
			};

		class ValueMission:RscObjNotebookText		// edited (tweak)
			{
			idc=101;
			x=0.130;	// -0.075
			y=0.04;	// +0.007
			w=0.46;		// + 0.07
			h=0.04;	// added
			text="$STR_DISP_ERROR";
			};

		class TextIsland:RscObjNotebookText		// edited (tweak)
			{
			x=0.6;
			y=0.045;	// + 0.012
			w=0.12;
			h=0.035;	// added
			color[]={1,1,1,1};	// added
			text="$STR_DISP_SRVSETUP_ISLAND";
			};

		class ValueIsland:RscObjNotebookText		// edited (tweak)
			{
			idc=102;
			x=0.675;		// -0.05
			y=0.041;	// +0.008
			w=0.3;		// +0.06
			h=0.04;	// added
			text="$STR_DISP_ERROR";
			};

		class TextDescription:RscObjNotebookText		// edited (tweak)
			{
			x=0.035;		// -0.015
			y=0.088;	// +0.005
			w=0.15;
			h=0.035;	// -0.005
			color[]={1,1,1,1};	// added
			text="$STR_DISP_SRVSETUP_DESC";
			};

		class ValueDescription:RscObjNotebookText		// edited (tweak)
			{
			idc=103;
			x=0.17;	// -0.055
			y=0.086;	// +0.048
			w=0.8;		// +0.05
			h=0.036;	// -0.004
			text="$STR_DISP_ERROR";
			};

		class TextSide:RscObjNotebookText
			{
			x=0.025;
			y=0.15;
			w=0.125;
			text="$STR_DISP_MPSETUP_SIDE";
			};

		class ButtonSide:RscObjNotebookButton
			{
			style=2;
			color[]={0,1,0,0.7};
			colorActive[]={0,1,0,1};
			colorDisabled[]={0,1,0,0.4};
			colorShade[]={0,1,0,0.3};
			pictureWidth=0.72;
			pictureHeight=1.0;
			textHeight=0.3;
			x=0.025;
			w=0.125;
			h=0.12;
			};

		class ButtonWest:ButtonSide
			{
			idc=104;
			y=0.2;
			text="$STR_WEST";
			picture="\misc\usa.paa";
			};

		class ButtonEast:ButtonSide
			{
			idc=105;
			y=0.33;
			text="$STR_EAST";
			picture="\misc\russia.paa";
			};

		class ButtonGuerrila:ButtonSide
			{
			idc=106;
			y=0.46;
			text="$STR_GUERRILA";
			picture="\misc\resist.paa";
			};

		class ButtonCivilian:ButtonSide
			{
			idc=107;
			y=0.59;
			text="$STR_CIVILIAN";
			picture="\misc\civil.paa";
			};

		class ButtonEnableAll:RscObjNotebookButton
			{
			idc=117;
			style=48;
			x=0.025;
			y=0.772;
			w=0.05;
			h=0.067;
			text="";
			};

		class ButtonLock:RscObjNotebookButton
			{
			idc=118;
			style=48;
			x=0.075;
			y=0.772;
			w=0.05;
			h=0.067;
			text="";
			};

		class TextRoles:RscObjNotebookText
			{
			idc=108;
			x=0.15;
			y=0.15;
			w=0.5;
			text="$STR_DISP_ERROR";
			};

		class ValueRoles:RscObjNotebookListBox		// edited (tweak)
			{
			idc=109;
			x=0.15;
			y=0.2;
			w=0.5;
			h=0.51;
			rows=8;		// +2 rows
			colorBackground[]={0,1,0,0.15};
			colorSelectBackground[]={0,1,0,0.3};
			};

		class TextParam1:RscObjNotebookText
			{
			idc=110;
			x=0.15;
			y=0.722;
			w=0.24;
			text="$STR_DISP_ERROR";
			};

		class ValueParam1:RscObjNotebookListBox		// edited (tweak)
			{
			idc=111;
			x=0.15;
			y=0.772;
			w=0.24;
			h=0.14;
			rows=4;	// +1 row
			};

		class TextParam2:RscObjNotebookText
			{
			idc=112;
			x=0.41;
			y=0.722;
			w=0.24;
			text="$STR_DISP_ERROR";
			};

		class ValueParam2:RscObjNotebookListBox		// edited (tweak)
			{
			idc=113;
			x=0.41;
			y=0.772;
			w=0.24;
			h=0.14;
			rows=4;	// +1 row
			};

		class TextPool:RscObjNotebookText
			{
			x=0.675;
			y=0.15;
			w=0.3;
			text="$STR_DISP_SRVSIDE_POOL";
			};

		class ValuePool:RscObjNotebookListBox		// edited (tweak)
			{
			idc=114;
			x=0.675;
			y=0.2;
			w=0.3;
			h=0.712;
			rows=20;		// + 5 rows
			};

		class TextMessage:Frame
			{
			idc=115;
			style="80 + 					2";
			x=0.025;
			y=0.925;
			w=0.95;
			text="$STR_DISP_ERROR";
			};
		};

	class Title:RscText		// edited
		{
		style=2;
		x=0.2;
		y=__EVAL(0.02 - AR_modifY);
		w=0.6;
		h=0.1;
		font="SteelfishB128";
		colorText[]={1,1,1,1};
		sizeEx=0.098;
		text="$STR_DISP_MPSETUP_TITLE";
		};

	class ButtonKick:RscActiveMenu		// edited
		{
		idc=116;
		text="$STR_DISP_MP_KICKOFF";
		x=0.05;
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		};

	class ButtonCancel:RscActiveMenu		// edited (aspect + tweak)
		{
		idc=2;
		text="$STR_DISP_CANCEL";
		x=0.65;
		y=__EVAL(0.9 + AR_modifY);
		w=0.096;	// -0.054
		h=0.05;
		soundClick[]={"ui\ui_cc",0.2,1};
		};

	class ButtonOK:RscActiveMenu		// edited
		{
		idc=1;
		text="$STR_DISP_OK";
		x=0.85;
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		default=1;
		soundClick[]={"ui\ui_ok",0.2,1};
		};
	};

	// In-Game list of players (aspect)
class RscDisplayMPPlayers:RscDisplayStripesLayeredBackground
	{
	access=3;
	idd=65;
	movingEnable=1;
	controlsBackground[]={"Background3","Background4","Background5"};
	objects[]={"Notebook"};
	controls[]={"Background1","Background2","Title","ButtonKickOff","ButtonBan","ButtonCancel"};

	class Background4:RscBackgroundStripeTop
		{
		};

	class Background5:RscBackgroundStripeBottom
		{
		};

	class Notebook:RscObject		// edited
		{
		model="notebook.p3d";
		idc=-1;
		type=83;
		autoOpen=0;
		autoZoom=0;
		animSpeed=1;
		animation="notebook.rtm";
		animPhase=1;
		position[]={0, __EVAL(-0.175 + AR_notebookY) ,0.25};	// edited
		positionBack[]={0,-0.175,0.25};
		direction[]={0,"sin 30","cos 30"};
		up[]={0,"cos 30","-sin 30"};
		inBack=0;
		enableZoom=0;
		zoomDuration=1;
		scale=1;
		controls[]={"TextMission","ValueMission","TextIsland","ValueIsland","TextTime","ValueTime","ValueRest","TextPlayers","ValuePlayers","TextPlayer","ValuePlayer","TextPlayerName","ValuePlayerName","TextPlayerMail","ValuePlayerMail","TextPlayerICQ","ValuePlayerICQ","TextPlayerRemark","ValuePlayerRemark","TextSquad","ValueSquad","TextSquadName","ValueSquadName","TextSquadId","ValueSquadId","TextSquadMail","ValueSquadMail","TextSquadWeb","ValueSquadWeb","TextSquadPicture","ValueSquadPicture","TextSquadTitle","ValueSquadTitle","PingTitle","PingMinValue","PingAvgValue","PingMaxValue","BandwidthTitle","BandwidthMinValue","BandwidthAvgValue","BandwidthMaxValue","DesyncTitle","DesyncValue"};

		class TextNormal:RscObjNotebookText
			{
			};

		class TextSmall:RscObjNotebookText
			{
			};

		class TextMission:TextNormal
			{
			x=0.025;
			y=0.033;
			w=0.12;
			text="$STR_DISP_SRVSETUP_NAME";
			};

		class ValueMission:TextNormal
			{
			idc=116;
			x=0.145;
			y=0.033;
			w=0.23;
			text="$STR_DISP_ERROR";
			};

		class TextIsland:TextNormal
			{
			x=0.4;
			y=0.033;
			w=0.1;
			text="$STR_DISP_SRVSETUP_ISLAND";
			};

		class ValueIsland:TextNormal
			{
			idc=117;
			x=0.5;
			y=0.033;
			w=0.2;
			text="$STR_DISP_ERROR";
			};

		class TextTime:TextNormal
			{
			x=0.625;
			y=0.033;
			w=0.1;
			text="$STR_DISP_MP_PL_TIME";
			};

		class ValueTime:TextNormal
			{
			idc=118;
			x=0.725;
			y=0.033;
			w=0.1;
			text="$STR_DISP_ERROR";
			};

		class ValueRest:TextNormal
			{
			idc=126;
			x=0.825;
			y=0.033;
			w=0.15;
			text="$STR_DISP_ERROR";
			};

		class TextPlayers:TextNormal
			{
			x=0.025;
			y=0.083;
			w=0.25;
			h=0.04;
			text="$STR_DISP_MP_PLAYERS";
			};

		class ValuePlayers:RscObjNotebookListBox
			{
			idc=101;
			x=0.025;
			y=0.133;
			w=0.25;
			h=0.833;
			size=0.9;
			rows=18.5;
			};

		class TextPlayer:TextNormal
			{
			x=0.3;
			y=0.083;
			w=0.15;
			h=0.06;
			text="$STR_DISP_MP_PL";
			};

		class ValuePlayer:TextNormal
			{
			idc=102;
			x=0.45;
			y=0.083;
			w=0.525;
			h=0.06;
			text="$STR_DISP_ERROR";
			};

		class TextPlayerName:TextNormal
			{
			x=0.325;
			y=0.153;
			w=0.125;
			h=0.04;
			text="$STR_DISP_MP_PL_NAME";
			};

		class ValuePlayerName:TextNormal
			{
			idc=103;
			x=0.45;
			y=0.153;
			w=0.525;
			h=0.04;
			text="$STR_DISP_ERROR";
			};

		class TextPlayerMail:TextNormal
			{
			x=0.325;
			y=0.203;
			w=0.125;
			h=0.04;
			text="$STR_DISP_MP_PL_MAIL";
			};

		class ValuePlayerMail:TextNormal
			{
			idc=104;
			x=0.45;
			y=0.203;
			w=0.525;
			h=0.04;
			text="$STR_DISP_ERROR";
			};

		class TextPlayerICQ:TextNormal
			{
			x=0.325;
			y=0.253;
			w=0.125;
			h=0.04;
			text="$STR_DISP_MP_PL_ICQ";
			};

		class ValuePlayerICQ:TextNormal
			{
			idc=105;
			x=0.45;
			y=0.253;
			w=0.525;
			h=0.04;
			text="$STR_DISP_ERROR";
			};

		class TextPlayerRemark:TextSmall
			{
			x=0.325;
			y=0.303;
			w=0.125;
			h=0.04;
			text="$STR_DISP_MP_PL_REMARK";
			};

		class ValuePlayerRemark:TextSmall
			{
			idc=106;
			x=0.45;
			y=0.303;
			w=0.525;
			h=0.2;
			text="$STR_DISP_ERROR";
			style=16;
			lines=5;
			};

		class TextSquad:TextNormal
			{
			x=0.3;
			y=0.513;
			w=0.15;
			h=0.06;
			text="$STR_DISP_MP_SQ";
			};

		class ValueSquad:TextNormal
			{
			idc=107;
			x=0.45;
			y=0.513;
			w=0.525;
			h=0.06;
			text="$STR_DISP_ERROR";
			};

		class TextSquadName:TextNormal
			{
			x=0.325;
			y=0.583;
			w=0.125;
			h=0.04;
			text="$STR_DISP_MP_SQ_NAME";
			};

		class ValueSquadName:TextNormal
			{
			idc=108;
			x=0.45;
			y=0.583;
			w=0.525;
			h=0.04;
			text="$STR_DISP_ERROR";
			};

		class TextSquadId:TextNormal
			{
			x=0.325;
			y=0.633;
			w=0.125;
			h=0.04;
			text="$STR_DISP_MP_SQ_ID";
			};

		class ValueSquadId:TextNormal
			{
			idc=109;
			x=0.45;
			y=0.633;
			w=0.525;
			h=0.04;
			text="$STR_DISP_ERROR";
			};

		class TextSquadMail:TextNormal
			{
			x=0.325;
			y=0.683;
			w=0.125;
			h=0.04;
			text="$STR_DISP_MP_SQ_MAIL";
			};

		class ValueSquadMail:TextNormal
			{
			idc=110;
			x=0.45;
			y=0.683;
			w=0.525;
			h=0.04;
			text="$STR_DISP_ERROR";
			};

		class TextSquadWeb:TextNormal
			{
			x=0.325;
			y=0.733;
			w=0.125;
			h=0.04;
			text="$STR_DISP_MP_SQ_WEB";
			};

		class ValueSquadWeb:TextNormal
			{
			idc=111;
			x=0.45;
			y=0.733;
			w=0.525;
			h=0.04;
			text="$STR_DISP_ERROR";
			};

		class TextSquadPicture:TextNormal
			{
			x=0.325;
			y=0.783;
			w=0.125;
			h=0.04;
			text="$STR_DISP_MP_SQ_PICTURE";
			};

		class ValueSquadPicture:TextNormal
			{
			idc=112;
			style=48;
			x=0.45;
			w=0.093;
			y=0.783;
			h=0.124;
			text="";
			color[]={1,1,1,1};
			};

		class TextSquadTitle:TextNormal
			{
			x=0.325;
			y=0.917;
			w=0.125;
			h=0.04;
			text="$STR_DISP_MP_SQ_TITLE";
			};

		class ValueSquadTitle:TextNormal
			{
			idc=113;
			x=0.45;
			w=0.525;
			y=0.917;
			h=0.04;
			text="$STR_DISP_ERROR";
			};

		class PingTitle:TextNormal
			{
			x=0.325;
			w=0.15;
			y=0.35;
			h=0.04;
			text="$STR_DISP_MP_PING";
			};

		class PingMinValue:TextNormal
			{
			y=0.35;
			h=0.04;
			x=0.48;
			w=0.05;
			idc=119;
			text="$STR_DISP_ERROR";
			};

		class PingAvgValue:TextNormal
			{
			idc=120;
			y=0.35;
			h=0.04;
			x=0.58;
			w=0.05;
			text="$STR_DISP_ERROR";
			};

		class PingMaxValue:TextNormal
			{
			y=0.35;
			h=0.04;
			x=0.68;
			w=0.05;
			idc=121;
			text="$STR_DISP_ERROR";
			};

		class BandwidthTitle:TextNormal
			{
			x=0.325;
			w=0.15;
			y=0.4;
			h=0.04;
			text="$STR_DISP_MP_BANDWIDTH";
			};

		class BandwidthMinValue:TextNormal
			{
			idc=122;
			y=0.4;
			h=0.04;
			x=0.48;
			w=0.05;
			text="$STR_DISP_ERROR";
			};

		class BandwidthAvgValue:TextNormal
			{
			idc=123;
			y=0.4;
			h=0.04;
			x=0.58;
			w=0.05;
			text="$STR_DISP_ERROR";
			};

		class BandwidthMaxValue:TextNormal
			{
			idc=124;
			y=0.4;
			h=0.04;
			x=0.68;
			w=0.05;
			text="$STR_DISP_ERROR";
			};

		class DesyncTitle:TextNormal
			{
			x=0.325;
			w=0.15;
			y=0.45;
			h=0.04;
			text="$STR_DISP_MP_DESYNC";
			};

		class DesyncValue:TextNormal
			{
			idc=125;
			y=0.45;
			h=0.04;
			x=0.48;
			w=0.1;
			text="$STR_DISP_ERROR";
			};
		};

	class Title:RscText		// edited
		{
		style=2;
		x=0.2;
		y=__EVAL(0.02 - AR_modifY);
		w=0.6;
		h=0.1;
		font="SteelfishB128";
		colorText[]={1,1,1,1};
		sizeEx=0.098;
		text="$STR_DISP_MP_PLAYERS_TITLE";
		};

	class ButtonKickOff:RscActiveMenu		// edited
		{
		idc=114;
		text="$STR_DISP_MP_KICKOFF";
		x=0.0;
		y=__EVAL(0.9 + AR_modifY);
		w=0.25;
		h=0.05;
		};

	class ButtonBan:RscActiveMenu		// edited
		{
		idc=115;
		text="$STR_DISP_MP_BAN";
		x=0.25;
		y=__EVAL(0.9 + AR_modifY);
		w=0.25;
		h=0.05;
		};

	class ButtonCancel:RscActiveMenu		// edited
		{
		idc=2;
		text="$STR_DISP_CLOSE";
		x=0.85;
		y=__EVAL(0.9 + AR_modifY);
		w=0.25;
		h=0.05;
		default=1;
		soundClick[]={"ui\ui_ok",0.2,1};
		};
	};

	// Join in progress
class RscDisplayClientWait:RscDisplayMPPlayers
	{
	access=3;
	idd=22;

	class Title:RscText		// edited
		{
		idc=130;
		style=2;
		x=0;
		y=__EVAL(0.02 - AR_modifY);
		w=1;
		h=0.1;
		font="SteelfishB128";
		colorText[]={1,1,1,1};
		sizeEx=0.098;
		text="$STR_DISP_CLIENT_WAIT_TEXT";
		};

	class ButtonCancel:RscActiveMenu		// edited
		{
		idc=2;
		text="$STR_DISP_CANCEL";
		x=0.85;
		y=__EVAL(0.9 + AR_modifY);
		w=0.25;
		h=0.05;
		default=1;
		soundClick[]={"ui\ui_ok",0.2,1};
		};
	};

	// Map Screen
class RscDisplayMainMap
	{
	access=3;
	idd=12;
	movingEnable=0;
	controlsBackground[]={"Background","Map"};
	objects[]={"Watch","Compass","WalkieTalkie","Notepad","Warrant","GPS"};
	controls[]={};

	class Background:RscText
		{
		x=-10;
		y=-10;
		w=21;
		h=21;
		text="";
		colorBackground[]={0,0,0,1};
		};

	class Map:RscMapControl		// edited
		{
		moveOnEdges=1;
		x=__EVAL(0 - AR_modifX_map - AR_modifX_2NDMON_map);
		y=__EVAL(0 - AR_modifY_map);
		w=__EVAL(1 + AR_modifX_map * 2 + AR_modifX_2NDMON_map * 2);
		h=__EVAL(1 + AR_modifY_map * 2);

		class Command
			{
			icon="order";
			color[]={0,0,0,1};
			size=12;
			};

		class ActiveMarker
			{
			color[]={0.9,0.0,0.0,1};
			size=50;
			};
		};

	class Watch:RscObject
		{
		idc=101;
		type=81;
		model="kosei.p3d";
		position[]={0.079,0.044,0.21};
		positionBack[]={0.238,0.158,0.525};
		inBack=1;
		enableZoom=1;
		zoomDuration=0.5;
		};

	class Compass:RscObject
		{
		idc=102;
		type=81;
		model="kompas.p3d";
		position[]={0.026,0.047,0.2};
		direction[]={0,1,0};
		up[]={0,0,-1};
		positionBack[]={0.178,0.145,0.5};
		inBack=1;
		enableZoom=1;
		zoomDuration=0.5;
		};

	class WalkieTalkie:RscObject
		{
		idc=103;
		type=82;
		model="vysilacka.p3d";
		position[]={0.094,-0.043,0.25};
		scale=1.3;
		direction[]={0,1,0};
		up[]={0,0,-1};
		positionBack[]={0.28,-0.155,0.625};
		inBack=1;
		enableZoom=1;
		zoomDuration=0.5;
		controls[]={"RadioAlpha","RadioBravo","RadioCharlie","RadioDelta","RadioEcho","RadioFoxtrot","RadioGolf","RadioHotel","RadioIndia","RadioJuliet"};

		class RscRadioText:RscActiveText
			{
			color[]={0.5,0.5,0.5,1};
			colorActive[]={0,0,0,1};
			font="SteelfishB64";
			sizeEx="0.6 * 0.05";
			x=0;
			w=1;
			h=0.1;
			selection="papir";
			text="$STR_DISP_ERROR";
			};

		class RadioAlpha:RscRadioText
			{
			idc=63;
			y=0;
			};

		class RadioBravo:RscRadioText
			{
			idc=64;
			y=0.1;
			};

		class RadioCharlie:RscRadioText
			{
			idc=65;
			y=0.2;
			};

		class RadioDelta:RscRadioText
			{
			idc=66;
			y=0.3;
			};

		class RadioEcho:RscRadioText
			{
			idc=67;
			y=0.4;
			};

		class RadioFoxtrot:RscRadioText
			{
			idc=68;
			y=0.5;
			};

		class RadioGolf:RscRadioText
			{
			idc=69;
			y=0.6;
			};

		class RadioHotel:RscRadioText
			{
			idc=70;
			y=0.7;
			};

		class RadioIndia:RscRadioText
			{
			idc=71;
			y=0.8;
			};

		class RadioJuliet:RscRadioText
			{
			idc=72;
			y=0.9;
			};
		};

	class Notepad:RscObject
		{
		idc=104;
		type=82;
		model="blok.p3d";
		position[]={-0.114,-0.0103,0.32};
		scale=0.75;
		positionBack[]={-0.325,0.197,0.8};
		inBack=0;
		enableZoom=1;
		zoomDuration=0.5;
		controls[]={"Name","Bookmark1","Bookmark2","Bookmark3","Bookmark4","Briefing"};

		class Name:RscText
			{
			idc=73;
			style=2;
			x=0;
			y=0;
			w=1;
			h=1;
			selection="jmeno mise";
			text="$STR_DISP_ERROR";
			colorText[]={0,0,0,1};
			font="courierNewB64";
			sizeEx="0.8 * 0.048";
			};

		class RscBookmarkText:RscActiveText
			{
			style=2;
			color[]={0,0,0,1};
			colorActive[]={1,1,1,1};
			font="courierNewB64";
			sizeEx="0.5 * 0.048";
			x=0;
			y=0;
			w=1;
			h=1;
			};

		class Bookmark1:RscBookmarkText
			{
			idc=58;
			selection="zalozka1";
			text="$STR_MAP_PLAN";
			};

		class Bookmark2:RscBookmarkText
			{
			idc=57;
			selection="zalozka2";
			text="$STR_MAP_NOTES";
			};

		class Bookmark3:RscBookmarkText
			{
			idc=59;
			selection="zalozka3";
			text="$STR_MAP_GEAR";
			};

		class Bookmark4:RscBookmarkText
			{
			idc=60;
			selection="zalozka4";
			text="$STR_MAP_GROUP";
			};

		class Briefing:RscHTML
			{
			idc=56;
			x=0;
			y=0;
			w=1;
			h=1;
			selection="papir";
			filename="";
			};
		};

	class Warrant:RscObject
		{
		idc=105;
		type=82;
		model="karta.p3d";
		position[]={0.073,-0.025,0.4};
		scale=0.7;
		positionBack[]={0.368,0.193,1.0};
		inBack=1;
		enableZoom=1;
		zoomDuration=0.5;
		controls[]={"Warrant"};

		class Warrant
			{
			type=99;
			style=0;
			idc=74;
			x=0;
			y=0;
			w=1;
			h=1;
			selection="karta";
			font="courierNewB64";
			sizeEx="0.5 * 0.048";
			color[]={0,0,0,1};
			};
		};

	class GPS:RscObject
		{
		idc=106;
		type=82;
		model="gps.p3d";
		position[]={0,0,0.45};
		scale=2.0;
		direction[]={0,1,0};
		up[]={0,0,-1};
		positionBack[]={0,0,1.125};
		inBack=0;
		enableZoom=1;
		zoomDuration=0.5;
		controls[]={"GPS"};

		class GPS:RscText
			{
			style=2;
			idc=75;
			selection="display";
			x=0;
			y=0;
			w=1;
			h=1;
			font="courierNewB64";
			sizeEx="0.8 * 0.048";
			colorText[]={0.33,0.52,0.43,1};
			text="";
			};
		};
	};

	// Briefing SP
class RscDisplayGetReady:RscDisplayMainMap
	{
	access=3;
	idd=37;
	controlsBackground[]={"Background","Map2"};
	controls[]={"Background3","Background4","TitleTop","ButtonContinue","ButtonCancel"};

	class Map2:Map		// edited
		{
		y=__EVAL(0.125 - AR_modifY);
		h=__EVAL(0.75 + AR_modifY * 2);
		};

	class Background3:RscBackgroundStripeTopAlpha
		{
		};

	class TitleTop:RscText		// edited
		{
		x=0.0;
		y=__EVAL(0.0 - AR_modifY);
		w=1;
		h=0.125;
		idc=114;
		style=2;
		text="$STR_DISP_ERROR";
		font="SteelfishB128";
		sizeEx=0.098;
		colorText[]={1,1,1,1};
		};

	class Background4:RscBackgroundStripeBottomAlpha
		{
		};

	class ButtonContinue:RscActiveMenu		// edited
		{
		idc=1;
		x=0.85;
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		color[]={1,1,1,1};
		colorBackground="{0, 0, 0, 0.5}";
		colorActive[]={1,0,0,1};
		text="$STR_DISP_CONTINUE";
		default=1;
		};

	class ButtonCancel:RscActiveMenu		// edited
		{
		idc=2;
		x=0.7;
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		color[]={1,1,1,1};
		colorBackground="{0, 0, 0, 0.5}";
		colorActive[]={1,0,0,1};
		text="$STR_DISP_CANCEL";
		};
	};

	// Briefing MP Server (aspect + tweak)
class RscDisplayServerGetReady:RscDisplayGetReady
	{
	access=3;
	idd=52;
	controls[]={"Background3","Background4","TitleTop","PlayersTitleBackground","PlayersTitle","PlayersBackground","Players","ButtonContinue","ButtonCancel"};

	class PlayersTitleBackground:RscText		// edited (tweak)
		{
		#ifndef AR_TRIPLEHEAD
			x=__EVAL(0.7 - AR_PlayerListX);
			y=0.7;
			w=__EVAL(0.25 + AR_PlayerListX);
			h=0.025;
		#else
			x = __EVAL(AR_modifX_2NDMON - AR_modifX + 0.02);
			y = __EVAL(0.3);
			w = 0.4;
			h = __EVAL(0.025);
		#endif
		colorBackground[]={1,1,1,0.75};
		colorText[]={0,0,0,1};
		text="";
		};

	class PlayersTitle:RscText		// edited (tweak)
		{
		#ifndef AR_TRIPLEHEAD
			x=__EVAL(0.7 - AR_PlayerListX);
			y=0.7;
			w=__EVAL(0.25 + AR_PlayerListX);
			h=0.025;
		#else
			x = __EVAL(AR_modifX_2NDMON - AR_modifX + 0.02);
			y = __EVAL(0.3);
			w = 0.4;
			h = __EVAL(0.025);
		#endif
		colorBackground[]={1,1,1,0.75};
		colorText[]={0,0,0,1};
		text="$STR_DISP_SRVSETUP_PLAYERS";
		style="0 + 			160";
		};

	class PlayersBackground:RscText		// edited (tweak)
		{
		#ifndef AR_TRIPLEHEAD
			x=__EVAL(0.7 - AR_PlayerListX);
			y=0.725;
			w=__EVAL(0.25 + AR_PlayerListX);
			h=__EVAL(0.125 + AR_PlayerListY);
		#else
			x = __EVAL(AR_modifX_2NDMON - AR_modifX + 0.02);
			y = __EVAL(0.3 + 0.025);
			w = 0.4;
			h = __EVAL(0.025 + 0.5);
		#endif
		colorBackground[]={0,0,0,0.75};
		colorText[]={0,0,0,1};
		text="";
		};

	class Players:RscListBox		// edited (tweak)
		{
		idc=110;
		#ifndef AR_TRIPLEHEAD
			x=__EVAL(0.7 - AR_PlayerListX);
			y=0.725;
			w=__EVAL(0.25 + AR_PlayerListX);
			h=__EVAL(0.125 + AR_PlayerListY);
		#else
			x = __EVAL(AR_modifX_2NDMON - AR_modifX + 0.02);
			y = __EVAL(0.3 + 0.025);
			w = 0.4;
			h = __EVAL(0.025 + 0.5);
		#endif
		colorSelect[]={1,1,1,1};
		colorText[]={1,1,1,0.75};
		rowHeight=0.025;
		};

	class ButtonContinue:RscActiveMenu		// edited
		{
		idc=1;
		x=0.85;
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		color[]={1,1,1,1};
		colorBackground="{0, 0, 0, 0.5}";
		colorActive[]={1,0,0,1};
		text="$STR_DISP_SERVER_READY";
		default=1;
		};

	class ButtonCancel:RscActiveMenu		// edited (aspect + tweak)
		{
		idc=2;
		x=__EVAL(0.7 - AR_PlayerListX);
		y=__EVAL(0.9 + AR_modifY);
		w=0.09;		// -0.06
		h=0.05;
		color[]={1,1,1,1};
		colorBackground="{0, 0, 0, 0.5}";
		colorActive[]={1,0,0,1};
		text="$STR_DISP_CANCEL";
		};
	};

	// Briefing MP Client (aspect + tweak)
class RscDisplayClientGetReady:RscDisplayGetReady
	{
	access=3;
	idd=53;
	controls[]={"Background3","Background4","TitleTop","PlayersTitleBackground","PlayersTitle","PlayersBackground","Players","ButtonContinue","ButtonCancel"};

	class PlayersTitleBackground:RscText		// edited (tweak)
		{
		#ifndef AR_TRIPLEHEAD
			x=__EVAL(0.7 - AR_PlayerListX);
			y=0.7;
			w=__EVAL(0.25 + AR_PlayerListX);
			h=0.025;
		#else
			x = __EVAL(AR_modifX_2NDMON - AR_modifX + 0.02);
			y = __EVAL(0.3);
			w = 0.4;
			h = __EVAL(0.025);
		#endif
		colorBackground[]={1,1,1,0.75};
		colorText[]={0,0,0,1};
		text="";
		};

	class PlayersTitle:RscText		// edited (tweak)
		{
		#ifndef AR_TRIPLEHEAD
			x=__EVAL(0.7 - AR_PlayerListX);
			y=0.7;
			w=__EVAL(0.25 + AR_PlayerListX);
			h=0.025;
		#else
			x = __EVAL(AR_modifX_2NDMON - AR_modifX + 0.02);
			y = __EVAL(0.3);
			w = 0.4;
			h = __EVAL(0.025);
		#endif
		colorBackground[]={1,1,1,0.75};
		colorText[]={0,0,0,1};
		text="$STR_DISP_SRVSETUP_PLAYERS";
		style="0 + 			160";
		};

	class PlayersBackground:RscText		// edited (tweak)
		{
		#ifndef AR_TRIPLEHEAD
			x=__EVAL(0.7 - AR_PlayerListX);
			y=0.725;
			w=__EVAL(0.25 + AR_PlayerListX);
			h=__EVAL(0.125 + AR_PlayerListY);
		#else
			x = __EVAL(AR_modifX_2NDMON - AR_modifX + 0.02);
			y = __EVAL(0.3 + 0.025);
			w = 0.4;
			h = __EVAL(0.025 + 0.5);
		#endif
		colorBackground[]={0,0,0,0.75};
		colorText[]={0,0,0,1};
		text="";
		};

	class Players:RscListBox		// edited (tweak)
		{
		idc=110;
		#ifndef AR_TRIPLEHEAD
			x=__EVAL(0.7 - AR_PlayerListX);
			y=0.725;
			w=__EVAL(0.25 + AR_PlayerListX);
			h=__EVAL(0.125 + AR_PlayerListY);
		#else
			x = __EVAL(AR_modifX_2NDMON - AR_modifX + 0.02);
			y = __EVAL(0.3 + 0.025);
			w = 0.4;
			h = __EVAL(0.025 + 0.5);
		#endif
		colorSelect[]={1,1,1,1};
		colorText[]={1,1,1,0.75};
		rowHeight=0.025;
		};

	class ButtonContinue:RscActiveMenu		// edited
		{
		default=1;
		idc=1;
		x=0.85;
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		color[]={1,1,1,1};
		colorBackground="{0, 0, 0, 0.5}";
		colorActive[]={1,0,0,1};
		text="$STR_DISP_CLIENT_READY";
		};

	class ButtonCancel:RscActiveMenu		// edited (aspect + tweak)
		{
		idc=2;
		x=__EVAL(0.7 -0.096 - AR_PlayerListX);	// -0.096
		y=__EVAL(0.9 + AR_modifY);
		w=0.096;	// -0.054
		h=0.05;
		color[]={1,1,1,1};
		colorBackground="{0, 0, 0, 0.5}";
		colorActive[]={1,0,0,1};
		text="$STR_DISP_DISCONNECT";
		};
	};

	// Debriefing (aspect + tweak)
class RscDisplayDebriefing:RscDisplayBackgroundStripes
	{
	access=3;
	idd=50;
	movingEnable=0;
	objects[]={"Notepad","Statistics"};
	controlsBackground[]={"Background1","Background2"};
	controls[]={"Background3","Background4","TitleTop","PlayersTitleBackground","PlayersTitle","PlayersBackground","Players","ButtonRestart","ButtonContinue"};

	class Notepad:RscObject
		{
		model="blok_selmis2.p3d";
		idc=-1;
		type=83;
		autoOpen=1;
		autoZoom=0;
		animSpeed=1;
		animation="blok_mis.rtm";
		position[]={0.2,0.02,1.2};
		direction[]={0,"-sin 15","cos 15"};
		up[]={0,"cos 15","sin 15"};
		positionBack[]={0.3,0.1,1.4};
		inBack=0;
		enableZoom=1;
		zoomDuration=0.5;
		scale=2;
		controls[]={"Left","Right"};

		class Left:RscHTML
			{
			idc=101;
			type=23;
			selection="papir";
			x=0;
			y=0;
			w=1;
			h=1;
			angle=0;
			size=0.35;
			filename="";
			colorLink[]={0,0,0,1};
			colorLinkActive[]={0,0,0,1};
			};

		class Right:RscHTML
			{
			idc=102;
			type=23;
			selection="papir2";
			x=0;
			y=0;
			w=1;
			h=1;
			angle=0;
			size=0.35;
			filename="";
			colorLink[]={0.2,0.2,0.4,1};
			colorLinkActive[]={0.4,0.17,0.24,1};
			};
		};

	class Statistics:RscObject
		{
		model="desky.p3d";
		idc=105;
		type=82;
		position[]={-0.275,0.024,1.1};
		direction[]={0,-0.259,0.966};
		up[]={0,0.966,0.259};
		positionBack[]={-0.275,0.024,1.1};
		inBack=0;
		enableZoom=0;
		zoomDuration=0.5;
		scale=2;
		controls[]={"Statistics"};

		class Statistics:RscHTML
			{
			idc=103;
			type=23;
			selection="papir";
			x=0;
			y=0;
			w=1;
			h=1;
			angle=0;
			size=0.34;
			filename="";
			colorLink[]={0.2,0.2,0.4,1};
			colorLinkActive[]={0.4,0.17,0.24,1};
			};
		};

	class Background3:RscBackgroundStripeTopAlpha
		{
		};

	class TitleTop:RscText		// edited
		{
		x=__EVAL(0.0 - AR_modifX);
		y=__EVAL(0.0 - AR_modifY);
		w=__EVAL(1 + AR_modifX * 2);
		h=0.125;
		style=2;
		text="$STR_DISP_DEBRIEFING";
		font="SteelfishB128";
		sizeEx=0.098;
		colorText[]={1,1,1,1};
		};

	class Background4:RscBackgroundStripeBottomAlpha
		{
		};

	class PlayersTitleBackground:RscText		// edited (tweak)
		{
		idc=106;
		#ifndef AR_TRIPLEHEAD
			x=__EVAL(0.0 - AR_modifX);
			y=0.775; // -0.05
			w=__EVAL(0.25 + AR_PlayerListX);
			h=0.025;
		#else
			x = __EVAL(AR_modifX_2NDMON - AR_modifX + 0.02);
			y = __EVAL(0.3);
			w = 0.4;
			h = __EVAL(0.025);
		#endif
		colorBackground[]={1,1,1,0.75};
		colorText[]={0,0,0,1};
		text="";
		};

	class PlayersTitle:RscText		// edited (tweak)
		{
		idc=107;
		#ifndef AR_TRIPLEHEAD
			x=__EVAL(0.0 - AR_modifX);
			y=0.775;	// -0.05
			w=__EVAL(0.25 + AR_PlayerListX);
			h=0.025;
		#else
			x = __EVAL(AR_modifX_2NDMON - AR_modifX + 0.02);
			y = __EVAL(0.3);
			w = 0.4;
			h = __EVAL(0.025);
		#endif
		colorBackground[]={1,1,1,0.75};
		colorText[]={0,0,0,1};
		text="$STR_DISP_SRVSETUP_PLAYERS";
		style="0 + 			160";
		};

	class PlayersBackground:RscText		// edited (tweak)
		{
		idc=108;
		#ifndef AR_TRIPLEHEAD
			x=__EVAL(0.0 - AR_modifX);
			y=0.8;	// -0.05
			w=__EVAL(0.25 + AR_PlayerListX);
			h=__EVAL(0.175 + AR_PlayerListY);	// +0.05
		#else
			x = __EVAL(AR_modifX_2NDMON - AR_modifX + 0.02);
			y = __EVAL(0.3 + 0.025);
			w = 0.4;
			h = __EVAL(0.025 + 0.5);
		#endif
		colorBackground[]={0,0,0,0.75};
		colorText[]={0,0,0,1};
		text="";
		};

	class Players:RscListBox		// edited (tweak)
		{
		idc=109;
		#ifndef AR_TRIPLEHEAD
			x=__EVAL(0.0 - AR_modifX);
			y=0.8;	// -0.05
			w=__EVAL(0.25 + AR_PlayerListX);
			h=__EVAL(0.175 + AR_PlayerListY);	// +0.05
		#else
			x = __EVAL(AR_modifX_2NDMON - AR_modifX + 0.02);
			y = __EVAL(0.3 + 0.025);
			w = 0.4;
			h = __EVAL(0.025 + 0.5);
		#endif
		colorSelect[]={1,1,1,1};
		colorText[]={1,1,1,0.75};
		rowHeight=0.025;
		};

	class ButtonRestart:RscActiveMenu		// edited
		{
		idc=104;
		x=0.7;
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		color[]={1,1,1,1};
		colorBackground="{0, 0, 0, 0.5}";
		colorActive[]={1,0,0,1};
		text="$STR_DISP_DEBRIEFING_RESTART";
		};

	class ButtonContinue:RscActiveMenu		// edited
		{
		idc=2;
		x=0.85;
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		color[]={1,1,1,1};
		colorBackground="{0, 0, 0, 0.5}";
		colorActive[]={1,0,0,1};
		text="$STR_DISP_CONTINUE";
		default=1;
		};
	};








/* ---------------------- GAME MENUS -----------------------*/

	// Island selection screen (aspect + tweak)
class RscDisplaySelectIsland
{
   access=3;
   idd=51;
   movingEnable=1;
   controlsBackground[]={"Background3","Background4","Background5","ECP_flags_bg","ECP_logo_small_bg"};

   class Background3 : RscBackgroundStripeDark
   {
   };

   class Background4 : RscBackgroundStripeTop
   {
   };

   class Background5 : RscBackgroundStripeBottom
   {
   };
   class ECP_flags_bg : RscPicture		// edited
   {
      text="\ECP_Effects\images\ECP_flags_bg.paa";
      colorText[]={1,1,1,0.75};
      x=__EVAL(0 - AR_modifX);
      y=__EVAL(0.125 - AR_modifY);
      w=0.285;
      h=__EVAL(0.75 + AR_modifY * 2);
   };
   class ECP_logo_small_bg : RscPicture		// edited
   {
      text="\ECP_Effects\images\ECPlogo_small.paa";
      colorText[]={1,1,1,1};
      x=__EVAL(0.88 + AR_modifX);
      y=__EVAL(0.75 + AR_modifY);
      w=.09;
      h=.115;
   };
   objects[]={"Notebook"};

   class Notebook : RscObject		// edited
   {
      model="notebook.p3d";
      idc=102;
      type=83;
      autoOpen=1;
      autoZoom=1;
      animSpeed=1;
      animation="notebook.rtm";
	  position[]={-0.025, __EVAL(-0.163 + AR_notebookY) ,0.3};			// edited (tweak)
      //position[]={0,-.08,.6};
      direction[]={"sin 10","sin 20 * cos 10","cos 20 * cos 10"};
      up[]={0,"cos 20","-sin 20"};
      positionBack[]={0,-.04,.7};
      inBack=1;
      enableZoom=0;
      zoomDuration=1;
      scale=1;
      controls[]={"Islands"};

      class Islands : RscObjNotebookListBox		// edited (tweak)
      {
         idc=101;
         x=.025;
         y=.033;
         w=.95;
         h=.933;
         rows=10;			// +5 rows
         size=.7;
      };
   };
   controls[]={"Background1","Background2","Title","ButtonWizard","ButtonCancel","ButtonOK"};

   class Background1 : RscBackgroundStripeTopAlpha
   {
   };

   class Background2 : RscBackgroundStripeBottomAlpha
   {
   };

	class Title:RscText		// edited
		{
		idc=-1;
		style=2;
		x=0.2;
		y=__EVAL(0.02 - AR_modifY);
		w=0.6;
		h=0.1;
		font="SteelfishB128";
		colorText[]={1,1,1,1};
		sizeEx=0.098;
		text="$STR_DISP_SELECT_ISLAND";
		};

	class ButtonWizard:RscActiveMenu		// edited
		{
		idc=103;
		text="$STR_DISP_MPW_TITLE";
		x=0.05;
		y=__EVAL(0.9 + AR_modifY);
		w=0.35;
		h=0.05;
		soundClick[]={"",0.2,1};
		};

	class ButtonCancel:RscActiveMenu		// edited
		{
		idc=2;
		text="$STR_DISP_CANCEL";
		x=0.6;
		y=__EVAL(0.9 + AR_modifY);
		w=0.25;
		h=0.05;
		soundClick[]={"ui\ui_cc",0.2,1};
		};

	class ButtonOK:RscActiveMenu		// edited
		{
		idc=1;
		x=0.85;
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		text="$STR_DISP_OK";
		default=1;
		soundClick[]={"ui\ui_ok",0.2,1};
		};
	};

	// Profiles ( aspect + tweak)
class RscDisplayLogin
	{
	access=3;
	idd=31;
	movingEnable=1;
	controlsBackground[]={ECPBackground, "Background3","Background4","Background5"};
	objects[]={"Notebook"};
	controls[]={"Background1","Background2","Title","ButtonOK","ButtonCancel"};

	AddECPBackground		// added (tweak)
	
	class Background3:RscText		// edited
		{
		x=__EVAL(0.0 - AR_modifX - AR_modifX_2NDMON);
		y=__EVAL(0.125 - AR_modifY);
		w=__EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON * 2);
		h=__EVAL(0.75 + AR_modifY * 2);
		text="";
		colorBackground[]={0,0,0,0.5};
		};

	class Background4:RscText		// edited
		{
		x=__EVAL(0.0 - AR_modifX - AR_modifX_2NDMON);
		y=__EVAL(0.0 - AR_modifY);
		w=__EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON * 2);
		h=0.125;
		text="";
		colorBackground[]={0,0,0,1};
		};

	class Background5:RscText		// edited
		{
		x=__EVAL(0.0 - AR_modifX - AR_modifX_2NDMON);
		y=__EVAL(0.875 + AR_modifY);
		w=__EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON * 2);
		h=0.125;
		text="";
		colorBackground[]={0,0,0,1};
		};

	class Notebook:RscObject		// edited
		{
		model="notebook.p3d";
		idc=105;
		type=83;
		autoOpen=1;
		autoZoom=1;
		animSpeed=1;
		animation="notebook.rtm";
		position[]={0, __EVAL(-0.175 + AR_notebookY) ,0.25};		// edited
		direction[]={0,"sin 30","cos 30"};
		up[]={0,"cos 30","-sin 30"};
		positionBack[]={0,-0.04,0.6};
		inBack=1;
		enableZoom=0;
		zoomDuration=1;
		scale=1;
		controls[]={"TextUser","ValueUser","ButtonNew","ButtonEdit","ButtonDelete"};

		class TextUser:RscObjNotebookText
			{
			x=0.025;
			y=0.033;
			w=0.45;
			text="$STR_DISP_LOGIN_USER";
			};

		class ValueUser:RscObjNotebookListBox
			{
			idc=101;
			x=0.025;
			y=0.1;
			w=0.45;
			h=0.867;
			rows=10;
			};

		class ButtonNew:RscObjNotebookButton
			{
			idc=102;
			x=0.525;
			y=0.1;
			w=0.45;
			h=0.08;
			text="$STR_DISP_NEW";
			};

		class ButtonEdit:RscObjNotebookButton
			{
			idc=104;
			x=0.525;
			y=0.2;
			w=0.45;
			h=0.08;
			text="$STR_DISP_EDIT";
			};

		class ButtonDelete:RscObjNotebookButton
			{
			idc=103;
			x=0.525;
			y=0.3;
			w=0.45;
			h=0.08;
			text="$STR_DISP_DELETE";
			};
		};

	class Background1:RscText		// edited
		{
		x=__EVAL(0.0 - AR_modifX);
		y=__EVAL(0.0 - AR_modifY);
		w=__EVAL(1 + AR_modifX * 2);
		h=0.125;
		text="";
		colorBackground[]={0,0,0,0.5};
		};

	class Background2:RscText		// edited
		{
		x=__EVAL(0.0 - AR_modifX);
		y=__EVAL(0.875 + AR_modifY);
		w=__EVAL(1 + AR_modifX * 2);
		h=0.125;
		text="";
		colorBackground[]={0,0,0,0.5};
		};

	class Title:RscText		// edited
		{
		style=2;
		x=0.2;
		y=__EVAL(0.02 - AR_modifY);
		w=0.6;
		h=0.1;
		font="SteelfishB128";
		colorText[]={1,1,1,1};
		sizeEx=0.098;
		text="$STR_DISP_LOGIN_TITLE";
		};

	class ButtonOK:RscActiveMenu		// edited
		{
		idc=1;
		text="$STR_DISP_OK";
		style=2;
		x=0.85;
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		soundClick[]={"ui\ui_ok",0.2,1};
		default=1;
		};

	class ButtonCancel:RscActiveMenu		// edited
		{
		idc=2;
		text="$STR_DISP_CANCEL";
		style=2;
		x=0.7;
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		soundClick[]={"ui\ui_cc",0.2,1};
		};
	};

	// Profile edit (aspect + tweak)
class RscDisplayNewUser
	{
	access=3;
	idd=42;
	movingEnable=1;
	controlsBackground[]={ECPBackground,"Background3","Background4","Background5"};
	objects[]={"Head","Notebook"};
	controls[]={"Background1","Background2","Title","ButtonOK","ButtonCancel"};

	AddECPBackground		// added (tweak)
	
	class Background3:RscText		// edited
		{
		x=__EVAL(0.0 - AR_modifX - AR_modifX_2NDMON);
		y=__EVAL(0.125 - AR_modifY);
		w=__EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON * 2);
		h=__EVAL(0.75 + AR_modifY * 2);
		text="";
		colorBackground[]={0,0,0,0.5};
		};

	class Background4:RscText		// edited
		{
		x=__EVAL(0.0 - AR_modifX - AR_modifX_2NDMON);
		y=__EVAL(0.0 - AR_modifY);
		w=__EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON * 2);
		h=0.125;
		text="";
		colorBackground[]={0,0,0,1};
		};

	class Background5:RscText		// edited
		{
		x=__EVAL(0.0 - AR_modifX - AR_modifX_2NDMON);
		y=__EVAL(0.875 + AR_modifY);
		w=__EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON * 2);
		h=0.125;
		text="";
		colorBackground[]={0,0,0,1};
		};

	class Head:RscObject		// edited
		{
		model="hlavaw.p3d";
		modelWoman="\o\char\civilistka_head.p3d";
		idc=106;
		type=80;
		position[]={-0.021, __EVAL(-0.006 + AR_headY) ,0.15};	// edited
		direction[]={0,0,0};
		up[]={0,0,0};
		scale=0.19;
		};

	class Notebook:RscObject		// edited
		{
		model="notebook.p3d";
		idc=108;
		type=83;
		autoOpen=0;
		autoZoom=1;
		animSpeed=1;
		animPhase=1;
		animation="notebook.rtm";
		position[]={0, __EVAL(-0.175 + AR_notebookY) ,0.25};	// edited
		direction[]={0,"sin 30","cos 30"};
		up[]={0,"cos 30","-sin 30"};
		positionBack[]={0,-0.04,0.6};
		inBack=0;
		enableZoom=0;
		zoomDuration=1;
		scale=1;
		controls[]={"TextName","ValueName","ValueId","HeadArea","TextFace","ValueFace","TextGlasses","ValueGlasses","TextSpeaker","ValueSpeaker","TextPitch","ValuePitch","TextSquad","ValueSquad"};

		class TextName:RscObjNotebookText		// edited (tweak)
			{
			x=0.025;
			y=0.013;	// -0.02
			w=0.45;
			h=0.04		// added
			color[]={1,1,1,1};	// added
			text="$STR_DISP_NEW_USER_NAME";
			};

		class ValueName:RscObjNotebookEdit		// edited (tweak)
			{
			idc=101;
			x=0.025;
			y=0.056;	// -0.027
			w=0.45;
			h=0.06;
			};

		class ValueId:RscObjNotebookText		// edited (tweak)
			{
			idc=110;
			x=0.025;
			y=0.123;	// -0.02
			w=0.45;
			h = 0.04		// added
			text="STR_DISP_ERROR";
			};

		class HeadArea:RscObjNotebookText
			{
			idc=109;
			x=0.025;
			y=0.143;
			w=0.45;
			h="0.967 - 0.143";
			text="";
			};

		class TextFace:RscObjNotebookText		// edited (tweak)
			{
			x=0.525;
			y=0.013;	// -0.02
			w=0.45;
			h=0.04		// added
			color[]={1,1,1,1};	// added
			text="$STR_DISP_NEW_USER_FACE";
			};

		class ValueFace:RscObjNotebookListBox		// edited (tweak)
			{
			idc=102;
			x=0.525;
			y=0.056;	// -0.027
			w=0.45;
			h=0.395;		// +0.215
			rows=11;		// +8 rows
			};

		class TextGlasses:RscObjNotebookText		// edited (tweak)
			{
			x=0.525;
			y=0.476;		// +0.193
			w=0.45;
			h=0.04		// added
			color[]={1,1,1,1};	// added
			text="$STR_DISP_NEW_USER_GLASSES";
			};

		class ValueGlasses:RscObjNotebookListBox		// edited (tweak)
			{
			idc=107;
			x=0.525;
			y=0.521;		// +0.188
			w=0.45;
			h=0.12;
			rows=3;			// +1 row
			};

		class TextSpeaker:RscObjNotebookText		// edited (tweak)
			{
			x=0.525;
			y=0.666;		// +0.193
			w=0.45;
			h=0.04		// added
			color[]={1,1,1,1};	// added
			text="$STR_DISP_NEW_USER_SPEAKER";
			};

		class ValueSpeaker:RscObjNotebookListBox		// edited (tweak)
			{
			idc=103;
			x=0.525;
			y=0.711;	// +0.188
			w=0.45;
			h=0.15;		// +0.03
			rows=4;		// +2 rows
			};

		class TextPitch:RscObjNotebookText		// edited (tweak)
			{
			x=0.525;
			y=0.886;	// +0.223
			w=0.45;
			h=0.04		// added
			color[]={1,1,1,1};	// added
			text="$STR_DISP_NEW_USER_PITCH";
			};

		class ValuePitch		// edited (tweak)
			{
			type=24;
			idc=104;
			style=1;
			x=0.525;
			y=0.936;	// +0.223
			w=0.45;
			h=0.04;		// -0.01
			color[]={0,1,0,1};
			angle=0;
			selection="display";
			};

		class TextSquad:RscObjNotebookText		// edited (tweak)
			{
			idc=112;
			x=0.025;	// -0.5
			y=0.886;	// +0.02
			w=0.45;
			h=0.04		// added
			color[]={1,1,1,1};	// added
			text="$STR_DISP_NEW_USER_SQUAD";
			};

		class ValueSquad:RscObjNotebookEdit		// edited (tweak)
			{
			idc=111;
			x=0.025;	// -0.5
			y=0.926;	// +0.01
			w=0.45;
			h=0.05;		// -0.01
			size=0.7;	// added
			};
		};

	class Background1:RscText		// edited
		{
		x=__EVAL(0.0 - AR_modifX);
		y=__EVAL(0.0 - AR_modifY);
		w=__EVAL(1 + AR_modifX * 2);
		h=0.125;
		text="";
		colorBackground[]={0,0,0,0.5};
		};

	class Background2:RscText		// edited
		{
		x=__EVAL(0.0 - AR_modifX);
		y=__EVAL(0.875 + AR_modifY);
		w=__EVAL(1 + AR_modifX * 2);
		h=0.125;
		text="";
		colorBackground[]={0,0,0,0.5};
		};

	class Title:RscText		// edited
		{
		idc=105;
		style=2;
		x=0.2;
		y=__EVAL(0.02 - AR_modifY);
		w=0.6;
		h=0.1;
		font="SteelfishB128";
		colorText[]={1,1,1,1};
		sizeEx=0.098;
		text="$STR_DISP_ERROR";
		};

	class ButtonOK:RscActiveMenu		// edited
		{
		idc=1;
		text="$STR_DISP_OK";
		style=2;
		x=0.85;
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		soundClick[]={"ui\ui_ok",0.2,1};
		default=1;
		};

	class ButtonCancel:RscActiveMenu	// edited
		{
		idc=2;
		text="$STR_DISP_CANCEL";
		style=2;
		x=0.7;
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		soundClick[]={"ui\ui_cc",0.2,1};
		};
	};

	// Campaign screen (aspect + tweak)
class RscDisplayCampaignLoad
{
   access=3;
   idd=43;
   movingEnable=0;
   controls[]={"ButtonCancel","ButtonOK","ButtonReplay","ButtonDifficulty"};

	class ButtonDifficulty:RscActiveMenu		// edited
		{
		idc=110;
		x=0.05;
		y=__EVAL(0.9 + AR_modifY);
		w=0.25;
		h=0.05;
		text="$STR_DISP_ERROR";
		soundClick[]={"",0,1};
		};

	class ButtonReplay:RscActiveMenu		// edited
		{
		idc=109;
		x=0.45;
		y=__EVAL(0.9 + AR_modifY);
		w=0.25;
		h=0.05;
		color[]={1,1,1,1};
		colorBackground="{0, 0, 0, 0.5}";
		colorActive[]={1,0,0,1};
		text="$STR_DISP_CAMPAIGN_REPLAY";
		soundClick[]={"ui\ui_ok",0.2,1};
		default=1;
		};

	class ButtonOK:RscActiveMenu		// edited
		{
		idc=1;
		x=0.85;
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		color[]={1,1,1,1};
		colorBackground="{0, 0, 0, 0.5}";
		colorActive[]={1,0,0,1};
		text="$STR_DISP_ERROR";
		soundClick[]={"ui\ui_ok",0.2,1};
		};

	class ButtonCancel:RscActiveMenu		// edited
		{
		idc=2;
		x=0.7;
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		color[]={1,1,1,1};
		colorBackground="{0, 0, 0, 0.5}";
		colorActive[]={1,0,0,1};
		text="$STR_DISP_CANCEL";
		soundClick[]={"ui\ui_cc",0.2,1};
		};

   controlsBackground[]={"Background1","Background2","Background3","ECP_flags_bg","ECP_logo_small_bg"};

	class Background1:RscText		// edited
		{
		x=__EVAL(0.0 - AR_modifX - AR_modifX_2NDMON);
		y=__EVAL(0.0 - AR_modifY);
		w=__EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON*2);
		h=0.125;
		text="";
		colorBackground[]={0,0,0,1};
		};

	class Background2:RscText		// edited
		{
		x=__EVAL(0.0 - AR_modifX - AR_modifX_2NDMON);
		y=__EVAL(0.875 + AR_modifY);
		w=__EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON * 2);
		h=0.125;
		text="";
		colorBackground[]={0,0,0,1};
		};

	class Background3:RscText		// edited
		{
		x=__EVAL(0.0 - AR_modifX - AR_modifX_2NDMON);
		y=__EVAL(0.125 - AR_modifY);
		w=__EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON * 2);
		h=__EVAL(0.75 + AR_modifY * 2);
		text="";
		colorBackground[]={0,0,0,0.5};
		};

   class ECP_flags_bg : RscPicture		// edited
   {
      text="\ECP_Effects\images\ECP_flags_bg.paa";
      colorText[]={1,1,1,0.75};
      x=__EVAL(0 - AR_modifX);
      y=__EVAL(0.125 - AR_modifY);
      w=0.285;
      h=__EVAL(0.75 + AR_modifY * 2);
   };

   class ECP_logo_small_bg : RscPicture		// edited
   {
      text="\ECP_Effects\images\ECPlogo_small.paa";
      colorText[]={1,1,1,1};
      x=__EVAL(0.88 + AR_modifX);
      y=__EVAL(0.75 + AR_modifY);
      w=.09;
      h=.115;
   };
 
	objects[]={"Book"};

   class Book : RscObject		// edited (tweak)
   {
      model="kniha6.p3d";
      animation="kniha2.rtm";
      idc=104;
      type=83;
      autoOpen=1;
      autoZoom=1;
      animSpeed=.5;
      positionBack[]={-.5,.3,1.5};
	  position[]={0.135,0.0,0.8};				// +0.035
      //position[]={.1,0,.8};
      direction[]={0,"-sin 15","cos 15"};
      up[]={0,"cos 15","sin 15"};
      inBack=1;
      enableZoom=0;
      zoomDuration=1;
      scale=1;
      controls[]={"Title1","Title","Prev","Campaign","Next","Contents","History","Mission","Description","Date","Score","Duration","Casualties","KillsTitle","EnemyRow","FriendlyRow","CivilianRow","InfantryColumn","SoftColumn","ArmoredColumn","AircraftColumn","TotalColumn","EInf","ESoft","EArm","EAir","ETot","FInf","FSoft","FArm","FAir","FTot","CInf","CSoft","CArm","CAir","CTot"};

      class Title1 : Rsc3DTextMenu
      {
         color[]={.95,.85,.3,.7};
         font="garamond64";
         idc=-1;
         selection="cover";
         x=0;
         y=.2;
         w=1;
         h=.15;
         text="$STR_DISP_CAMPAIGN_FLASHPOINT";
         style=2;
      };

      class Title : Rsc3DTextMenu
      {
         color[]={0,0,0,1};
         font="garamond64";
         idc=-1;
         selection="1.strana";
         x=0;
         y=.2;
         w=1;
         h=.12;
         text="$STR_DISP_CAMPAIGN_FLASHPOINT";
         style=2;
      };

      class Campaign : Rsc3DTextMenu
      {
         idc=105;
         color[]={0,0,0,1};
         font="garamond64";
         selection="2.strana";
         x=.1;
         y=0;
         w=.8;
         h=.08;
         text="$STR_DISP_ERROR";
         style=2;
      };

      class Prev : Rsc3DActiveMenu
      {
         idc=106;
         color[]={1,1,1,.6};
         colorActive[]={1,1,1,1};
         font="garamond64";
         selection="2.strana";
         x=0;
         y=0;
         w=.1;
         h=.08;
         text="sipka_left.paa";
         style=48;
      };

      class Next : Rsc3DActiveMenu
      {
         idc=107;
         color[]={1,1,1,.6};
         colorActive[]={1,1,1,1};
         font="garamond64";
         selection="2.strana";
         x=.9;
         y=0;
         w=.1;
         h=.08;
         text="sipka_right.paa";
         style=48;
      };

      class Contents : Rsc3DTextMenu
      {
         idc=-1;
         color[]={0,0,0,1};
         font="garamond64";
         selection="2.strana";
         x=.02;
         y=.1;
         w=.96;
         h=.06;
         text="$STR_DISP_CAMPAIGN_CONTENTS";
         style=0;
      };

      class History
      {
         type=22;
         idc=101;
         style=0;
         selection="2.strana";
         x=.02;
         y=.16;
         w=.96;
         h=.84;
         angle=0;
         rows=14;
         size=1;
         colorSelect[]={0,0,0,1};
         colorSelectBackground[]={0,0,0,.2};
         colorText[]={.2,.2,.2,1};
         font="garamond64";
      };

      class Mission : Rsc3DTextMenu
      {
         idc=111;
         color[]={0,0,0,1};
         font="garamond64";
         selection="3.strana";
         x=0;
         y=0;
         w=1;
         h=.08;
         text="$STR_DISP_ERROR";
         style=2;
      };

      class Description : RscHTML
      {
         type=23;
         idc=108;
         selection="3.strana";
         x=0;
         y=.1;
         w=1;
         h=.4;
         angle=0;
         size=.54;
         filename="";
         colorLink[]={.2,.2,.4,1};
         colorLinkActive[]={.4,.17,.24,1};
      };

      class BookText : Rsc3DTextMenu
      {
         idc=-1;
         color[]={0,0,0,1};
         font="garamond64";
         selection="3.strana";
         x=.05;
         h=.04;
         w=.9;
         text="";
         style=0;
      };

      class Date : BookText
      {
         idc=112;
         y=.64;
         text="$STR_DISP_ERROR";
      };

      class Score : BookText
      {
         idc=113;
         y=.68;
         text="$STR_DISP_ERROR";
      };

      class Duration : BookText
      {
         idc=114;
         y=.72;
         text="$STR_DISP_ERROR";
      };

      class Casualties : BookText
      {
         idc=115;
         y=.76;
         text="$STR_DISP_ERROR";
      };

      class BookTableRowTitle : BookText
      {
         x=.05;
         w=.15;
         style="2 +        160";
      };

      class BookTableItem : BookText
      {
         w=.15;
         style="2 +        160";
      };

      class KillsTitle : BookTableRowTitle
      {
         idc=116;
         y=.84;
         text="$STR_CAMPAIGN_KILLS";
      };

      class EnemyRow : BookTableRowTitle
      {
         idc=117;
         y=.88;
         text="$STR_DISP_CAMPAIGN_ENEMY";
      };

      class FriendlyRow : BookTableRowTitle
      {
         idc=118;
         y=.92;
         text="$STR_DISP_CAMPAIGN_FRIENDLY";
      };

      class CivilianRow : BookTableRowTitle
      {
         idc=119;
         y=.96;
         text="$STR_DISP_CAMPAIGN_CIVILIAN";
      };

      class InfantryColumn : BookTableItem
      {
         idc=120;
         x=.2;
         y=.84;
         text="$STR_MPTABLE_INFANTRY";
      };

      class SoftColumn : BookTableItem
      {
         idc=121;
         x=.35;
         y=.84;
         text="$STR_MPTABLE_SOFT";
      };

      class ArmoredColumn : BookTableItem
      {
         idc=122;
         x=.5;
         y=.84;
         text="$STR_MPTABLE_ARMORED";
      };

      class AircraftColumn : BookTableItem
      {
         idc=123;
         x=.65;
         y=.84;
         text="$STR_MPTABLE_AIR";
      };

      class TotalColumn : BookTableItem
      {
         idc=124;
         x=.8;
         y=.84;
         text="$STR_MPTABLE_TOTAL";
      };

      class EInf : BookTableItem
      {
         idc=125;
         x=.2;
         y=.88;
         text="$STR_DISP_ERROR";
      };

      class ESoft : BookTableItem
      {
         idc=126;
         x=.35;
         y=.88;
         text="$STR_DISP_ERROR";
      };

      class EArm : BookTableItem
      {
         idc=127;
         x=.5;
         y=.88;
         text="$STR_DISP_ERROR";
      };

      class EAir : BookTableItem
      {
         idc=128;
         x=.65;
         y=.88;
         text="$STR_DISP_ERROR";
      };

      class ETot : BookTableItem
      {
         idc=129;
         x=.8;
         y=.88;
         text="$STR_DISP_ERROR";
      };

      class FInf : BookTableItem
      {
         idc=130;
         x=.2;
         y=.92;
         text="$STR_DISP_ERROR";
      };

      class FSoft : BookTableItem
      {
         idc=131;
         x=.35;
         y=.92;
         text="$STR_DISP_ERROR";
      };

      class FArm : BookTableItem
      {
         idc=132;
         x=.5;
         y=.92;
         text="$STR_DISP_ERROR";
      };

      class FAir : BookTableItem
      {
         idc=133;
         x=.65;
         y=.92;
         text="$STR_DISP_ERROR";
      };

      class FTot : BookTableItem
      {
         idc=134;
         x=.8;
         y=.92;
         text="$STR_DISP_ERROR";
      };

      class CInf : BookTableItem
      {
         idc=135;
         x=.2;
         y=.96;
         text="$STR_DISP_ERROR";
      };

      class CSoft : BookTableItem
      {
         idc=136;
         x=.35;
         y=.96;
         text="$STR_DISP_ERROR";
      };

      class CArm : BookTableItem
      {
         idc=137;
         x=.5;
         y=.96;
         text="$STR_DISP_ERROR";
      };

      class CAir : BookTableItem
      {
         idc=138;
         x=.65;
         y=.96;
         text="$STR_DISP_ERROR";
      };

      class CTot : BookTableItem
      {
         idc=139;
         x=.8;
         y=.96;
         text="$STR_DISP_ERROR";
      };
   };
};

	// Campaign revert (aspect + tweak)
class RscDisplayRevert
	{
	access=3;
	idd=66;
	movingEnable=0;
	controls[]={"ButtonOK","ButtonCancel"};
	controlsBackground[]={ECPBackground, "Background1","Background2","Background3"};
	objects[]={"Book"};

	AddECPBackground		// added (tweak)
	
	class ButtonOK:RscActiveMenu		// edited
		{
		idc=1;
		x=0.85;
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		color[]={1,1,1,1};
		colorBackground="{0, 0, 0, 0.5}";
		colorActive[]={1,0,0,1};
		text="$STR_DISP_OK";
		soundClick[]={"ui\ui_ok",0.2,1};
		default=1;
		};

	class ButtonCancel:RscActiveMenu		// edited
		{
		idc=2;
		x=0.7;
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		color[]={1,1,1,1};
		colorBackground="{0, 0, 0, 0.5}";
		colorActive[]={1,0,0,1};
		text="$STR_DISP_CANCEL";
		soundClick[]={"ui\ui_cc",0.2,1};
		};

	class Background1:RscText		// edited
		{
		x=__EVAL(0.0 - AR_modifX - AR_modifX_2NDMON);
		y=__EVAL(0.0 - AR_modifY);
		w=__EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON * 2);
		h=0.125;
		text="";
		colorBackground[]={0,0,0,1};
		};

	class Background2:RscText		// edited
		{
		x=__EVAL(0.0 - AR_modifX - AR_modifX_2NDMON);
		y=__EVAL(0.875 + AR_modifY);
		w=__EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON * 2);
		h=0.125;
		text="";
		colorBackground[]={0,0,0,1};
		};

	class Background3:RscText		// edited
		{
		x=__EVAL(0.0 - AR_modifX - AR_modifX_2NDMON);
		y=__EVAL(0.125 - AR_modifY);
		w=__EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON * 2);
		h=__EVAL(0.75 + AR_modifY * 2);
		text="";
		colorBackground[]={0,0,0,0.5};
		};

	class Book:RscObject		// edited (tweak)
		{
		model="kniha6.p3d";
		animation="kniha2.rtm";
		idc=101;
		type=83;
		autoOpen=0;
		autoZoom=0;
		animSpeed=0.5;
		animPhase=0.6;
		positionBack[]={-0.5,0.3,1.5};
		position[]={0.135,0.0,0.8};				// +0.035
		direction[]={0,"-sin 15","cos 15"};
		up[]={0,"cos 15","sin 15"};
		inBack=0;
		enableZoom=0;
		zoomDuration=1.0;
		scale=1.0;
		controls[]={"Title","Question"};

		class Title:Rsc3DTextMenu
			{
			idc=102;
			color[]={0,0,0,1};
			font="garamond64";
			selection="3.strana";
			x=0.0;
			y=0.0;
			w=1.0;
			h=0.08;
			text="$STR_SURE";
			style=2;
			};

		class Question:Rsc3DTextMenu
			{
			idc=103;
			style=16;
			color[]={0,0,0,1};
			font="garamond64";
			selection="3.strana";
			x=0;
			y=0.1;
			w=1;
			h=0.9;
			text="$STR_DISP_REVERT_QUESTION";
			lines=18;
			};
		};
	};







/* ---------------------- RESOURCE -----------------------*/	

class RscDisplayEmpty
{
   access=3;
   movingEnable=0;
   controls[]={};
};


class RscDisplayCampaign : RscDisplayEmpty
{
   access=3;
   idd=33;
};


class RscDisplayMission : RscDisplayEmpty
{
   access=3;
   idd=46;
   objects[]={"Compass","Watch"};

   class Compass : RscObject
   {
      idc=102;
      type=81;
      model="kompas.p3d";
      position[]={.026,.047,.2};
      direction[]={0,1,1.1};
      up[]={0,0,-1};
      positionBack[]={0,-.05,.22};
      inBack=1;
      enableZoom=1;
      zoomDuration=.5;
   };

   class Watch : RscObject
   {
      idc=101;
      type=81;
      model="kosei.p3d";
      position[]={.026,.047,.2};
      positionBack[]={.05,-.05,.22};
      inBack=1;
      enableZoom=1;
      zoomDuration=.5;
   };
};


class RscDisplayIntro : RscDisplayEmpty
{
   access=3;
   idd=47;
};


class RscDisplayOutro : RscDisplayEmpty
{
   access=3;
   idd=48;
};


class RscDisplayAward : RscDisplayEmpty
{
   access=3;
   idd=62;
};








/* ---------------------- GAME MENUS -----------------------*/

	// In-game pause (aspect + tweak)
class RscDisplayInterrupt : RscDisplayBackgroundStripesDark
{
   access=3;
   idd=49;
   movingEnable=0;
   controls[]=
   {
      ECPBackground, "Background1","Background2","Background3","Title","ButtonOptions","ButtonLoad","ButtonSave","ButtonECP","ButtonRetry","ButtonAbort","ButtonContinue"
   };

	AddECPBackground		// added (tweak)
	
	class Title:RscText		// edited
		{
		idc=106;
		style=2;
		x=0.2;
		y=__EVAL(0.02 - AR_modifY);
		w=0.6;
		h=0.1;
		font="SteelfishB128";
		colorText[]={1,1,1,1};
		sizeEx=0.098;
		text="$STR_DISP_ERROR";
		};

	class ButtonOptions:RscActiveMenu		// edited
		{
		idc=101;
		x=__EVAL(0.05 - AR_modifX);
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		text="$STR_DISP_INT_OPTIONS";
		};

	class ButtonLoad:RscActiveMenu		// edited
		{
		idc=102;
		x=__EVAL(0.2 - AR_modifX);
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		text="$STR_DISP_INT_LOAD";
		};

	class ButtonSave:RscActiveMenu		// edited
		{
		idc=103;
		x=__EVAL(0.2 - AR_modifX);
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		text="$STR_DISP_INT_SAVE";
		};

	class ButtonRetry:RscActiveMenu		// edited
		{
		idc=105;
		x=__EVAL(0.55 + AR_modifX);
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		text="$STR_DISP_INT_RETRY";
		};

	class ButtonAbort:RscActiveMenu		// edited
		{
		idc=104;
		x=__EVAL(0.7 + AR_modifX);
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		text="$STR_DISP_INT_ABORT";
		soundClick[]={"ui\ui_cc",0.2,1};
		};

	class ButtonContinue:RscActiveMenu		// edited
		{
		idc=2;
		x=__EVAL(0.85 + AR_modifX);
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		text="$STR_DISP_INT_CONTINUE";
		default=1;
		};

	class ButtonECP : RscActiveMenu		// edited
   {
      idc=600101;
      x=__EVAL(0.35 - AR_modifX);
      y=__EVAL(0.9 + AR_modifY);
      w=.15;
      h=.05;
      text="ECP Settings";
      action="[] exec format[""%1settings_dialog\ECP_DlgSettings.sqs"",ECP_path]";
   };



   class ButtonDebug : RscActiveMenu
   {
      idc=600102;
      x=.85;
      y=.055;
      w=.15;
      h=.05;
      text="Spectate";
      action = "if (format[{%1},ECP_path] != {scalar bool array string 0xfcffffef}) then {[] exec format[{%1debug\specDialog.sqs},ECP_path]} else {hint {Error: ECP not initialised!\n\nEnsure you have at least one default BIS unit on the map somewhere.\n\nAlso note that non-ECP compatible units must be manually added via a trigger. Create a trigger with the following characteristics:\n\n- Size: 50000 x 50000 (or at least as big as the entire map)\n\n- Activation: Anybody (Once) when 'Present'\n\n- Condition: this\n\n- On Activation: thislist call (ECP_resources select 30)}}";
   };

};

	// Death screen
class RscDisplayMissionEnd:RscDisplayBackgroundStripesDark
	{
	access=3;
	idd=58;
	movingEnable=1;
	controls[]={"Background1","Background2","Background3","Title","Subtitle","Quotation","Author","ButtonLoad","ButtonRetry","ButtonAbort"};

	class Title:RscText		// edited
		{
		style=2;
		x=0.2;
		y=__EVAL(0.02 - AR_modifY);
		w=0.6;
		h=0.1;
		font="SteelfishB128";
		colorText[]={1,0,0,1};
		sizeEx=0.098;
		text="$STR_MISSION_KILLED";
		};

	class Subtitle:RscText
		{
		idc=101;
		style=1;
		x=0.69;
		y=0.07;
		w=0.3;
		h=0.05;
		font="SteelfishB64";
		colorText[]={1,1,1,1};
		sizeEx="1.6 * 0.05";
		text="$STR_DISP_ERROR";
		};

	class Quotation:RscText
		{
		idc=102;
		style=16;
		lineSpacing=1;
		x=0.15;
		y="0.88 - 0.125";
		w=0.6;
		h=0.12;
		font="SteelfishB64";
		sizeEx="0.8 * 0.05";
		colorText[]={1,1,1,1};
		text="$STR_DISP_ERROR";
		};

	class Author:RscText
		{
		idc=103;
		style=1;
		x=0.2;
		y="0.92 - 0.125";
		w=0.7;
		h=0.1;
		font="SteelfishB64";
		sizeEx="0.8 * 0.05";
		colorText[]={1,1,1,1};
		text="$STR_DISP_ERROR";
		};

	class ButtonLoad:RscActiveMenu		// edited
		{
		idc=105;
		x=0.05;
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		text="$STR_DISP_ME_LOAD";
		};

	class ButtonRetry:RscActiveMenu		// edited
		{
		idc=104;
		x=0.7;
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		text="$STR_DISP_ME_RETRY";
		default=1;
		};

	class ButtonAbort:RscActiveMenu		// edited
		{
		idc=2;
		x=0.85;
		y=__EVAL(0.9 + AR_modifY);
		w=0.15;
		h=0.05;
		text="$STR_DISP_ME_ABORT";
		soundClick[]={"ui\ui_cc",0.2,1};
		};
	};







/* ---------------------- RESOURCE -----------------------*/	

class RscTitlesText
{
   access=3;
   fontBasic="SteelfishB64";
   sizeExBasic="0.9 * 0.05";
   fontDown="SteelfishB64";
   sizeExDown="0.9 * 0.05";
};


class RscIGText : RscText
{
   access=3;
   h=.02;
   colorText[]={.8,.8,.8,1};
   font="tahomaB24";
   sizeEx=.02;
   style="0 +              256";
};


class RscIGProgress
{
   access=3;
   type=8;
   style=0;
   idc=-1;
   h=.018;
   colorFrame[]={.8,.8,.8,.75};
   colorBar[]={.8,.8,.8,.5};
};








/* ---------------------- GAME UI -----------------------*/

class RscDisplayHintC
{
   access=3;
   idd=57;
   movingEnable=0;
   controls[]={"Background","Hint","Continue"};

   class Background
   {
      type=0;
      idc=101;
      style=128;
      x=.35;
      y=.4;
      w=.3;
      h=.06;
      text="";
      colorBackground[]={0,0,0,.8};
      colorText[]={0,0,0,0};
      font="tahomaB24";
      sizeEx=0;
   };

   class Hint : RscIGText
   {
      idc=102;
      style="16 +                256";
      lineSpacing=1;
      x=.36;
      y=.41;
      w=.28;
      text="STR_DISP_ERROR";
   };

   class Continue : RscActiveText
   {
      idc=2;
      style=1;
      font="tahomaB24";
      sizeEx=.02;
      x=.5;
      y=.43;
      w=.14;
      h=.02;
      text="$STR_DISP_HINTC_CONTINUE";
      color[]={.8,.8,.8,1};
      colorActive[]={.8,.8,0,1};
   };
};


	// Weapon info, fuel, hint etc.
class RscInGameUI
	{
	access=3;
	unitInfoTypes[]={"RscUnitInfoSoldier","RscUnitInfoTank","RscUnitInfo","RscUnitInfo","RscUnitInfoAir","RscUnitInfoAir"};

	class RscUnitInfoSoldier		// edited
		{
		idd=100;
		movingEnable=0;
		controls[]={"Background","Weapon","Ammo"};

		class Background		// edited
			{
			type=0;
			idc=124;
			style=128;
			#ifndef AR_CENTERHUD
				x=__EVAL(0.02 - AR_modifX);
				y=__EVAL(0.02 - AR_modifY);
			#else
				x=0.02
				y=0.02
			#endif
			w=0.2;
			h=0.04;
			text="";
			colorBackground[]={0,0,0,0.8};
			colorText[]={0,0,0,0};
			font="tahomaB24";
			sizeEx=0;
			};

		class Time:RscIGText
			{
			idc=101;
			x=0.025;
			y=0.025;
			w=0.19;
			text="$STR_DISP_ERROR";
			};

		class Date:RscIGText
			{
			idc=102;
			style="1 + 					256";
			x=0.025;
			y=0.025;
			w=0.19;
			text="$STR_DISP_ERROR";
			};

		class Name:RscIGText
			{
			idc=103;
			x=0.025;
			y=0.055;
			w=0.19;
			text="$STR_DISP_ERROR";
			};

		class Unit:RscIGText
			{
			idc=104;
			x=0.025;
			y=0.075;
			w=0.19;
			text="$STR_DISP_ERROR";
			};

		class Weapon:RscIGText		// edited
			{
			idc=118;
			#ifndef AR_CENTERHUD
				x=__EVAL(0.025 - AR_modifX);
				y=__EVAL(0.033 - AR_modifY);
			#else
				x=0.025
				y=0.033
			#endif
			w=0.19;
			text="$STR_DISP_ERROR";
			};

		class Ammo:RscIGText		// edited
			{
			idc=119;
			style="1 + 					256";
			#ifndef AR_CENTERHUD
				x=__EVAL(0.025 - AR_modifX);
				y=__EVAL(0.033 - AR_modifY);
			#else
				x=0.025
				y=0.033
			#endif
			w=0.19;
			text="$STR_DISP_ERROR";
			};
		};

	class RscUnitInfoTank		// edited
		{
		idd=100;
		movingEnable=0;
		controls[]={"Background","Weapon","Ammo"};

		class Background		// edited
			{
			type=0;
			idc=124;
			style=128;
			#ifndef AR_CENTERHUD
				x=__EVAL(0.02 - AR_modifX);
				y=__EVAL(0.02 - AR_modifY);
			#else
				x=0.02
				y=0.02
			#endif
			w=0.2;
			h=0.195;
			text="";
			colorBackground[]={0,0,0,0.8};
			colorText[]={0,0,0,0};
			font="tahomaB24";
			sizeEx=0;
			};

		class Weapon:RscIGText		// edited
			{
			idc=118;
			#ifndef AR_CENTERHUD
				x=__EVAL(0.025 - AR_modifX);
				y=__EVAL(0.185 - AR_modifY);
			#else
				x=0.025
				y=0.185
			#endif
			w=0.19;
			text="$STR_DISP_ERROR";
			};

		class Ammo:RscIGText		// edited
			{
			idc=119;
			style="1 + 					256";
			#ifndef AR_CENTERHUD
				x=__EVAL(0.025 - AR_modifX);
				y=__EVAL(0.185 - AR_modifY);
			#else
				x=0.025
				y=0.185
			#endif
			w=0.19;
			text="$STR_DISP_ERROR";
			};
		};

	class RscUnitInfo		// edited
		{
		idd=100;
		movingEnable=0;
		controls[]={"Background","ValueArmor","ValueFuel","Speed","Alt","TextArmor","TextFuel","Weapon","Ammo"};

		class Background		// edited
			{
			type=0;
			idc=124;
			style=128;
			#ifndef AR_CENTERHUD
				x=__EVAL(0.02 - AR_modifX);
				y=__EVAL(0.02 - AR_modifY);
			#else
				x=0.02
				y=0.02
			#endif
			w=0.2;
			h=0.115;
			text="";
			colorBackground[]={0,0,0,0.8};
			colorText[]={0,0,0,0};
			font="tahomaB24";
			sizeEx=0;
			};

		class Speed:RscIGText		// edited
			{
			idc=121;
			#ifndef AR_CENTERHUD
				x=__EVAL(0.025 - AR_modifX);
				y=__EVAL(0.025 - AR_modifY);
			#else
				x=0.025
				y=0.025
			#endif
			w=0.09;
			text="$STR_DISP_ERROR";
			};

		class Alt:RscIGText		// edited
			{
			idc=122;
			#ifndef AR_CENTERHUD
				x=__EVAL(0.125 - AR_modifX);
				y=__EVAL(0.025 - AR_modifY);
			#else
				x=0.125
				y=0.025
			#endif
			w=0.09;
			text="$STR_DISP_ERROR";
			};

		class TextArmor:RscIGText		// edited
			{
			#ifndef AR_CENTERHUD
				x=__EVAL(0.025 - AR_modifX);
				y=__EVAL(0.055 - AR_modifY);
			#else
				x=0.025
				y=0.055
			#endif
			w=0.19;
			text="$STR_UI_ABAR";
			};

		class ValueArmor:RscIGProgress		// edited
			{
			idc=111;
			#ifndef AR_CENTERHUD
				x=__EVAL(0.115 - AR_modifX);
				y=__EVAL(0.056 - AR_modifY);
			#else
				x=0.115
				y=0.056
			#endif
			w=0.1;
			};

		class TextFuel:RscIGText		// edited
			{
			#ifndef AR_CENTERHUD
				x=__EVAL(0.025 - AR_modifX);
				y=__EVAL(0.075 - AR_modifY);
			#else
				x=0.025
				y=0.075
			#endif
			w=0.19;
			text="$STR_UI_FBAR";
			};

		class ValueFuel:RscIGProgress		// edited
			{
			idc=113;
			#ifndef AR_CENTERHUD
				x=__EVAL(0.115 - AR_modifX);
				y=__EVAL(0.076 - AR_modifY);
			#else
				x=0.115
				y=0.076
			#endif
			w=0.1;
			};

		class Weapon:RscIGText		// edited
			{
			idc=118;
			#ifndef AR_CENTERHUD
				x=__EVAL(0.025 - AR_modifX);
				y=__EVAL(0.105 - AR_modifY);
			#else
				x=0.025
				y=0.105
			#endif
			w=0.19;
			text="$STR_DISP_ERROR";
			};

		class Ammo:RscIGText		// edited
			{
			idc=119;
			style="1 + 					256";
			#ifndef AR_CENTERHUD
				x=__EVAL(0.025 - AR_modifX);
				y=__EVAL(0.105 - AR_modifY);
			#else
				x=0.025
				y=0.105
			#endif
			w=0.19;
			text="$STR_DISP_ERROR";
			};
		};

	class RscUnitInfoAir:RscUnitInfo
		{
		};

	class RscHint		// edited
		{
		idd=101;
		movingEnable=0;
		controls[]={"Background","Hint"};

		class Background		// edited
			{
			type=0;
			idc=101;
			style=128;
			#ifndef AR_CENTERHUD
				x=__EVAL(0.02 - AR_modifX);
				y=__EVAL(0.02 - AR_modifY);
			#else
				x=0.02
				y=0.02
			#endif
			w=0.2;
			h=0.04;
			text="";
			colorBackground[]={0,0,0,0.8};
			colorText[]={0,0,0,0};
			font="tahomaB24";
			sizeEx=0;
			};

		class Hint:RscIGText		// edited
			{
			idc=102;
			style="16 + 					256";
			lineSpacing=1;
			#ifndef AR_CENTERHUD
				x=__EVAL(0.025 - AR_modifX);
				y=__EVAL(0.033 - AR_modifY);
			#else
				x=0.025
				y=0.033
			#endif
			w=0.19;
			text="STR_DISP_ERROR";
			};
		};
	};

	// Rsc/Cut titles (aspect + fix)
class RscTitles 
{




#define ECPLogo_SECT512 (512/1536)*ECPLogo_RscW
#define ECPLogo_SECTH (1/2.25)*ECPLogo_RscH
#define ECPLogo_POS0 (ECPLogo_RscX-(ECPLogo_RscW/2))
#define ECPLogo_POS512 (ECPLogo_RscX-(ECPLogo_RscW/2))+(512/1536)*ECPLogo_RscW
#define ECPLogo_POS1024 (ECPLogo_RscX-(ECPLogo_RscW/2))+(1024/1536)*ECPLogo_RscW
#define ECPLogo_POSY (ECPLogo_RscY-0.25+0.25*(1-ECPLogo_RscH))

	// Startup
class ECPLogo : RscTitle
{
   idd=-1;
   movingEnable=0;
   duration=ECPLogo_RscDuration;
   fadein=ECPLogo_RscFade;
   controls[]={"BG","Section1","Section2","Section3","FG"};
   class BG: RscText		// edited
   {
      style=2;
      colorBackground[]={ECPLogo_RscR,ECPLogo_RscG,ECPLogo_RscB,ECPLogo_RscA};
      text="";
      x=__EVAL(0 - AR_modifX - AR_modifX_2NDMON);
      y=__EVAL(0 - AR_modifY);
      w=__EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON * 2);
      h=__EVAL(1 + AR_modifY * 2);
   };
   class Section1: RscPicture
   {
      text="\ECP_Effects\images\ECPlogo1.paa";
      x=ECPLogo_POS0;
      y=ECPLogo_POSY;
      w=ECPLogo_SECT512;
      h=ECPLogo_SECTH;
   };
   class Section2: RscPicture
   {
      text="\ECP_Effects\images\ECPlogo2.paa";
      x=ECPLogo_POS512;
      y=ECPLogo_POSY;
      w=ECPLogo_SECT512;
      h=ECPLogo_SECTH;
   };
   class Section3: RscPicture
   {
      text="\ECP_Effects\images\ECPlogo3.paa";
      x=ECPLogo_POS1024;
      y=ECPLogo_POSY;
      w=ECPLogo_SECT512;
      h=ECPLogo_SECTH;
   };
   class FG: RscText		// edited
   {
      style=2;
      colorBackground[]={ECPLogo_RscFGR,ECPLogo_RscFGG,ECPLogo_RscFGB,ECPLogo_RscFGA};
      text="";
      x=__EVAL(0 - AR_modifX);
      y=__EVAL(0 - AR_modifY);
      w=__EVAL(1 + AR_modifX * 2);
      h=__EVAL(1 + AR_modifY * 2);
   };
};



   class ECP_Burning
   {
      idd=0;
      movingEnable=0;
      duration=1;
      name="ECP_Burning";
      controls[]={"ECP_Burning"};

      class ECP_Burning: RscText
      {
         style="16+2+512";
         lineSpacing=1;
         text="Burning!"
         x=0.86;
         y=0.04;
         w=0.1;
         h=0.1;
         colorText[]={0.7,0,0,1};
         font="tahomaB36";
         size=0.8;
      };
   };


   class ECP_Bleeding
   {
      idd=0;
      movingEnable=0;
      duration=1;
      name="ECP_Bleeding";
      controls[]={"ECP_Bleeding"};

      class ECP_Bleeding: RscText
      {
         style="16+2+512";
         lineSpacing=1;
         text="Bleeding!"
         x=0.86;
         y=0.04;
         w=0.1;
         h=0.1;
         colorText[]={0.7,0,0,1};
         font="tahomaB36";
         size=0.8;
      };
   };


   class ECP_Spectate_Instructions
   {
      idd=0;
      movingEnable=0;
      duration=10;
      name="ECP_Spectate_Instructions";
      controls[]={"Instr1","Instr2","Instr3","Instr4"};
      #define ECP_y 0.05
      #define ECP_y_dis 0.023
      class Instr1: RscText
      {
         style=0;
         text="Spectating Instructions:"
         x=0.7;
         y=ECP_y;
         w=0.4;
         h=0.2;
         colorText[]={1,1,1,1};
         font="tahomaB36";
      };
      class Instr2: Instr1
      {
         text="* Next / Previous to spectate"
         y=ECP_y + (ECP_y_dis * 1);
      };
      class Instr3: Instr1
      {
         text="* Esc to spawn bird"
         y=ECP_y + (ECP_y_dis * 2);
      };
      class Instr4: Instr1
      {
         text="* Fly to 150m to spectate again"
         y=ECP_y + (ECP_y_dis * 3);
      };
   };


   class ECP_Spectate_Instructions_SP
   {
      idd=0;
      movingEnable=0;
      duration=10;
      name="ECP_Spectate_Instructions_SP";
      controls[]={"Instr1","Instr2","Instr3"};
      #define ECP_y 0.05
      #define ECP_y_dis 0.023
      class Instr1: RscText
      {
         style=0;
         text="Spectating Instructions:"
         x=0.7;
         y=ECP_y;
         w=0.4;
         h=0.2;
         colorText[]={1,1,1,1};
         font="tahomaB36";
      };
      class Instr2: Instr1
      {
         text="* Next / Previous to spectate"
         y=ECP_y + (ECP_y_dis * 1);
      };
      class Instr3: Instr1
      {
         text="* Esc to exit"
         y=ECP_y + (ECP_y_dis * 2);
      };
   };

   class Default
   {
      idd=-1;
      movingEnable=0;
      duration=4;
   };

   class DefPic : Default
   {
      type=0;
      idc=-1;
      style=48;
      colorBackground[]={0,0,0,0};
      colorText[]={1,1,1,1};
      font="tahomaB24";
      sizeEx=0;
   };

	class BIS		// edited
		{
		idd=-1;
		movingEnable=0;
		duration=4;
		name="BI Studio";
		controls[]={"Background","BIS1","BIS2","WWW"};

		class BIS1:RscPicture
			{
			text="BI1fit.pac";
			x=0.2;
			y=0.23;
			w=0.3;
			h=0.4;
			};

		class BIS2:RscPicture
			{
			text="BI2fit.pac";
			x=0.5;
			y=0.23;
			w=0.3;
			h=0.4;
			};

		class Background:RscText		// edited
			{
			text="";
			colorBackground[]={0,0,0,1};
			x=__EVAL(0 - AR_modifX - AR_modifX_2NDMON);
			y=__EVAL(0 - AR_modifY);
			w=__EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON * 2);
			h=__EVAL(1 + AR_modifY * 2);
			colorText[]={0,0,0,0};
			};

		class WWW:RscText
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="w w w . b i s t u d i o . c o m";
			x=0.05;
			y=0.67;
			w=0.9;
			h=0.5;
			colorText[]={1,1,1,1};
			font="tahomaB36";
			sizeEx=0.03;
			};
		};

	class Codemasters		// edited
		{
		idd=-1;
		movingEnable=0;
		duration=4;
		name="Codemasters";
		controls[]={"Background","CM4","CM1","CM2","CM3"};

		class CM1:RscPicture
			{
			text="CM1fit.paa";
			x=0.05;
			y=0.3;
			w=0.3;
			h=0.4;
			};

		class CM2:RscPicture
			{
			text="CM2fit.paa";
			x=0.35;
			y=0.3;
			w=0.3;
			h=0.4;
			};

		class CM3:RscPicture
			{
			text="CM3fit.paa";
			x=0.65;
			y=0.3;
			w=0.3;
			h=0.4;
			};

		class CM4:RscPicture
			{
			text="CMsign.paa";
			x=0.65;
			y=0.3;
			w=0.3;
			h=0.4;
			};

		class Background:RscText		// edited
			{
			text="";
			colorBackground[]={0,0,0,1};
			x=__EVAL(0 - AR_modifX - AR_modifX_2NDMON);
			y=__EVAL(0 - AR_modifY);
			w=__EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON*2);
			h=__EVAL(1 + AR_modifY * 2);
			colorText[]={0,0,0,0};
			};
		};

	class LegalScreen		// edited
		{
		idd=-1;
		movingEnable=0;
		duration=6;
		name="Copyrights";
		controls[]={"Background","CM4","CM1","CM2","CM3","CopText","InfoText"};

		class CopText:RscText
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.5;
			text=" 2001 Bohemia Interactive and The Codemasters Software Company Limited (""Codemasters""). \nAll rights reserved. ""Codemasters"" is a registered trademark of Codemasters. \n""GENIUS AT PLAY"" and ""Operation Flashpoint"" are trademarks of Codemasters. \nDeveloped by Bohemia Interactive. Published by Codemasters. \nAll other copyrights or trademarks are the property of their respective owners.";
			x=0.05;
			y=0.3;
			w=0.9;
			h=0.5;
			colorText[]={1,1,1,1};
			font="tahomaB36";
			sizeEx="0.8 * 0.03";
			};

		class InfoText:RscText
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.5;
			text="Counterfeit copying or trading in counterfeit copies is illegal.\nOperation Flashpoint: Cold War Crisis is protected from  unauthorized copying by a unique system. In counterfeit copies, the gameplay will degrade after a period of time to a point where the game is no longer playable. This does not happen to genuine software. if you are any doubt about the authenticity of your Operation Flashpoint disc, make sure you have original packaging and a printed silver disc. \nCOUNTERFEIT SOFTWARE IS NOT WORTH PURCHASING.";
			x=0.05;
			y=0.6;
			w=0.9;
			h=0.5;
			colorText[]={1.0,1.0,0.5,1};
			font="tahomaB36";
			sizeEx="0.8 * 0.03";
			};

		class CM1:RscPicture
			{
			text="CM1fit.paa";
			x=0.35;
			y=0.1;
			w=0.1;
			h=0.13333;
			};

		class CM2:RscPicture
			{
			text="CM2fit.paa";
			x=0.45;
			y=0.1;
			w=0.1;
			h=0.13333;
			};

		class CM3:RscPicture
			{
			text="CM3fit.paa";
			x=0.55;
			y=0.1;
			w=0.1;
			h=0.13333;
			};

		class CM4:RscPicture
			{
			text="CMsign.paa";
			x=0.55;
			y=0.1;
			w=0.1;
			h=0.13333;
			};

		class Background:RscText		// edited
			{
			text="";
			colorBackground[]={0,0,0,1};
			x=__EVAL(0 - AR_modifX - AR_modifX_2NDMON);
			y=__EVAL(0 - AR_modifY);
			w=__EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON*2);
			h=__EVAL(1 + AR_modifY * 2);
			colorText[]={0,0,0,0};
			};
		};

	class Features1		// edited
		{
		idd=-1;
		movingEnable=0;
		duration=6;
		name="Features";
		controls[]={"Background","Back","FP1","FP2","FP3","Text1","Text2"};

		class Text1:RscText
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text=" The best of cold war military equipment: battling on foot, in armor and in the sky\n\n 30+ playable vehicles, 20+ different infantry weapons: guns, missiles, explosives\n\n Leadership of up to 12 units in the squad: simple point and click interface \n\n Over 50 missions on 3 huge islands: featuring a campaign with exciting storyline\n\n Intuitive mission editor: players can create own missions and campaigns \n\n Multiplayer combat over LAN or Internet: including Voice Over Net";
			x=0.0;
			y=0.3;
			w=1.0;
			h=0.73;
			colorText[]={1.0,1.0,1.0,1};
			font="SteelfishB64";
			sizeEx="0.8 * 0.05";
			};

		class Back:RscText
			{
			x=0.0;
			y=0.24;
			w=1.0;
			h=0.6;
			text="";
			colorBackground[]={0.12,0.15,0.04,1};
			};

		class Text2:RscText
			{
			style="16 + 					2 + 				512";
			lineSpacing=1;
			text="OUT NOW!";
			x=0.05;
			y=0.89;
			w=0.9;
			h=0.5;
			colorText[]={0.23,0.3,0.08,0.5};
			font="SteelfishB64";
			sizeEx=0.05;
			};

		class FP1:RscPicture
			{
			colorText[]={0.23,0.3,0.08,0.5};
			text="OFPlogo1.paa";
			x=0.32;
			y=0.07;
			w=0.12;
			h=0.133;
			};

		class FP2:RscPicture
			{
			colorText[]={0.23,0.3,0.08,0.5};
			text="OFPlogo2.paa";
			x=0.44;
			y=0.07;
			w=0.12;
			h=0.133;
			};

		class FP3:RscPicture
			{
			colorText[]={0.23,0.3,0.08,0.5};
			text="OFPlogo3.paa";
			x=0.56;
			y=0.07;
			w=0.12;
			h=0.133;
			};

		class Background:RscText		// edited
			{
			text="";
			colorBackground[]={0,0,0,1};
			x=__EVAL(0 - AR_modifX - AR_modifX_2NDMON);
			y=__EVAL(0 - AR_modifY);
			w=__EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON*2);
			h=__EVAL(1 + AR_modifY * 2);
			colorText[]={0,0,0,0};
			};
		};

/*	class Features		// removed (wasn't working)
		{
		idd=-1;
		movingEnable=0;
		duration=6;
		name="Features";
		controls[]={"CGW1","CGW2","CGW3","CGW4"};

		class CGW1:RscPicture
			{
			colorText[]={1,1,1,1};
			text="\img\CGW1.jpg";
			x=0;
			y=0;
			w=0.5;
			h=0.666;
			};

		class CGW2:RscPicture
			{
			colorText[]={1,1,1,1};
			text="\img\CGW2.jpg";
			x=0.5;
			y=0;
			w=0.5;
			h=0.666;
			};

		class CGW3:RscPicture
			{
			colorText[]={1,1,1,1};
			text="\img\CGW3.jpg";
			x=0;
			y=0.666;
			w=0.5;
			h=0.333;
			};

		class CGW4:RscPicture
			{
			colorText[]={1,1,1,1};
			text="\img\CGW4.jpg";
			x=0.5;
			y=0.666;
			w=0.5;
			h=0.333;
			};
		};
*/

	class Flashpoint		// edited
		{
		idd=-1;
		movingEnable=0;
		duration=4;
		name="Operation Flashpoint";
		controls[]={"Background","FP1","FP2","FP3"};

		class FP1:RscPicture
			{
			text="OFPlogo1.paa";
			x=0.05;
			y=0.32;
			w=0.3;
			h=0.33;
			};

		class FP2:RscPicture
			{
			text="OFPlogo2.paa";
			x=0.35;
			y=0.32;
			w=0.3;
			h=0.33;
			};

		class FP3:RscPicture
			{
			text="OFPlogo3.paa";
			x=0.65;
			y=0.32;
			w=0.3;
			h=0.33;
			};

		class Background:RscText		// edited
			{
			text="";
			colorBackground[]={0,0,0,1};
			x=__EVAL(0 - AR_modifX - AR_modifX_2NDMON);
			y=__EVAL(0 - AR_modifY);
			w=__EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON*2);
			h=__EVAL(1 + AR_modifY * 2);
			colorText[]={0,0,0,0};
			};
		};

	class resistance		// edited
		{
		idd=-1;
		movingEnable=0;
		duration=4;
		name="Resistance logo";
		controls[]={"Background","RE1","RE2","RE3"};

		class RE1:RscPicture
			{
			text="\o\misc\OFPRlogo01.paa";
			x=0.05;
			y=0.32;
			w=0.3;
			h=0.33;
			};

		class RE2:RscPicture
			{
			text="\o\misc\OFPRlogo02.paa";
			x=0.35;
			y=0.32;
			w=0.3;
			h=0.33;
			};

		class RE3:RscPicture
			{
			text="\o\misc\OFPRlogo03.paa";
			x=0.65;
			y=0.32;
			w=0.3;
			h=0.33;
			};

		class Background:RscText		// edited
			{
			text="";
			colorBackground[]={0,0,0,1};
			x=__EVAL(0 - AR_modifX - AR_modifX_2NDMON);
			y=__EVAL(0 - AR_modifY);
			w=__EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON*2);
			h=__EVAL(1 + AR_modifY * 2);
			colorText[]={0,0,0,0};
			};
		};

	class creditsback		// edited (aspect+fix)
		{
		idd=-1;
		movingEnable=0;
		duration=10000;
		name="Creditsback";
		controls[]={"Back","background"};

		class Back:RscText		// edited
			{
			x=__EVAL(0.72 + AR_modifX);
			y=__EVAL(0.0 - AR_modifY);
			w=0.28;								// fixed (shorter width for triplehead)
			h=__EVAL(1.0 + AR_modifY * 2);
			text="";
			colorBackground[]={0.0,0.0,0.0,1};
			};

		class Background:RscText		// edited
			{
			text="";
			colorBackground[]={0,0,0,0};
			x=__EVAL(0 - AR_modifX);
			y=__EVAL(0 - AR_modifY);
			w=__EVAL(1 + AR_modifX * 2);
			h=__EVAL(1 + AR_modifY * 2);
			colorText[]={0,0,0,0};
			};
		};

	class creditsbackBIS		// edited (aspect+fix)
		{
		idd=-1;
		movingEnable=0;
		duration=10000;
		name="CreditsbackBIS";
		controls[]={"Back","background","web","BIS1","BIS2","dev"};

		class Back:RscText		// edited
			{
			x=__EVAL(0.72 + AR_modifX);
			y=__EVAL(0.0 - AR_modifY);
			w=0.28;						// fixed (shorter width for triplehead)
			h=__EVAL(1.0 + AR_modifY * 2);
			text="";
			colorBackground[]={0.0,0.0,0.0,1};
			};

		class Background:RscText		// edited
			{
			text="";
			colorBackground[]={0,0,0,0};
			x=__EVAL(0 - AR_modifX);
			y=__EVAL(0 - AR_modifY);
			w=__EVAL(1 + AR_modifX * 2);
			h=__EVAL(1 + AR_modifY * 2);
			colorText[]={0,0,0,0};
			};

		class BIS1:RscPicture		// edited
			{
			text="BI1fit.pac";
			x=__EVAL(0.76 + AR_modifX);
			y=__EVAL(0.04 - AR_modifY);
			w=0.1;
			h=0.12;
			};

		class BIS2:RscPicture		// edited
			{
			text="BI2fit.pac";
			x=__EVAL(0.86 + AR_modifX);
			y=__EVAL(0.04 - AR_modifY);
			w=0.1;
			h=0.12;
			};

		class web:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="www.bistudio.com";
			x=__EVAL(0.41 + AR_modifX);
			y=__EVAL(0.95 + AR_modifY);
			w=0.9;
			h=0.7;
			colorText[]={1,1,1,1};
			font="\fonts\tahomaB36";
			sizeEx="0.7 * 0.03";
			};

		class dev:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS12a";
			x=__EVAL(0.41 + AR_modifX);
			y=__EVAL(0.02 - AR_modifY);
			w=0.9;
			h=0.7;
			colorText[]={1,1,1,1};
			font="\fonts\tahomaB36";
			sizeEx="0.6 * 0.03";
			};
		};

	class BISleader:creditsbackBIS		// edited
		{
		name="BISleader";
		controls[]={"Back","background","web","BIS1","BIS2","work1","name1","dev"};

		class work1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS01";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.3 - AR_modifY);
			w=1.0;
			h=0.73;
			colorText[]={0.75,0.75,1.0,1};
			font="SteelfishB64CE";
			sizeEx="0.7 * 0.05";
			};

		class name1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITSN01";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.35 - AR_modifY);
			w=1.0;
			h=0.53;
			colorText[]={1.0,1.0,1.0,1};
			font="SteelfishB64CE";
			sizeEx="1.1 * 0.05";
			};
		};

	class BISprogram:creditsbackBIS		// edited
		{
		name="BISprogrammer";
		controls[]={"Back","background","web","BIS1","BIS2","work1","name1","dev"};

		class work1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS02";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.3 - AR_modifY);
			w=1.0;
			h=0.73;
			colorText[]={0.75,0.75,1.0,1};
			font="SteelfishB64CE";
			sizeEx="0.7 * 0.05";
			};

		class name1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITSN02";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.35 - AR_modifY);
			w=1.0;
			h=0.53;
			colorText[]={1.0,1.0,1.0,1};
			font="SteelfishB64CE";
			sizeEx="0.9 * 0.05";
			};
		};

	class BISart:creditsbackBIS		// edited
		{
		name="BISart";
		controls[]={"Back","background","web","BIS1","BIS2","work1","name1","dev"};

		class work1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS03";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.3 - AR_modifY);
			w=1.0;
			h=0.73;
			colorText[]={0.75,0.75,1.0,1};
			font="SteelfishB64CE";
			sizeEx="0.7 * 0.05";
			};

		class name1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITSN03";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.35 - AR_modifY);
			w=1.0;
			h=0.53;
			colorText[]={1.0,1.0,1.0,1};
			font="SteelfishB64CE";
			sizeEx="0.9 * 0.05";
			};
		};

	class BISdesign:creditsbackBIS		// edited
		{
		name="BISdesign";
		controls[]={"Back","background","web","BIS1","BIS2","work1","name1","dev"};

		class work1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS04";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.3 - AR_modifY);
			w=1.0;
			h=0.73;
			colorText[]={0.75,0.75,1.0,1};
			font="SteelfishB64CE";
			sizeEx="0.7 * 0.05";
			};

		class name1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITSN04";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.35 - AR_modifY);
			w=1.0;
			h=0.53;
			colorText[]={1.0,1.0,1.0,1};
			font="SteelfishB64CE";
			sizeEx="0.9 * 0.05";
			};
		};

	class BISother1:creditsbackBIS		// edited
		{
		name="BISother1";
		controls[]={"Back","background","web","BIS1","BIS2","work1","work2","work3","name1","name2","name3","dev"};

		class work1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS05";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.25 - AR_modifY);
			w=1.0;
			h=0.73;
			colorText[]={0.75,0.75,1.0,1};
			font="SteelfishB64CE";
			sizeEx="0.7 * 0.05";
			};

		class name1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITSN05";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.3 - AR_modifY);
			w=1.0;
			h=0.53;
			colorText[]={1.0,1.0,1.0,1};
			font="SteelfishB64CE";
			sizeEx="0.9 * 0.05";
			};

		class work2:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS06";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.45 - AR_modifY);
			w=1.0;
			h=0.73;
			colorText[]={0.75,0.75,1.0,1};
			font="SteelfishB64CE";
			sizeEx="0.7 * 0.05";
			};

		class name2:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITSN06";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.5 - AR_modifY);
			w=1.0;
			h=0.53;
			colorText[]={1.0,1.0,1.0,1};
			font="SteelfishB64CE";
			sizeEx="0.9 * 0.05";
			};

		class work3:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS07";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.6 - AR_modifY);
			w=1.0;
			h=0.73;
			colorText[]={0.75,0.75,1.0,1};
			font="SteelfishB64CE";
			sizeEx="0.7 * 0.05";
			};

		class name3:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITSN07";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.65 - AR_modifY);
			w=1.0;
			h=0.53;
			colorText[]={1.0,1.0,1.0,1};
			font="SteelfishB64CE";
			sizeEx="0.9 * 0.05";
			};
		};

	class BISmusic:creditsbackBIS		// edited
		{
		name="BISmusic";
		controls[]={"Back","background","web","BIS1","BIS2","work1","name1","name2","name3","name4","dev"};

		class work1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS09";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.25 - AR_modifY);
			w=1.0;
			h=0.73;
			colorText[]={0.75,0.75,1.0,1};
			font="SteelfishB64CE";
			sizeEx="0.7 * 0.05";
			};

		class name1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITSN09";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.3 - AR_modifY);
			w=1.0;
			h=0.53;
			colorText[]={1.0,1.0,1.0,1};
			font="SteelfishB64CE";
			sizeEx="0.9 * 0.05";
			};

		class name2:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITSN09a";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.35 - AR_modifY);
			w=1.0;
			h=0.53;
			colorText[]={1.0,1.0,1.0,1};
			font="SteelfishB64CE";
			sizeEx="0.5 * 0.05";
			};

		class name3:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITSN09b";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.6 - AR_modifY);
			w=1.0;
			h=0.53;
			colorText[]={1.0,1.0,1.0,1};
			font="SteelfishB64CE";
			sizeEx="0.5 * 0.05";
			};

		class name4:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITSN09c";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.63 - AR_modifY);
			w=1.0;
			h=0.53;
			colorText[]={1.0,1.0,1.0,1};
			font="SteelfishB64CE";
			sizeEx="0.9 * 0.05";
			};
		};

	class BISsfx:creditsbackBIS		// edited
		{
		name="BISsfx";
		controls[]={"Back","background","web","BIS1","BIS2","work1","work2","name1","name2","dev","copy"};

		class work1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS10";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.3 - AR_modifY);
			w=1.0;
			h=0.98;
			colorText[]={0.75,0.75,1.0,1};
			font="SteelfishB64CE";
			sizeEx="0.7 * 0.05";
			};

		class name1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITSN10";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.35 - AR_modifY);
			w=1.0;
			h=0.98;
			colorText[]={1.0,1.0,1.0,1};
			font="SteelfishB64CE";
			sizeEx="0.8 * 0.05";
			};

		class work2:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS08";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.55 - AR_modifY);
			w=1.0;
			h=0.98;
			colorText[]={0.75,0.75,1.0,1};
			font="SteelfishB64CE";
			sizeEx="0.7 * 0.05";
			};

		class name2:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITSN08";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.6 - AR_modifY);
			w=1.0;
			h=0.98;
			colorText[]={1.0,1.0,1.0,1};
			font="SteelfishB64CE";
			sizeEx="0.9 * 0.05";
			};

		class copy:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_COPY";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.7 - AR_modifY);
			w=1.0;
			h=0.98;
			colorText[]={1.0,1.0,1.0,1};
			font="\fonts\SteelfishB64";
			sizeEx="0.6 * 0.05";
			};
		};

	class BISthx:creditsbackBIS		// edited
		{
		name="BISthx";
		controls[]={"Back","background","web","BIS1","BIS2","work2","name2","dev"};

		class work2:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS11";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.3 - AR_modifY);
			w=1.0;
			h=0.73;
			colorText[]={0.75,0.75,1.0,1};
			font="SteelfishB64CE";
			sizeEx="0.7 * 0.05";
			};

		class name2:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITSN11";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.35 - AR_modifY);
			w=1.0;
			h=0.53;
			colorText[]={1.0,1.0,1.0,1};
			font="SteelfishB64CE";
			sizeEx="0.8 * 0.05";
			};
		};

	class creditsbackCM		// edited (aspect+fix)
		{
		idd=-1;
		movingEnable=0;
		duration=10000;
		name="CreditsbackCM";
		controls[]={"Back","background","web","CM1","CM2","CM3","CM4","pub"};

		class Back:RscText		// edited
			{
			x=__EVAL(0.72 + AR_modifX);
			y=__EVAL(0.0 - AR_modifY);
			w=0.28;						// fixed (shorter width for triplehead)
			h=__EVAL(1.0 + AR_modifY * 2);
			text="";
			colorBackground[]={0.0,0.0,0.0,1};
			};

		class Background:RscText		// edited
			{
			text="";
			colorBackground[]={0,0,0,0};
			x=__EVAL(0 - AR_modifX);
			y=__EVAL(0 - AR_modifY);
			w=__EVAL(1 + AR_modifX * 2);
			h=__EVAL(1 + AR_modifY * 2);
			colorText[]={0,0,0,0};
			};

		class CM1:RscPicture		// edited
			{
			text="CM1fit.paa";
			x=__EVAL(0.74 + AR_modifX);
			y=__EVAL(0.03 - AR_modifY);
			w=0.08;
			h=0.1;
			};

		class CM2:RscPicture		// edited
			{
			text="CM2fit.paa";
			x=__EVAL(0.82 + AR_modifX);
			y=__EVAL(0.03 - AR_modifY);
			w=0.08;
			h=0.1;
			};

		class CM3:RscPicture		// edited
			{
			text="CM3fit.paa";
			x=__EVAL(0.9 + AR_modifX);
			y=__EVAL(0.03 - AR_modifY);
			w=0.08;
			h=0.1;
			};

		class CM4:RscPicture		// edited
			{
			text="CMsign.paa";
			x=__EVAL(0.9 + AR_modifX);
			y=__EVAL(0.03 - AR_modifY);
			w=0.08;
			h=0.1;
			};

		class pub:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS12";
			x=__EVAL(0.41 + AR_modifX);
			y=__EVAL(0.015 - AR_modifY);
			w=0.9;
			h=0.7;
			colorText[]={1,1,1,1};
			font="\fonts\tahomaB36";
			sizeEx="0.6 * 0.03";
			};

		class web:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="www.codemasters.com";
			x=__EVAL(0.41 + AR_modifX);
			y=__EVAL(0.95 + AR_modifY);
			w=0.9;
			h=0.7;
			colorText[]={1,1,1,1};
			font="\fonts\tahomaB36";
			sizeEx="0.7 * 0.03";
			};
		};

	class CMProducer:creditsbackCM		// edited
		{
		name="CMproducer";
		controls[]={"Back","background","web","CM1","CM2","CM3","CM4","pub","work1","name1"};

		class work1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS13";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.4 - AR_modifY);
			w=1.0;
			h=0.73;
			colorText[]={0.75,0.75,1.0,1};
			font="\fonts\SteelfishB64";
			sizeEx="0.6 * 0.05";
			};

		class name1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITSN13";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.45 - AR_modifY);
			w=1.0;
			h=0.53;
			colorText[]={1.0,1.0,1.0,1};
			font="\fonts\SteelfishB64";
			sizeEx="0.9 * 0.05";
			};
		};

	class CMdesign:creditsbackCM		// edited
		{
		name="CMdesign";
		controls[]={"Back","background","web","CM1","CM2","CM3","CM4","pub","work1","name1"};

		class work1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS14";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.3 - AR_modifY);
			w=1.0;
			h=0.73;
			colorText[]={0.75,0.75,1.0,1};
			font="\fonts\SteelfishB64";
			sizeEx="0.6 * 0.05";
			};

		class name1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITSN14";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.35 - AR_modifY);
			w=1.0;
			h=0.53;
			colorText[]={1.0,1.0,1.0,1};
			font="\fonts\SteelfishB64";
			sizeEx="0.9 * 0.05";
			};
		};

	class CMQA:creditsbackCM		// edited
		{
		name="CMQA";
		controls[]={"Back","background","web","CM1","CM2","CM3","CM4","pub","work1","name1"};

		class work1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS15";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.2 - AR_modifY);
			w=1.0;
			h=0.93;
			colorText[]={0.75,0.75,1.0,1};
			font="\fonts\SteelfishB64";
			sizeEx="0.6 * 0.05";
			};

		class name1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITSN15";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.25 - AR_modifY);
			w=1.0;
			h=0.93;
			colorText[]={1.0,1.0,1.0,1};
			font="\fonts\SteelfishB64";
			sizeEx="0.9 * 0.05";
			};
		};

	class CMMrkev:creditsbackCM		// edited
		{
		name="CMMrkev";
		controls[]={"Back","background","web","CM1","CM2","CM3","CM4","pub","work1","name1"};

		class work1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS16";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.2 - AR_modifY);
			w=1.0;
			h=0.93;
			colorText[]={0.75,0.75,1.0,1};
			font="\fonts\SteelfishB64";
			sizeEx="0.6 * 0.05";
			};

		class name1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITSN16";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.25 - AR_modifY);
			w=1.0;
			h=0.93;
			colorText[]={1.0,1.0,1.0,1};
			font="\fonts\SteelfishB64";
			sizeEx="0.8 * 0.05";
			};
		};

	class CMVoice:creditsbackCM		// edited
		{
		name="CMVoice";
		controls[]={"Back","background","web","CM1","CM2","CM3","CM4","pub","work1","work2","name2","name1"};

		class work1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS17";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.2 - AR_modifY);
			w=1.0;
			h=0.73;
			colorText[]={0.75,0.75,1.0,1};
			font="\fonts\SteelfishB64";
			sizeEx="0.6 * 0.05";
			};

		class name1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITSN17";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.25 - AR_modifY);
			w=1.0;
			h=0.53;
			colorText[]={1.0,1.0,1.0,1};
			font="\fonts\SteelfishB64";
			sizeEx="0.9 * 0.05";
			};

		class work2:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS18";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.45 - AR_modifY);
			w=1.0;
			h=0.73;
			colorText[]={0.75,0.75,1.0,1};
			font="\fonts\SteelfishB64";
			sizeEx="0.6 * 0.05";
			};

		class name2:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITSN18";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.5 - AR_modifY);
			w=1.0;
			h=0.53;
			colorText[]={1.0,1.0,1.0,1};
			font="\fonts\SteelfishB64";
			sizeEx="0.9 * 0.05";
			};
		};

	class CMlocal:creditsbackCM		// edited
		{
		name="CMlocal";
		controls[]={"Back","background","web","CM1","CM2","CM3","CM4","pub","work1","work2","name2","name1"};

		class work1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS19";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.2 - AR_modifY);
			w=1.0;
			h=0.73;
			colorText[]={0.75,0.75,1.0,1};
			font="\fonts\SteelfishB64";
			sizeEx="0.6 * 0.05";
			};

		class name1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITSN19";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.25 - AR_modifY);
			w=1.0;
			h=0.53;
			colorText[]={1.0,1.0,1.0,1};
			font="\fonts\SteelfishB64";
			sizeEx="0.9 * 0.05";
			};

		class work2:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS20";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.35 - AR_modifY);
			w=1.0;
			h=0.73;
			colorText[]={0.75,0.75,1.0,1};
			font="\fonts\SteelfishB64";
			sizeEx="0.6 * 0.05";
			};

		class name2:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITSN20";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.4 - AR_modifY);
			w=1.0;
			h=0.53;
			colorText[]={1.0,1.0,1.0,1};
			font="\fonts\SteelfishB64";
			sizeEx="0.9 * 0.05";
			};
		};

	class CMlegal:creditsbackCM		// edited
		{
		name="CMlegal";
		controls[]={"Back","background","web","CM1","CM2","CM3","CM4","pub","work1","work2","name2","name1"};

		class work1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS21";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.2 - AR_modifY);
			w=1.0;
			h=0.73;
			colorText[]={0.75,0.75,1.0,1};
			font="\fonts\SteelfishB64";
			sizeEx="0.6 * 0.05";
			};

		class name1:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITSN21";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.25 - AR_modifY);
			w=1.0;
			h=0.53;
			colorText[]={1.0,1.0,1.0,1};
			font="\fonts\SteelfishB64";
			sizeEx="0.9 * 0.05";
			};

		class work2:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS22";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.45 - AR_modifY);
			w=1.0;
			h=0.73;
			colorText[]={0.75,0.75,1.0,1};
			font="\fonts\SteelfishB64";
			sizeEx="0.6 * 0.05";
			};

		class name2:RscText		// edited
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITSN22";
			x=__EVAL(0.36 + AR_modifX);
			y=__EVAL(0.5 - AR_modifY);
			w=1.0;
			h=0.53;
			colorText[]={1.0,1.0,1.0,1};
			font="\fonts\SteelfishB64";
			sizeEx="0.9 * 0.05";
			};
		};

	class Endof		// edited (aspect + fix)
		{
		idd=-1;
		movingEnable=0;
		duration=10000;
		name="Endof";
		controls[]={"Back2","background","copy"};

		class Back2:RscText		// edited
			{
			x=__EVAL(0.0 - AR_modifX);
			y=__EVAL(0.95 + AR_modifY);
			w=__EVAL(1.0 + AR_modifX * 2);
			h=1.0;
			text="";
			colorBackground[]={0.0,0.0,0.0,0.5};
			};

		class Background:RscText		// edited
			{
			text="";
			colorBackground[]={0,0,0,0};
			x=__EVAL(0 - AR_modifX);
			y=__EVAL(0 - AR_modifY);
			w=__EVAL(1 + AR_modifX * 2);
			h=__EVAL(1 + AR_modifY * 2);
			colorText[]={0,0,0,0};
			};

		class copy:RscText		// edited (aspect + fix)
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS23";
			x=0;						// centered (fix)
			y=__EVAL(0.96 + AR_modifY);
			w=1;
			h=0.7;
			colorText[]={1,1,1,1};
			font="\fonts\tahomaB36";
			sizeEx="0.7 * 0.03";
			};
		};

	class foto		// edited (aspect + fix)
		{
		idd=-1;
		movingEnable=0;
		duration=10000;
		name="foto";
		fadein=0;
		controls[]={"background","copy","up","down","right","left",BlackBackgroundL,BlackBackgroundR};	// added blackbackgrounds for triplehead

		class BlackBackgroundL : RscText		// added
		{
			x=__EVAL(-AR_modifX - AR_modifX_2NDMON);
			y=__EVAL(0 - AR_modifY);
			w=__EVAL(AR_modifX_2NDMON);
			h=__EVAL(1 + AR_modifY * 2);
			colorBackground[]={0,0,0,1};
			text = "";
		};
		
		class BlackBackgroundR : BlackBackgroundL	// added
		{
			x=__EVAL(1 + AR_modifX);
		};
		
		class up:RscText		// edited
			{
			x=__EVAL(0.0 - AR_modifX);
			y=__EVAL(0.0 - AR_modifY);
			w=__EVAL(1.0 + AR_modifX * 2);
			h=0.02;
			text="";
			colorBackground[]={0.9,0.9,0.9,1.0};
			};

		class down:RscText		// edited
			{
			x=__EVAL(0.0 - AR_modifX);
			y=__EVAL(0.98 + AR_modifY);
			w=__EVAL(1.0 + AR_modifX * 2);
			h=1.0;
			text="";
			colorBackground[]={0.9,0.9,0.9,1.0};
			};

		class left:RscText		// edited
			{
			x=__EVAL(0.0 - AR_modifX);
			y=__EVAL(0.0 - AR_modifY);
			w=0.02;
			h=__EVAL(1.0 + AR_modifY * 2);
			text="";
			colorBackground[]={0.9,0.9,0.9,1.0};
			};

		class right:RscText		// edited
			{
			x=__EVAL(0.98 + AR_modifX);
			y=__EVAL(0.0 - AR_modifY);
			w=1.0;
			h=__EVAL(1.0 + AR_modifY * 2);
			text="";
			colorBackground[]={0.9,0.9,0.9,1.0};
			};

		class Background:RscText		// edited
			{
			text="";
			colorBackground[]={0,0,0,0};
			x=__EVAL(0 - AR_modifX);
			y=__EVAL(0 - AR_modifY);
			w=__EVAL(1 + AR_modifX * 2);
			h=__EVAL(1 + AR_modifY * 2);
			colorText[]={0,0,0,0};
			};

		class copy:RscText		// edited (aspect + fix)
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS23";
			x=0;		// centered (fix)
			y=__EVAL(0.9 + AR_modifY);
			w=1;
			h=0.7;
			colorText[]={1,1,1,1};
			font="\fonts\tahomaB36";
			sizeEx="0.7 * 0.03";
			};
		};

	class Endof2		// edited (aspect + fix)
		{
		idd=-1;
		movingEnable=0;
		duration=10000;
		name="Endof2";
		controls[]={"Back2","background","copy"};

		class Back2:RscText		// edited
			{
			x=__EVAL(0 - AR_modifX - AR_modifX_2NDMON);
			y=__EVAL(0 - AR_modifY);
			w=__EVAL(1 + AR_modifX * 2);
			h=__EVAL(1 + AR_modifY * 2);
			text="";
			colorBackground[]={0.0,0.0,0.0,0.7};
			};

		class Background:RscText		// edited
			{
			text="";
			colorBackground[]={0,0,0,0};
			x=__EVAL(0 - AR_modifX);
			y=__EVAL(0 - AR_modifY);
			w=__EVAL(1 + AR_modifX * 2);
			h=__EVAL(1 + AR_modifY * 2);
			colorText[]={0,0,0,0};
			};

		class copy:RscText		// edited (fix)
			{
			style="16 + 					2 + 				512";
			lineSpacing=1.0;
			text="$STR_CREDITS24";
			x=0;		// centered (fix)
			y=0.5;
			w=1;
			h=0.7;
			colorText[]={1,1,1,1};
			font="SteelfishB64CE";
			sizeEx="0.7 * 0.05";
			};
		};

   class maintitles1
   {
      idd=-1;
      movingEnable=0;
      duration=4;
      name="maintitles1";
      controls[]={"Background","maintitles_01","maintitles_02"};

      class Background : RscText
      {
         text="";
         colorBackground[]={0,0,0,0};
         x=0;
         y=0;
         w=1;
         h=1;
         colorText[]={0,0,0,0};
      };

      class maintitles_01 : RscText
      {
         style="16 +                2 +            512";
         lineSpacing=1;
         text="$STR_MAINTITLES_01";
         x=-.02;
         y=.487;
         w=.9;
         h=.5;
         colorText[]={1,1,1,1};
         font="\fonts\SteelfishB128";
         sizeEx=.098;
      };

      class maintitles_02 : RscText
      {
         style="16 +                2 +            512";
         lineSpacing=1;
         text="$STR_MAINTITLES_02";
         x=.16;
         y=.52;
         w=.9;
         h=.5;
         colorText[]={1,1,1,1};
         font="\fonts\SteelfishB128";
         sizeEx="0.6 * 0.098";
      };
   };

   class maintitles2
   {
      idd=-1;
      movingEnable=0;
      duration=4;
      name="maintitles2";
      controls[]={"Background","maintitles_03","maintitles_04","maintitles_05"};

      class Background : RscText
      {
         text="";
         colorBackground[]={0,0,0,0};
         x=0;
         y=0;
         w=1;
         h=1;
         colorText[]={0,0,0,0};
      };

      class maintitles_03 : RscText
      {
         style="16 +                2 +            512";
         lineSpacing=1;
         text="$STR_MAINTITLES_03";
         x=-.19;
         y=.52;
         w=.9;
         h=.5;
         colorText[]={1,1,1,1};
         font="\fonts\SteelfishB128";
         sizeEx="0.6 * 0.098";
      };

      class maintitles_04 : RscText
      {
         style="16 +                2 +            512";
         lineSpacing=1;
         text="$STR_MAINTITLES_04";
         x=.01;
         y=.487;
         w=.9;
         h=.5;
         colorText[]={1,1,1,1};
         font="\fonts\SteelfishB128";
         sizeEx="1.0 * 0.098";
      };

      class maintitles_05 : RscText
      {
         style="16 +                2 +            512";
         lineSpacing=1;
         text="$STR_MAINTITLES_05";
         x=.26;
         y=.52;
         w=.9;
         h=.5;
         colorText[]={1,1,1,1};
         font="\fonts\SteelfishB128";
         sizeEx="0.6 * 0.098";
      };
   };

   class maintitles3
   {
      idd=-1;
      movingEnable=0;
      duration=6;
      name="maintitles3";
      controls[]={"Background","maintitles_06"};

      class Background : RscText
      {
         text="";
         colorBackground[]={0,0,0,0};
         x=0;
         y=0;
         w=1;
         h=1;
         colorText[]={0,0,0,0};
      };

      class maintitles_06 : RscText
      {
         style="16 +                2 +            512";
         lineSpacing=1;
         text="$STR_MAINTITLES_06";
         x=.045;
         y=.47;
         w=.9;
         h=.5;
         colorText[]={1,1,1,1};
         font="\fonts\SteelfishB128";
         sizeEx="1.4 * 0.098";
      };
   };

   class binocular		// edited
   {
      idd=-1;
      movingEnable=0;
      duration=1000;
      name="binocular";
      objects[]={"binocular"};
		fadein=0;		// added
		
		// adds black bars on the sides to fill holes
		controlsBackground[]={FillBinoHoleL, FillBinoHoleR};
		class FillBinoHoleL : RscBackground 
		{
			style = 0; 
			x = __EVAL(0 - AR_modifX - AR_modifX_2NDMON - 0.02); 
			y = __EVAL(0 - AR_modifY); 
			w = __EVAL(AR_modifX + AR_modifX_2NDMON); 
			h = __EVAL(1 + AR_modifY * 2); 
			colorBackground[]={0,0,0,1};
		};
		class FillBinoHoleR : FillBinoHoleL {x=1.02;};

      class binocular : RscObject
      {
         model="optika_dalekohled.p3d";
         idc=-1;
         position[]={0,0,.063};
         direction[]={"sin 0","sin 180 * cos 0","cos 180 * cos 0"};
         up[]={0,"cos 180","-sin 180"};
      };
   };

   class reslogo
   {
      idd=-1;
      movingEnable=0;
      duration=1000;
      name="reslogo";
      objects[]={"binocular"};

      class binocular : RscObject
      {
         model="\o\misc\Resistance_logo.p3d";
         idc=-1;
         position[]={0,0,3.5};
         direction[]={"sin 0","sin 180 * cos 0","cos 180 * cos 0"};
         up[]={0,"cos 0","-sin 180"};
      };
   };

   class Demo1
   {
      idd=-1;
      movingEnable=0;
      duration=4;
      name="Demo 1";
      controls[]={"Text"};

      class Text : RscText
      {
         style="16 +                2 +            512";
         lineSpacing=1;
         text="Your transport is down. \nYou're about to ditch in hostile territory.";
         x=.05;
         y=.4;
         w=.9;
         h=.5;
         colorText[]={1,1,1,1};
         font="SteelfishB128";
         sizeEx="0.6 * 0.098";
      };
   };

   class Demo2
   {
      idd=-1;
      movingEnable=0;
      duration=2;
      name="Demo 2 - Think fast";
      controls[]={"Text"};

      class Text : RscText
      {
         style="16 +                2 +            512";
         lineSpacing=1;
         text="Think fast, what are your options?";
         x=.05;
         y=.4;
         w=.9;
         h=.5;
         colorText[]={1,1,1,1};
         font="SteelfishB128";
         sizeEx="0.6 * 0.098";
      };
   };

   class Demo3
   {
      idd=-1;
      movingEnable=0;
      duration=1;
      name="Demo 3 - Hide";
      controls[]={"Text"};

      class Text : RscText
      {
         style="16 +                2 +            512";
         lineSpacing=1;
         text="Hide?";
         x=.05;
         y=.4;
         w=.9;
         h=.5;
         colorText[]={1,1,1,1};
         font="SteelfishB128";
         sizeEx=.098;
      };
   };

   class Demo4
   {
      idd=-1;
      movingEnable=0;
      duration=1;
      name="Demo 4 - Fight";
      controls[]={"Text"};

      class Text : RscText
      {
         style="16 +                2 +            512";
         lineSpacing=1;
         text="Fight?";
         x=.05;
         y=.4;
         w=.9;
         h=.5;
         colorText[]={1,1,1,1};
         font="SteelfishB128";
         sizeEx="1.0 * 0.098";
      };
   };

   class Demo5
   {
      idd=-1;
      movingEnable=0;
      duration=1;
      name="Demo 5 - Surrender";
      controls[]={"Text"};

      class Text : RscText
      {
         style="16 +                2 +            512";
         lineSpacing=1;
         text="Surrender?";
         x=.05;
         y=.4;
         w=.9;
         h=.5;
         colorText[]={1,1,1,1};
         font="SteelfishB128";
         sizeEx=.098;
      };
   };

	class Demo6		// edited
		{
		idd=-1;
		movingEnable=0;
		duration=1;
		name="Demo 6 - OFP your call";
		controls[]={"Background","FP1","FP2","FP3","Text"};

		class Text:RscText
			{
			style="16 + 					2 + 				512";
			lineSpacing=1;
			text="YOUR CALL.";
			x=0.05;
			y=0.5;
			w=0.9;
			h=0.3;
			colorText[]={1.0,1.0,1.0,0.5};
			font="SteelfishB128";
			sizeEx=0.098;
			};

		class FP1:RscPicture
			{
			colorText[]={0.23,0.3,0.08,0.3};
			text="OFPlogo1.paa";
			x=0.05;
			y=0.2;
			w=0.3;
			h=0.33;
			};

		class FP2:RscPicture
			{
			colorText[]={0.23,0.3,0.08,0.3};
			text="OFPlogo2.paa";
			x=0.35;
			y=0.2;
			w=0.3;
			h=0.33;
			};

		class FP3:RscPicture
			{
			colorText[]={0.23,0.3,0.08,0.3};
			text="OFPlogo3.paa";
			x=0.65;
			y=0.2;
			w=0.3;
			h=0.33;
			};

		class Background:RscText		// edited
			{
			text="";
			colorBackground[]={0,0,0,1};
			x=__EVAL(0 - AR_modifX - AR_modifX_2NDMON);
			y=__EVAL(0 - AR_modifY);
			w=__EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON*2);
			h=__EVAL(1 + AR_modifY * 2);
			colorText[]={0,0,0,0};
			};
		};

	class Demo7		// edited
		{
		idd=-1;
		movingEnable=0;
		duration=1;
		name="Demo 7 TBC";
		controls[]={"Background","Text","Text1"};

		class Text:RscText
			{
			style="16 + 					2 + 				512";
			lineSpacing=1;
			text="JOIN NOW!";
			x=0.05;
			y=0.45;
			w=0.9;
			h=0.5;
			colorText[]={1.0,1.0,1.0,1.0};
			font="SteelfishB128";
			sizeEx="0.6 * 0.098";
			};

		class Text1:RscText
			{
			style="16 + 					2 + 				512";
			lineSpacing=1;
			text="The ultimate test of your combat skills on PC CD-ROM.";
			x=0.05;
			y=0.55;
			w=0.9;
			h=0.5;
			colorText[]={1.0,1.0,1.0,1.0};
			font="SteelfishB64";
			sizeEx="0.8 * 0.05";
			};

		class Background:RscText		// edited
			{
			text="";
			colorBackground[]={0,0,0,1};
			x=__EVAL(0 - AR_modifX - AR_modifX_2NDMON);
			y=__EVAL(0 - AR_modifY);
			w=__EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON*2);
			h=__EVAL(1 + AR_modifY * 2);
			colorText[]={0,0,0,0};
			};
		};

};

	// Loading screen (tweak only)
class RscDisplayLoadMission
{
   access=3;
   idd=-1;
   movingEnable=0;
   controls[]={"Name","Date"};
   controlsBackground[]={ECP_flags_bg,ECP_logo_small_bg};	// added (tweak)

	class ECP_flags_bg : RscPicture		// added (tweak)
	{
      text="\ECP_Effects\images\ECP_flags_bg.paa";
      colorText[]={1,1,1,0.75};
      x=__EVAL(0 - AR_modifX);
      y=__EVAL(0 - AR_modifY);
      w=0.285;
      h=__EVAL(1 + AR_modifY * 2);
	};
	class ECP_logo_small_bg : RscPicture 		// added (tweak)
	{ 
      text="\ECP_Effects\images\ECPlogo_small.paa"; 
      colorText[]={1,1,1,0.5}; 
      x=__EVAL(0.88 + AR_modifX); 
      y=__EVAL(0.75 + AR_modifY); 
      w=.09; 
      h=.115; 
   }; 
	
   
   class Name : RscText
   {
      idc=101;
      text="$STR_DISP_ERROR";
      style=2;
      colorText[]={1,1,1,1};
      font="SteelfishB64";
      sizeEx="1.0 * 0.05";
      x=0;
      y=.45;
      w=1;
      h=.05;
   };

   class Date : RscText
   {
      idc=102;
      text="$STR_DISP_ERROR";
      style=2;
      colorText[]={1,1,1,1};
      font="SteelfishB64";
      sizeEx="0.8 * 0.05";
      x=0;
      y=.5;
      w=1;
      h=.05;
   };
};








/* ---------------------- ECP -----------------------*/

#define KEG_CT_STATIC                  0
#define KEG_CT_BUTTON                  1
#define KEG_CT_EDIT                    2
#define KEG_CT_SLIDER                  3
#define KEG_CT_COMBO                4
#define KEG_CT_LISTBOX              5
#define KEG_CT_TOOLBOX              6
#define KEG_CT_CHECKBOXES           7
#define KEG_CT_PROGRESS             8
#define KEG_CT_HTML                    9
#define KEG_CT_STATIC_SKEW       10
#define KEG_CT_ACTIVETEXT           11
#define KEG_CT_TREE                    12
#define KEG_CT_3DSTATIC             20
#define KEG_CT_3DACTIVETEXT         21
#define KEG_CT_3DLISTBOX            22
#define KEG_CT_3DHTML                  23
#define KEG_CT_3DSLIDER             24
#define KEG_CT_3DEDIT                  25
#define KEG_CT_OBJECT                  80
#define KEG_CT_OBJEKEG_CT_ZOOM         81
#define KEG_CT_OBJEKEG_CT_CONTAINER 82
#define KEG_CT_OBJEKEG_CT_CONT_ANIM 83
#define KEG_CT_USER                    99


#define KEG_ST_HPOS                 0x0F
#define KEG_ST_LEFT                 0
#define KEG_ST_RIGHT             1
#define KEG_ST_CENTER               2
#define KEG_ST_UP                   3
#define KEG_ST_DOWN                 4
#define KEG_ST_VCENTER           5

#define KEG_ST_TYPE                 0xF0
#define KEG_ST_SINGLE               0
#define KEG_ST_MULTI             16
#define KEG_ST_TITLE_BAR         32
#define KEG_ST_PICTURE           48
#define KEG_ST_FRAME             64
#define KEG_ST_BACKGROUND        80
#define KEG_ST_GROUP_BOX         96
#define KEG_ST_GROUP_BOX2        112
#define KEG_ST_HUD_BACKGROUND 128
#define KEG_ST_TILE_PICTURE      144
#define KEG_ST_WITH_RECT         160
#define KEG_ST_LINE                 176

#define KEG_ST_SHADOW               256
#define KEG_ST_NO_RECT           512

#define KEG_ST_TITLE             KEG_ST_TITLE_BAR + KEG_ST_CENTER


#define IDC_OK                1
#define IDC_CANCEL            2


#define KEG_TextColor         0.08, 0.08, 0.12
#define KEG_InvTextColor   0.35, 0.38, 0.36


#define KEG_FontS "tahomaB24"
#define KEG_FontM "tahomaB36"

#define KEG_FontHTML "courierNewB64"
#define KEG_FontHTMLBold "courierNewB64"
#define KEG_FontMAP "courierNewB64"
#define KEG_FontMAIN "SteelfishB64"
#define KEG_FontMAINCZ "SteelfishB64CE"
#define KEG_FontTITLE "SteelfishB128"
#define KEG_FontTITLEHalf "SteelfishB64"
#define KEG_FontBOOK "garamond64"
#define KEG_FontNOTES "AudreysHandI48"

class KEG_RscText
{
   type = KEG_CT_STATIC;
   idc = -1;
   style = KEG_ST_LEFT;
   h = 0.04;
   colorBackground[] = {0, 0, 0, 0};
   colorText[] = {KEG_TextColor, 0.75};
   font = KEG_FontS;
   sizeEx = 0.02;
};

class KEG_RscActiveText
{
   type = KEG_CT_ACTIVETEXT;
   style = KEG_ST_LEFT;
   color[] = {0, 0, 0, 1};
   colorActive[] = {1, 1, 1, 1};
   font = KEG_FontMAIN;
   sizeEx = 0.05;
   soundEnter[] = {"ui\ui_over", 0.2, 1};
   soundPush[] = {, 0.2, 1};
   soundClick[] = {"ui\ui_ok", 0.2, 1};
   soundEscape[] = {"ui\ui_cc", 0.2, 1};
   default = false;
};

class KEG_RscActiveMenu : KEG_RscActiveText
{
   color[] = {1, 1, 1, 1};
   colorActive[] = {1, 0, 0, 1};
   font = KEG_FontTITLEHalf;
   sizeEx = 0.05;
   default = false;
};

class KEG_RscObject
{
   type = KEG_CT_OBJECT;
   scale = 1.0;
   direction[] = {0, 0, 1};
   up[] = {0, 1, 0};
};

class KEG_RscObjNotebookListBox
{
   type = KEG_CT_LISTBOX;
   style = 0;
   selection = "display";
   angle = 0;
   size = 0.8;
   colorSelect[] = {0, 1, 0, 1};
   colorSelectBackground[] = {0, 1, 0, 0.2};
   colorText[] = {0, 1, 0, 0.5};
   font = KEG_FontHTML;
};

class KEG_RscHTML{};

	// Spectating Menu
class KEG_DlgSpectateDeath
{
   idd = 821151551;
   movingEnable = true;
   controlsBackground[]=
   {
      Background4,
      Background5,
      BackgroundMenu
   };
   class Background4 : KEG_RscText		// edited
   {
      x = __EVAL(0.0 - AR_modifX - AR_modifX_2NDMON);
      y = __EVAL(0.0 - AR_modifY);
      w = __EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON * 2);
      h = 0.065;
      text = ;
      colorBackground[] = {0, 0, 0, 1};
   };
   class Background5 : KEG_RscText		// edited
   {
      x = __EVAL(0.0 - AR_modifX - AR_modifX_2NDMON);
      y = __EVAL(0.935 + AR_modifY);
      w = __EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON * 2);
      h = 0.065;
      text = ;
      colorBackground[] = {0, 0, 0, 1};
   };
   class BackgroundMenu : KEG_RscText		// edited
   {
      idc = 1046006;
      style = KEG_ST_HUD_BACKGROUND;
      x = __EVAL(0.02 - AR_modifX);
      y = __EVAL(0.055 - AR_modifY);
      w = 0.120;
      h = 0.19;
      text = ;
      colorBackground[] = {0, 0, 0, 0.8};
   };

   controls[]=
   {
      Title,
      ButtonPREV,
      ButtonNEXT,
      Spectation,
      PlrName,
      menu,
      menu2,
      MenuItem1,
      MenuItem2,
      MenuItem3,
      MenuItem4,
      MenuItem5

   };
   class Title : KEG_RscText		// edited
   {
      idc = -1;
      style = KEG_ST_CENTER;
      x = 0.2;
      y = __EVAL(-0.015 - AR_modifY);
      w = 0.6;
      h = 0.1;
      font = KEG_FontTITLEHalf;
      colorText[] = {1, 0, 0, 1};
      sizeEx = 0.048;
      text = "YOU ARE DEAD";
   };

   class ButtonNEXT : KEG_RscActiveMenu		// edited
   {
      idc = -1;
      x = __EVAL(0.90 + AR_modifX);
      y = __EVAL(0.94 + AR_modifY);
      w = 0.15;
      h = 0.05;
      text = "Next >>";
      default = 0;
      soundClick[] = {"ui\ui_ok", 0.2, 1};

      action = "ECP_nextcam_clicked = true;1 exec format [{%1spectate\nextCam.sqs},ECP_path]";
   };

   class ButtonPREV : KEG_RscActiveMenu		// edited
   {
      idc = -1;
      x = __EVAL(0.55 + AR_modifX);
      y = __EVAL(0.94 + AR_modifY);
      w = 0.15;
      h = 0.05;
      text = "<< Previous";
      default = 0;
      soundClick[] = {"ui\ui_ok", 0.2, 1};

      action = "ECP_nextcam_clicked = true;-1 exec format [{%1spectate\nextCam.sqs},ECP_path]";
   };


   class Spectation : KEG_RscText		// edited
   {
      idc = -1;
      style = KEG_ST_CENTER;
      x = __EVAL(0.70 + AR_modifX);
      y = __EVAL(0.94 + AR_modifY);
      w = 0.15;
      h = 0.05;
      font = KEG_FontTITLEHalf;
      colorText[] = {1, 0, 0, 1};
      sizeEx = 0.05;
      text = "- Spectating -";
   };

   class PlrName : KEG_RscText		// edited
   {
      idc = 116969;
      style = KEG_ST_CENTER;
      x = __EVAL(0.10 - AR_modifX);
      y = __EVAL(0.94 + AR_modifY);
      w = 0.15;
      h = __EVAL(0.05 + AR_modifX);
      font = KEG_FontTITLEHalf;
      colorText[] = {1, 0, 0, 1};
      sizeEx = 0.05;
      text = "Unknown";
   };

   class Menu : KEG_RscActiveMenu		// edited
   {
      idc = 1046007;
      x = __EVAL(0.03 - AR_modifX);
      y = __EVAL(0.02 - AR_modifY;
      w = 0.15;
      h = 0.025;
      text = "Toggle menu";
      default = 0;
      angle = 90;
      colorActive[] = {0.4, 0.8, 1, 1};
      soundClick[] = {"ui\ui_ok", 0.2, 1};
      action = "ctrlShow [1046001,false];ctrlShow [1046002,false];ctrlShow [1046003,false];ctrlShow [1046004,false];ctrlShow [1046005,false];ctrlShow [1046006,false];ctrlShow [1046007,false];ctrlShow [1046008,true];ctrlShow [1046009,false]";
      sizeEx = 0.028;
   };

   class Menu2 : Menu
   {
      idc = 1046008;
      color[] = {1.0, 1.0, 1.0, 0.4};
      colorActive[] = {0.3, 0.5, 1, 1};
      action = "ctrlShow [1046001,true];ctrlShow [1046002,true];ctrlShow [1046003,true];ctrlShow [1046004,true];ctrlShow [1046005,true];ctrlShow [1046006,true];ctrlShow [1046007,true];ctrlShow [1046008,false];ctrlShow [1046009,true]";
   };

   class MenuItem1 : KEG_RscActiveMenu		// edited
   {
      idc = 1046001;
      x = __EVAL(0.03 - AR_modifX);
      y = __EVAL(0.08 - AR_modifY);
      w = 0.08;
      h = 0.025;
      text = "Close View";
      default = 0;
      angle = 90;
      colorText[] = {1, 1, 1, 0.6};
      colorActive[] = {0.3, 0.5, 1, 1};
      soundClick[] = {"ui\ui_ok", 0.2, 1};
      action = "DeathCam camSetTarget vehicle DeathCamCurCamTarget;DeathCamComSpeed = 0.4;DeathCamRelPos = [0,-2,0.3];DeathCamTarHeight = 1.7;DeathCamCineViewSpecial = 0;DeathCamExit = false";
      sizeEx = 0.028;
   };

   class MenuItem2 : MenuItem1		// edited
   {
      idc = 1046002;
      y = __EVAL(0.11 - AR_modifY);
      text = "Far View";
      action = "DeathCam camSetTarget vehicle DeathCamCurCamTarget;DeathCamComSpeed = 1.9;DeathCamRelPos = [0,-8,2.5];DeathCamTarHeight = 1.5;DeathCamCineViewSpecial = 0;";
   }
   class MenuItem3 : MenuItem1		// edited
   {
      idc = 1046003;
      y = __EVAL(0.14 - AR_modifY);
      text = "Front View";
      action = "DeathCam camSetTarget vehicle DeathCamCurCamTarget;DeathCamComSpeed = 0.1;DeathCamRelPos = [0,4.0,0.02];DeathCamTarHeight = 1.7;DeathCamCineViewSpecial = 0;";
   }
   class MenuItem4 : MenuItem1		// edited
   {
      idc = 1046004;
      y = __EVAL(0.17 - AR_modifY);
      text = "Top View";
      action = "DeathCam camSetTarget [0,0,-99999999.99];DeathCamComSpeed = 0.05;DeathCamRelPos = [0,0.1,50.0];DeathCamTarHeight = 1.7;DeathCamCineViewSpecial = 2;";
   }
   class MenuItem5 : MenuItem1		// edited
   {
      idc = 1046005;
      y = __EVAL(0.20 - AR_modifY);
      text = "Cinematic View";
      action = "DeathCam camSetTarget vehicle DeathCamCurCamTarget;DeathCamRelPos = [3,70.1,10.0];DeathCam camSetRelPos DeathCamRelPos;DeathCamComSpeed = 0;DeathCamCineViewSpecial = 1;";
   }
};



#define SNY_MATRIX_FontS "tahomaB24"
#define SNY_MATRIX_FontM "tahomaB36"
#define SNY_MATRIX_FontHTML "courierNewB64"
#define SNY_MATRIX_FontHTMLBold "courierNewB64"
#define SNY_MATRIX_FontMAP "courierNewB64"
#define SNY_MATRIX_FontMAIN "SteelfishB64"
#define SNY_MATRIX_FontMAINCZ "SteelfishB64CE"
#define SNY_MATRIX_FontTITLE "SteelfishB128"
#define SNY_MATRIX_FontTITLEHalf "SteelfishB64"
#define SNY_MATRIX_FontBOOK "garamond64"
#define SNY_MATRIX_FontNOTES "AudreysHandI48"

#define SNY_MATRIX_ST_HPOS       0x0F
#define SNY_MATRIX_ST_LEFT       0
#define SNY_MATRIX_ST_RIGHT      1
#define SNY_MATRIX_ST_CENTER     2
#define SNY_MATRIX_ST_TITLE_BAR        32
#define SNY_MATRIX_ST_TITLE               SNY_MATRIX_ST_TITLE_BAR + SNY_MATRIX_ST_CENTER
#define SNY_MATRIX_ST_PICTURE    48
#define SNY_MATRIX_ST_FRAME      64

#define SNY_MATRIX_CT_STATIC     0
#define SNY_MATRIX_CT_BUTTON    1
#define SNY_MATRIX_CT_EDIT       2
#define SNY_MATRIX_CT_SLIDER    3
#define SNY_MATRIX_CT_COMBO      4
#define SNY_MATRIX_CT_LISTBOX    5
#define SNY_MATRIX_CT_ACTIVETEXT 11

class SNY_MATRIX_RscText
{
        type = SNY_MATRIX_CT_STATIC;
        idc = -1;
        style = SNY_MATRIX_ST_LEFT;
        colorBackground[] = {1, 1, 1, 0};
        colorText[] = {0, 0, 0, 1};
        font = SNY_MATRIX_FontHTML;
        sizeEx = 0.0225;
      text = ;
};

class SNY_MATRIX_RscTitle
{
   type = SNY_MATRIX_CT_STATIC;
   idc = -1;
   style = SNY_MATRIX_ST_TITLE;
   colorBackground[] = {1, 1, 1, 1};
   colorText[] = {0, 0, 0, 1};
   font = SNY_MATRIX_FontHTML
   sizeEx = 0.0225;
};

class SNY_MATRIX_RscActiveText
{
   type = SNY_MATRIX_CT_ACTIVETEXT;
   idc = -1;
   style = SNY_MATRIX_ST_LEFT;
        color[] = {1, 1, 1, 1};
        colorActive[] = {1, 0, 0, 1};
        font = SNY_MATRIX_FontM;
        sizeEx = 0.025;
        soundEnter[] = {"ui\ui_over", 0.2, 1};
        soundPush[] = {, 0.2, 1};
        soundClick[] = {"ui\ui_ok", 0.2, 1};
        soundEscape[] = {"ui\ui_cc", 0.2, 1};
        default = false;
};

class SNY_MATRIX_RscButton
{
        type = SNY_MATRIX_CT_BUTTON;
        idc = -1;
        style = SNY_MATRIX_ST_CENTER;
        colorText[] = {0, 0, 0, 1};
        font = SNY_MATRIX_FontS;
        sizeEx = 0.02;
        soundPush[] = {, 0.2, 1};
        soundClick[] = {"ui\ui_ok", 0.2, 1};
        soundEscape[] = {"ui\ui_cc", 0.2, 1};
        default = false;
};

class SNY_MATRIX_RscEdit
{
       type = SNY_MATRIX_CT_EDIT;
       idc = -1;
       style = SNY_MATRIX_ST_LEFT;
       font = SNY_MATRIX_FontHTML;
       sizeEx = 0.025;
       colorText[] = {0, 0, 0, 1};
       colorSelection[] = {0.5, 0.5, 0.5, 1};
       autocomplete = false;
       text = ;
};

class SNY_MATRIX_RscLB_C
{
        style = SNY_MATRIX_ST_LEFT;
        idc = -1;
        colorSelect[] = {0.4, 0.4, 0.4, 1};
        colorSelectBackground[] = {0.2, 0.2, 0.2, 1};
        colorText[] = {0, 0, 0, 1};
        colorBackground[] = {0.4, 0.4, 0.4, 1};
        font = SNY_MATRIX_FontHTML;
        sizeEx = 0.0225;
        rowHeight = 0.04;
};

class SNY_MATRIX_RscListBox : SNY_MATRIX_RscLB_C
{
        type = SNY_MATRIX_CT_LISTBOX;
};

class SNY_MATRIX_RscCombo : SNY_MATRIX_RscLB_C
{
        type = SNY_MATRIX_CT_COMBO;
        wholeHeight = 0.3;
};

class SNY_MATRIX_RscSliderH
{
   type = SNY_MATRIX_CT_SLIDER;
   style = SNY_MATRIX_ST_HPOS;
   color[] = {0, 0, 0, 1};
   idc = -1;
};

class SNY_MATRIX_RscPicture
{
   type = SNY_MATRIX_CT_STATIC;
   style = SNY_MATRIX_ST_PICTURE;
   colorBackground[] = {0, 0, 0, 1};
   colorText[] = {1, 1, 1, 1};
   font = SNY_MATRIX_FontS;
   size = 0;
};

class ECP_GetMatrix
{
   #define SNY_MATRIX_sep 0.025


   #define SNY_MATRIX_bck_h 0.3
   #define SNY_MATRIX_bck_w 0.8
   #define SNY_MATRIX_bck_x (1 - SNY_MATRIX_bck_w) / 2
   #define SNY_MATRIX_bck_y (1 - SNY_MATRIX_bck_h) / 2

   #define SNY_MATRIX_frame_h SNY_MATRIX_bck_h - SNY_MATRIX_title_h

   #define SNY_MATRIX_title_h 0.05

   #define SNY_MATRIX_btn_w 0.1
   #define SNY_MATRIX_btn_x SNY_MATRIX_bck_x + (SNY_MATRIX_bck_w / 2) - (SNY_MATRIX_btn_w / 2)
   #define SNY_MATRIX_btn_y SNY_MATRIX_bck_y + SNY_MATRIX_title_h + SNY_MATRIX_sep
   #define SNY_MATRIX_btn_h 0.05


   #define SNY_MATRIX_lbl_w SNY_MATRIX_bck_w - (SNY_MATRIX_sep * 2)
   #define SNY_MATRIX_lbl_h 0.05
   #define SNY_MATRIX_lbl_x SNY_MATRIX_bck_x + SNY_MATRIX_sep
   #define SNY_MATRIX_lbl_y SNY_MATRIX_btn_y + SNY_MATRIX_btn_h + SNY_MATRIX_sep


   #define SNY_MATRIX_mbox_w SNY_MATRIX_bck_w - (SNY_MATRIX_sep * 2)
   #define SNY_MATRIX_mbox_h 0.05
   #define SNY_MATRIX_mbox_x SNY_MATRIX_bck_x + SNY_MATRIX_sep
   #define SNY_MATRIX_mbox_y SNY_MATRIX_lbl_y + SNY_MATRIX_lbl_h + SNY_MATRIX_sep

   idd = 372634;
   movingEnable = true;
   controlsBackground[] = { MY_BACKGROUND,MY_FRAME };
   objects[] = {};
   controls[] = {TITLEBAR,TITLE_TEXT,MATRIX_BOX,MATRIX_BTN,MATRIX_LBL};
   class MY_BACKGROUND : SNY_MATRIX_RscText
   {
      idc = 1;
      colorBackground[] = {0.3, 0.3, 0.3, 0.95};
      style = SNY_MATRIX_ST_CENTER;
      sizeEx = 0.025;
      x = SNY_MATRIX_bck_x;
      y = SNY_MATRIX_bck_y;
      w = SNY_MATRIX_bck_w;
      h = SNY_MATRIX_bck_h;
   };
   class MY_FRAME : SNY_MATRIX_RscText
   {
      idc = 2;
      style = SNY_MATRIX_ST_FRAME;
      colorText[] = {0, 0, 0, 1};
      text = "";
      x = SNY_MATRIX_bck_x;
      y = SNY_MATRIX_bck_y + SNY_MATRIX_title_h;
      w = SNY_MATRIX_bck_w;
      h = SNY_MATRIX_frame_h;
   };
   class TITLEBAR : SNY_MATRIX_RscTitle
   {


      idc = 8;
      text = "";
      x = SNY_MATRIX_bck_x - 0.004;
      y = SNY_MATRIX_bck_y;
      w = SNY_MATRIX_bck_w + 0.008;
      h = SNY_MATRIX_title_h;
   };
   class TITLE_TEXT : SNY_MATRIX_RscText
   {
      colorBackground[] = {0.3, 0.3, 0.3, 0};
      text = "ECP Island Matrix Tool";
      idc = 9;
      style = SNY_MATRIX_ST_LEFT;
      x = SNY_MATRIX_bck_x + 0.01;
      y = SNY_MATRIX_bck_y;
      w = SNY_MATRIX_bck_w + 0.008;
      h = SNY_MATRIX_title_h;
   };
   class MATRIX_BOX : SNY_MATRIX_RscEdit
   {
      colorBackground[] = {0.3, 0.3, 0.3, 0};
      text = "";
      idc = 10;
      style = SNY_MATRIX_ST_LEFT;
      x = SNY_MATRIX_mbox_x;
      y = SNY_MATRIX_mbox_y;
      w = SNY_MATRIX_mbox_w;
      h = SNY_MATRIX_mbox_h;
   };
   class MATRIX_BTN : SNY_MATRIX_RscButton
   {
      colorBackground[] = {0.3, 0.3, 0.3, 0};
      text = "Get Matrix!";
      action="ECP_internal set [51, true ]";
      idc = 11;
      x = SNY_MATRIX_btn_x;
      y = SNY_MATRIX_btn_y;
      w = SNY_MATRIX_btn_w;
      h = SNY_MATRIX_btn_h;
   };
   class MATRIX_LBL : SNY_MATRIX_RscText
   {
      colorBackground[] = {0.3, 0.3, 0.3, 0};
      text = "";
      idc = 12;
      x = SNY_MATRIX_lbl_x;
      y = SNY_MATRIX_lbl_y;
      w = SNY_MATRIX_lbl_w;
      h = SNY_MATRIX_lbl_h;
   };
};


	// ECP Settings in-game pause (aspect + tweak)
class RscECPSettings : RscDisplayStripesBrightLayeredBackground
{
   access=3;
   idd=7;
   movingEnable=0;
   controlsBackground[]={ECPBackground,"Background3","Background4","Background5"};

   AddECPBackground		// added (tweak)
   
   class Background3 : RscText		// edited
   {
      x=__EVAL(0 - AR_modifX - AR_modifX_2NDMON);
      y=__EVAL(0.125 - AR_modifY);
      w=__EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON * 2);
      h=__EVAL(0.75 + AR_modifY * 2);
      text="";
      colorBackground[]={0,0,0,.5};
   };

   class Background4 : RscText		// edited
   {
      x=__EVAL(0 - AR_modifX - AR_modifX_2NDMON);
      y=__EVAL(0 - AR_modifY);
      w=__EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON * 2);
      h=.125;
      text="";
      colorBackground[]={0,0,0,1};
   };

   class Background5 : RscText		// edited
   {
      x=__EVAL(0 - AR_modifX - AR_modifX_2NDMON);
      y=__EVAL(0.875 + AR_modifY);
      w=__EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON * 2);
      h=.125;
      text="";
      colorBackground[]={0,0,0,1};
   };
   objects[]={"Notebook"};



   class Notebook : RscObject		// edited
   {
      model="notebook.p3d";
      idc=505;
      type=83;
      autoOpen=1;
      autoZoom=1;
      animSpeed=1;
      animation="notebook.rtm";
      position[]={0, __EVAL(-0.175 + AR_notebookY) ,0.25};		// edited
      direction[]={0,"sin 30","cos 30"};
      up[]={0,"cos 30","-sin 30"};
      positionBack[]={0,-.04,.6};
      inBack=1;
      enableZoom=0;
      zoomDuration=1;
      scale=1;
      controls[]=
      {
         "Effect","EnDisable","BloodText","BloodEnable","BloodDisable","BloodSlider","BloodSliderText","ExploSlider","ExploSliderText","LODSlider","LODSliderText","ChopperDustText","ChopperDustEnable","ChopperDustDisable","BackBlastText","BackBlastEnable","BackBlastDisable","RealExploText","RealExploEnable","RealExploDisable","TankShockText","TankShockEnable","TankShockDisable","FireText","FireEnable","FireDisable","TailRotorText","TailRotorEnable","TailRotorDisable","ChopperSmokeText","ChopperSmokeEnable","ChopperSmokeDisable","PlaneSmokeText","PlaneSmokeEnable","PlaneSmokeDisable","EnableAll","ChopperDustScriptText","ChopperDustScriptListBox","OverrideText","OverrideListBox","OverrideActiveText","SyncAll","Optimise",
         "TimedGrenadesText","TimedGrenadesEnable","TimedGrenadesDisable",
         "RandomWeatherText","RandomWeatherEnable","RandomWeatherDisable",
         "SnowText","SnowEnable","SnowDisable",
         "Simulation","SimStatus","DSAIMasterText","DSAIMasterEnable","DSAIMasterDisable","DSAIwestText","DSAIwestEnable","DSAIwestDisable","DSAIeastText","DSAIeastEnable","DSAIeastDisable","DSAIresText","DSAIresEnable","DSAIresDisable","BulletWhizText","BulletWhizEnable","BulletWhizDisable","TankWhizText","TankWhizEnable","TankWhizDisable","RocketTrailText","RocketTrailEnable","RocketTrailDisable","RadioChatterText","RadioChatterEnable","RadioChatterDisable","AltitudeWarningText","AltitudeWarningEnable","AltitudeWarningDisable","TankMainGunFlashText","TankMainGunFlashEnable","TankMainGunFlashDisable","WeaponSmokeText","WeaponSmokeEnable","WeaponSmokeDisable","FountainEffectsText","FountainEffectsEnable","FountainEffectsDisable","FliesText","FliesEnable","FliesDisable","MGUNCartridgeText","MGUNCartridgeEnable","MGUNCartridgeDisable","HALOText","HALOEnable","HALODisable","IRAAJammingText","IRAAJammingEnable","IRAAJammingDisable","HeloComsText","HeloComsEnable","HeloComsDisable","TimedSmokeGrenadesText","TimedSmokeGrenadesEnable","TimedSmokeGrenadesDisable","GrenadeSuppressionText","GrenadeSuppressionEnable","GrenadeSuppressionDisable","BackBlastDamageText","BackBlastDamageEnable","BackBlastDamageDisable","BurningMenText","BurningMenEnable","BurningMenDisable","DustCloudsText","DustCloudsEnable","DustCloudsDisable","FireballsText","FireballsEnable","FireballsDisable","SmokingDebrisText","SmokingDebrisEnable","SmokingDebrisDisable","AIJoinText","AIJoinEnable","AIJoinDisable","AIReleaseText","AIReleaseEnable","AIReleaseDisable","ECP_logo_small_green_bg","AIInfoShareText","AIInfoShareEnable","AIInfoShareDisable","LightHouseSimText","LightHouseSimEnable","LightHouseSimDisable","CraterSmokingDebrisText","CraterSmokingDebrisEnable","CraterSmokingDebrisDisable","IslandDetectionText","BleedingText","BleedingEnable","BleedingDisable","BleedingDamageText","BleedingDamageEnable","BleedingDamageDisable","AISurrenderWestText","AISurrenderWestEnable","AISurrenderWestDisable","AISurrenderEastText","AISurrenderEastEnable","AISurrenderEastDisable","AISurrenderResText","AISurrenderResEnable","AISurrenderResDisable"
      };

      class Effect : RscObjNotebookText
      {
         x=.02;
         y=.033;
         w="0.95 * 0.6";
         h=0.04;
         text="Effect";
      };

      class EnDisable : RscObjNotebookText
      {
         x=0.29;
         y=.033;
         w="0.95 * 0.2";
         h=0.04;
         text="Status";
      };


      class BloodText : RscObjNotebookText
      {
         idc=700100;
         x=.02;
         y=.063;
         w=.45;
         h=0.04;
         text="Blood Spurt:";
      };

      class BloodEnable : RscObjNoteBookButton
      {
         idc=700101;
         style=2;
         x=0.25;
         y=.063;
         w=.15;
         h=.04;
         text=" Enabled";

         action="[""custom""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path];ctrlsettext [700135,""Settings : Custom""];ctrlshow [700101,false];ctrlshow [700102,true];ECP_BloodInternal set [23,false];ctrlshow [700200,false];ctrlshow [700201,false];";
      }


      class BloodDisable : RscObjNoteBookButtonECP
      {
         idc=700102;
         style=2;
         x=0.25;
         y=.063;
         w=.15;
         h=.04;
         text=" Disabled";

         action="[""custom""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path];ctrlsettext [700135,""Settings : Custom""];ctrlshow [700102,false];ctrlshow [700101,true];ECP_BloodInternal set [23,true];ctrlshow [700200,true];ctrlshow [700201,true];";
      };

      class ChopperDustText : RscObjNotebookText
      {
         x=.02;
         y=.393;
         w=.45;
         h=0.04;
         text="Chopper Dust (C.D.):";
      };
      class ChopperDustEnable : RscObjNoteBookButton
      {
         idc=700103;
         style=2;
         x=0.25;
         y=.393;
         w=.15;
         h=.04;
         text=" Enabled";
         action="[""custom""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path];ctrlsettext [700135,""Settings : Custom""];ctrlshow [700103,false];ctrlshow [700104,true];ECP_local set [33,false]";
      }


      class ChopperDustDisable : RscObjNoteBookButtonECP
      {
         idc=700104;
         style=2;
         x=0.25;
         y=.393;
         w=.15;
         h=.04;
         text=" Disabled";
         action="[""custom""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path];ctrlsettext [700135,""Settings : Custom""];ctrlshow [700104,false];ctrlshow [700103,true];ECP_local set [33,true]";
      };

      class BackBlastText : RscObjNotebookText
      {
         x=.02;
         y=.123;
         w=.45;
         h=0.04;
         text="AT/AA Back Blast:";
      };
      class BackBlastEnable : RscObjNoteBookButton
      {
         idc=700107;
         style=2;
         x=0.25;
         y=.123;
         w=.15;
         h=.04;
         text=" Enabled";
         action="[""custom""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path];ctrlsettext [700135,""Settings : Custom""];ctrlshow [700107,false];ctrlshow [700108,true];ECP_local set [56,false]";
      }


      class BackBlastDisable : RscObjNoteBookButtonECP
      {
         idc=700108;
         style=2;
         x=0.25;
         y=.123;
         w=.15;
         h=.04;
         text=" Disabled";
         action="[""custom""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path];ctrlsettext [700135,""Settings : Custom""];ctrlshow [700108,false];ctrlshow [700107,true];ECP_local set [56,true]";
      };



      class RealExploText : RscObjNotebookText
      {
         x=.02;
         y=.153;
         w=.45;
         h=0.04;
         text="Explosions:";
      };
      class RealExploEnable : RscObjNoteBookButton
      {
         idc=700105;
         style=2;
         x=0.25;
         y=.153;
         w=.15;
         h=.04;
         text=" Enabled";
         action="[""custom""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path];ctrlsettext [700135,""Settings : Custom""];ctrlshow [700105,false];ctrlshow [700106,true];ECP_local set [83,false];ctrlshow [700300,false];ctrlshow [700301,false];ctrlshow [700177,false];ctrlshow [700178,true];ECP_local set [89,false];ctrlshow [700179,false];ctrlshow [700180,true];ECP_local set [87,false];ctrlshow [700181,false];ctrlshow [700182,true];ECP_local set [85,false];ctrlshow [700183,false];ctrlshow [700184,true];ECP_local set [88,false];ctrlshow [700193,false];ctrlshow [700194,true];ECP_local set [176,false]";
      }


      class RealExploDisable : RscObjNoteBookButtonECP
      {
         idc=700106;
         style=2;
         x=0.25;
         y=.153;
         w=.15;
         h=.04;
         text=" Disabled";
         action="[""custom""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path];ctrlsettext [700135,""Settings : Custom""];ctrlshow [700106,false];ctrlshow [700105,true];ECP_local set [83,true];ctrlshow [700300,true];ctrlshow [700301,true];if ((ECP_internal select 60) >= 2)then{ECP_local set [89,true];ctrlshow [700177,true];ctrlshow [700178,false]};if ((ECP_internal select 60) >= 3)then{ECP_local set [87,true];ctrlshow [700179,true];ctrlshow [700180,false]};if ((ECP_internal select 60) >= 3)then{ECP_local set [85,true];ctrlshow [700181,true];ctrlshow [700182,false]};if ((ECP_internal select 60) >= 1)then{ECP_local set [88,true];ctrlshow [700183,true];ctrlshow [700184,false]};if ((ECP_internal select 60) >= 3)then{ctrlshow [700193,true];ctrlshow [700194,false];ECP_local set [176,true]}";
      };

      class TankShockText : RscObjNotebookText
      {
         x=.02;
         y=.183;
         w=.45;
         h=0.04;
         text="Tank Shock Dust:";
      };
      class TankShockEnable : RscObjNoteBookButton
      {
         idc=700109;
         style=2;
         x=0.25;
         y=.183;
         w=.15;
         h=.04;
         text=" Enabled";
         action="[""custom""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path];ctrlsettext [700135,""Settings : Custom""];ctrlshow [700109,false];ctrlshow [700110,true];ECP_local set [38,false]";
      }


      class TankShockDisable : RscObjNoteBookButtonECP
      {
         idc=700110;
         style=2;
         x=0.25;
         y=.183;
         w=.15;
         h=.04;
         text=" Disabled";
         action="[""custom""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path];ctrlsettext [700135,""Settings : Custom""];ctrlshow [700110,false];ctrlshow [700109,true];ECP_local set [38,true]";
      };

      class FireText : RscObjNotebookText
      {
         x=.02;
         y=.213;
         w=.45;
         h=0.04;
         text="Vehicle/Building Fires:";
      };
      class FireEnable : RscObjNoteBookButton
      {
         idc=700111;
         style=2;
         x=0.25;
         y=.213;
         w=.15;
         h=.04;
         text=" Enabled";
         action="[""custom""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path];ctrlsettext [700135,""Settings : Custom""];ctrlshow [700111,false];ctrlshow [700112,true];ECP_local set [42,false]";
      }


      class FireDisable : RscObjNoteBookButtonECP
      {
         idc=700112;
         style=2;
         x=0.25;
         y=.213;
         w=.15;
         h=.04;
         text=" Disabled";
         action="[""custom""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path];ctrlsettext [700135,""Settings : Custom""];ctrlshow [700112,false];ctrlshow [700111,true];ECP_local set [42,true]";
      };

      class ChopperSmokeText : RscObjNotebookText
      {
         x=.02;
         y=.243;
         w=.45;
         h=0.04;
         text="Chopper Smoke:";
      };
      class ChopperSmokeEnable : RscObjNoteBookButton
      {
         idc=700115;
         style=2;
         x=0.25;
         y=.243;
         w=.15;
         h=.04;
         text=" Enabled";
         action="[""custom""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path];ctrlsettext [700135,""Settings : Custom""];ctrlshow [700115,false];ctrlshow [700116,true];ECP_local set [60,false]";
      }


      class ChopperSmokeDisable : RscObjNoteBookButtonECP
      {
         idc=700116;
         style=2;
         x=0.25;
         y=.243;
         w=.15;
         h=.04;
         text=" Disabled";
         action="[""custom""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path];ctrlsettext [700135,""Settings : Custom""];ctrlshow [700116,false];ctrlshow [700115,true];ECP_local set [60,true]";
      };

      class PlaneSmokeText : RscObjNotebookText
      {
         x=.02;
         y=.273;
         w=.45;
         h=0.04;
         text="Plane Smoke:";
      };
      class  PlaneSmokeEnable : RscObjNoteBookButton
      {
         idc=700117;
         style=2;
         x=0.25;
         y=.273;
         w=.15;
         h=.04;
         text=" Enabled";
         action="[""custom""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path];ctrlsettext [700135,""Settings : Custom""];ctrlshow [700117,false];ctrlshow [700118,true];ECP_local set [63,false]";
      }


      class  PlaneSmokeDisable : RscObjNoteBookButtonECP
      {
         idc=700118;
         style=2;
         x=0.25;
         y=.273;
         w=.15;
         h=.04;
         text=" Disabled";
         action="[""custom""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path];ctrlsettext [700135,""Settings : Custom""];ctrlshow [700118,false];ctrlshow [700117,true];ECP_local set [63,true]";
      };



      class BloodSlider : Rsc3DSliderH
      {
         type=24;
         idc=700200;
         style=1;
         x=.38;
         y=.493;
         w=.23;
         h=.025;
         color[]={0,1,0,1};
         angle=0;
         selection="display";
      };

      class BloodSliderText : RscObjNotebookText
      {
         idc=700201;
         x=.38;
         y=.433;
         w=.45;
         h=0.035;
         text="";
      };

      class ExploSlider : Rsc3DSliderH
      {
         type=24;
         idc=700300;
         style=1;
         x=.38;
         y=.583;
         w=.23;
         h=.025;
         color[]={0,1,0,1};
         angle=0;
         selection="display";
      };

      class ExploSliderText : RscObjNotebookText
      {
         idc=700301;
         x=.38;
         y=.523;
         w=.45;
         h=0.035;
         text="";
      };

      class LODSlider : Rsc3DSliderH
      {
         type=24;
         idc=700400;
         style=1;
         x=.38;
         y=.673;
         w=.23;
         h=.025;
         color[]={0,1,0,1};
         angle=0;
         selection="display";
      };

      class LODSliderText : RscObjNotebookText
      {
         idc=700401;
         x=.38;
         y=.613;
         w=.45;
         h=0.035;
         text="";
      };

      class BulletWhizText : RscObjNotebookText
      {
         x=.02;
         y=.333;
         w=.45;
         h=0.04;
         text="Soldier Bullet Whiz:";
      };
      class  BulletWhizEnable : RscObjNoteBookButton
      {
         idc=700123;
         style=2;
         x=0.25;
         y=.333;
         w=.15;
         h=.04;
         text=" Enabled";
         action="[""custom""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path];ctrlsettext [700135,""Settings : Custom""];ctrlshow [700123,false];ctrlshow [700124,true];ECP_local set [68,false]";
      }
      class  BulletWhizDisable : RscObjNoteBookButtonECP
      {
         idc=700124;
         style=2;
         x=0.25;
         y=.333;
         w=.15;
         h=.04;
         text=" Disabled";
         action="[""custom""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path];ctrlsettext [700135,""Settings : Custom""];ctrlshow [700124,false];ctrlshow [700123,true];ECP_local set [68,true]";
      };
      class TankWhizText : RscObjNotebookText
      {
         x=.02;
         y=.363;
         w=.45;
         h=0.04;
         text="Tank Bullet/Shell Whiz:";
      };
      class  TankWhizEnable : RscObjNoteBookButton
      {
         idc=700131;
         style=2;
         x=0.25;
         y=.363;
         w=.15;
         h=.04;
         text=" Enabled";
         action="[""custom""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path];ctrlsettext [700135,""Settings : Custom""];ctrlshow [700131,false];ctrlshow [700132,true];ECP_local set [70,false];ctrlshow [700147,false];ctrlshow [700148,true];ECP_local set [207,false];ctrlshow [700109,false];ctrlshow [700110,true];ECP_local set [38,false]";
      }
      class  TankWhizDisable : RscObjNoteBookButtonECP
      {
         idc=700132;
         style=2;
         x=0.25;
         y=.363;
         w=.15;
         h=.04;
         text=" Disabled";
         action="[""custom""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path];ctrlsettext [700135,""Settings : Custom""];ctrlshow [700132,false];ctrlshow [700131,true];ECP_local set [70,true];if ((ECP_internal select 60) >= 2)then{ctrlshow [700147,true];ctrlshow [700148,false];ECP_local set [207,true]}";
      };
      class RocketTrailText : RscObjNotebookText
      {
         x=.02;
         y=.093;
         w=.45;
         h=0.04;
         text="AT/AA Smoke Trail:";
      };
      class  RocketTrailEnable : RscObjNoteBookButton
      {
         idc=700139;
         style=2;
         x=0.25;
         y=.093;
         w=.15;
         h=.04;
         text=" Enabled";
         action="[""custom""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path];ctrlsettext [700135,""Settings : Custom""];ctrlshow [700139,false];ctrlshow [700142,true];ECP_local set [55,false]";
      }
      class  RocketTrailDisable : RscObjNoteBookButtonECP
      {
         idc=700142;
         style=2;
         x=0.25;
         y=.093;
         w=.15;
         h=.04;
         text=" Disabled";
         action="[""custom""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path];ctrlsettext [700135,""Settings : Custom""];ctrlshow [700142,false];ctrlshow [700139,true];ECP_local set [55,true]";
      };

      class RadioChatterText : RscObjNotebookText
      {
         x=.02;
         y=.423;
         w=.45;
         h=0.04;
         text="Radio Chatter:";
      };
      class  RadioChatterEnable : RscObjNoteBookButton
      {
         idc=700143;
         style=2;
         x=0.25;
         y=.423;
         w=.15;
         h=.04;
         text=" Enabled";
         action="[""custom""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path];ctrlsettext [700135,""Settings : Custom""];ctrlshow [700143,false];ctrlshow [700144,true];ECP_local set [198,false]";
      }
      class  RadioChatterDisable : RscObjNoteBookButtonECP
      {
         idc=700144;
         style=2;
         x=0.25;
         y=.423;
         w=.15;
         h=.04;
         text=" Disabled";
         action="[""custom""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path];ctrlsettext [700135,""Settings : Custom""];ctrlshow [700144,false];ctrlshow [700143,true];ECP_local set [198,true]";
      };
      class AltitudeWarningText : RscObjNotebookText
      {
         x=.02;
         y=.453;
         w=.45;
         h=0.04;
         text="Altitude Warning:";
      };
      class  AltitudeWarningEnable : RscObjNoteBookButton
      {
         idc=700145;
         style=2;
         x=0.25;
         y=.453;
         w=.15;
         h=.04;
         text=" Enabled";
         action="[""custom""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path];ctrlsettext [700135,""Settings : Custom""];ctrlshow [700145,false];ctrlshow [700146,true];ECP_local set [106,false]";
      }
      class  AltitudeWarningDisable : RscObjNoteBookButtonECP
      {
         idc=700146;
         style=2;
         x=0.25;
         y=.453;
         w=.15;
         h=.04;
         text=" Disabled";
         action="[""custom""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path];ctrlsettext [700135,""Settings : Custom""];ctrlshow [700146,false];ctrlshow [700145,true];ECP_local set [106,true]";
      };
      class TankMainGunFlashText : RscObjNotebookText
      {
         x=.02;
         y=.483;
         w=.45;
         h=0.04;
         text="Tank Main Gun Flash:";
      };
      class  TankMainGunFlashEnable : RscObjNoteBookButton
      {
         idc=700147;
         style=2;
         x=0.25;
         y=.483;
         w=.15;
         h=.04;
         text=" Enabled";
         action="[""custom""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path];ctrlsettext [700135,""Settings : Custom""];ctrlshow [700147,false];ctrlshow [700148,true];ECP_local set [207,false]";
      }
      class  TankMainGunFlashDisable : RscObjNoteBookButtonECP
      {
         idc=700148;
         style=2;
         x=0.25;
         y=.483;
         w=.15;
         h=.04;
         text=" Disabled";
         action="[""custom""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path];ctrlsettext [700135,""Settings : Custom""];ctrlshow [700148,false];ctrlshow [700147,true];ECP_local set [207,true]";
      };
      class WeaponSmokeText : RscObjNotebookText
      {
         x=.02;
         y=.513;
         w=.45;
         h=0.04;
         text="Weapon Smoke:";
      };
      class  WeaponSmokeEnable : RscObjNoteBookButton
      {
         idc=700149;
         style=2;
         x=0.25;
         y=.513;
         w=.15;
         h=.04;
         text=" Enabled";
         action="[""custom""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path];ctrlsettext [700135,""Settings : Custom""];ctrlshow [700149,false];ctrlshow [700150,true];ECP_local set [135,false]";
      }
      class  WeaponSmokeDisable : RscObjNoteBookButtonECP
      {
         idc=700150;
         style=2;
         x=0.25;
         y=.513;
         w=.15;
         h=.04;
         text=" Disabled";
         action="[""custom""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path];ctrlsettext [700135,""Settings : Custom""];ctrlshow [700150,false];ctrlshow [700149,true];ECP_local set [135,true]";
      };

      class FountainEffectsText : RscObjNotebookText
      {
         x=.02;
         y=.543;
         w=.45;
         h=0.04;
         text="Animated Fountains:";
      };
      class  FountainEffectsEnable : RscObjNoteBookButton
      {
         idc=700151;
         style=2;
         x=0.25;
         y=.543;
         w=.15;
         h=.04;
         text=" Enabled";
         action="[""custom""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path];ctrlsettext [700135,""Settings : Custom""];ctrlshow [700151,false];ctrlshow [700152,true];ECP_local set [194,false]";
      }
      class  FountainEffectsDisable : RscObjNoteBookButtonECP
      {
         idc=700152;
         style=2;
         x=0.25;
         y=.543;
         w=.15;
         h=.04;
         text=" Disabled";
         action="[""custom""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path];ctrlsettext [700135,""Settings : Custom""];ctrlshow [700152,false];ctrlshow [700151,true];ECP_local set [194,true]";
      };

      class FliesText : RscObjNotebookText
      {
         x=.02;
         y=.573;
         w=.45;
         h=0.04;
         text="Flies:";
      };
      class  FliesEnable : RscObjNoteBookButton
      {
         idc=700153;
         style=2;
         x=0.25;
         y=.573;
         w=.15;
         h=.04;
         text=" Enabled";
         action="[""custom""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path];ctrlsettext [700135,""Settings : Custom""];ctrlshow [700153,false];ctrlshow [700154,true];ECP_local set [112,false]";
      }
      class  FliesDisable : RscObjNoteBookButtonECP
      {
         idc=700154;
         style=2;
         x=0.25;
         y=.573;
         w=.15;
         h=.04;
         text=" Disabled";
         action="[""custom""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path];ctrlsettext [700135,""Settings : Custom""];ctrlshow [700154,false];ctrlshow [700153,true];ECP_local set [112,true]";
      };

      class MGUNCartridgeText : RscObjNotebookText
      {
         x=.02;
         y=.603;
         w=.45;
         h=0.04;
         text="MGun Cartridges:";
      };
      class  MGUNCartridgeEnable : RscObjNoteBookButton
      {
         idc=700155;
         style=2;
         x=0.25;
         y=.603;
         w=.15;
         h=.04;
         text=" Enabled";
         action="[""custom""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path];ctrlsettext [700135,""Settings : Custom""];ctrlshow [700155,false];ctrlshow [700156,true];ECP_local set [172,false]";
      }
      class  MGUNCartridgeDisable : RscObjNoteBookButtonECP
      {
         idc=700156;
         style=2;
         x=0.25;
         y=.603;
         w=.15;
         h=.04;
         text=" Disabled";
         action="[""custom""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path];ctrlsettext [700135,""Settings : Custom""];ctrlshow [700156,false];ctrlshow [700155,true];ECP_local set [172,true]";
      };
      class BurningMenText : RscObjNotebookText
      {
         x=.02;
         y=.633;
         w=.45;
         h=0.04;
         text="Burning Men:";
      };
      class  BurningMenEnable : RscObjNoteBookButton
      {
         idc=700177;
         style=2;
         x=0.25;
         y=.633;
         w=.15;
         h=.04;
         text=" Enabled";
         action="[""custom""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path];ctrlsettext [700135,""Settings : Custom""];ctrlshow [700177,false];ctrlshow [700178,true];ECP_local set [89,false]";
      }
      class  BurningMenDisable : RscObjNoteBookButtonECP
      {
         idc=700178;
         style=2;
         x=0.25;
         y=.633;
         w=.15;
         h=.04;
         text=" Disabled";
         action="if(ECP_local select 83)then{[""custom""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path];ctrlsettext [700135,""Settings : Custom""];ctrlshow [700178,false];ctrlshow [700177,true];ECP_local set [89,true]}";
      };

      class DustCloudsText : RscObjNotebookText
      {
         x=.02;
         y=.663;
         w=.45;
         h=0.04;
         text="Dust Clouds:";
      };
      class  DustCloudsEnable : RscObjNoteBookButton
      {
         idc=700179;
         style=2;
         x=0.25;
         y=.663;
         w=.15;
         h=.04;
         text=" Enabled";
         action="[""custom""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path];ctrlsettext [700135,""Settings : Custom""];ctrlshow [700179,false];ctrlshow [700180,true];ECP_local set [87,false]";
      }
      class  DustCloudsDisable : RscObjNoteBookButtonECP
      {
         idc=700180;
         style=2;
         x=0.25;
         y=.663;
         w=.15;
         h=.04;
         text=" Disabled";
         action="if(ECP_local select 83)then{[""custom""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path];ctrlsettext [700135,""Settings : Custom""];ctrlshow [700180,false];ctrlshow [700179,true];ECP_local set [87,true]}";
      };
      class FireballsText : RscObjNotebookText
      {
         x=.02;
         y=.693;
         w=.45;
         h=0.04;
         text="Fireball/2nd Explosion:";
      };
      class  FireballsEnable : RscObjNoteBookButton
      {
         idc=700181;
         style=2;
         x=0.25;
         y=.693;
         w=.15;
         h=.04;
         text=" Enabled";
         action="[""custom""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path];ctrlsettext [700135,""Settings : Custom""];ctrlshow [700181,false];ctrlshow [700182,true];ECP_local set [85,false]";
      }
      class  FireballsDisable : RscObjNoteBookButtonECP
      {
         idc=700182;
         style=2;
         x=0.25;
         y=.693;
         w=.15;
         h=.04;
         text=" Disabled";
         action="if(ECP_local select 83)then{[""custom""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path];ctrlsettext [700135,""Settings : Custom""];ctrlshow [700182,false];ctrlshow [700181,true];ECP_local set [85,true]}";
      };
      class SmokingDebrisText : RscObjNotebookText
      {
         x=.02;
         y=.723;
         w=.45;
         h=0.04;
         text="Vehicle Smoking Debris:";
      };
      class  SmokingDebrisEnable : RscObjNoteBookButton
      {
         idc=700183;
         style=2;
         x=0.25;
         y=.723;
         w=.15;
         h=.04;
         text=" Enabled";
         action="[""custom""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path];ctrlsettext [700135,""Settings : Custom""];ctrlshow [700183,false];ctrlshow [700184,true];ECP_local set [88,false]";
      }
      class  SmokingDebrisDisable : RscObjNoteBookButtonECP
      {
         idc=700184;
         style=2;
         x=0.25;
         y=.723;
         w=.15;
         h=.04;
         text=" Disabled";
         action="if(ECP_local select 83)then{[""custom""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path];ctrlsettext [700135,""Settings : Custom""];ctrlshow [700184,false];ctrlshow [700183,true];ECP_local set [88,true]}";
      };
      class CraterSmokingDebrisText : RscObjNotebookText
      {
         x=.02;
         y=.753;
         w=.45;
         h=0.04;
         text="Crater Smoke/Debris:";
      };
      class  CraterSmokingDebrisEnable : RscObjNoteBookButton
      {
         idc=700193;
         style=2;
         x=0.25;
         y=.753;
         w=.15;
         h=.04;
         text=" Enabled";
         action="[""custom""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path];ctrlsettext [700135,""Settings : Custom""];ctrlshow [700193,false];ctrlshow [700194,true];ECP_local set [176,false]";
      }
      class  CraterSmokingDebrisDisable : RscObjNoteBookButtonECP
      {
         idc=700194;
         style=2;
         x=0.25;
         y=.753;
         w=.15;
         h=.04;
         text=" Disabled";
         action="if(ECP_local select 83)then{[""custom""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path];ctrlsettext [700135,""Settings : Custom""];ctrlshow [700194,false];ctrlshow [700193,true];ECP_local set [176,true]}";
      };
      class BleedingText : RscObjNotebookText
      {
         x=.02;
         y=.783;
         w=.45;
         h=0.04;
         text="Bleeding:";
      };
      class  BleedingEnable : RscObjNoteBookButton
      {
         idc=700197;
         style=2;
         x=0.25;
         y=.783;
         w=.15;
         h=.04;
         text=" Enabled";
         action="[""custom""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path];ctrlsettext [700135,""Settings : Custom""];ctrlshow [700197,false];ctrlshow [700198,true];ECP_BloodInternal set [37,false]";
      }
      class  BleedingDisable : RscObjNoteBookButtonECP
      {
         idc=700198;
         style=2;
         x=0.25;
         y=.783;
         w=.15;
         h=.04;
         text=" Disabled";
         action="[""custom""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path];ctrlsettext [700135,""Settings : Custom""];ctrlshow [700198,false];ctrlshow [700197,true];ECP_BloodInternal set [37,true]";
      };
      class SnowText : RscObjNotebookText
      {
         x=.02;
         y=.303;
         w=.45;
         h=0.04;
         text="Snow:";
      };
      class  SnowEnable : RscObjNoteBookButton
      {
         idc=700127;
         style=2;
         x=0.25;
         y=.303;
         w=.15;
         h=.04;
         text=" Enabled";
         action="if ((ECP_internal select 56) or (ECP_internal select 57) or (ECP_internal select 58) or (ECP_internal select 59)) then {ctrlsettext [700135,""Settings : Custom""]};ctrlshow [700127,false];ctrlshow [700128,true];ECP_local set [74,false]";
      }
      class SnowDisable : RscObjNoteBookButtonECP
      {
         idc=700128;
         style=2;
         x=0.25;
         y=.303;
         w=.15;
         h=.04;
         text=" Disabled";
         action="if ((ECP_internal select 56) or (ECP_internal select 57) or (ECP_internal select 58) or (ECP_internal select 59)) then {ctrlsettext [700135,""Settings : Custom""]};ctrlshow [700127,true];ctrlshow [700128,false];ECP_local set [74,true]";
      };
      class  EnableAll : RscObjNoteBookButton
      {
         idc=700129;
         style=1;
         x=0.22;
         y=.86;
         w=.15;
         h=.04;
         text=" Enable All";
         action="if (ECP_internal select 56) then {[""none""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path]; ctrlsettext [700129,"" Enable All""]} else {[""all""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path]; ctrlsettext [700129,"" Disable All""]}";
      }
      class ChopperDustScriptText : RscObjNotebookText
      {
         idc=700133
         x=.38;
         y=.703;
         w=.45;
         h=0.035;
         text="";
      };
      class ChopperDustScriptListBox : RscObjNotebookListBox
      {
         idc=700134;
         x=.385;
         y=.748;
         w=.22;
         h="2*.11/3";
         rows=2;
      };
      class IslandDetectionText : RscObjNotebookText
      {
         idc=700196
         x=.38;
         y=.833;
         w=.45;
         h=0.035;
         text="";
      };
      class OverrideText : RscObjNotebookText
      {
         idc=700135;
         x=.38;
         y=0.223;
         w=.45;
         h=0.04;
         text="";
      };
      class OverrideListBox : RscObjNotebookListBox
      {
         idc=700136;
         x=.385;
         y=.272;
         w=.22;
         h=".11";
         rows=3;
      };
      class OverrideActiveText : RscObjNoteBookButtonECP
      {
         idc=700137;
         style=2;
         x=.27;
         y=.39;
         w=.45;
         h=.04;
         text="Override Settings";
         action="[] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path]";
      };
      class  SyncAll : RscObjNoteBookButton
      {
         idc=700138;
         style=2;
         x=0.51;
         y=.87;
         w=.45;
         h=.04;
         text="Synchronise Settings";
         action="if (ECP_internal select 31) then {[""sync""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path]}";
      };
      class  Optimise : RscObjNoteBookButton
      {
         idc=700140;
         style=2;
         x=0.51;
         y=.92;
         w=.45;
         h=.04;
         text="Optimise Settings";
         action="[""optim""] exec format[""%1settings_dialog\OverrideAction.sqs"",ECP_path]";
      };
      #define ECP_sim_header_Y 0.033
      #define ECP_timed_Y 0.063
      #define ECP_tail_fail_Y 0.093
      #define ECP_weather_Y 0.123
      #define ECP_dsai_master_Y 0.153

      class Simulation : RscObjNotebookText
      {
         x=.65;
         y=ECP_sim_header_Y;
         w="0.95 * 0.6";
         h=0.04;
         text="Simulation";
      };
      class SimStatus : RscObjNotebookText
      {
         x=0.90;
         y=ECP_sim_header_Y;
         w="0.95 * 0.2";
         h=0.04;
         text="Status";
      };
      class TimedGrenadesText : RscObjNotebookText
      {
         x=.65;
         y=ECP_timed_Y;
         w=.45;
         h=0.04;
         text="Timed Grenades:";
      };
      class  TimedGrenadesEnable : RscObjNoteBookButton
      {
         idc=700119;
         style=2;
         x=.855;
         y=ECP_timed_Y;
         w=.15;
         h=.04;
         text=" Enabled";

         action="if (ECP_internal select 31) then {ctrlshow [700173,false];ctrlshow [700174,true];ECP_local set [140,false];ctrlshow [700119,false];ctrlshow [700120,true];ECP_public set [24,false]; if (ECP_internal select 63) then {ECP_public24 = ECP_public select 24; publicvariable ""ECP_public24""; ECP_publicPending = true; publicvariable ""ECP_publicPending""}}";
      }
      class TimedGrenadesDisable : RscObjNoteBookButtonECP
      {
         idc=700120;
         style=2;
         x=.855;
         y=ECP_timed_Y;
         w=.15;
         h=.04;
         text=" Disabled";
         action="if (ECP_internal select 31) then {ctrlshow [700120,false];ctrlshow [700119,true];ECP_public set [24,true];if (ECP_internal select 63) then {ECP_public24 = ECP_public select 24; publicvariable ""ECP_public24""; ECP_publicPending = true; publicvariable ""ECP_publicPending""}}";
      };
      class TailRotorText : RscObjNotebookText
      {
         x=.65;
         y=ECP_tail_fail_Y;
         w=.45;
         h=0.04;
         text="Tail Rotor failure:";
      };
      class TailRotorEnable : RscObjNoteBookButton
      {
         idc=700113;
         style=2;
         x=.855;
         y=ECP_tail_fail_Y;
         w=.15;
         h=.04;
         text=" Enabled";
         action="if (ECP_internal select 31) then {ctrlshow [700113,false];ctrlshow [700114,true];ECP_public set [5,false]; if (ECP_internal select 63) then {ECP_public5 = ECP_public select 5; publicvariable ""ECP_public5""; ECP_publicPending = true; publicvariable ""ECP_publicPending""}}";
      }
      class TailRotorDisable : RscObjNoteBookButtonECP
      {
         idc=700114;
         style=2;
         x=.855;
         y=ECP_tail_fail_Y;
         w=.15;
         h=.04;
         text=" Disabled";
         action="if (ECP_internal select 31) then {ctrlshow [700114,false];ctrlshow [700113,true];ECP_public set [5,true]; if (ECP_internal select 63) then {ECP_public5 = ECP_public select 5; publicvariable ""ECP_public5""; ECP_publicPending = true; publicvariable ""ECP_publicPending""}}";
      };

      class RandomWeatherText : RscObjNotebookText
      {
         x=.65;
         y=ECP_weather_Y;
         w=.45;
         h=0.04;
         text="Random Weather:";
      };
      class  RandomWeatherEnable : RscObjNoteBookButton
      {
         idc=700125;
         style=2;
         x=.855;
         y=ECP_weather_Y;
         w=.15;
         h=.04;
         text=" Enabled";
         action="if (ECP_internal select 31) then {ctrlshow [700125,false];ctrlshow [700126,true];ECP_public set [19,false]; if (ECP_internal select 63) then {ECP_public19 = ECP_public select 19; publicvariable ""ECP_public19""; ECP_publicPending = true; publicvariable ""ECP_publicPending""}}";
      }
      class  RandomWeatherDisable : RscObjNoteBookButtonECP
      {
         idc=700126;
         style=2;
         x=.855;
         y=ECP_weather_Y;
         w=.15;
         h=.04;
         text=" Disabled";
         action="if (ECP_internal select 31) then {ctrlshow [700126,false];ctrlshow [700125,true];ECP_public set [19,true]; if (ECP_internal select 63) then {ECP_public19 = ECP_public select 19; publicvariable ""ECP_public19""; ECP_publicPending = true; publicvariable ""ECP_publicPending""}}";
      };

      class DSAIMasterText : RscObjNotebookText
      {
         x=.65;
         y=ECP_dsai_master_Y;
         w=.45;
         h=0.04;
         text="DSAI Master:";
      };
      class  DSAIMasterEnable : RscObjNoteBookButton
      {
         idc=700163;
         style=2;
         x=0.855;
         y=ECP_dsai_master_Y;
         w=.15;
         h=.04;
         text=" Enabled";
         action="if (ECP_internal select 63)then{if (ECP_internal select 131)then{ctrlshow [700163,false];ctrlshow [700164,true];ctrlshow [700165,false];ctrlshow [700166,true];ctrlshow [700167,false];ctrlshow [700168,true];ctrlshow [700169,false];ctrlshow [700170,true];ctrlshow [700205,false];ctrlshow [700206,true];ctrlshow [700207,false];ctrlshow [700208,true];ctrlshow [700209,false];ctrlshow [700210,true];ECP_public set [62,false];ECP_public set [63,false];ECP_public set [64,false];ECP_public set [51,false];ECP_public set [52,false];ECP_public set [53,false];ECP_public set [54,false];ECP_public62 = ECP_public select 62;publicvariable ""ECP_public62"";ECP_public63 = ECP_public select 63;publicvariable ""ECP_public63"";ECP_public64 = ECP_public select 64; publicvariable ""ECP_public64"";ECP_public51 = ECP_public select 51;publicvariable ""ECP_public51"";ECP_public52 = ECP_public select 52;publicvariable ""ECP_public52"";ECP_public53 = ECP_public select 53;publicvariable ""ECP_public53"";ECP_public54 = ECP_public select 54;publicvariable ""ECP_public54"";ECP_publicPending = true;publicvariable ""ECP_publicPending""}}else{ctrlshow [700163,false];ctrlshow [700164,true];ctrlshow [700165,false];ctrlshow [700166,true];ctrlshow [700167,false];ctrlshow [700168,true];ctrlshow [700169,false];ctrlshow [700170,true];ctrlshow [700205,false];ctrlshow [700206,true];ctrlshow [700207,false];ctrlshow [700208,true];ctrlshow [700209,false];ctrlshow [700210,true];ECP_public set [62,false];ECP_public set [63,false];ECP_public set [64,false];ECP_public set [51,false];ECP_public set [52,false];ECP_public set [53,false];ECP_public set [54,false]}";
      }
      class  DSAIMasterDisable : RscObjNoteBookButtonECP
      {
         idc=700164;
         style=2;
         x=0.855;
         y=ECP_dsai_master_Y;
         w=.15;
         h=.04;
         text=" Disabled";
         action="";
      };
      class DSAIwestText : RscObjNotebookText
      {
         x=.65;
         y=0.183;
         w=.45;
         h=0.04;
         text="DSAI West (USA):";
      };
      class  DSAIwestEnable : RscObjNoteBookButton
      {
         idc=700165;
         style=2;
         x=0.855;
         y=0.183;
         w=.15;
         h=.04;
         text=" Enabled";
         action="if (ECP_internal select 63)then{if (ECP_internal select 131)then{ctrlshow [700165,false];ctrlshow [700166,true];ctrlshow [700205,false];ctrlshow [700206,true];ECP_public set [62,false];ECP_public set [52,false];ECP_public62 = ECP_public select 62;publicvariable ""ECP_public62"";ECP_public52 = ECP_public select 52;publicvariable ""ECP_public52"";ECP_publicPending = true;publicvariable ""ECP_publicPending""}}else{ctrlshow [700165,false];ctrlshow [700166,true];ctrlshow [700205,false];ctrlshow [700206,true];ECP_public set [62,false];ECP_public set [52,false]}";
      }
      class  DSAIwestDisable : RscObjNoteBookButtonECP
      {
         idc=700166;
         style=2;
         x=0.855;
         y=0.183;
         w=.15;
         h=.04;
         text=" Disabled";
         action="";
      };
      class DSAIeastText : RscObjNotebookText
      {
         x=.65;
         y=0.213;
         w=.45;
         h=0.04;
         text="DSAI East (Russian):";
      };
      class  DSAIeastEnable : RscObjNoteBookButton
      {
         idc=700167;
         style=2;
         x=0.855;
         y=0.213;
         w=.15;
         h=.04;
         text=" Enabled";
         action="if (ECP_internal select 63)then{if (ECP_internal select 131)then{ctrlshow [700167,false];ctrlshow [700168,true];ctrlshow [700207,false];ctrlshow [700208,true];ECP_public set [63,false];ECP_public set [53,false];ECP_public63 = ECP_public select 63;publicvariable ""ECP_public63"";ECP_public53 = ECP_public select 53;publicvariable ""ECP_public53"";ECP_publicPending = true;publicvariable ""ECP_publicPending""}}else{ctrlshow [700167,false];ctrlshow [700168,true];ctrlshow [700207,false];ctrlshow [700208,true];ECP_public set [63,false];ECP_public set [53,false]}";
      }
      class  DSAIeastDisable : RscObjNoteBookButtonECP
      {
         idc=700168;
         style=2;
         x=0.855;
         y=0.213;
         w=.15;
         h=.04;
         text=" Disabled";
         action="";
      };
      class DSAIresText : RscObjNotebookText
      {
         x=.65;
         y=0.243;
         w=.45;
         h=0.04;
         text="DSAI Res (Russian):";
      };
      class  DSAIresEnable : RscObjNoteBookButton
      {
         idc=700169;
         style=2;
         x=0.855;
         y=0.243;
         w=.15;
         h=.04;
         text=" Enabled";
         action="if (ECP_internal select 63)then{if (ECP_internal select 131)then{ctrlshow [700169,false];ctrlshow [700170,true];ctrlshow [700209,false];ctrlshow [700210,true];ECP_public set [64,false];ECP_public set [54,false];ECP_public64 = ECP_public select 64;publicvariable ""ECP_public64"";ECP_public54 = ECP_public select 54;publicvariable ""ECP_public54"";ECP_publicPending = true;publicvariable ""ECP_publicPending""}}else{ctrlshow [700169,false];ctrlshow [700170,true];ctrlshow [700209,false];ctrlshow [700210,true];ECP_public set [64,false];ECP_public set [54,false]}";
      }
      class  DSAIresDisable : RscObjNoteBookButtonECP
      {
         idc=700170;
         style=2;
         x=0.855;
         y=0.243;
         w=.15;
         h=.04;
         text=" Disabled";
         action="";
      };
      class ECP_logo_small_green_bg : RscObjNotebookText
      {
         style="0+   48"
         text="\ECP_Effects\images\ECPlogo_small_green.paa";
         colorText[]={1,1,1,1};
         x=.41;
         y=0.00;
         w=.18;
         h=.230;
      };
      class HALOText : RscObjNotebookText
      {
         x=.65;
         y=0.273;
         w=.45;
         h=0.04;
         text="HALO:";
      };
      class  HALOEnable : RscObjNoteBookButton
      {
         idc=700157;
         style=2;
         x=0.855;
         y=0.273;
         w=.15;
         h=.04;
         text=" Enabled";
         action="ctrlshow [700157,false];ctrlshow [700158,true];ECP_local set [99,false]";
      }
      class  HALODisable : RscObjNoteBookButtonECP
      {
         idc=700158;
         style=2;
         x=0.855;
         y=0.273;
         w=.15;
         h=.04;
         text=" Disabled";
         action="ctrlshow [700158,false];ctrlshow [700157,true];ECP_local set [99,true]";
      };
      class IRAAJammingText : RscObjNotebookText
      {
         x=.65;
         y=0.303;
         w=.45;
         h=0.04;
         text="IR AA Jamming:";
      };
      class  IRAAJammingEnable : RscObjNoteBookButton
      {
         idc=700159;
         style=2;
         x=0.855;
         y=0.303;
         w=.15;
         h=.04;
         text=" Enabled";
         action="if (ECP_internal select 31) then {ctrlshow [700159,false];ctrlshow [700160,true];ECP_public set [29,false]; if (ECP_internal select 63) then {ECP_public29 = ECP_public select 29; publicvariable ""ECP_public29""; ECP_publicPending = true; publicvariable ""ECP_publicPending""}}";
      }
      class  IRAAJammingDisable : RscObjNoteBookButtonECP
      {
         idc=700160;
         style=2;
         x=0.855;
         y=0.303;
         w=.15;
         h=.04;
         text=" Disabled";
         action="if (ECP_internal select 31) then {ctrlshow [700160,false];ctrlshow [700159,true];ECP_public set [29,true]; if (ECP_internal select 63) then {ECP_public29 = ECP_public select 29; publicvariable ""ECP_public29""; ECP_publicPending = true; publicvariable ""ECP_publicPending""}}";
      };
      class HeloComsText : RscObjNotebookText
      {
         x=.65;
         y=0.333;
         w=.45;
         h=0.04;
         text="Helo Coms:";
      };
      class  HeloComsEnable : RscObjNoteBookButton
      {
         idc=700161;
         style=2;
         x=0.855;
         y=0.333;
         w=.15;
         h=.04;
         text=" Enabled";
         action="if (ECP_internal select 31) then {ctrlshow [700161,false];ctrlshow [700162,true];ECP_public set [50,false]; if (ECP_internal select 63) then {ECP_public50 = ECP_public select 50; publicvariable ""ECP_public50""; ECP_publicPending = true; publicvariable ""ECP_publicPending""}}";
      }
      class  HeloComsDisable : RscObjNoteBookButtonECP
      {
         idc=700162;
         style=2;
         x=0.855;
         y=0.333;
         w=.15;
         h=.04;
         text=" Disabled";
         action="if (ECP_internal select 31) then {ctrlshow [700162,false];ctrlshow [700161,true];ECP_public set [50,true]; if (ECP_internal select 63) then {ECP_public50 = ECP_public select 50; publicvariable ""ECP_public50""; ECP_publicPending = true; publicvariable ""ECP_publicPending""}}";
      };
      class TimedSmokeGrenadesText : RscObjNotebookText
      {
         x=.65;
         y=0.363;
         w=.45;
         h=0.04;
         text="Smoke Sim Grenades:";
      };
      class  TimedSmokeGrenadesEnable : RscObjNoteBookButton
      {
         idc=700171;
         style=2;
         x=.855;
         y=0.363;
         w=.15;
         h=.04;
         text=" Enabled";
         action="ctrlshow [700171,false];ctrlshow [700172,true];ECP_local set [130,false]";
      }
      class TimedSmokeGrenadesDisable : RscObjNoteBookButtonECP
      {
         idc=700172;
         style=2;
         x=.855;
         y=0.363;
         w=.15;
         h=.04;
         text=" Disabled";
         action="ctrlshow [700172,false];ctrlshow [700171,true];ECP_local set [130,true]";
      };
      class GrenadeSuppressionText : RscObjNotebookText
      {
         x=.65;
         y=0.393;
         w=.45;
         h=0.04;
         text="Grenade Suppression:";
      };
      class  GrenadeSuppressionEnable : RscObjNoteBookButton
      {
         idc=700173;
         style=2;
         x=.855;
         y=0.393;
         w=.15;
         h=.04;
         text=" Enabled";
         action="ctrlshow [700173,false];ctrlshow [700174,true];ECP_local set [140,false]";
      }
      class GrenadeSuppressionDisable : RscObjNoteBookButtonECP
      {
         idc=700174;
         style=2;
         x=.855;
         y=0.393;
         w=.15;
         h=.04;
         text=" Disabled";
         action="if (ECP_public select 24) then {ctrlshow [700174,false];ctrlshow [700173,true];ECP_local set [140,true]}";
      };
      class BackBlastDamageText : RscObjNotebookText
      {
         x=.65;
         y=0.423;
         w=.45;
         h=0.04;
         text="Back Blast Damage:";
      };
      class  BackBlastDamageEnable : RscObjNoteBookButton
      {
         idc=700175;
         style=2;
         x=.855;
         y=0.423;
         w=.15;
         h=.04;
         text=" Enabled";
         action="if (ECP_internal select 31) then {ctrlshow [700175,false];ctrlshow [700176,true];ECP_public set [11,false]; if (ECP_internal select 63) then {ECP_public11 = ECP_public select 11; publicvariable ""ECP_public11""; ECP_publicPending = true; publicvariable ""ECP_publicPending""}}";
      }
      class BackBlastDamageDisable : RscObjNoteBookButtonECP
      {
         idc=700176;
         style=2;
         x=.855;
         y=0.423;
         w=.15;
         h=.04;
         text=" Disabled";
         action="if (ECP_internal select 31) then {ctrlshow [700176,false];ctrlshow [700175,true];ECP_public set [11,true];if (ECP_internal select 63) then {ECP_public11 = ECP_public select 11; publicvariable ""ECP_public11""; ECP_publicPending = true; publicvariable ""ECP_publicPending""}}";
      };
      class AIJoinText : RscObjNotebookText
      {
         x=.65;
         y=0.453;
         w=.45;
         h=0.04;
         text="AI Join:";
      };
      class  AIJoinEnable : RscObjNoteBookButton
      {
         idc=700185;
         style=2;
         x=.855;
         y=0.453;
         w=.15;
         h=.04;
         text=" Enabled";
         action="if (ECP_internal select 31) then {ctrlshow [700185,false];ctrlshow [700186,true];ECP_public set [33,false]; if (ECP_internal select 63) then {ECP_public33 = ECP_public select 33; publicvariable ""ECP_public33""; ECP_publicPending = true; publicvariable ""ECP_publicPending""}}";
      }
      class AIJoinDisable : RscObjNoteBookButtonECP
      {
         idc=700186;
         style=2;
         x=.855;
         y=0.453;
         w=.15;
         h=.04;
         text=" Disabled";
         action="";
      };
      class AIReleaseText : RscObjNotebookText
      {
         x=.65;
         y=0.483;
         w=.45;
         h=0.04;
         text="AI Release:";
      };
      class  AIReleaseEnable : RscObjNoteBookButton
      {
         idc=700187;
         style=2;
         x=.855;
         y=0.483;
         w=.15;
         h=.04;
         text=" Enabled";
         action="if (ECP_internal select 31) then {ctrlshow [700187,false];ctrlshow [700188,true];ECP_public set [36,false]; if (ECP_internal select 63) then {ECP_public36 = ECP_public select 36; publicvariable ""ECP_public36""; ECP_publicPending = true; publicvariable ""ECP_publicPending""}}";
      }
      class AIReleaseDisable : RscObjNoteBookButtonECP
      {
         idc=700188;
         style=2;
         x=.855;
         y=0.483;
         w=.15;
         h=.04;
         text=" Disabled";
         action="";
      };
      class AIInfoShareText : RscObjNotebookText
      {
         x=.65;
         y=0.513;
         w=.45;
         h=0.04;
         text="AI Info Share:";
      };
      class  AIInfoShareEnable : RscObjNoteBookButton
      {
         idc=700189;
         style=2;
         x=.855;
         y=0.513;
         w=.15;
         h=.04;
         text=" Enabled";
         action="if (ECP_internal select 63)then{if (ECP_internal select 131)then{ctrlshow [700163,false];ctrlshow [700164,true];ctrlshow [700165,false];ctrlshow [700166,true];ctrlshow [700167,false];ctrlshow [700168,true];ctrlshow [700169,false];ctrlshow [700170,true];ctrlshow [700189,false];ctrlshow [700190,true];ctrlshow [700205,false];ctrlshow [700206,true];ctrlshow [700207,false];ctrlshow [700208,true];ctrlshow [700209,false];ctrlshow [700210,true];ECP_public set [62,false];ECP_public set [63,false];ECP_public set [64,false];ECP_public set [51,false];ECP_public set [52,false];ECP_public set [53,false];ECP_public set [54,false];ECP_public set [37,false];ECP_public62 = ECP_public select 62;publicvariable ""ECP_public62"";ECP_public63 = ECP_public select 63;publicvariable ""ECP_public63"";ECP_public64 = ECP_public select 64;publicvariable ""ECP_public64"";ECP_public51 = ECP_public select 51;publicvariable ""ECP_public51"";ECP_public52 = ECP_public select 52;publicvariable ""ECP_public52"";ECP_public53 = ECP_public select 53;publicvariable ""ECP_public53"";ECP_public54 = ECP_public select 54;publicvariable ""ECP_public54"";ECP_public37 = ECP_public select 37;publicvariable ""ECP_public37"";ECP_publicPending = true;publicvariable ""ECP_publicPending""}}else{ctrlshow [700205,false];ctrlshow [700206,true];ctrlshow [700207,false];ctrlshow [700208,true];ctrlshow [700209,false];ctrlshow [700210,true];ctrlshow [700163,false];ctrlshow [700164,true];ctrlshow [700165,false];ctrlshow [700166,true];ctrlshow [700167,false];ctrlshow [700168,true];ctrlshow [700169,false];ctrlshow [700170,true];ctrlshow [700189,false];ctrlshow [700190,true];ECP_public set [62,false];ECP_public set [63,false];ECP_public set [64,false];ECP_public set [51,false];ECP_public set [52,false];ECP_public set [53,false];ECP_public set [37,false];ECP_public set [54,false]}";
      }
      class AIInfoShareDisable : RscObjNoteBookButtonECP
      {
         idc=700190;
         style=2;
         x=.855;
         y=0.513;
         w=.15;
         h=.04;
         text=" Disabled";
         action="";
      };
      class LightHouseSimText : RscObjNotebookText
      {
         x=.65;
         y=0.543;
         w=.45;
         h=0.04;
         text="Lighthouse Sim:";
      };
      class  LightHouseSimEnable : RscObjNoteBookButton
      {
         idc=700191;
         style=2;
         x=.855;
         y=0.543;
         w=.15;
         h=.04;
         text=" Enabled";
         action="if (ECP_internal select 31) then {ctrlshow [700191,false];ctrlshow [700192,true];ECP_public set [26,false]; if (ECP_internal select 63) then {ECP_public26 = ECP_public select 26; publicvariable ""ECP_public26""; ECP_publicPending = true; publicvariable ""ECP_publicPending""}}";
      }
      class LightHouseSimDisable : RscObjNoteBookButtonECP
      {
         idc=700192;
         style=2;
         x=.855;
         y=0.543;
         w=.15;
         h=.04;
         text=" Disabled";
         action="if (ECP_internal select 31) then {ctrlshow [700191,true];ctrlshow [700192,false];ECP_public set [26,true]; if (ECP_internal select 63) then {ECP_public26 = ECP_public select 26; publicvariable ""ECP_public26""; ECP_publicPending = true; publicvariable ""ECP_publicPending""}}";
      };
      class BleedingDamageText : RscObjNotebookText
      {
         x=.65;
         y=0.573;
         w=.45;
         h=0.04;
         text="Bleeding Damage:";
      };
      class  BleedingDamageEnable : RscObjNoteBookButton
      {
         idc=700203;
         style=2;
         x=.855;
         y=0.573;
         w=.15;
         h=.04;
         text=" Enabled";
         action="if (ECP_internal select 31) then {ctrlshow [700203,false];ctrlshow [700204,true];ECP_public set [44,false]; if (ECP_internal select 63) then {ECP_public44 = ECP_public select 44; publicvariable ""ECP_public44""; ECP_publicPending = true; publicvariable ""ECP_publicPending""}}";
      }
      class BleedingDamageDisable : RscObjNoteBookButtonECP
      {
         idc=700204;
         style=2;
         x=.855;
         y=0.573;
         w=.15;
         h=.04;
         text=" Disabled";
         action="if (ECP_internal select 31) then {ctrlshow [700203,true];ctrlshow [700204,false];ECP_public set [44,true]; if (ECP_internal select 63) then {ECP_public44 = ECP_public select 44; publicvariable ""ECP_public44""; ECP_publicPending = true; publicvariable ""ECP_publicPending""}}";
      };
      class AISurrenderWestText : RscObjNotebookText
      {
         x=.65;
         y=0.603;
         w=.45;
         h=0.04;
         text="AI Surrender West:";
      };
      class  AISurrenderWestEnable : RscObjNoteBookButton
      {
         idc=700205;
         style=2;
         x=.855;
         y=0.603;
         w=.15;
         h=.04;
         text=" Enabled";
         action="if (ECP_internal select 63)then{if (ECP_internal select 131)then {ctrlshow [700205,false];ctrlshow [700206,true];ECP_public set [62,false];ECP_public62 = ECP_public select 62;publicvariable ""ECP_public62"";ECP_publicPending = true;publicvariable ""ECP_publicPending""}}else{ctrlshow [700205,false];ctrlshow [700206,true];ECP_public set [62,false]}";
      }
      class AISurrenderWestDisable : RscObjNoteBookButtonECP
      {
         idc=700206;
         style=2;
         x=.855;
         y=0.603;
         w=.15;
         h=.04;
         text=" Disabled";
         action="";
      };
      class AISurrenderEastText : RscObjNotebookText
      {
         x=.65;
         y=0.633;
         w=.45;
         h=0.04;
         text="AI Surrender East:";
      };
      class  AISurrenderEastEnable : RscObjNoteBookButton
      {
         idc=700207;
         style=2;
         x=.855;
         y=0.633;
         w=.15;
         h=.04;
         text=" Enabled";
         action="if (ECP_internal select 63)then{if (ECP_internal select 131)then {ctrlshow [700207,false];ctrlshow [700208,true];ECP_public set [63,false];ECP_public63 = ECP_public select 63;publicvariable ""ECP_public63"";ECP_publicPending = true;publicvariable ""ECP_publicPending""}}else{ctrlshow [700207,false];ctrlshow [700208,true];ECP_public set [63,false]}";
      }
      class AISurrenderEastDisable : RscObjNoteBookButtonECP
      {
         idc=700208;
         style=2;
         x=.855;
         y=0.633;
         w=.15;
         h=.04;
         text=" Disabled";
         action="";
      };

      class AISurrenderResText : RscObjNotebookText
      {
         x=.65;
         y=0.663;
         w=.45;
         h=0.04;
         text="AI Surrender Res:";
      };
      class  AISurrenderResEnable : RscObjNoteBookButton
      {
         idc=700209;
         style=2;
         x=.855;
         y=0.663;
         w=.15;
         h=.04;
         text=" Enabled";
         action="if (ECP_internal select 63)then{if (ECP_internal select 131)then {ctrlshow [700209,false];ctrlshow [700210,true];ECP_public set [64,false];ECP_public64 = ECP_public select 64;publicvariable ""ECP_public64"";ECP_publicPending = true;publicvariable ""ECP_publicPending""}}else{ctrlshow [700209,false];ctrlshow [700210,true];ECP_public set [64,false]}";
      }
      class AISurrenderResDisable : RscObjNoteBookButtonECP
      {
         idc=700210;
         style=2;
         x=.855;
         y=0.663;
         w=.15;
         h=.04;
         text=" Disabled";
         action="";
      };
   };
   controls[]={"Background1","Background2","Title","CurrentSettings","ButtonOK"};

   class Background1 : RscText		// edited
   {
      x=__EVAL(0 - AR_modifX - AR_modifX_2NDMON);
      y=__EVAL(0 - AR_modifY);
      w=__EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON * 2);
      h=0.125;
      text="";
      colorBackground[]={0,0,0,.5};
   };

   class Background2 : RscText		// edited
   {
      x=__EVAL(0 - AR_modifX - AR_modifX_2NDMON);
      y=__EVAL(0.875 + AR_modifY);
      w=__EVAL(1 + AR_modifX * 2 + AR_modifX_2NDMON * 2);
      h=.125;
      text="";
      colorBackground[]={0,0,0,.5};
   };

   class Title : RscText		// edited
   {
      idc=105;
      style=2;
      x=.2;
      y=__EVAL(0.02 - AR_modifY);
      w=.6;
      h=.1;
      font="SteelfishB128";
      colorText[]={1,1,1,1};
      sizeEx=.098;
      text="ECP Settings";
   };

   class CurrentSettings : RscText		// edited
   {
      idc=700199;
      style=2;
      x=-.05;
      y=__EVAL(0.875 + AR_modifY);
      w=.6;
      h=.1;
      font="SteelfishB128";
      colorText[]={1,1,1,0.75};
      sizeEx=.098;
      text="Current Settings :";
   };

   class ButtonOK : RscActiveTextECP		// edited
   {
      idc=1;
      text="OK";
      style=2;
      x=.85;
      y=__EVAL(0.9 + AR_modifY);
      w=.15;
      h=.05;
      soundClick[]={"ui\ui_ok",.2,1};

      action="closedialog 1; setacctime 1"
      default=1;
   };

};




#define ECP_CT_STATIC                0
#define ECP_CT_BUTTON                1
#define ECP_CT_EDIT                  2
#define ECP_CT_SLIDER                3
#define ECP_CT_COMBO                 4
#define ECP_CT_LISTBOX               5
#define ECP_CT_TOOLBOX               6
#define ECP_CT_CHECKBOXES            7
#define ECP_CT_PROGRESS              8
#define ECP_CT_HTML                  9
#define ECP_CT_STATIC_SKEW           10
#define ECP_CT_ACTIVETEXT            11
#define ECP_CT_TREE                  12
#define ECP_CT_3DSTATIC              20
#define ECP_CT_3DACTIVETEXT          21
#define ECP_CT_3DLISTBOX             22
#define ECP_CT_3DHTML                23
#define ECP_CT_3DSLIDER              24
#define ECP_CT_3DEDIT                25
#define ECP_CT_OBJECT                80
#define ECP_CT_OBJEECP_CT_ZOOM           81
#define ECP_CT_OBJEECP_CT_CONTAINER      82
#define ECP_CT_OBJEECP_CT_CONT_ANIM      83
#define ECP_CT_USER                  99


#define ECP_ST_HPOS                  0x0F
#define ECP_ST_LEFT                  0
#define ECP_ST_RIGHT                 1
#define ECP_ST_CENTER                2
#define ECP_ST_UP                    3
#define ECP_ST_DOWN                  4
#define ECP_ST_VCENTER               5

#define ECP_ST_TYPE                  0xF0
#define ECP_ST_SINGLE                0
#define ECP_ST_MULTI                 16
#define ECP_ST_TITLE_BAR             32
#define ECP_ST_PICTURE               48
#define ECP_ST_FRAME                 64
#define ECP_ST_BACKGROUND            80
#define ECP_ST_GROUP_BOX             96
#define ECP_ST_GROUP_BOX2            112
#define ECP_ST_HUD_BACKGROUND        128
#define ECP_ST_TILE_PICTURE          144
#define ECP_ST_WITH_RECT             160
#define ECP_ST_LINE                  176

#define ECP_ST_SHADOW                256
#define ECP_ST_NO_RECT               512

#define ECP_ST_TITLE                 ECP_ST_TITLE_BAR + ECP_ST_CENTER



#define ECP_ColBack 0.012, 0.176, 0.024, 1
#define ECP_ColBackTransparent 0.012, 0.176, 0.024, 0.75
#define ECP_ColFont 0.796, 0.584, 0.075, 1
#define ECP_ColFontActive 0.973, 0.76, 0.25, 1

#define ECP_SmallFont "courierNewB64"
#define ECP_SmallFontSize 0.5


class ECP_RscText
{
   type = ECP_CT_STATIC;
   idc = -1;
   style = ECP_ST_LEFT;
   colorBackground[] = {0, 0, 0, 0};
   colorText[] = {ECP_ColFont};
   size = ECP_SmallFontSize;
   font = ECP_SmallFont;
};

class ECP_RscPicture
{
   type = ECP_CT_STATIC;
   idc = -1;
   style = ECP_ST_PICTURE;
   colorBackground[] = {0, 0, 0, 0};
   colorText[] = {ECP_ColFont};
   font = ECP_SmallFont;
   size = ECP_SmallFontSize;
};

class ECP_RscEdit
{
   type = ECP_CT_EDIT;
   idc = -1;
   style = ECP_ST_LEFT;
   font = ECP_SmallFont;
   size = ECP_SmallFontSize;
   sizeEx = 0.05;
   colorText[] = {ECP_ColFont};
   colorSelection[] = {0.5, 0.5, 0.5, 1};
   autocomplete = false;
   text = "";
};

class ECP_RscActiveText
{
   idc = -1;
   type = ECP_CT_ACTIVETEXT;
   style = ECP_ST_LEFT;
   color[] = {ECP_ColFont};
   colorActive[] = {ECP_ColFontActive};
   size = ECP_SmallFontSize;
   font = ECP_SmallFont;
   sizeEx = 0.05;
   soundEnter[] = {"ui\ui_over", 0.2, 1};
   soundPush[] = {, 0.2, 1};
   soundClick[] = {"ui\ui_ok", 0.2, 1};
   soundEscape[] = {"ui\ui_cc", 0.2, 1};
   default = false;
};

class ECP_RscLB_C
{
        style = 0;
        colorSelect[] = {ECP_ColBackTransparent};
        colorSelectBackground[] = {ECP_ColBackTransparent};
        colorText[] = {ECP_ColFont};
        colorBackground[] = {ECP_ColBackTransparent};
        font = ECP_SmallFont;
        size = ECP_SmallFontSize;
        sizeEx = 0.025;
        rowHeight = 0.04;
};

class ECP_RscListBox : ECP_RscLB_C
{
        idc = -1;
        type = ECP_CT_LISTBOX;
};

class ECP_RscCombo : ECP_RscLB_C
{
        idc = -1;
        type = ECP_CT_COMBO;
        wholeHeight = 0.212;
};

class ECP_RscSliderH
{
   idc = -1;
   type=ECP_CT_SLIDER;
   style=ECP_ST_RIGHT;
   color[]={ECP_ColFont};
};


class ECP_RscSliderV
{
   idc = -1;
   type=ECP_CT_SLIDER;
   style=ECP_ST_LEFT;
   color[]={ECP_ColFont};
};

	// Spectating in mission editor
class DlgSpecDebug
{
   idd = -1;
   movingEnable = false;
   controlsBackground[] = {};

   objects[] = {};
   controls[] =
   {
      CD_EDIT_BACK, CD_EDIT, CD_EXEC_BACK, CD_EXEC, CD_VAR_BACK, CD_VAR, CD_HISTORY_BACK, CD_HISTORY, CD_CLEAR_BACK, CD_CLEAR, CD_FILL_BACK, CD_FILL,


      CD_OFF_BACK, CD_OFF, CD_OFF_ACTION, CD_ON_BACK, CD_ON, CD_ON_ACTION,


      SD_BACKGROUND, SD_NEXT, SD_PREV, SD_WEAP, SD_MAGS, SD_HEALTH, SD_NAME,


      SD_OFF, SD_OFF_ACTION, SD_ON_BACK, SD_ON, SD_ON_ACTION,


      SD_BACKGROUND_CAMERA,SD_CAMERA,SD_CAMERA_DETACH,SD_CAM_HORIZ_BACK,SD_CAM_VERT_BACK,SD_CAM_SWITCH_BACK,SD_CAM_SWITCH,SD_CAM_HORIZ,SD_CAM_VERT,SD_CAMERA_FL,SD_CAMERA_FL_CENTRE,SD_CAM_ZOOM_BACK,SD_CAM_ZOOM,


      SD_BACKGROUND_GROUP,SD_GROUP,SD_SIDE,


      SD_MISC_BACK, SD_MISC_HELP, SD_MISC_HELP_ACTION, SD_MISC_SS, SD_MISC_SS_ACTION, SD_MISC_SS_OFF_LB, SD_MISC_SS_OFF_LT, SD_MISC_SS_OFF_RB, SD_MISC_SS_OFF_RT, SD_MISC_HELPSCREEN, SD_MISC_HELPSCREEN_ROW0, SD_MISC_HELPSCREEN_ROW1, SD_MISC_HELPSCREEN_ROW2, SD_MISC_HELPSCREEN_ROW3, SD_MISC_HELPSCREEN_ROW4, SD_MISC_HELPSCREEN_ROW5, SD_MISC_HELPSCREEN_ROW6, SD_MISC_HELPSCREEN_ROW7, SD_MISC_HELPSCREEN_ROW8, SD_MISC_HELPSCREEN_ROW9, SD_MISC_HELPSCREEN_ROW10, SD_MISC_HELPSCREEN_ROW11, SD_MISC_HELPSCREEN_ROW12, SD_MISC_HELPSCREEN_ROW13, SD_MISC_HELPSCREEN_EXIT
   };



   #define ECP_dbg_onoff_w 0.03 * 0.75
   #define ECP_dbg_onoff_h 0.03

   #define ECP_dbg_onoff_hsep 0.01 * 0.75
   #define ECP_dbg_onoff_vsep 0.01




   #define ECP_dbg_console_horiz_sep 0.01 * 0.75
   #define ECP_dbg_console_vert_sep 0.01

   #define ECP_dbg_console_btn_width 0.07 * 0.75
   #define ECP_dbg_console_btn_hgt 0.04

   #define ECP_dbg_console_bedit_w 1 - (ECP_dbg_console_horiz_sep * 2) + AR_modifX * 2		// edited ( tweak)
   #define ECP_dbg_console_bedit_h 0.05
   #define ECP_dbg_console_bedit_x ECP_dbg_console_horiz_sep - AR_modifX		// edited
   #define ECP_dbg_console_bedit_y ECP_dbg_console_vert_sep - AR_modifY		// edited

   #define ECP_dbg_console_edit_w ECP_dbg_console_bedit_w - (ECP_dbg_console_horiz_sep * 2)
   #define ECP_dbg_console_edit_h ECP_dbg_console_bedit_h - (ECP_dbg_console_vert_sep * 2)
   #define ECP_dbg_console_edit_x ECP_dbg_console_bedit_x + ECP_dbg_console_horiz_sep
   #define ECP_dbg_console_edit_y ECP_dbg_console_bedit_y + ECP_dbg_console_vert_sep

   #define ECP_dbg_console_bexec_w ECP_dbg_console_btn_width
   #define ECP_dbg_console_bexec_h ECP_dbg_console_btn_hgt
   #define ECP_dbg_console_bexec_x ECP_dbg_console_horiz_sep - AR_modifX		// edited
   #define ECP_dbg_console_bexec_y ECP_dbg_console_bedit_y + ECP_dbg_console_bedit_h + ECP_dbg_console_vert_sep

   #define ECP_dbg_console_exec_w ECP_dbg_console_bexec_w
   #define ECP_dbg_console_exec_h ECP_dbg_console_bexec_h
   #define ECP_dbg_console_exec_x ECP_dbg_console_bexec_x
   #define ECP_dbg_console_exec_y ECP_dbg_console_bexec_y

   #define ECP_dbg_console_bvar_w ECP_dbg_console_btn_width
   #define ECP_dbg_console_bvar_h ECP_dbg_console_btn_hgt
   #define ECP_dbg_console_bvar_x ECP_dbg_console_bexec_w + (ECP_dbg_console_horiz_sep * 2) - AR_modifX		// edited
   #define ECP_dbg_console_bvar_y ECP_dbg_console_bedit_y + ECP_dbg_console_bedit_h + ECP_dbg_console_vert_sep

   #define ECP_dbg_console_var_w ECP_dbg_console_bvar_w
   #define ECP_dbg_console_var_h ECP_dbg_console_bvar_h
   #define ECP_dbg_console_var_x ECP_dbg_console_bvar_x
   #define ECP_dbg_console_var_y ECP_dbg_console_bvar_y

   #define ECP_dbg_console_boff_w ECP_dbg_onoff_w
   #define ECP_dbg_console_boff_h ECP_dbg_onoff_h
   #define ECP_dbg_console_boff_x ECP_dbg_console_horiz_sep - AR_modifX		// edited
   #define ECP_dbg_console_boff_y (ECP_dbg_console_bexec_y + ECP_dbg_console_bexec_h + ECP_dbg_console_vert_sep)

   #define ECP_dbg_console_off_w ECP_dbg_onoff_w / 1.5
   #define ECP_dbg_console_off_h ECP_dbg_onoff_h / 1.5
   #define ECP_dbg_console_off_x ECP_dbg_console_boff_x + (0.0045 * 0.75)
   #define ECP_dbg_console_off_y ECP_dbg_console_boff_y + 0.0045

   #define ECP_dbg_console_bon_w ECP_dbg_onoff_w
   #define ECP_dbg_console_bon_h ECP_dbg_onoff_h
   #define ECP_dbg_console_bon_x ECP_dbg_console_horiz_sep - AR_modifX		// edited
   #define ECP_dbg_console_bon_y ECP_dbg_console_vert_sep - AR_modifY		// edited

   #define ECP_dbg_console_on_w ECP_dbg_onoff_w / 1.5
   #define ECP_dbg_console_on_h ECP_dbg_onoff_h / 1.5
   #define ECP_dbg_console_on_x ECP_dbg_console_bon_x + (0.0045 * 0.75)
   #define ECP_dbg_console_on_y ECP_dbg_console_bon_y + 0.0045

   class CD_EDIT_BACK : ECP_RscText
   {
      idc = 700;
      style = ECP_ST_HUD_BACKGROUND;
      x = ECP_dbg_console_bedit_x; y = ECP_dbg_console_bedit_y; w = ECP_dbg_console_bedit_w; h = ECP_dbg_console_bedit_h;
      text = "";
      colorBackground[] = {ECP_ColBack};
   };

   class CD_EDIT : ECP_RscEdit
   {
      idc = 701;
      x = ECP_dbg_console_edit_x; y = ECP_dbg_console_edit_y; w = ECP_dbg_console_edit_w; h = ECP_dbg_console_edit_h;
      autoComplete = "scripting";
      default=1;
   };

   class CD_EXEC_BACK : ECP_RscText
   {
      idc = 702;
      style = ECP_ST_HUD_BACKGROUND;
      x = ECP_dbg_console_bexec_x; y = ECP_dbg_console_bexec_y; w = ECP_dbg_console_bexec_w; h = ECP_dbg_console_bexec_h;
      text = "";
      colorBackground[] = {ECP_ColBack};
   };

   class CD_EXEC : ECP_RscActiveText
   {
      idc = 703;
      style = ECP_ST_CENTER;
      x = ECP_dbg_console_exec_x; y = ECP_dbg_console_exec_y; w = ECP_dbg_console_exec_w; h = ECP_dbg_console_exec_h;
      text = "Exec";
      action = "";
   };

   class CD_VAR_BACK : ECP_RscText
   {
      idc = 704;
      style = ECP_ST_HUD_BACKGROUND;
      x = ECP_dbg_console_bvar_x; y = ECP_dbg_console_bvar_y; w = ECP_dbg_console_bvar_w; h = ECP_dbg_console_bvar_h;
      text = "";
      colorBackground[] = {ECP_ColBack};
   };

   class CD_VAR : ECP_RscActiveText
   {
      idc = 705;
      style = ECP_ST_CENTER;
      x = ECP_dbg_console_var_x; y = ECP_dbg_console_var_y; w = ECP_dbg_console_var_w; h = ECP_dbg_console_var_h;
      text = "Show";
      action = "";
   };

   class CD_OFF_BACK : ECP_RscText
   {
      idc = 706;
      style = ECP_ST_HUD_BACKGROUND;
      x = ECP_dbg_console_boff_x; y = ECP_dbg_console_boff_y; w = ECP_dbg_console_boff_w; h = ECP_dbg_console_boff_h;
      text = "";
      colorBackground[] = {ECP_ColBack};
   };

   class CD_OFF : ECP_RscPicture
   {
      idc = 707;
      x = ECP_dbg_console_off_x; y = ECP_dbg_console_off_y; w = ECP_dbg_console_off_w; h = ECP_dbg_console_off_h;
      text = "\ECP_Effects\images\up_arrow.paa";
   };

   class CD_OFF_ACTION : ECP_RscActiveText
   {
      idc = 708;
      x = ECP_dbg_console_off_x; y = ECP_dbg_console_off_y; w = ECP_dbg_console_off_w; h = ECP_dbg_console_off_h;
      text = "";
      action = "ECP_local set [18,not (ECP_local select 18)]; [ECP_dbg_idc_console_off,ECP_dbg_idc_console_on] exec format[{%1debug\console_controls.sqs},ECP_path]";
   };

   class CD_ON_BACK : ECP_RscText
   {
      idc = 709;
      style = ECP_ST_HUD_BACKGROUND;
      x = ECP_dbg_console_bon_x; y = ECP_dbg_console_bon_y; w = ECP_dbg_console_bon_w; h = ECP_dbg_console_bon_h;
      text = "";
      colorBackground[] = {ECP_ColBack};
   };

   class CD_ON : ECP_RscPicture
   {
      idc = 710;
      x = ECP_dbg_console_on_x; y = ECP_dbg_console_on_y; w = ECP_dbg_console_on_w; h = ECP_dbg_console_on_h;
      text = "\ECP_Effects\images\down_arrow.paa";
   };

   class CD_ON_ACTION : ECP_RscActiveText
   {
      idc = 711;
      x = ECP_dbg_console_on_x; y = ECP_dbg_console_on_y; w = ECP_dbg_console_on_w; h = ECP_dbg_console_on_h;
      text = "";
      action = "ECP_local set [18,not (ECP_local select 18)]; [ECP_dbg_idc_console_on,ECP_dbg_idc_console_off] exec format[{%1debug\console_controls.sqs},ECP_path]";
   };




   #define ECP_dbg_console_bhistory_w 0.2
   #define ECP_dbg_console_bhistory_h 0.04
   #define ECP_dbg_console_bhistory_x 1 - ECP_dbg_console_horiz_sep - ECP_dbg_console_bhistory_w + AR_modifX		// edited
   #define ECP_dbg_console_bhistory_y ECP_dbg_console_bedit_y + ECP_dbg_console_bedit_h + ECP_dbg_console_vert_sep

   #define ECP_dbg_console_history_w ECP_dbg_console_bhistory_w - (ECP_dbg_console_horiz_sep * 2)
   #define ECP_dbg_console_history_h ECP_dbg_console_bhistory_h - (ECP_dbg_console_vert_sep * 2)
   #define ECP_dbg_console_history_x ECP_dbg_console_bhistory_x + ECP_dbg_console_horiz_sep
   #define ECP_dbg_console_history_y ECP_dbg_console_bhistory_y + ECP_dbg_console_vert_sep

   #define ECP_dbg_console_bfill_w ECP_dbg_console_btn_width
   #define ECP_dbg_console_bfill_h ECP_dbg_console_btn_hgt
   #define ECP_dbg_console_bfill_x ECP_dbg_console_bhistory_x - ECP_dbg_console_bfill_w - ECP_dbg_console_horiz_sep
   #define ECP_dbg_console_bfill_y ECP_dbg_console_bhistory_y

   #define ECP_dbg_console_fill_w ECP_dbg_console_bfill_w
   #define ECP_dbg_console_fill_h ECP_dbg_console_bfill_h
   #define ECP_dbg_console_fill_x ECP_dbg_console_bfill_x
   #define ECP_dbg_console_fill_y ECP_dbg_console_bfill_y

   #define ECP_dbg_console_bclear_w ECP_dbg_console_btn_width
   #define ECP_dbg_console_bclear_h ECP_dbg_console_btn_hgt
   #define ECP_dbg_console_bclear_x ECP_dbg_console_bfill_x - ECP_dbg_console_bfill_w - ECP_dbg_console_horiz_sep
   #define ECP_dbg_console_bclear_y ECP_dbg_console_bhistory_y

   #define ECP_dbg_console_clear_w ECP_dbg_console_bclear_w
   #define ECP_dbg_console_clear_h ECP_dbg_console_bclear_h
   #define ECP_dbg_console_clear_x ECP_dbg_console_bclear_x
   #define ECP_dbg_console_clear_y ECP_dbg_console_bclear_y

   class CD_HISTORY_BACK : ECP_RscText
   {
      idc = 600;
      style = ECP_ST_HUD_BACKGROUND;
      x = ECP_dbg_console_bhistory_x; y = ECP_dbg_console_bhistory_y; w = ECP_dbg_console_bhistory_w; h = ECP_dbg_console_bhistory_h;
      text = "";
      colorBackground[] = {ECP_ColBack};
   };

   class CD_HISTORY : ECP_RscCombo
   {
      idc = 601;
      size = 0.4;
      x = ECP_dbg_console_history_x; y = ECP_dbg_console_history_y; w = ECP_dbg_console_history_w; h = ECP_dbg_console_history_h;
   };

   class CD_FILL_BACK : ECP_RscText
   {
      idc = 602;
      style = ECP_ST_HUD_BACKGROUND;
      x = ECP_dbg_console_bfill_x; y = ECP_dbg_console_bfill_y; w = ECP_dbg_console_bfill_w; h = ECP_dbg_console_bfill_h;
      text = "";
      colorBackground[] = {ECP_ColBack};
   };

   class CD_FILL : ECP_RscActiveText
   {
      idc = 603;
      style = ECP_ST_CENTER;
      x = ECP_dbg_console_fill_x; y = ECP_dbg_console_fill_y; w = ECP_dbg_console_fill_w; h = ECP_dbg_console_fill_h;
      text = "Fill";
      action = "[] exec format[{%1debug\console_fillfromhistory.sqs},ECP_path]";
   };

   class CD_CLEAR_BACK : ECP_RscText
   {
      idc = 604;
      style = ECP_ST_HUD_BACKGROUND;
      x = ECP_dbg_console_bclear_x; y = ECP_dbg_console_bclear_y; w = ECP_dbg_console_bclear_w; h = ECP_dbg_console_bclear_h;
      text = "";
      colorBackground[] = {ECP_ColBack};
   };

   class CD_CLEAR : ECP_RscActiveText
   {
      idc = 605;
      style = ECP_ST_CENTER;
      x = ECP_dbg_console_clear_x; y = ECP_dbg_console_clear_y; w = ECP_dbg_console_clear_w; h = ECP_dbg_console_clear_h;
      text = "Clr";
      action = "[] exec format[{%1debug\console_clear.sqs},ECP_path]";
   };





   #define ECP_dbg_group_horiz_sep 0.01
   #define ECP_dbg_group_vert_sep 0.01

   #define ECP_dbg_group_col_width 0.03

   #define ECP_dbg_group_back_x 0.0075
   #define ECP_dbg_group_back_y 0.779 + AR_modifY		// edited
   #define ECP_dbg_group_back_w 0.4 + (AR_modifX * 2)		// edited (tweak)

   #define ECP_dbg_group_side_x ECP_dbg_group_back_x + ECP_dbg_group_horiz_sep
   #define ECP_dbg_group_side_y ECP_dbg_group_back_y + ECP_dbg_group_vert_sep
   #define ECP_dbg_group_side_h ECP_dbg_group_col_width
   #define ECP_dbg_group_side_w (ECP_dbg_group_back_w - (ECP_dbg_group_horiz_sep * 3)) / 3

   #define ECP_dbg_group_group_x ECP_dbg_group_side_x + ECP_dbg_group_side_w + ECP_dbg_group_horiz_sep
   #define ECP_dbg_group_group_y ECP_dbg_group_back_y + ECP_dbg_group_vert_sep
   #define ECP_dbg_group_group_h ECP_dbg_group_col_width
   #define ECP_dbg_group_group_w ECP_dbg_group_side_w * 2

   #define ECP_dbg_group_back_h (ECP_dbg_group_group_y + ECP_dbg_group_group_h + ECP_dbg_group_vert_sep) - ECP_dbg_group_back_y - AR_modifY * 2		// edited

   class SD_BACKGROUND_GROUP : ECP_RscText
   {
      idc = 800;
      style = ECP_ST_HUD_BACKGROUND;
      x = ECP_dbg_group_back_x; y = ECP_dbg_group_back_y; w = ECP_dbg_group_back_w; h = ECP_dbg_group_back_h;
      text = "";
      colorBackground[] = {ECP_ColBack};
   };
   class SD_SIDE : ECP_RscCombo
   {
      idc = 801;
      x = ECP_dbg_group_side_x; y = ECP_dbg_group_side_y; w = ECP_dbg_group_side_w; h = ECP_dbg_group_side_h;
   };
   class SD_GROUP : ECP_RscCombo
   {
      idc = 802;
      x = ECP_dbg_group_group_x; y = ECP_dbg_group_group_y; w = ECP_dbg_group_group_w; h = ECP_dbg_group_group_h;
   };





   #define ECP_dbg_unit_horiz_sep 0.01
   #define ECP_dbg_unit_vert_sep 0.01

   #define ECP_dbg_unit_col_width 0.025

   #define ECP_dbg_unit_back_x ECP_dbg_group_back_x
   #define ECP_dbg_unit_back_y (ECP_dbg_group_back_y + ECP_dbg_group_back_h + 0.01)
   #define ECP_dbg_unit_back_w ECP_dbg_group_back_w

   #define ECP_dbg_unit_btnleft_x ECP_dbg_unit_back_x + ECP_dbg_unit_horiz_sep
   #define ECP_dbg_unit_btnleft_y ECP_dbg_unit_back_y + ECP_dbg_unit_vert_sep
   #define ECP_dbg_unit_btnleft_h ECP_dbg_unit_col_width
   #define ECP_dbg_unit_btnleft_w ECP_dbg_unit_col_width

   #define ECP_dbg_unit_name_x ECP_dbg_unit_btnleft_x + ECP_dbg_unit_btnleft_w + ECP_dbg_unit_horiz_sep
   #define ECP_dbg_unit_name_y ECP_dbg_unit_back_y + ECP_dbg_unit_vert_sep
   #define ECP_dbg_unit_name_h ECP_dbg_unit_col_width
   #define ECP_dbg_unit_name_w ECP_dbg_unit_back_w - (ECP_dbg_unit_btnleft_w * 2) - (ECP_dbg_unit_horiz_sep * 4)

   #define ECP_dbg_unit_btnright_x ECP_dbg_unit_name_x + ECP_dbg_unit_name_w + ECP_dbg_unit_horiz_sep
   #define ECP_dbg_unit_btnright_y ECP_dbg_unit_back_y + ECP_dbg_unit_vert_sep
   #define ECP_dbg_unit_btnright_h ECP_dbg_unit_col_width
   #define ECP_dbg_unit_btnright_w ECP_dbg_unit_col_width

   #define ECP_dbg_unit_wpns_x ECP_dbg_unit_back_x + ECP_dbg_unit_horiz_sep
   #define ECP_dbg_unit_wpns_y ECP_dbg_unit_name_y + ECP_dbg_unit_name_h + ECP_dbg_unit_vert_sep
   #define ECP_dbg_unit_wpns_h ECP_dbg_unit_col_width
   #define ECP_dbg_unit_wpns_w ECP_dbg_unit_back_w - (ECP_dbg_unit_horiz_sep * 2)

   #define ECP_dbg_unit_mags_x ECP_dbg_unit_back_x + ECP_dbg_unit_horiz_sep
   #define ECP_dbg_unit_mags_y ECP_dbg_unit_wpns_y + ECP_dbg_unit_wpns_h + ECP_dbg_unit_vert_sep
   #define ECP_dbg_unit_mags_h ECP_dbg_unit_col_width
   #define ECP_dbg_unit_mags_w ECP_dbg_unit_back_w - (ECP_dbg_unit_horiz_sep * 2)

   #define ECP_dbg_unit_damage_x ECP_dbg_unit_back_x + ECP_dbg_unit_horiz_sep
   #define ECP_dbg_unit_damage_y ECP_dbg_unit_mags_y + ECP_dbg_unit_mags_h + ECP_dbg_unit_vert_sep
   #define ECP_dbg_unit_damage_h ECP_dbg_unit_col_width
   #define ECP_dbg_unit_damage_w ECP_dbg_unit_back_w - ECP_dbg_unit_horiz_sep

   #define ECP_dbg_unit_back_h ECP_dbg_unit_damage_y + ECP_dbg_unit_damage_h + ECP_dbg_unit_vert_sep - ECP_dbg_unit_back_y

   class SD_BACKGROUND : ECP_RscText
   {
      idc = 900;
      style = ECP_ST_HUD_BACKGROUND;
      x = ECP_dbg_unit_back_x; y = ECP_dbg_unit_back_y; w = ECP_dbg_unit_back_w; h = ECP_dbg_unit_back_h;
      text = "";
      colorBackground[] = {ECP_ColBack};
   };
   class SD_NAME: ECP_RscText
   {
      idc = 901;
      style = ECP_ST_CENTER;
      x = ECP_dbg_unit_name_x; y = ECP_dbg_unit_name_y; w = ECP_dbg_unit_name_w; h = ECP_dbg_unit_name_h;
      text = "Unit:";
   };
   class SD_NEXT: ECP_RscActiveText
   {
      idc = 902;
      x = ECP_dbg_unit_btnright_x; y = ECP_dbg_unit_btnright_y; w = ECP_dbg_unit_btnright_w; h = ECP_dbg_unit_btnright_h;
      text = "->";
      action = "[1] exec format[{%1debug\spectate_unit.sqs},ECP_path]";
   };
   class SD_PREV: ECP_RscActiveText
   {
      idc = 903;
      x = ECP_dbg_unit_btnleft_x; y = ECP_dbg_unit_btnleft_y; w = ECP_dbg_unit_btnleft_w; h = ECP_dbg_unit_btnleft_h;
      text = "<-";
      action = "[-1] exec format[{%1debug\spectate_unit.sqs},ECP_path]";
   };
   class SD_WEAP: ECP_RscEdit
   {
      idc = 904;
      x = ECP_dbg_unit_wpns_x; y = ECP_dbg_unit_wpns_y; w = ECP_dbg_unit_wpns_w; h = ECP_dbg_unit_wpns_h;
      text = "Weapons:";
   };
   class SD_MAGS: ECP_RscEdit
   {
      idc = 905;
      x = ECP_dbg_unit_mags_x; y = ECP_dbg_unit_mags_y; w = ECP_dbg_unit_mags_w; h = ECP_dbg_unit_mags_h;
      style = ECP_ST_LEFT + ECP_ST_MULTI + ECP_ST_NO_RECT;
      lineSpacing = 1;
      text = "Magazines:";
   };
   class SD_HEALTH: ECP_RscText
   {
      idc = 906;
      x = ECP_dbg_unit_damage_x; y = ECP_dbg_unit_damage_y; w = ECP_dbg_unit_damage_w; h = ECP_dbg_unit_damage_h;
      text = "Health:";
   };








   #define ECP_dbg_unit_off_w ECP_dbg_onoff_w / 1.5
   #define ECP_dbg_unit_off_h ECP_dbg_onoff_h / 1.5
   #define ECP_dbg_unit_off_x ECP_dbg_unit_back_x + ECP_dbg_unit_back_w - ECP_dbg_onoff_w
   #define ECP_dbg_unit_off_y ECP_dbg_unit_back_y + ECP_dbg_unit_back_h - ECP_dbg_onoff_h

   #define ECP_dbg_unit_bon_w ECP_dbg_onoff_w
   #define ECP_dbg_unit_bon_h ECP_dbg_onoff_h
   #define ECP_dbg_unit_bon_x ECP_dbg_unit_horiz_sep - AR_modifX		// edited
   #define ECP_dbg_unit_bon_y 1 - ECP_dbg_unit_vert_sep - ECP_dbg_onoff_h + AR_modifY		// edited

   #define ECP_dbg_unit_on_w ECP_dbg_onoff_w / 1.5
   #define ECP_dbg_unit_on_h ECP_dbg_onoff_h / 1.5
   #define ECP_dbg_unit_on_x ECP_dbg_unit_bon_x + (0.0045 * 0.75)
   #define ECP_dbg_unit_on_y ECP_dbg_unit_bon_y + 0.0045

   class SD_OFF : ECP_RscPicture
   {
      idc = 907;
      x = ECP_dbg_unit_off_x; y = ECP_dbg_unit_off_y; w = ECP_dbg_unit_off_w; h = ECP_dbg_unit_off_h;
      text = "\ECP_Effects\images\left_arrow.paa";
   };

   class SD_OFF_ACTION : ECP_RscActiveText
   {
      idc = 908;
      x = ECP_dbg_unit_off_x; y = ECP_dbg_unit_off_y; w = ECP_dbg_unit_off_w; h = ECP_dbg_unit_off_h;
      text = "";
      action = "ECP_local set [19,not (ECP_local select 19)]; [ECP_dbg_idc_unit_off,ECP_dbg_idc_unit_on] exec format[{%1debug\console_controls.sqs},ECP_path]";
   };

   class SD_ON_BACK : ECP_RscText
   {
      idc = 909;
      style = ECP_ST_HUD_BACKGROUND;
      x = ECP_dbg_unit_bon_x; y = ECP_dbg_unit_bon_y; w = ECP_dbg_unit_bon_w; h = ECP_dbg_unit_bon_h;
      text = "";
      colorBackground[] = {ECP_ColBack};
   };

   class SD_ON : ECP_RscPicture
   {
      idc = 910;
      x = ECP_dbg_unit_on_x; y = ECP_dbg_unit_on_y; w = ECP_dbg_unit_on_w; h = ECP_dbg_unit_on_h;
      text = "\ECP_Effects\images\right_arrow.paa";
   };

   class SD_ON_ACTION : ECP_RscActiveText
   {
      idc = 911;
      x = ECP_dbg_unit_on_x; y = ECP_dbg_unit_on_y; w = ECP_dbg_unit_on_w; h = ECP_dbg_unit_on_h;
      text = "";
      action = "ECP_local set [19,not (ECP_local select 19)]; [ECP_dbg_idc_unit_on,ECP_dbg_idc_unit_off] exec format[{%1debug\console_controls.sqs},ECP_path]";
   };












   #define ECP_dbg_control_horiz_sep 0.01
   #define ECP_dbg_control_vert_sep 0.01

   #define ECP_dbg_control_horiz_w 0.35 * 0.75
   #define ECP_dbg_control_horiz_h 0.03
   #define ECP_dbg_control_horiz_x (1 - ECP_dbg_control_horiz_sep - ECP_dbg_control_horiz_w - (0.05 * 0.75)) - (ECP_dbg_control_horiz_sep * 0.75) + AR_modifX		// edited
   #define ECP_dbg_control_horiz_y 1 - ECP_dbg_control_vert_sep - ECP_dbg_control_horiz_h - ECP_dbg_control_horiz_sep + AR_modifY		// edited

   #define ECP_dbg_control_bhoriz_w ECP_dbg_control_horiz_w + (ECP_dbg_control_horiz_sep * 2)
   #define ECP_dbg_control_bhoriz_h ECP_dbg_control_horiz_h + (ECP_dbg_control_vert_sep * 2)
   #define ECP_dbg_control_bhoriz_x ECP_dbg_control_horiz_x - ECP_dbg_control_horiz_sep
   #define ECP_dbg_control_bhoriz_y (ECP_dbg_control_horiz_y - ECP_dbg_control_vert_sep)

   #define ECP_dbg_control_vert_w 0.03 * 0.75
   #define ECP_dbg_control_vert_h 0.35
   #define ECP_dbg_control_vert_x 1 - ECP_dbg_control_vert_sep - ECP_dbg_control_vert_w - (ECP_dbg_control_horiz_sep * 0.75) + AR_modifX		// edited
   #define ECP_dbg_control_vert_y 1 - ECP_dbg_control_vert_sep - ECP_dbg_control_vert_h - 0.05 - ECP_dbg_control_horiz_sep + AR_modifY		// edited

   #define ECP_dbg_control_bvert_w ECP_dbg_control_vert_w + (ECP_dbg_control_horiz_sep * 2)
   #define ECP_dbg_control_bvert_h ECP_dbg_control_vert_h + (ECP_dbg_control_vert_sep * 2)
   #define ECP_dbg_control_bvert_x ECP_dbg_control_vert_x - ECP_dbg_control_horiz_sep
   #define ECP_dbg_control_bvert_y ECP_dbg_control_vert_y - ECP_dbg_control_vert_sep

   #define ECP_dbg_control_bswitch_w 0.04 * 0.75
   #define ECP_dbg_control_bswitch_h 0.04
   #define ECP_dbg_control_bswitch_x 1 - ECP_dbg_control_bswitch_w - (0.01 * 0.75)
   #define ECP_dbg_control_bswitch_y 1 - ECP_dbg_control_bswitch_h - 0.01

   #define ECP_dbg_control_switch_w 0.03 * 0.75
   #define ECP_dbg_control_switch_h 0.03
   #define ECP_dbg_control_switch_x ECP_dbg_control_bswitch_x + (0.005 * 0.75)
   #define ECP_dbg_control_switch_y ECP_dbg_control_bswitch_y + 0.005

   class SD_CAM_HORIZ : ECP_RscSliderH
   {
      idc = 1000;
      x = ECP_dbg_control_horiz_x; y = ECP_dbg_control_horiz_y; w = ECP_dbg_control_horiz_w; h = ECP_dbg_control_horiz_h;
   };

   class SD_CAM_VERT : ECP_RscSliderV
   {
      idc = 1001;
      x = ECP_dbg_control_vert_x; y = ECP_dbg_control_vert_y; w = ECP_dbg_control_vert_w; h = ECP_dbg_control_vert_h;
   };

   class SD_CAM_HORIZ_BACK : ECP_RscText
   {
      idc = 1002;
      style = ECP_ST_HUD_BACKGROUND;
      x = ECP_dbg_control_bhoriz_x; y = ECP_dbg_control_bhoriz_y; w = ECP_dbg_control_bhoriz_w; h = ECP_dbg_control_bhoriz_h;
      text = "";
      colorBackground[] = {ECP_ColBack};
   };

   class SD_CAM_VERT_BACK : ECP_RscText
   {
      idc = 1003;
      style = ECP_ST_HUD_BACKGROUND;
      x = ECP_dbg_control_bvert_x; y = ECP_dbg_control_bvert_y; w = ECP_dbg_control_bvert_w; h = ECP_dbg_control_bvert_h;
      text = "";
      colorBackground[] = {ECP_ColBack};
   };

   class SD_CAM_SWITCH_BACK : ECP_RscText
   {
      idc = 1006;
      style = ECP_ST_HUD_BACKGROUND;
      x = ECP_dbg_control_bswitch_x; y = ECP_dbg_control_bswitch_y; w = ECP_dbg_control_bswitch_w; h = ECP_dbg_control_bswitch_h;
      text = "";
      colorBackground[] = {ECP_ColBack};
   };

   class SD_CAM_SWITCH : ECP_RscActiveText
   {
      idc = 1007;
      style = ECP_ST_CENTER;
      x = ECP_dbg_control_switch_x; y = ECP_dbg_control_switch_y; w = ECP_dbg_control_switch_w; h = ECP_dbg_control_switch_h;
      text = "P";
      action = "ECP_dbg_cam_fl_height = not ECP_dbg_cam_fl_height; if (ECP_dbg_cam_fl_height) then {ctrlsettext[ECP_IDC_SD_CAM_SWITCH,{H}]} else {ctrlsettext[ECP_IDC_SD_CAM_SWITCH,{P}]}";
   };







   #define ECP_dbg_camera_horiz_sep 0.01
   #define ECP_dbg_camera_vert_sep 0.01

   #define ECP_dbg_camera_col_width 0.03
   #define ECP_dbg_camera_zoom_width 0.028

   #define ECP_dbg_camera_back_x ECP_dbg_control_horiz_x + 0.007
   #define ECP_dbg_camera_back_y (ECP_dbg_control_bhoriz_y - 0.062)
   #define ECP_dbg_camera_back_w 0.25

   #define ECP_dbg_camera_combo_x ECP_dbg_camera_back_x + ECP_dbg_camera_horiz_sep
   #define ECP_dbg_camera_combo_y ECP_dbg_camera_back_y + ECP_dbg_camera_vert_sep
   #define ECP_dbg_camera_combo_w ECP_dbg_camera_back_w - (ECP_dbg_camera_horiz_sep * 5) - ECP_dbg_camera_col_width - ECP_dbg_camera_zoom_width
   #define ECP_dbg_camera_combo_h ECP_dbg_camera_col_width

   #define ECP_dbg_camera_detach_x ECP_dbg_camera_combo_x + ECP_dbg_camera_combo_w + ECP_dbg_camera_horiz_sep
   #define ECP_dbg_camera_detach_y ECP_dbg_camera_back_y + ECP_dbg_camera_vert_sep
   #define ECP_dbg_camera_detach_w ECP_dbg_camera_col_width
   #define ECP_dbg_camera_detach_h ECP_dbg_camera_col_width

   #define ECP_dbg_camera_fl_x ECP_dbg_camera_detach_x + ECP_dbg_camera_detach_w + ECP_dbg_camera_horiz_sep
   #define ECP_dbg_camera_fl_y ECP_dbg_camera_back_y + ECP_dbg_camera_vert_sep
   #define ECP_dbg_camera_fl_w ECP_dbg_camera_zoom_width
   #define ECP_dbg_camera_fl_h ECP_dbg_camera_col_width

   #define ECP_dbg_camera_back_h (ECP_dbg_camera_combo_y + ECP_dbg_camera_combo_h + ECP_dbg_camera_vert_sep - ECP_dbg_camera_back_y)

   class SD_BACKGROUND_CAMERA : ECP_RscText
   {
      idc = 1100;
      style = ECP_ST_HUD_BACKGROUND;
      x = ECP_dbg_camera_back_x; y = ECP_dbg_camera_back_y; w = ECP_dbg_camera_back_w; h = ECP_dbg_camera_back_h;
      text = "";
      colorBackground[] = {ECP_ColBack};
   };
   class SD_CAMERA : ECP_RscCombo
   {
      idc = 1101;
      x = ECP_dbg_camera_combo_x; y = ECP_dbg_camera_combo_y; w = ECP_dbg_camera_combo_w; h = ECP_dbg_camera_combo_h;
      wholeHeight = 0.11;
   };
   class SD_CAMERA_DETACH : ECP_RscActiveText
   {
      idc = 1102;
      x = ECP_dbg_camera_detach_x; y = ECP_dbg_camera_detach_y; w = ECP_dbg_camera_detach_w; h = ECP_dbg_camera_detach_h;
      text = "Det";
      action = "ECP_dbg_cam_detach = not ECP_dbg_cam_detach; if (ECP_dbg_cam_detach) then {ctrlsettext[ECP_IDC_SD_CAMERA_DETACH,{Att}]} else {ctrlsettext[ECP_IDC_SD_CAMERA_DETACH,{Det}]}";
   };
   class SD_CAMERA_FL : ECP_RscActiveText
   {
      idc = 1103;
      x = ECP_dbg_camera_fl_x; y = ECP_dbg_camera_fl_y; w = ECP_dbg_camera_fl_w; h = ECP_dbg_camera_fl_h;
      text = "FL";
      action = "if (ECP_dbg_cam_move != {freelook}) then {ECP_dbg_cam_move = {freelook}; ctrlsettext[ECP_IDC_SD_CAMERA_FL,{Tgt}]} else {ECP_dbg_cam_move = {}; ctrlsettext[ECP_IDC_SD_CAMERA_FL,{FL}]}";
   };
   class SD_CAMERA_FL_CENTRE : ECP_RscText
   {
      idc = 1104;
      w = 0.02;
      h = 0.02;
      x = 0.5 - (0.02 / 2);
      y = 0.5 - (0.02 / 2);
      text = "X";
   };




   #define ECP_dbg_control_zoom_w 0.03 * 0.75
   #define ECP_dbg_control_zoom_h ECP_dbg_control_vert_h - (ECP_dbg_control_vert_sep * 2) - ECP_dbg_camera_back_h - 0.005
   #define ECP_dbg_control_zoom_x ECP_dbg_control_bvert_x - (ECP_dbg_control_horiz_sep * 0.75 * 2) - 0.005 - ECP_dbg_control_zoom_w
   #define ECP_dbg_control_zoom_y ECP_dbg_control_vert_y

   #define ECP_dbg_control_bzoom_w ECP_dbg_control_zoom_w + (ECP_dbg_control_horiz_sep * 2)
   #define ECP_dbg_control_bzoom_h ECP_dbg_control_zoom_h + (ECP_dbg_control_vert_sep * 2)
   #define ECP_dbg_control_bzoom_x ECP_dbg_control_zoom_x - ECP_dbg_control_horiz_sep
   #define ECP_dbg_control_bzoom_y ECP_dbg_control_zoom_y - ECP_dbg_control_vert_sep

   class SD_CAM_ZOOM : ECP_RscSliderV
   {
      idc = 1004;
      x = ECP_dbg_control_zoom_x; y = ECP_dbg_control_zoom_y; w = ECP_dbg_control_zoom_w; h = ECP_dbg_control_zoom_h;
   };

   class SD_CAM_ZOOM_BACK : ECP_RscText
   {
      idc = 1005;
      style = ECP_ST_HUD_BACKGROUND;
      x = ECP_dbg_control_bzoom_x; y = ECP_dbg_control_bzoom_y; w = ECP_dbg_control_bzoom_w; h = ECP_dbg_control_bzoom_h;
      text = "";
      colorBackground[] = {ECP_ColBack};
   };






   #define ECP_dbg_misc_nbuttons 2


   #define ECP_dbg_misc_buttons_w ECP_dbg_onoff_w / 1.5
   #define ECP_dbg_misc_buttons_h ECP_dbg_onoff_h / 1.5

   #define ECP_dbg_misc_buttons_hsep 0.007 * 0.75
   #define ECP_dbg_misc_buttons_vsep 0.007

   #define ECP_dbg_misc_back_w ECP_dbg_misc_buttons_w + (ECP_dbg_misc_buttons_hsep * 2)
   #define ECP_dbg_misc_back_h ((ECP_dbg_misc_buttons_vsep * 2) + (ECP_dbg_misc_nbuttons * ECP_dbg_misc_buttons_h) + (ECP_dbg_misc_buttons_vsep * (ECP_dbg_misc_nbuttons - 1)))
   #define ECP_dbg_misc_back_y 0.5 - (ECP_dbg_misc_back_h / 2)
   #define ECP_dbg_misc_back_x ECP_dbg_onoff_hsep - AR_modifX			// edited

   #define ECP_dbg_misc_help_w ECP_dbg_misc_buttons_w
   #define ECP_dbg_misc_help_h ECP_dbg_misc_buttons_h
   #define ECP_dbg_misc_help_y ECP_dbg_misc_back_y + ECP_dbg_misc_buttons_vsep
   #define ECP_dbg_misc_help_x ECP_dbg_misc_back_x + ECP_dbg_misc_buttons_hsep

   #define ECP_dbg_misc_ss_w ECP_dbg_misc_buttons_w
   #define ECP_dbg_misc_ss_h ECP_dbg_misc_buttons_h
   #define ECP_dbg_misc_ss_y ECP_dbg_misc_help_y + ECP_dbg_misc_help_h + ECP_dbg_misc_buttons_vsep
   #define ECP_dbg_misc_ss_x ECP_dbg_misc_back_x + ECP_dbg_misc_buttons_hsep

   class SD_MISC_HELP : ECP_RscPicture
   {
      idc = 1200;
      x = ECP_dbg_misc_help_x; y = ECP_dbg_misc_help_y; w = ECP_dbg_misc_help_w; h = ECP_dbg_misc_help_h;
      text = "\ECP_Effects\images\help.paa";
   };

   class SD_MISC_HELP_ACTION : ECP_RscActiveText
   {
      idc = 1201;
      x = ECP_dbg_misc_help_x; y = ECP_dbg_misc_help_y; w = ECP_dbg_misc_help_w; h = ECP_dbg_misc_help_h;
      text = "";
      action = "if (ECP_dbg_help_active == 0) then {ECP_dbg_help_active = 1} else {ECP_dbg_help_active = 0}; ECP_dbg_help_active exec format[{%1debug\spectate_helpscreen.sqs},ECP_path]";
   };

   class SD_MISC_SS : ECP_RscPicture
   {
      idc = 1202;
      x = ECP_dbg_misc_ss_x; y = ECP_dbg_misc_ss_y; w = ECP_dbg_misc_ss_w; h = ECP_dbg_misc_ss_h;
      text = "\ECP_Effects\images\camera.paa";
   };

   class SD_MISC_SS_ACTION : ECP_RscActiveText
   {
      idc = 1203;
      x = ECP_dbg_misc_ss_x; y = ECP_dbg_misc_ss_y; w = ECP_dbg_misc_ss_w; h = ECP_dbg_misc_ss_h;
      text = "";
      action = "true exec format[{%1debug\spectate_ss.sqs},ECP_path]";
   };

   class SD_MISC_BACK : ECP_RscText
   {
      idc = 1204;
      style = ECP_ST_HUD_BACKGROUND;
      x = ECP_dbg_misc_back_x; y = ECP_dbg_misc_back_y; w = ECP_dbg_misc_back_w; h = ECP_dbg_misc_back_h;
      text = "";
      colorBackground[] = {ECP_ColBack};
   };

   class SD_MISC_SS_OFF_LB : ECP_RscActiveText
   {
      idc = 1205;
      x = 0; y = 0.9; w = 0.1; h = 0.1;
      text = "";
      action = "false exec format[{%1debug\spectate_ss.sqs},ECP_path]";
   };

   class SD_MISC_SS_OFF_LT : ECP_RscActiveText
   {
      idc = 1206;
      x = 0; y = 0; w = 0.1; h = 0.1;
      text = "";
      action = "false exec format[{%1debug\spectate_ss.sqs},ECP_path]";
   };

   class SD_MISC_SS_OFF_RB : ECP_RscActiveText
   {
      idc = 1207;
      x = 0.9; y = 0.9; w = 0.1; h = 0.1;
      text = "";
      action = "false exec format[{%1debug\spectate_ss.sqs},ECP_path]";
   };

   class SD_MISC_SS_OFF_RT : ECP_RscActiveText
   {
      idc = 1208;
      x = 0.9; y = 0; w = 0.1; h = 0.1;
      text = "";
      action = "false exec format[{%1debug\spectate_ss.sqs},ECP_path]";
   };












   #define ECP_dbg_misc_helpscreen_row_hgt 0.02
   #define ECP_dbg_misc_helpscreen_row_sep 0.005
   #define ECP_dbg_misc_helpscreen_row_hsep 0.005


   #define ECP_dbg_misc_helpscreen_w (0.525 * 0.75)
   #define ECP_dbg_misc_helpscreen_h 0.525
   #define ECP_dbg_misc_helpscreen_y 0.5 - (ECP_dbg_misc_helpscreen_h / 2)
   #define ECP_dbg_misc_helpscreen_x 0.5 - (ECP_dbg_misc_helpscreen_w / 2)

   #define ECP_dbg_misc_helpscreen_header_w ECP_dbg_misc_helpscreen_w - (ECP_dbg_misc_helpscreen_row_sep * 2)
   #define ECP_dbg_misc_helpscreen_header_h ECP_dbg_misc_helpscreen_row_hgt
   #define ECP_dbg_misc_helpscreen_header_y ECP_dbg_misc_helpscreen_y + 0.095
   #define ECP_dbg_misc_helpscreen_header_x ECP_dbg_misc_helpscreen_x + ECP_dbg_misc_helpscreen_row_hsep

   #define ECP_dbg_misc_helpscreen_row1_w ECP_dbg_misc_helpscreen_w - (ECP_dbg_misc_helpscreen_row_hsep * 2)
   #define ECP_dbg_misc_helpscreen_row1_h ECP_dbg_misc_helpscreen_row_hgt
   #define ECP_dbg_misc_helpscreen_row1_y ECP_dbg_misc_helpscreen_header_y + ECP_dbg_misc_helpscreen_row_hgt + ECP_dbg_misc_helpscreen_row_sep
   #define ECP_dbg_misc_helpscreen_row1_x ECP_dbg_misc_helpscreen_x + ECP_dbg_misc_helpscreen_row_hsep

   #define ECP_dbg_misc_helpscreen_row2_y ECP_dbg_misc_helpscreen_row1_y + ECP_dbg_misc_helpscreen_row_hgt + ECP_dbg_misc_helpscreen_row_sep
   #define ECP_dbg_misc_helpscreen_row3_y ECP_dbg_misc_helpscreen_row2_y + ECP_dbg_misc_helpscreen_row_hgt + ECP_dbg_misc_helpscreen_row_sep
   #define ECP_dbg_misc_helpscreen_row4_y ECP_dbg_misc_helpscreen_row3_y + ECP_dbg_misc_helpscreen_row_hgt + ECP_dbg_misc_helpscreen_row_sep
   #define ECP_dbg_misc_helpscreen_row5_y ECP_dbg_misc_helpscreen_row4_y + ECP_dbg_misc_helpscreen_row_hgt + ECP_dbg_misc_helpscreen_row_sep
   #define ECP_dbg_misc_helpscreen_row6_y ECP_dbg_misc_helpscreen_row5_y + ECP_dbg_misc_helpscreen_row_hgt + ECP_dbg_misc_helpscreen_row_sep
   #define ECP_dbg_misc_helpscreen_row7_y ECP_dbg_misc_helpscreen_row6_y + ECP_dbg_misc_helpscreen_row_hgt + ECP_dbg_misc_helpscreen_row_sep
   #define ECP_dbg_misc_helpscreen_row8_y ECP_dbg_misc_helpscreen_row7_y + ECP_dbg_misc_helpscreen_row_hgt + ECP_dbg_misc_helpscreen_row_sep
   #define ECP_dbg_misc_helpscreen_row9_y ECP_dbg_misc_helpscreen_row8_y + ECP_dbg_misc_helpscreen_row_hgt + ECP_dbg_misc_helpscreen_row_sep
   #define ECP_dbg_misc_helpscreen_row10_y ECP_dbg_misc_helpscreen_row9_y + ECP_dbg_misc_helpscreen_row_hgt + ECP_dbg_misc_helpscreen_row_sep
   #define ECP_dbg_misc_helpscreen_row11_y ECP_dbg_misc_helpscreen_row10_y + ECP_dbg_misc_helpscreen_row_hgt + ECP_dbg_misc_helpscreen_row_sep
   #define ECP_dbg_misc_helpscreen_row12_y ECP_dbg_misc_helpscreen_row11_y + ECP_dbg_misc_helpscreen_row_hgt + ECP_dbg_misc_helpscreen_row_sep
   #define ECP_dbg_misc_helpscreen_row13_y ECP_dbg_misc_helpscreen_row12_y + ECP_dbg_misc_helpscreen_row_hgt + ECP_dbg_misc_helpscreen_row_sep
   #define ECP_dbg_misc_helpscreen_row14_y ECP_dbg_misc_helpscreen_row13_y + ECP_dbg_misc_helpscreen_row_hgt + ECP_dbg_misc_helpscreen_row_sep

   #define ECP_dbg_misc_helpscreen_exit_w 0.1
   #define ECP_dbg_misc_helpscreen_exit_h ECP_dbg_misc_helpscreen_row_hgt
   #define ECP_dbg_misc_helpscreen_exit_y ECP_dbg_misc_helpscreen_row14_y + ECP_dbg_misc_helpscreen_row_hgt
   #define ECP_dbg_misc_helpscreen_exit_x (ECP_dbg_misc_helpscreen_x + (ECP_dbg_misc_helpscreen_w / 2)) - (ECP_dbg_misc_helpscreen_exit_w / 2)

   class SD_MISC_HELPSCREEN : ECP_RscPicture
   {
      idc = 1300;
      x = ECP_dbg_misc_helpscreen_x; y = ECP_dbg_misc_helpscreen_y; w = ECP_dbg_misc_helpscreen_w; h = ECP_dbg_misc_helpscreen_h;
      text = "\ECP_Effects\images\helpscreen.paa";
   };

   class SD_MISC_HELPSCREEN_ROW0 : ECP_RscText
   {
      idc = 1301;
      style = ECP_ST_LEFT;
      x = ECP_dbg_misc_helpscreen_header_x; y = ECP_dbg_misc_helpscreen_header_y; w = ECP_dbg_misc_helpscreen_header_w; h = ECP_dbg_misc_helpscreen_header_h;
      text = ""
      colorBackground[] = {0,0,0,0};

      size = 0.4;
   };
   class SD_MISC_HELPSCREEN_ROW1 : ECP_RscText
   {
      idc = 1303;
      style = ECP_ST_LEFT;
      x = ECP_dbg_misc_helpscreen_row1_x; y = ECP_dbg_misc_helpscreen_row1_y; w = ECP_dbg_misc_helpscreen_row1_w; h = ECP_dbg_misc_helpscreen_row1_h;
      text = ""
      colorBackground[] = {0,0,0,0};
      size = 0.4;
   };
   class SD_MISC_HELPSCREEN_ROW2 : SD_MISC_HELPSCREEN_ROW1
   {
      idc = 1304;
      y = ECP_dbg_misc_helpscreen_row2_y;
   };
   class SD_MISC_HELPSCREEN_ROW3 : SD_MISC_HELPSCREEN_ROW1
   {
      idc = 1305;
      y = ECP_dbg_misc_helpscreen_row3_y;
   };
   class SD_MISC_HELPSCREEN_ROW4 : SD_MISC_HELPSCREEN_ROW1
   {
      idc = 1306;
      y = ECP_dbg_misc_helpscreen_row4_y;
   };
   class SD_MISC_HELPSCREEN_ROW5 : SD_MISC_HELPSCREEN_ROW1
   {
      idc = 1307;
      y = ECP_dbg_misc_helpscreen_row5_y;
   };
   class SD_MISC_HELPSCREEN_ROW6 : SD_MISC_HELPSCREEN_ROW1
   {
      idc = 1308;
      y = ECP_dbg_misc_helpscreen_row6_y;
   };
   class SD_MISC_HELPSCREEN_ROW7 : SD_MISC_HELPSCREEN_ROW1
   {
      idc = 1309;
      y = ECP_dbg_misc_helpscreen_row7_y;
   };
   class SD_MISC_HELPSCREEN_ROW8 : SD_MISC_HELPSCREEN_ROW1
   {
      idc = 1310;
      y = ECP_dbg_misc_helpscreen_row8_y;
   };
   class SD_MISC_HELPSCREEN_ROW9 : SD_MISC_HELPSCREEN_ROW1
   {
      idc = 1311;
      y = ECP_dbg_misc_helpscreen_row9_y;
   };
   class SD_MISC_HELPSCREEN_ROW10 : SD_MISC_HELPSCREEN_ROW1
   {
      idc = 1312;
      y = ECP_dbg_misc_helpscreen_row10_y;
   };
   class SD_MISC_HELPSCREEN_ROW11 : SD_MISC_HELPSCREEN_ROW1
   {
      idc = 1313;
      y = ECP_dbg_misc_helpscreen_row11_y;
   };
   class SD_MISC_HELPSCREEN_ROW12 : SD_MISC_HELPSCREEN_ROW1
   {
      idc = 1314;
      y = ECP_dbg_misc_helpscreen_row12_y;
   };
   class SD_MISC_HELPSCREEN_ROW13 : SD_MISC_HELPSCREEN_ROW1
   {
      idc = 1315;
      y = ECP_dbg_misc_helpscreen_row13_y;
   };
   class SD_MISC_HELPSCREEN_ROW14 : SD_MISC_HELPSCREEN_ROW1
   {
      idc = 1302;
      y = ECP_dbg_misc_helpscreen_row14_y;
   };
   class SD_MISC_HELPSCREEN_EXIT : ECP_RscActiveText
   {
      idc = 1316;
      x = ECP_dbg_misc_helpscreen_exit_x; y = ECP_dbg_misc_helpscreen_exit_y; w = ECP_dbg_misc_helpscreen_exit_w; h = ECP_dbg_misc_helpscreen_exit_h;
      text = "Next";
      action = "ECP_dbg_help_active = ECP_dbg_help_active + 1; ECP_dbg_help_active exec format[{%1debug\spectate_helpscreen.sqs},ECP_path]";
      style = ECP_ST_CENTER;
      size = 0.4;
   };
};





